Clampfit Software Help

Welcome to Help for Clampfit software, the data analysis component of the pCLAMP software suite.

Quick Start

The links below take you to topics for a quick setup for data analysis:

  • Automatically Open and Analyze Clampex Files
  • Event Detection
  • Filtering
  • Curve Fitting
  • Graphs and Statistical Analyses
  • Arithmetic

Information Organization

Section | Description
New Features | Lists features new to version 11, with links to Help topics for these.
Getting Help | Explains the different ways you can access Help within the program.
Contacting Technical Support | Email, phone and mail contacts for Molecular Devices Technical Support.
Interface Overview | Introduces the Clampfit software windows and describes their behavior and configuration options. Includes a listing of all keyboard and mouse command shortcuts.
"How to ..." Guides | Step-by-step instructions for a number of features in Clampfit software.
General Reference | Provides general background information topics..
Menu Reference | Provides an explanation of every command and dialog box in Clampfit software , organized by menu. Where the commands in a menu differ significantly with the window type selected, menus are subdivided according to window type.

For research use only. Not for use in diagnostic procedures.

Copyright ©2021 Molecular Devices, LLC.
All rights reserved.


New Features

Clampfit Software Version 11.2

Running Clampfit software Advanced Analysis software license, which includes Batch Analysis, Pop Spike Analysis, and Action Potential, requires a license key dongle.

The following modifications have been made:

  • In the Action Potential Search dialog, the Amplitude, Area, and action potential duration (APD) are now measured with respect to both the specified baseline and the calculated threshold potential with options to display the measurements relative to the baseline or to the threshold potential.

Clampfit Software Version 11.1

Running Clampfit software Advanced Analysis software license, which includes Batch Analysis, Pop Spike Analysis, and Action Potential, requires a license key dongle.

The following feature modifications are available:

  • Batch Analysis is a top-level menu option for running the license-enabled analysis software.

  • Stimulus rise time option added to the Population Spike Search dialog in the Event Finding tab for manually setting the stimulus rise time to a slower speed when the stimulus artifact is too slow for the default 80 mV/ms value.

Clampfit Software Version 11

Running Clampfit software version 11 requires a license key dongle.

The following new features are available:

  • 25 Analysis Cursor Pairs.
  • Automated Event Detection.
  • Advanced Analysis feature Batch Analysis.
  • Advance Analysis feature Population Spike Analysis.
  • Advance Analysis feature Action Potential Analysis.

Clampfit Software Version 10

Clampfit software version 10 includes the following new features:

  • Support for new features in Clampex 10, such as:

    • Four analog output channels.

    • Analysis of split clock data.

  • Re-designed Layout window does not constrain graphical elements to a grid once they are placed.

Clampfit Software Version 9

Clampfit software 9 included the following new features:

Event Detection

Event detection in Clampfit software is an integrated mode of operation incorporating the Analysis and Results window, and optionally graph windows and other supplementary functions. Event detection includes:

  • A dedicated single-channel search option
  • Template searches—finding events by matching the data trace to a selected template. Multiple categories of events can be defined and used simultaneously
  • Graphical creation of templates directly from the viewed data
  • Threshold searches—finding events by having the data trace exceed an amplitude level. Multiple categories of events can be defined and used simultaneously
  • An Event Monitor to compare certain measured properties of candidate events against those of already accepted events
  • A graphical Event Viewer where found events are viewed as overlapping traces, and can be saved to a separate data file
  • Histograms and scatter plots integrated with the event search, so they automatically update as new events are found
Event Analysis

Several specialized analyses are provided to deal with the data generated from event detection:

  • Burst analysis
  • Latency analysis
  • Perievent analysis
  • P(open) analysis
  • Fast graph—a graph-generating tool designed specifically for use with events data
General Analyses
  • Kolmogorov-Smirnov (K-S) statistic—compares overlapping populations.
  • Nonstationary fluctuation—investigates single-channel conductance.
  • Variance-Mean analysis—for determining quantal release properties.
  • Autocorrelation and cross correlation.
  • Normalization function supported in Arithmetic expressions.
  • Factorial function supported in curve-fitting "Custom Function" equations.
Data Manipulation
  • Subtract Control—subtract the data traces of one file from another.
  • Segmented average—build up a sweep data trace from individually selected segments of sweeps within a file.
  • Concatenate files recorded under the same conditions.
  • Normalize traces in data files.
  • Extract data subset—filter by conditions and extract data from a Results sheet.
Cursors
  • Up to nine cursor pairs can be created in the Analysis window.
  • Cursors can be “locked” together, so that they are moved as a pair, with the same relative distance maintained between them.
  • The second cursor of each pair displays the relative differences, or delta values, from the first cursor of the pair.
Graphs
  • Histogram function allows rapid creation of histograms from Analysis, Results and Graph windows.
  • Convert histogram data to be represented as frequencies.
  • Normalize data in Graph windows, either for area under the graph or for Y axis range.
  • Convert graph data to square root values.
Speedier Analysis
  • The Alternate toolbar is now prepopulated with a range of new commands designed to speed up analysis of large numbers of files, especially multisignal files of the sort produced by Axon's OpusXpress® parallel oocyte voltage‑clamp system. The new commands include:
    • Next Signal
    • Previous Signal
    • Show Acquisition Signals
    • Auto Adjust Baseline
    • Auto Statistics


Using Help

You are here: Getting Help

Getting Help

There are a number of ways you can access help in Clampfit software:

  • Button "Tooltips"

    Place the mouse cursor over a button for a tooltip pop-up to tell you the function of the button

  • Menu Help

    Place the mouse cursor over a menu option and press F1. The Help file opens to the appropriate topic.

  • Dialog Help

    Almost every dialog has a Help button that opens the Help file topic for the dialog.

    Some general-purpose Windows dialogs have a [image] button in their top right corner. Click on this and the cursor turns into [image]. With this cursor, click on an area of the dialog to open a popup text explanation about it.

  • Clampfit Help Topics

    The Help > Online Help menu option opens the Help file on the introductory topic. The navigation pane on the left has tabs for the Table of Contents, Index and Search, or use links within the topics themselves to navigate.

    Click on teal colored titles in topics to open drop-down sections, as below:

    Closed Drop-down Help Sections

    Click on the title a second time to close the drop-down section.

    Also, within Help, you can select a word and press F1. If the word is in the index the Help topic it links to opens.


Contacting Technical Support

Axon Instruments is part of Molecular Devices

The pCLAMP software suite is regularly updated. Verify that you are using the latest version. Click Help > Molecular Devices on the Web to go to the Molecular Devices website. Check for the latest update of pCLAMP software suite to download from the Knowledge Base.

Online

Homepage: www.moleculardevices.com

Technical Support: www.moleculardevices.com/support

Phone

Please have your instrument serial number or Work Order number, and your software version number available when you call.

1-408-747-1700

1-800-635-5577 (US, toll-free)

Email

Email messages can be sent to Molecular Devices Technical Support by visiting www.moleculardevices.com/support and submitting a service request.


Shortcuts

You are here: Shortcuts

Interface Overview

This section has topics describing the main Clampfit software interface and each of the seven specialized Clampfit software windows. The final topic lists all keyboard and mouse shortcuts.

  • Main Clampfit Software Window
  • Analysis Window
  • Data File Index
  • Graph Window
  • Lab Book
  • Layout Window
  • Results Window
  • Statistics Window
  • Keyboard and Mouse Shortcuts


Main Clampfit Software Window

The main Clampfit software window consists of the following component parts:

Title Bar

Running across the top of the window, the title bar reports the name of the file in the currently selected window. At far right are standard Windows close, minimize, maximize and resizable window buttons.

Main Menu Bar

Below the title bar are the main menus. There are small differences in the main menus available depending on the currently selected window type, such as. the Format menu only for the Results window and Lab Book. Commands within the menus can vary depending on the selected window type.

Button Toolbars

In Clampfit software, below the main menu toolbar, the Review toolbar is the default button toolbar. It can be hidden or shown with the View > Review Toolbar command. Buttons can be added or removed from the toolbar in the Configure > Toolbars > Review dialog.

A second Alternate toolbar is provided for you to configure with buttons you use frequently . The toolbar is prepopulated with a range of commands designed to speed up analysis of large numbers of files, including multi‑signal files created by the Axon OpusXpress™ parallel oocyte voltage‑clamp system. Use View > Alternate Toolbar to hide and show the toolbar, and configure it from Configure > Toolbars > Alternate.

Other toolbars appear inside the specialized Clampfit software windows. These can also be hidden and shown from the View menu, but cannot be reconfigured.

Main Window

The seven specialized window types, as well as interactive dialog boxes, open in the main window area. Some dialog boxes are dockable, meaning they can be attached to either side of the main window.

You can cascade or tile windows that you have open from the Window menu. By default, minimized windows reduce to a small title bar along the bottom of the main window area. All open windows, whether minimized or not, list at the bottom of the Window menu from where they can be selected.

Many window types allow you to open a new window. The new window opens with the same file as the window that is selected.

Status Bar

The status bar runs along the bottom of the main window. When a Graph window is selected, the mouse cursor coordinates are reported on the status bar as you move the mouse over the data area of the graph.

One-line Help: For many buttons, when the cursor is placed over it, a short description of the function appears on the status bar.


Analysis Window Shortcuts

You are here: Interface Overview > Analysis Window

Analysis Window

In Clampfit software, data files are viewed in Analysis windows, one file per window.

General

File Types

Typically, data files are in *.abf or *.atf format. Older Clampex software files are in *.dat format, and other file formats can also be opened with the Plain Text Converter or Plain Binary Converter.

Opening Files

Select to open new files into a new window or into a existing window, replacing the file currently there, from the Open Data Options dialog. This dialog also has options for the persistence of scaling, sweep, and signal selection.

Signals

A data file can contain up to 16 signals displayed in separate panes within the window. Copy a signal within the file with Edit > Create Duplicate Signal. You can also add the command waveform that the file was recorded under as a signal with Edit > Create Stimulus Waveform Signal, or add the curve fitted to a signal as a separate signal with Edit > Create Fitted Curve Signal.

Event Detection

When an event detection session is running, the Analysis window is integrated into the session so that, for example, if an event is selected in the Results window, it is also selected in the Analysis window. At this time, the Event Detection toolbar is inserted into the window.

Configuration

The Analysis window is highly configurable, with seven menus that enable quick navigation and configuration. All basic configuration is done from the View > Window Properties dialog. You can open the dialog by double-clicking in the data area of the window.

Window Sections and Popup Menus

1. Data Area | 2. Y Axis
3. X Axis | 4. Signal Properties
5. Cursors | 6. Tag
7. Cursor Bar | 8. Toolbar

All the numbered features have right-click menus.

Data Area

The Analysis window data area shows recorded data traces.

Double-click anywhere in the data area except over a cursor or tag to open the Analysis Window Properties dialog for a full set of configuration options.

Right-click to bring up a quick menu of display and scaling options.

Trace viewing modes

Files first appear either as overlapping traces, such as in Episodic Stimulation, High-Speed Oscilloscope, and Fixed-Length Events modes, or with the whole file at once, such as in Gap-Free and Variable-Length Events modes. To change the data display between continuous, sweep, or concatenated views, use View > Data Display.

Viewing and selecting sweeps

When viewing sweeps, default coloration has the selected sweep red and the remainder black. Select the next or the previous sweep with the comma or period keys on your keyboard (these are the ">" and "<" keys when used with <Shift>, but do not use <Shift> for this). You can also directly click on a sweep in the data area to select it. Press <Enter> to display the selected trace only.

Select to view a subset of the traces from View > Select Sweeps. Press <Enter> to toggle -between the currently selected trace, the traces selected in Select Sweeps, and the full number of traces in the file. Information about the sweep you are viewing is displayed in the bottom right of the window.

Scaling

You can independently scale the X and Y axes in a number of ways (see below). Press <Control> and drag the mouse over an area in the window to zoom into that area. The right-click menu has other scaling commands as well, such as to zoom between cursors.

Cursors

Up to 25 cursor pairs can be placed in the window (View > Window Properties > General tab). These measure trace amplitude, time from the start of the sweep or file, and sample number.

Y Axis

The Y axis shows the values of the measured signal. The units appear in the signal properties column to the left of the Y axis.

Double-click to open the Analysis Window Properties dialog with the Signals tab in front.

Right-click to open a quick menu of scaling options. You can also invert the axis from this menu.

Y axis scaling

There are a number of ways to scale the Y axis:

  • Place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "up" and "down" scaling buttons in the axis column to scale up and down about the middle of the visible range.
  • Open the pop-up menu for specific scaling options, including full scale and auto scale, which leaves a small margin between the highest and lowest trace points and the edge of the window.
  • Set the Y axis range manually in the Window Properties Signals tab.

X Axis

The X axis shows the values and units of time in the file.

The units can be changed by double-clicking in the axis area, which opens the Window Properties > X Axis tab.

Right-click to open a quick menu of scaling and viewing mode options.

X axis scaling

There are a number of ways to scale the X axis:

  • Place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the X axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "left" and "right" scaling buttons at the left of the axis to scale in and out about the left-most point currently in view in the window.
  • Open the pop-up menu for specific scaling options, including zoom between cursors.
  • Set the X axis range manually in the Window Properties > X Axis tab.

Signal Properties

This bar displays the signal name and units. If there are multiple signals on display in the window, the signal properties bar of the active signal is highlighted—dark rather than light gray under default settings.

Double-click to open the Edit > Modify Signal Parameters dialog, which allows you to change the signal information if it was recorded incorrectly. You can also modify the file comment.

Right-click to open the quick menu. Choose Rotated Text to toggle between vertical and horizontal text display.

Cursors

Up to 25 cursor pairs can be placed in the window (View > Window Properties > General tab). These consist of a triangular "handle" in the cursor bar immediately above the data area, and a vertical line in the data area. Cursor lines can be hidden or shown, but the handles remain visible. Cursors have optional text boxes attached.

Double-click on a cursor to bring up the Cursor Properties dialog.

Right-click on a cursor for a range of cursor options.

Cursor pairs

Cursors come in pairs, for example, 1 & 2 and 3 & 4. These can be locked together to maintain their relative time and sample positions, and the second of each pair can be set to report its values relative to the values in the first cursor of the pair (Cursor Properties).

Selecting, bringing, and going to cursors

To select a cursor either click on it, or press the appropriate keyboard number. For example, press <2> to select cursor 2. The cursor identifier number in the cursor bar turns red.

Cursors can be brought into view with the Bring Cursors command from the data area menu, or with the <Shift + mouse click> combination.

To shift the visible display of a file to the area where a cursor is located, without altering the X axis scaling, use the cursor bar menu command, Go to Cursor.

Moving cursors

Cursors can be moved by dragging with the mouse, or open Cursor Properties and send a cursor to a specific time, tag, sample or epoch in the Move To section. When you have performed such a command, you can repeat it without opening the dialog again, with <F4>. For example, if you configure "Move To" to go one tag relative to the current tag, you can use <F4> to step through each tag in a file one by one. <Shift + F4> reverses the direction of the steps.

When a cursor has the focus, it can also be moved using the right and left arrow keys.

  • Using the arrow keys alone will move the cursor one pixel.
  • <Ctrl + Arrow> moves the cursor to the next sample.
  • <Shift + Arrow> moves the cursor 20 pixels.
Text boxes

Cursors have optional text boxes reporting time, sample, and the amplitude of the selected trace at the cursor‑position. You can select for the second of a cursor pair to show these values relative to the first. All configuration of text boxes and the contents comes from the Cursor Properties dialog.

Text boxes can be dragged up and down their cursor, or sent to the cursor bar, above the data area of the window.

Tags

Time, comment and voice tags inserted when the file was recorded are shown as vertical lines with an optional text box reporting selected parameters. Tags can be hidden, shown, and otherwise configured with the Tag Text Properties dialog, opened by double-clicking on a tag.

The tag menu has options to shift tag text boxes to the cursor bar, or you can cascade them, or move them individually up and down their cursor by dragging with the mouse.

To move to a tag not currently in view, use the Go to Tag command.

Cursor Bar

The cursor bar is the gray strip immediately above the data area. You can choose to place cursor and tag text boxes in the cursor bar.

Right-click in this area to open a quick menu of general cursor and tag options.

Double-click in the area to open Cursor Properties.

Cursors can be selected and moved using their triangular "handles" in the cursor bar.

Toolbar

A collection of useful analysis buttons display. Hold the cursor over these to bring up a tooltip describing the button function. Some buttons show tooltip information on the status bar.

The Analysis window toolbar is not configurable. If you commonly use a particular display option or analysis and the button does not appear in the toolbar, you can configure either the Review or Alternate toolbar in the main Clampfit software window to display the button for this command.

Toggle the toolbar in and out of view with View > Analysis Window Toolbar.

Double-click on the space between buttons to toggle between a floating toolbar and a docked toolbar.

During event detection the event detection toolbar is additionally displayed on the window.


Data File Index Shortcuts

You are here: Interface Overview > Data File Index

Data File Index

The Data File Index (DFI) window is a file management tool. Use DFI files to group any number of binary data files and display a range of their properties. You can sort a DFI file on any of the listed properties, and open any of the files from the DFI window. You can search within a DFI for files with a particular parameter or numeric parameter range, with Edit > Find.

Files are added to a DFI file by setting search criteria in the Edit > Add Existing Files dialog.

Create a new DFI with File > New Data File Index, or open an existing one with File > Open Data File Index.

DFI files can be used when storing data on removable media. The Data File Index topic in the General Reference section contains additional advice this.

1. File Properties Area | 2. Column Headers
3. Information Bar |

File Properties Area

The main data area in a DFI window shows data file information with each line reporting a number of parameters for a single file.

Right-click to bring up a quick menu of DFI options thatincludes a Verify command, which checks that all the files in the current DFI file exist.

The following properties are (optionally) reported for each file in DFI:

Filename | Mode (acquisition) | Date
Time | Stopwatch | 1st Interval
2nd Interval | Amplifier Mode | ID #1
ID #2 | ID #3 | Leak
List | Digital | Ext. Tags
Sweeps | Pre-sweep | Statistics
Math | Holding #1 | Holding #2
File Comment | Input Signals | Output Signals
Path |  |
Open a file

Double-click on a line to open the data file into an Analysis window.

Select parameters to display

Right-click in a column header or the file properties area and select Window Properties from the menu, or double-click in the Information bar. Select which parameters you want to display in the dialog.

Sort files by parameter

Click on the column title of the parameter by which you want to sort the files. Files are reordered in ascending order for that parameter. Use Tools > Sort to sort in descending order.

Column Headers

The column headers contain the names of the parameters reported below them. See Select parameters to display above to add or remove columns.

Change column width

Move the cursor to the border between two column headers and drag to the desired position.

Information Bar

The Information Bar reports the number of files in the DFI and the full path of the currently highlighted file.

Toggle the Information Bar in and out of view with View > Information Bar.

Double-click on the Information Bar to open the DFI Window Properties dialog box.


Graph Window Shortcuts

You are here: Interface Overview > Graph Window

Graph Window

Graph windows display selected Results window data as scatter plots, line graphs, and histograms. Up to 1,000 plots can be included in each graph.

Graphs are generated with the following Clampfit software commands:

  • Analyze > Assign Plots: this is the primary, general-purpose, graph-generating dialog in Clampfit software for Results window data. Alternatively, select data in a Results sheet and click Analyze > Create Graph, or one of several buttons in the Results toolbar to add these to a graph. See Results Window – Toolbar.

  • Analyze > Quick Graph: quick, simple, I-V, and Trace vs. Trace graph configuration from Analysis window data. These graphs can be automatically generated for incoming Clampex software files in Configure > Automatic Analysis.

  • Analyze > Histogram: specialized histogram-generating dialog for Analysis, Graph, and Results window data.

  • Event Detection > Define Graphs: up to four graphs can be integrated into an event detection session, automatically updating as new events are found and allowing selections of events across the different windows in the session.

  • Analyze > Event Analysis > Fast Graph: a graph-generating dialog adapted for use with events data.

  • Several Analyze menu analyses generate a graph as part of their output, such as the Kolmogorov-Smirnov Test, Autocorrelation, and Nonstationary Fluctuation Analysis.

General

File Types

Graphs are always associated with a Results window *.rlt file. To save a graph, save the Results window from which its data come. When that results file reopens, the graph also reopens.

Similarly, if graphed data are manipulated in the Results window, the corresponding points in the graph change, and vice versa.

Analysis

Many analyses are available for application directly to data in Graph windows, such as full Fit functionality. Before applying a fit, select a region to fit with Tools > Select Region.

For a full listing of analyses available in the Graph window, go to Analyze Menu – Graph Window.

Configuration

Graphs are highly configurable with respect to titles and general appearance, and easily rescaled with optional log and linear scaling for both axes. There are several zoom options. All basic configuration is carried out in the View > Window Properties dialog. You can open this dialog by double‑clicking in the data area of the window.

Window Sections and Pop-up Menus

1. Data Area (Menu) | 2. Y Axis (Menu)
3. X Axis (Menu) | 4. Titles and Legend
5. Graph Bar |

Data Area

The Graph window data area shows the plotted data as traces, points, or in histogram bars.

Double-click to bring up the Graph Window Properties where you can manually scale the graph and configure the appearance.

Right-click to bring up a quick menu of display options, or access the Assign Plots dialog.

Press Ctrl and drag the mouse cursor over a region in the data area to zoom into that area. Click the Select Region button to introduce two cursors to define a region of the graph for fitting.

Y Axis

The Y axis includes the name and units of the graphed parameter. When you have multiple plots in the graph, the Y axis names the first Y axis parameter you defined.

Double-click to bring up the Graph Window Properties dialog with the Y Axis tab in front, where you can change the name and units, and manually scale the axis.

Right-click to bring up a quick menu of scaling and axis type, such as log or linear options.

For quick zooming on the Y axis, place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button the window zooms into the range you have defined.

With View > Axis Type > Zero Crossing, the Y axis is placed across the X axis zero point, so it might not be at the left of the graph. Depending on whether the axis moves or not when you change to this mode, it might lose its menu and quick‑rescaling functionality.

X Axis

The X axis shows the name and units of the parameter you defined for this axis.

Double-click to bring up the Graph Window Properties dialog with the X Axis tab in front, where you can change the name and units and manually scale the axis.

Right-click to bring up a quick menu of scaling and axis type, such as log or linear options.

For quick zooming on the X axis, place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the axis you want to view. When you release the button the window zooms into the range you have defined.

With View > Axis Type > Zero Crossing, the X axis is placed across the Y axis zero point, so it might not be at the bottom of the graph. Depending on whether the axis moves or not when you change to this mode, it might lose its menu and quick‑rescaling functionality.

Titles and Legend

The legend displays a label with the name and symbol used for each parameter plotted. These can be altered on the Graph Window Properties Plots tab. Enter optional major and minor titles for the graph on the General tab of this dialog.

Double-click in the titles or legend areas to bring up the Graph Window Properties dialog box with the General tab in front. Right-click brings up the same menu as the graph data area.

Graph Bar

A number of useful buttons are displayed at the top of the window. Hide these as needed from View > Graph Bar. Double-click on the space between buttons to toggle between a floating toolbar and a docked toolbar.

Buttons in the Graph window toolbar include Fit, Normalize, Convert to Frequency, Histogram, Autocorrelation, and Cross‑correlation.


Lab Book Shortcuts

You are here: Interface Overview > Lab Book

Lab Book

The Lab Book window is a text editor for keeping records of experiments and analyses. One Lab Book window is always open in Clampfit software—the "System Lab Book".

System Lab Book

Depending on your selection in Configure > Lab Book Options, Clampfit software automatically keeps a more or less verbose record of significant actions performed in the program, in the System Lab Book. Further to this, you can open the System Lab Book window and type in it directly, or add comments to it with Tools > Comment to Lab Book, available when any window is active.

The System Lab Book must have a Lab Book file (*.rtf format) loaded, to which to write. The default file is "clampfit LabBook.rtf", however any other Lab Book file can be selected, from Configure > Lab Book Options. Two researchers using the same computer can each have their own Lab Book files, which they should load as the System Lab Book whenever they begin a Clampfit software session.

Lab Book Files

You can save the contents of the System Lab Book to new *.rtf files. The saved files behave like any normal file. You can open more than one file at a time, edit them and save them. You can load any RTF file as the System Lab Book.

Simple Database

You can use file comments for a simple database within Lab Book files. Every time a data file is analyzed, the manually entered information, such as file comment and numerical identifier information, is written to the System Lab Book immediately after the file name. So, for example, a drug name can be entered in the file comment. Later, a word processor can be used to search for the drug name, finding all the files where that drug was used.

Window Sections

1. Editing Pane

2. Formatting Bar

Editing Pane

The Lab Book editing pane is equivalent to Microsoft WordPad, so you can enter text and format it with different fonts and colors, and with attributes such as bold and italic. You can also paste in images that you have copied to the clipboard.

Right-click to bring up a quick‑menu of editing options.

Formatting Bar

In the editing pane, highlight the text you wish to format, then use the Formatting bar to customize the font.

Double-click on the space between buttons to toggle between a floating toolbar and a docked toolbar.

Toggle the Format Bar in and out of view with View > Format Bar.


Layout Window Shortcuts

You are here: Interface Overview > Layout Window

Layout Window

The Layout window is used to construct presentation graphics from the Analysis, Results and Graph windows, which all have an Edit > Copy to Layout Window command for easy transfer of graphs, traces and data.

Unlike other windows in Clampfit software, the Layout window is independent of the main Clampfit software application window, and has its own menus and toolbars.

As well as graphics and tables copied from other windows, the Layout window has text entry and drawing tools.

Layouts can be saved as ALF files. Each file contains one page only. ALF files cannot be opened in any application other than Clampfit software.

1. Drawing Toolbar | 2. Components
3. Canvas |

Drawing Toolbar

The toolbar contains buttons for some basic Layout window functions: for component creation, undo and redo, and mouse mode selection.

Canvas

This is the general editing area of the window.

When a component is first imported into the Layout window, you can specify where to place it on a virtual grid. After it is placed, however, you can move it freely on the canvas.

As well as being able to import images from Graph, Analysis and Results windows, you can draw lines, arrows, and shapes, and add text.

Components

Components are the items placed on the canvas, including images from Analysis and Graph windows, tables from the Results window, and drawings and text boxes added in the Layout window itself.

Right-click on a component and select Properties to open the relevant Properties dialog box for each component type. The component Properties dialog allows you to do things like position and scale components, or change color and line width, depending on the component type.

Click on a component to select it. When selected a component can be sent behind or brought in front of an object it overlaps with.

Hold the Shift key and click to select multiple components.


Results Window Shortcuts

You are here: Interface Overview > Results Window

Results Window

The Results window is a spreadsheet window where the results of most analyses are recorded. A large number of Clampfit software analyses apply to Results window data, including Analyze > Fit. See the Results window Analyze menu for a full list.

Sheets and Cells

The window has 20 sheets, each of which can have 1,000,000 rows and 8,000 columns. Most of the sheets are for the results of specific analyses, and named accordingly. The last seven sheets are available for general use.

Results Windows and Files

Only one Results window file can be open at a time, although this one file can be viewed in more than one window from Window > New Window. The results of any analyses you run go to this open file.

Results window files are saved as RLT files.

You can replace the current Results file with File > New > Results, to start a fresh file, or open an existing file with File > Open Other > Results & Statistics.

Graphs

All graphs in Clampfit software are associated with a Results window, where the raw data in the graphs is stored. If you generate a graph you must save the Results window file in order to save the graph. If you change data in the graph it changes also in the Results window, and vice versa. Closing a Results window also closes the associated graphs.

Event Detection

When an event detection session is being run, the Results window is integrated into the session, so some options normally available for the window are not available at this time. Data from event detection go to the Events sheet.

Analysis Window Data

You can transfer Analysis window data into the Results window in two different ways. To transfer the entire data set from a file, use Edit > Transfer Traces.

Alternatively, take data at selected time points in the file by placing cursors at the points and using Tools > Cursors > Write Cursors, or click Check in the top left of the Analysis window.

Statistics Files

When you open a Statistics (STA) file into a Statistics window, the data are also copied to the first empty unreserved sheet in the Results window.

Window Sections

1. Data Cells | 2. Rows
3. Column Headers | 4. Select All
5. Sheets | 6. Toolbar

Data Cells

These are the data cells to which data are written.

Select a cell by clicking in it, or drag over a number of cells to select them all. It is not possible to select noncontiguous cells. Select whole rows or columns by putting the cursor in the row or column header area. Click when the cursor turns to a black arrow. Drag the cursor to select contiguous rows or columns.

If a single cell is selected you can edit it from the keyboard.

Cells on all sheets except the Events sheet use, by default, the "General" format option, that allows 128 characters of text and rounds numbers to the nearest six digits. Numbers over one million are expressed in scientific notation. You can change the formatting of selected cells (but not empty cells) from Format > Cells.

Right-click over the cells to bring up a quick menu with cut, copy, paste and delete options. Also, from the Edit menu, you can Find and Replace data in the spreadsheet, while Go To takes you to a particular cell location.

You can change the appearance of the window from the Properties dialog, or from the right-click menu.

You can Create Data to fill cells with and Sort the data on any parameter. Clearing options in the Edit menu allows you to clear data from selected cells from the active sheet and the whole Results window file.

Row Numbers

Each row in the spreadsheet is numbered, displayed in the row header. You can hide the headers in the Results Window Properties General tab.

Insert additional rows with Edit > Insert > Rows. Hide rows by moving the cursor in the row header until it turns to a line and arrows, then drag until the row is hidden. Drag in the opposite direction to enlarge the row. Rows hidden this way can be restored to view by dragging them back again. Grab the row dividing line from the correct direction to restore. The cursor has parallel lines and arrows when you are in the correct position to reveal a hidden row.

Select whole rows from the row header by clicking when the cursor turns to a solid right-pointing arrow.

Column Headers

Column headers contain column titles. Double-click on a header to rename that column.

Click once on a header to select that column. When selected you can use Edit > Clear to clear the cells, or remove it entirely with Edit > Delete. Having deleted a column you can restore it with the Undo command, but note that Undo stores only the last ten operations.

Hide, resize, and re-reveal columns as for rows (above), by dragging the column dividing lines. For the Cursor sheet only, select columns to display and hide from the Results Window Properties Cursor Measurements tab.

Select All

Click in the empty top left header cell to select all cells in the Results window spreadsheet. You can also use the <Ctrl + A> keystroke.

Sheets Bar

Thirteen dedicated spreadsheets that receive the results of specific analyses are maintained in the Results window. In addition, seven general purpose sheets are also included. Use this bar to select the active sheet, and to scroll back and forth within a particular sheet.

To rename one of the general purpose sheets double-click on the sheet name.

Toolbar

The Results toolbar contains buttons for a range of commonly used data manipulation tools and analyses. Toggle the toolbar in and out of view with View > Results Bar.

The five buttons on the left of the toolbar provide quick graph generation from Results data:

  1. to graph the column against row number, select a column and click the Create Graph button.
  2. To plot one column against another, select the first column, click X, then select the second column, and click Y ("(x)" and "(y)" are appended to the column titles). Then click the Create Graph button, or Append Graph, if you want to add the new plot to an existing graphs.
  3. To assign multiple plots, mark each X and Y column and select the X+Y button. Then, when you click the Create or Append Graph button, all of the plots are created simultaneously.


Statistics Window

Statistics windows are used to open statistics (STA) files recorded in Clampex software. These files contain statistics measurements taken during acquisition (as configured in the Protocol Editor in Clampex software) and from the Membrane Test in Clampex software.

STA files can be created in Clampfit software for Analysis window files from Analyze > Statistics, if you check "Clampex software-style statistics display". The files cannot be edited in Clampfit software.

When an STA file is opened the data are written to the first empty unreserved sheet in the Results window, as well as appearing graphically in the Statistics window.

Configuration

The Statistics window is highly configurable with respect to appearance and scaling. Basic configuration options are available in the Statistics Window Properties dialog, opened by double-clicking in the graph data area of the window. Six different pop-up menus give quick access to configuration options.

1. Data Area | 2. Last Measurement & Trace Legend
3. Y Axis | 4. X Axis
5. Measurement Title & Units | 6. Cursor
7. Cursor Bar |

All of these screen areas except area 2 have right-click menus.

Data Area

This area contains a separate pane for each statistics measurement taken, for each signal. So, for example, if peak amplitude is measured in two signals, two panes are used, and if peak amplitude and mean are measured in one signal, again, two panes are used.

Within a pane, traces are color coded for the search region they come from and, when analog and/or digital alternating outputs were selected, for the analog command signal or digital output configuration active at the time the measurement was made. The number of traces doubles if alternating outputs are selected, with half in response to the output from odd sweeps, and half in response to the output from even sweeps. The trace color legend is in the right-hand section of the window.

Select a pane by clicking in it. The name and units section of the pane, on the far left, highlights when the pane is selected.

Select a particular trace by clicking on it. Cursors then show details of the selected trace for the position they are at. Alternatively, select the pane then click the color-key for the trace in the right-hand section of the window. Optionally use the right-click menu option Show Only Focus Trace to show only the selected trace within each pane.

The pop-up menu for the data area includes options to hide and maximize selected panes, or tile them all. Otherwise select measurements to display and hide from the Statistics Window Properties Signals tab. Select Maximum Data Area to maximize the data display within the window by removing the axes, cursor bar, etc.

Double-click in a vacant area to open the Statistics Window Properties dialog where you can configure window elements to display or hide, window colors and axis scaling.

Last Measurement & Trace Legend

The first two columns in this section of the window provide the search-region/color legend for the file. In subsequent columns the final measurement in the file for each of the measurement types is reported.

If you have a measurement pane with multiple traces selected, you can select traces within the pane by clicking on the corresponding row in this part of the window.

Y Axis

The Y axis shows the values of the measured statistic (units appear in the signal properties column to the left of the Y axis).

Double-click to open the Statistics Window Properties dialog box with the Signals tab in front, where you can manually set Y axis scaling.

Right-click to open a quick menu of scaling options. You can also invert the axis from this menu.

Y axis scaling

There are a number of ways to scale the Y axis:

  • Place the cursor in the Y axis area, where it turns into a magnifying glass. Drag the cursor down the section of the Y axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "up" and "down" scaling buttons in the axis column to scale up and down about the middle of the visible range.
  • Open the pop-up menu for specific scaling options, including full scale and auto scale (which leaves a small margin between the highest and lowest trace points and the edge of the window).
  • Set the Y axis range manually in the Window Properties Signals tab.

X Axis

The X axis shows the values and units of time in the file.

The units can be changed by double-clicking in the axis area, which opens the Statistic Window Properties X Axis tab.

Right-click to open a quick menu of scaling and viewing mode options.

X axis scaling

There are a number of ways to scale the X axis:

  • Place the cursor in the X axis area, where it turns into a magnifying glass. Drag the cursor along the section of the X axis you want to view. When you release the button the window zooms into the range you have defined.
  • Use the triangular "left" and "right" scaling buttons at the left of the axis to scale in and out about the left-most point currently in view in the window.
  • Open the pop-up menu for specific scaling options, including zoom between cursors.
  • Set the X axis range manually in the Statistic Window Properties X Axis tab.

Measurement Title & Units

This column left of the Y axis in each pane shows the type of measurement reported in the pane, and the units used. It also shows the signal the measurement was made from.

When a pane in the window is selected, this is shown by this section changing color.

You can choose not to display the title and units section, in Statistics Window Properties General tab.

Right-click to access the Rotated Text command, to display the titles horizontally.

Cursor

The Statistics window has four cursors. These consist of a triangular "handle" in the cursor bar immediately above the data area, and a vertical line in the data area. Cursor lines can be hidden or shown, but the handles remain visible. Cursors have text boxes attached.

Right-click on a cursor to hide or show it.

Selecting, bringing, and going to cursors

To select a cursor either click on it, or press the appropriate keyboard number, for example, press <2> to select cursor 2.

Cursors enabled for the window can be brought into view with the Bring Cursors command from the cursor bar pop-up menu, or with the <Shift + mouse click> combination.

To shift the visible display of a file to the area where a cursor is located, without altering the X axis scaling, use the cursor bar pop-up menu command, Go to Cursor.

Moving cursors

Cursors can be moved by dragging with the mouse, or use the right and left arrow keys:

  • Using the arrow keys alone will move the cursor one pixel.
  • <Ctrl + Arrow> moves the cursor to the next measurement point.
  • <Shift + Arrow> moves the cursor 20 pixels.
Text boxes

Cursors have text boxes reporting the time within the file (measured from the time the first measurement was received in the Online Statistics window in Clampex software), and the value of the currently selected trace at that time. No units are displayed.

Text boxes can be dragged up and down their cursor.

Cursor Bar

The area immediately above the main data area shows triangular cursor "handles", by which you can drag cursors.

Right-click in the cursor bar for a useful pop-up menu with cursor control options.

Remove the cursor bar from view from the Statistics Window Properties General tab.


Keyboard and Mouse Shortcuts

Clampfit software conforms to the standard Windows conventions for accessing menus, using the mouse, and for window and dialog box design. There are a number of keyboard and mouse shortcuts that will increase your efficiency using Clampfit software.

Mouse Shortcuts

Special mouse control features in Clampfit software standard windows provide convenient ways to accomplish many tasks, such as scaling the display and manipulating cursors. Right-click popup menus are also available in many places.

Hotkeys

Where a command or menu name has a letter underlined, pressing the key for that letter activates (or deactivates) the command, or opens the menu.

Depending on your operating system, you may need to click Alt to make hotkeys visible, or press both Alt and the appropriate key at the same time.

Some menus have duplications in the hotkeys. In this case, pressing the hotkey will toggle through the commands in order, and you must press Enter to activate the command you want when it is highlighted.

Shortcut Keys Available by Window

This is a table of shortcut key combinations available when each window is active. Where a ● appears, the combination is available.

Shortcut | Command | Analysis | Results | Lab Book | DFI | Graph | Layout
F1 | Help Topics | • | • | • | • | • | —
F1* | Context-sensitive Help | • | • | • | • | • | —
F10 or Alt | Toggle the menu | • | • | • | • | • | —
File Menu
Ctrl+O | Open Data | • | • | • | • | • | •
Ctrl+W | Close | • | — | — | • | • | —
Ctrl+S | Save | — | • | • | • | • | •
Shift+F8 | Previous Data File | • | — | — | — | — | —
F8 | Next Data File | • | — | — | — | — | —
Alt+Enter | Properties | • | • | • | • | • | —
Ctrl+P | Print | • | • | • | — | • | •
Alt+F4 | Exit | • | • | • | • | • | •
Edit Menu
Ctrl+Z | Undo | — | — | • | • | — | •
Ctrl+Z | Redo | — | — | — | — | — | •
Ctrl+X | Cut | — | • | • | • | — | •
Ctrl+C | Copy | • | • | • | • | • | •
Ctrl+V | Paste | — | • | • | • | — | •
Del** | Clear, Delete | align="center">• | • | • | • | — | •
Ctrl+D | Delete (row) | — | • | — | — | — | —
Ctrl+A | Select All | — | • | • | • | — | •
Ctrl+F | Find | — | • | • | • | — | —
F3 | Find Next | — | • | • | — | — | —
Ctrl+H | Replace | — | • | • | — | — | —
View Menu
Ctrl+Drag*** | Zoom Area | • | — | — | — | • | —
< **** | Previous Sweep | • | — | — | — | — | —
> **** | Next Sweep | • | — | — | — | — | —
Enter | Toggle Sweep List | • | — | — | — | — | —
1 | Cursor 1 active | • | — | — | — | — | —
2 | Cursor 2 active | • | — | — | — | — | —
3 | Cursor 3 active | • | — | — | — | — | —
4 | Cursor 4 active | • | — | — | — | — | —
0 | Toggle cursors | • | — | — | — | — | —
F5 | Refresh | • | — | — | — | — | —
PgUp/PgDn | Pan (Y axis) | • | — | — | — | — | —
Shift+PgUp/PgDn | Change active signal | • | — | — | — | — | —
Tools Menu
Ctrl+L | Comment to Lab Book | • | • | • | • | • | —
Shift+F9 | Write Cursors | • | — | — | — | — | —
F9 | Append Cursors | • | — | — | — | — | —
Shift+click***** | Bring Cursors | • | — | — | — | — | —
Window Menu
Ctrl+Shift+F6 | Previous Window | • | • | • | • | • | —
Ctrl+F6 | Next Window | • | • | • | • | • | —
Extras
Enter | Open Data File | — | — | — | • | — | —
Arrow Keys | Navigate Cells | — | • | — | — | — | —
Arrow Keys | Move Cursor (by pixel) | • | — | — | — | — | —
Ctrl+arrow | Move Cursor (by sample) | • | — | — | — | — | —
Shift+arrow | Move Cursor (big jump) | • | — | — | — | — | —
Navigation keys in dialog boxes
Tab | Go To Next Field |
Space Bar | Toggle (check box only)
Enter | Accept Changes (pressing OK button)
Esc | Cancel

* When a menu item is highlighted.

** In the Analysis window, <Del> hides the active sweep when viewing in Sweeps display mode.

*** Hold down primary mouse button and drag the zoom area in the pane with mouse.

**** The "<" and ">" keys actually refer to the comma (,) and period (.) keys on foreign keyboards. The Shift key is ignored when activating Previous and Next Sweep.

***** Click with primary mouse button, with mouse cursor over the pane.


"How to ..." Guides

This section contains step-by-step instructions for a number of new features in recent versions of Clampfit software (9 or later).

  • How to Create a Template for Event Detection
  • How to Configure a Template Search
  • How to Configure a Threshold Search
  • How to Configure a Single-Channel Search
  • How to Perform Event Detection
  • How to Create a Segmented Average Trace
  • How to Perform V-M Analysis
  • How to Create an All-Points Histogram


How to Perform Event Detection

You are here: How to Guides > How to Use Event Detection

How to Use Event Detection

To use Event Detection:

  1. You must first configure your search. If you have not done this, do one of the following:

    • How to Configure a Template Search
    • How to Configure a Threshold Search
    • How to Configure a Single-channel Search
    • How to Configure an Action Potential Search
    • How to Configure a Population Spike Search

  2. On completion of search configuration, click OK in the configuration panel to immediately start event detection.

    The first event is found, indicated by a dashed colored section of the detection line, running across the top of the Analysis window pane for Threshold and Template searches, or a line along the trace for Single-channel.

  3. If needed, scale the Analysis window to get a good view of the event.
  4. (Optional) To help assess each event before including it in your data set, open Event Detection > Event Monitor [image].
  5. (Optional) To view accepted events isolated from the file, open Event Detection > Event Viewer [image].
  6. (Optional) To create graphs of events data, to be automatically updated as new events are found, open Event Detection > Define Graphs [image].
  7. Assess the found event for inclusion into your data or not. This can be done by eye, or select the Event Monitor for key statistics of the current event and comparisons with previously accepted events.

  8. Do one of the following:

    • To accept the event into your data set, click Accept [image]. The dashed event-indicator line is replaced by a solid one and the next event found.
    • To reject the event, click Reject [image]. The next event is found.
    • To register the event as having occurred, but not include any of its features beyond time of occurrence into your statistics, click Suppress [image]. The dashed event-indicator line is replaced by a solid, but grayed line, and the next event found.

    • To accept the event and mark it for easy relocation, click Accept and Tag [image]. The dashed event-indicator line is replaced by a solid one and "AT" is inserted in the Tag column in the Results window Events sheet. The next event is found.

      If the next event found satisfies a different search category, this is shown by its dashed indicator line being of a different color.

      If you scroll away from the current event so that it is no longer in view, relocate it by clicking Go to Current Event [image].

  9. In addition, there are two automatic acceptance options:

    • To accept a current event, and all the remaining events found in that same search category, click Accept Entire Category [image].

    • To accept the current event and all remaining events found in all the search categories, click Nonstop [image].

      When either of these options is selected, the Stop button [image] is enabled to stop automatic acceptance.

      You might need to click the Find Event button [image] to continue the search after stopping Nonstop.

  10. When event detection is finished for the current search region, you can search another section of the trace, for example, if you have restricted your search to an intercursor region or an epoch region.

    • Intercursor region: Shift the cursors in the Analysis window to bound the new search region, and click Restart. You are asked whether you want to retain data already gathered. Respond to this, then proceed as before (from step 6).
    • Epoch region: Open the search configuration panel if necessary, with Search Parameters [image]. Change the selection in the Search Region group. Click OK or Apply to enable the change, and continue searching as before.


How to Create a Template

You are here: How to Guides > How to Create a Template

How to Create a Template for Event Detection

Events can be found in data traces by searching the trace for matches with a template of a typical event. This topic provides step-by-step instructions in the creation of these templates.

Related Links:
  • Create Template, for command-specific help on the Create Template panel
  • How to Configure a Template Search
  • Event Detection Overview

How to create a template:

  1. Open the data file you want to create the template from.
  2. Open Event Detection > Create Template.
  3. Adjust the screen layout so you can see both the Create Template panel and the active Analysis window. Scale the window so that events can be identified.
  4. Move cursors 1 and 2 in the Analysis window to define the boundaries of your template. The Source window of the Create Template panel shows the selection.

    If possible, include a small amount of baseline before and after the event to make event detection run more smoothly when you use the template later.

    When you run the template search, you can define the event length to be less than the template length.

  5. When you finish with the selection, click Add. This adds the selected event to the Template window and locks the cursors so that subsequently found events are the same length.

    If Find next after add is selected, the cursors automatically shift to the next likely event in the file.

  6. If you do not want to include the new event in the template, click Next to find the next possible event.

    Automatically found events are positioned in the Source window so that the halfway point, between the baseline and peak, of the rising edge of the trace aligns with the corresponding point in the Template window.

  7. If an event is moved in the Source window, or you found it manually, click Align. Use the "<" and ">" nudge buttons for fine alignment adjustments as needed.

  8. When you have found and aligned a further event, click Add again. The new event is averaged with the current trace in the Template window.

  9. Continue Adding events in the Template window until you get the shape of the trace you need. Each new event is averaged with the already-accepted events that are weighted according to how many events have already been added.

    Use Undo as many times as needed to reverse Add operations.

    Use Clear to clear the Template window and start again.

  10. Click Save As to save the averaged trace as an ATF file.


How to Configure a Template Search

You must create a template for the file you want to search before a template search can be run. See How to Create a Template.

How to configure a template search:

  1. Open the data file you want to search for events. It opens into an Analysis window.

    Data files are generally *.abf files, but may also be *.atf or *.dat files (see File Types).

  2. Scale the window, if necessary, to maximize the signal along the Y axis (use View > Auto Scale > Active Y Axis).
  3. Open the Template Search dockable panel (Event Detection > Template Search).

    The Event Detection toolbar opens in the Analysis window as well.

  4. Click the Reset All button in the search panel to clear all prior settings.
  5. With the spinner set at "1", check the Category check box to enable the panel for configuration.
  6. Select "Positive-going" if searching for upward-pointing events, or "Negative-going" for downward-pointing events.
  7. Click the Template button. This opens a standard File Dialog and should default to the Templates directory where your templates are saved. If not, navigate to the directory containing these.
  8. Select the template you wish to use, and click Open.

    The template is displayed in the template window with two vertical "analysis region" cursors and one horizontal baseline marker.

  9. Drag the analysis region cursors to define event boundaries. The data trace will be searched for matches with the whole template, but event statistics are taken from the region within these boundaries.

    If at any point you scale the template window so that the analysis region cursors are no longer visible, bring them into view with the Bring marker button.

  10. In the Set Baseline group, choose whether you want to set the baseline relative to the template (in the template window), or have an absolute baseline, set in the Analysis window.

    11. If you choose the latter option, a horizontal baseline marker (labeled "0") is displayed in the Analysis window (if you should scale the window to take this out of view, click Bring in analysis window).

  11. Drag the baseline marker in either the template or Analysis window to the desired baseline level, or enter a numeric value in the appropriate field in the search panel.
  12. This completes all the parameters you are required to set in the Template Definition group—the remaining fields are disabled or at default values, meaning you only need to select your search region (step 17) before you can start the search.

    Further configuration options are available. Quick descriptions of these are given in Optional settings below, with links to fuller descriptions in the Event Detection > Template Search topic.

    Closed Optional settings

    • Set a Template match threshold value. A higher value has the search find matches closer to the template. The default value, 4, generally provides reliable detection with few false positives.
    • Deselect Variable amplitude template near the top of the dialog if you want to find events of similar amplitude to the template.
    • Fit smoothing curves to the events. Event statistics will be derived from these.
    • Select the portion of rising and falling traces from which rise and fall time-constants are calculated (Calculate taus ...).
  13. In the Search Region group at the bottom of the panel, check if the signals and sweeps currently selected for the search are correct. If not, click the Select button and make your selection.
  14. In the Search Region list box, select the portion of the selected traces you want to search:
    • the whole trace
    • a cursor-defined region,
    • an epoch region (if the file was recorded under a stimulus waveform)
  15. If you chose a cursor-defined region, drag the cursors into position in the file.
  16. You are now ready to run the search.

    You can, if you want, configure a second search category (or more, up to 9) to run concurrently with the first. Return to the Category spinner at the top of the panel, select "2", and select the check box. Configure the search as before (from step 6).

  17. Click OK, to close the search panel and immediately start the search
  18. If you searched an intercursor region, you can perform the same search on a different section of the trace once the search on the first region has finished. Relocate the cursors to the new part of the trace and click Restart in the Event Detection toolbar.


How to Configure a Threshold Search

Data files can be searched for events by looking for amplitude threshold crossings. The following procedure gives step-by-step instructions for configuring such a search.

Related links:
  • Event Detection Overview
  • Threshold Search, for command-specific help on the Threshold Search panel

How to configure a threshold search:

  1. Open the data file you want to search for events. It opens into an Analysis window.

    Data files are generally *.abf files, but may also be *.atf or *.dat files (see File Types).

  2. Scale the window, if necessary, to maximize the signal along the Y axis (use View > Auto Scale > Active Y Axis). This will shortly help in setting thresholds.
  3. Open the Threshold Search dockable panel (Event Detection > Threshold Search).

    The Event Detection toolbar opens in the Analysis window as well.

  4. Click the Reset All button in the search panel to clear all prior settings.
  5. With the spinner set at "1", check the Category check box to enable the panel for configuration.
  6. Select Positive-going if searching for upward-pointing events, or Negative-going for downward-pointing events.
  7. Click the Bring Markers button.

    Two horizontal markers are displayed in the Analysis window: the Baseline marker (labeled "0"), and the Trigger marker (labeled "2").

  8. Drag the Baseline marker (0) to a suitable baseline level. The Trigger marker shifts too.

    Alternatively, set a numerical baseline value in the Baseline field in the search panel.

  9. Drag the Trigger marker (2) to the amplitude the trace must cross to trigger the start of an event (and, if no Re-arm is set, the recrossing of which ends the event).

    Alternatively, set a numerical trigger value, relative to the Baseline, in the Trigger field. This must be a negative value if you are looking for negative-going events, otherwise a positive value.

  10. If you want to accept the default settings for Calculate taus from [ ] % of peak (near the bottom of the panel) this completes all the settings you must make in the Category section of the panel. You only need to define your Search Region before running the search.

    Further configuration options are available. Quick descriptions of these are given in Optional settings below, with links to fuller descriptions in the Event Detection > Threshold Search topic.

    Closed Optional settings

    • Select Re-arm in the panel and drag marker 1 in the Analysis window to a point between the Trigger and Baseline markers. The trace must now cross this threshold, rather than recrossing the Trigger threshold, to end an event. As before, you can set a baseline-relative numeric value in the panel.
    • Select Rejection in the panel and drag marker 3 to a point beyond the Trigger threshold. If the trace crosses this the Trigger-crossing is discounted and no event is found. Again, a baseline-relative numeric value can be entered in the panel.
    • Select Noise rejection and enter a value in milliseconds in the field. A setting here mitigates the effects of signal noise, stopping very brief threshold crossings from starting and stopping events.
    • Extend event boundaries a fixed length beyond the threshold crossing points, with the Pretrigger and post-trigger length fields.
    • Configure the search to find only events with durations within a specified range with the Event Rejection group.
    • Fit smoothing curves to the events. Event statistics will be derived from these.
    • Select the portion of rising and falling traces from which rise and fall time-constants are calculated (Calculate taus ...).
  11. In the Search Region group at the bottom of the panel, check if the signals and sweeps currently selected for the search are correct. If not, click the Select button and make your selection.
  12. In the Search Region list box, select how much of the selected traces you want to search:
    • the whole trace
    • a cursor-defined region,
    • an epoch region (if the file was recorded under a stimulus waveform)
  13. If you chose a cursor-defined region, drag the cursors to the desired positions in the file.
  14. You are now ready to run the search.

    You can, if you want, configure a second search category (or more, up to 9) to run concurrently with the first. Return to the Category spinner at the top of the panel, select "2", and select the check box. Configure the search as before (from step 6).

  15. Click OK or Apply, which enables the search settings and starts the search. OK closes the configuration panel while Apply leaves it open.
  16. To run the search, see How to Use Event Detection.
  17. If you searched an intercursor region, you can perform the same search on a different section of the trace once the search on the first region has finished. Relocate the cursors to the new part of the trace and click Restart in the Event Detection toolbar.


How to Configure a Single-Channel Search

In a single-channel search the data trace is divided into contiguous sections, each associated with different amplitude "level" corresponding to a specific number of channels open in the patch. This Help topic gives step-by-step instructions for configuring a single-channel search.

Related links:
  • Event Detection Overview
  • Single-channel Search, for command-specific help on the single-channel search configuration panel.

How to configure a single-channel search:

  1. Open the data file you want to search for events. It opens into an Analysis window.

    Data files are generally *.abf files, but may also be *.atf or *.dat files (see File Types).

  2. Scale the window, if necessary, to maximize the signal along the Y axis (use View > Auto Scale > Active Y Axis). This will shortly help in setting levels.
  3. Open the Single-channel Search dockable panel (Event Detection > Single-channel Search).

    The Event Detection toolbar opens in the Analysis window as well.

  4. Click the Reset All button in the search panel to clear all prior settings.
  5. There is one horizontal level-marker in the Analysis window, labeled "0". Drag this to the baseline of the trace. If there is drift in the trace, position the marker so it is well-positioned at the start of the trace and use the Update levels automatically option below.

    The marker amplitude is reported in the search panel, in the topmost field. You can set the amplitude from this field if you wish, typing in a specific value.

  6. Click the Make button.

    A second level-marker, "1" is placed into the Analysis window, it's amplitude reported in the "Level 1" field above the button.

  7. Position the level 1 marker at the first "step" in the file, away from the baseline. That is, if the baseline represents a state where no channels are open (current close to zero), place the marker at the amplitude that appears to show current flow for one open channel.

    If the level 1 marker is close to the level 0 marker and you have difficulty "grabbing" it with the mouse, press <B> on the keyboard to select the level 1 marker. It can now be dragged, or you can use the up or down arrow keys.

    Alternatively, enter an amplitude for level one in the field in the search panel. This value is relative to the level 0 setting.

  8. Click the Make button again.

    9. A further level-marker is introduced, and the field above the button now shows the relative amplitude for this level.

    The level 2 marker is positioned at double the level 1 relative amplitude. Adjust this setting as necessary to make the marker lie along the second step in the file, or enter a value in the field.

  9. Repeat step 8 until you have sufficient levels defined for the steps in the file.
  10. If you add a level in error you can remove it with the Remove button, and if you rescale the Y axis and lose markers from view, the Bring button returns them all to the current window (though you will need to reposition them all).

    This completes the settings you need to make to run a search. Further optional settings are detailed in the drop-down section below.

    Closed Optional Settings

    • If your signal has drift, you may want to update the levels as the search progresses. If so, check Update levels automatically.
    • Select Ignore short level changes and enter a time value if you do not want rapid changes in level (less than the duration you enter) registered in the search.
    • Select Latency Analysis if you later want to perform this on the search results data, with Analyze > Event Analysis > Latency.

    To perform latency analysis you need to set an appropriate search region. See instructions at Latency Analysis.

  11. In the Search Region group at the bottom of the panel, check if the signals and sweeps currently selected for the search are correct. If not, press the Select button and make your selection.
  12. In the Search Region list box, select how much of the selected traces you want to search:
    • the whole trace
    • a cursor-defined region
    • an epoch region (if the file was recorded under a stimulus waveform)
  13. If you chose a cursor-defined region, drag the cursors to the desired positions in the file.
  14. You are now ready to run the search. Click OK or Apply.

    Both buttons confirm the search settings and start the search. OK closes the configuration panel while Apply leaves it open.

  15. To run the search, see How to Perform Event Detection.
  16. After you have completed a search you can, within the same session, change search parameters and search the same region again under the new configuration, or search a new region within the file with the same or different parameters. Reconfigure the new search and then click Restart in the Event Detection toolbar. You are given the option to discard previous results or not. New events are recorded under a new sector number.


How to Configure a Population Spike Search

Data files can be searched for population spike events. The following procedure gives step‑by‑step instructions for configuring such a search.

Related links:
  • Event Detection Overview
  • Population Spike Search, for command-specific help on the Population Spike Search panel

How to configure a population spike search:

  1. Open the data file you want to analyze. It opens into an Analysis window.

    Data files are generally *.abf files, but might also be *.atf or *.dat files (see File Types).

  2. Open the Population Spike Search dockable panel (Event Detection > Action Potential Search).

    Note: The Event Detection toolbar opens in the Analysis window as well.

  3. Start in the in the Event Finding tab.
  4. In the Event Polarity section, you must specify the polarity of the population spike. The correct setting of the polarity is critical to the search. Typically, population spike analysis uses Negative-going polarity.
  5. Set the Search Vector Length in number of samples of positive-going and negative-going slope vectors. In conjunction with data point amplitudes and point-to-point slopes, these vectors are used to examine the contours and minima/maxima of the signal. If these vectors are too long, they inaccurately reflect the local curvature. If they are too short, then the influence of noise becomes significant.
  6. In the Level Markers section, click Bring Markers to show the horizontal level markers if they are not in view.

  7. To set the search region, you must set the Upper bound (U), Baseline (B), and Lower bound (L) horizontal level markers. If needed select and set the Event Trigger (T) level. Only those events whose positive or negative peak crosses the trigger level will be accepted.

    Note: The baseline is not used for event measurements but its position is used when estimating a baseline noise level, so it should be accurately set.

  8. In the Marker Value Display Mode section, values can be set to display either as Absolute values or Values relative to baseline. This setting does not affect the event detection.

    • Relative to baseline—has no affect on the detection routine. When selected, displays the absolute values as they appear on the vertical axis of the data window.
    • Absolute—has no affect on the detection routine. When selected, displays the values in the upper, lower and trigger level fields as the distance of excursion from the baseline.
  9. Set the Search Width c1-c2.

  10. If needed, select Ignore Regions, set the region using cursors 3 and 4, and then to assign the Ignore Region, click +.

    Tip: In Population Spike Analysis, there is often an initial short, low amplitude event that represents the activation of presynaptic fibers. This event is not of interest, so enclose it in a region that is ignored.

    If needed:

    • To add an additional Ignore Region, increment the region numbers and set cursors 3 and 4 positions before clicking +.

      Tip: There is no limit to the number of Ignore Regions that can be assigned.

    • To remove an Ignore Region, select the region number, and then click -.
    • To clear all ignored regions, click Remove All.
  11. If needed, set Noise Rejection. This specifies the minimum amplitude and duration for accepting an event metric. For example, an excursion of less than the noise rejection settings will be ignored during the search for a maximum value (peak) of an event. See Noise Rejection.
  12. Set the Minimum event amplitude. Events with amplitudes below this value will be rejected.
  13. Set the Minimum event duration. Events with durations below this value will be rejected.
  14. For Sweep display, select either All or Visible.
  15. Click the Measurements tab.
  16. Select the measurements and if needed, set the values, for displaying at the end of the search in the Results window.

  17. To start the search:

    1. Click Select.
    2. In the Select Traces dialog, make your selections as needed.
    3. Click OK.

    4. When the search finishes, you, you must click either Accept, Reject, or Enable Editing for each of the detected events.

      Tip: You cannot make edits after you finish your search. See Editing in Population Spike Search.

    18. The Event Viewer displays the entire set of accepted traces, which can be saved to a separate file. See Event Viewer.

    When the analysis completes and the events are accepted, the results display in the Results window.


How to Configure an Action Potential Search

Data files can be searched for action potential events. The following procedure gives step‑by‑step instructions for configuring such a search.

Related links:
  • Event Detection Overview
  • Action Potential Search, for command-specific help on the Action Potential panel

How to configure an action potential search:

  1. Open the data file you want to analyze. It opens into an Analysis window.

    Data files are generally *.abf files, but might also be *.dat files (see File Types).

  2. Open the Action Potential Search dockable panel (Event Detection > Action Potential Search).

    Note: The Event Detection toolbar opens in the Analysis window as well.

  3. In the Level Markers section, click Bring Markers to show the horizontal level markers.

    Two horizontal markers appear in the Analysis window. The Baseline marker is labeled B and the Trigger marker is labeled T.

  4. Set the Baseline by either of the following methods:

    Note: All measurements are made relative to this setting.

    • Drag the Baseline Identifier (B) to a suitable baseline level.
    • Set a numerical baseline value in the Baseline field in the search panel.

  5. Set the Trigger by either of the following methods:

    • Drag the Identifier (T) to a suitable level.
    • Set a numerical trigger value, relative to the Baseline, in the To trigger field.
  6. Set the trigger level. This is used to detect an event. The signal must cross the trigger potential in both directions in order to be accepted as an event.
  7. If needed, set the Re-arm level (Identifier (A)), which signals the end of one event and a resumption of the search for the next event. The information between time of the re-arm level and the time of the next detected event will be ignored.

  8. If needed, set the Reject level (Identifier (R)), which specifies the maximum level for an event to be accepted. If the signal crosses the reject level, the event search begins again. Any events that have an amplitude above the rejection level are excluded.

    Tip: The Re-arm and Reject markers appear only when their corresponding check box is selected.

  9. In the Marker Value Display Mode section, values can be set to display either as Absolute values or Values relative to baseline. This setting does not affect the event detection.

    • Relative to baseline—has no affect on the detection routine. When selected, displays the absolute values as they appear on the vertical axis of the data window.
    • Absolute—has no affect on the detection routine. When selected, displays the values in the upper, lower and trigger level fields as the distance of excursion from the baseline.

  10. If needed, set Pre-trigger duration and Post-trigger duration, which determine the range of data to be analyzed before and after an event is detected by trigger level crossing. Only data within these time spans and within the threshold limits will be used.

    Tip: Pre-trigger duration and Post-trigger duration settings are used only when their corresponding check box is selected.

    When these options are not used, the event analysis range will be determined by baseline crossings, either in one or both directions, and/or subsequent trigger level crossings, such that an event end is signaled by the detection of a subsequent event.

  11. If needed, set Noise Rejection, which specifies the Minimum amplitude and Minimum duration for accepting an event measurement. An excursion of less than the noise rejection settings will be ignored during the search for a maximum value (peak) of an event.

    Tip: The Minimum amplitude and Minimum duration settings are used only when their corresponding check box is selected.

  12. In the Measurements section, select which measurements of the action potential you want to appear in the Results window.

    Tip: An approximation of the position of the Threshold potential is found by finding the intersection of the rising phase of the action potential and the slope leading up to its initiation. A three-point tangent slope vector is used to find the position in the initial region where the slope is at or above 10 mV/ms.

  13. In the Search Region at the bottom of the panel, in the drop-down list, select how much of the selected traces you want to search:

    • the full trace
    • a cursor-defined region,
    • an epoch region (if the file was recorded under a stimulus waveform)

      • Tip: Events outside the specified search region are ignored.

  14. Check if the signals and sweeps currently selected for the search are correct. If not, click the Select button and make your selection.

  15. When you are ready to run your search, click OK, which enables your search settings, starts the search, closes the configuration panel, and opens the Event Viewer window.

    The peak position and duration marker is positioned above the detected event, and the slope markers are positioned. These event markers display as dotted lines.

  16. Review the dotted line event markers and as appropriate, click the Accept or Reject toolbar button.

    Accepted event markers change to solid blue lines, the accepted event displays in the Event Viewer, and the next event is detected and marked. The slope markers display as thicker darker blue lines.

    Tip: Clicking the Nonstop toolbar button detects and accept all subsequent events until the end of the search region is reached.

The Measurements that were originally selected in the control panel automatically display in the Results window.

Also see How to Use Event Detection.


How to Create a Segmented Average Trace

The Segmented Average dialog enables you to select sections of different traces within data files and combine these to create an average sweep. This trace can then be saved as an ABF file.

This topic provides step-by-step instructions for new users. For command-specific help for the Segmented Average dialog, see Analyze > Segmented Average.

To create a basic segmented average trace:

  1. Open the file from which you want to create an averaged trace.
  2. Select Analyze > Segmented Average. The dialog opens with the first trace of the active signal displayed in the upper, Source window.
  3. Ensure you have the signal and trace you want using the Signal and Trace spinners.
  4. Move the cursors to bound a region of the trace you want to include in the averaged trace.
  5. Click Add. The selected section of trace is added to the averaged trace in the lower window, and the cursors shift to the right.
  6. Realign the cursors to the next section of trace you want to include, or click Skip to shift the cursors to the right again. Click Add again when the cursors are correctly placed.
  7. Continue shifting the cursors, Add and Skip as needed to the end of the trace until the next trace displays. Alternatively, click Add To End to add all of the trace from the left-most cursor to the end or, if finished with a trace, click Next Trace.
  8. Repeat steps 4 through 7 until satisfied with the averaged file in the lower window.
  9. Save the file with Save As.
Using the Region Lock

To create a segmented average trace using the region lock:

  1. Open the file from which you want to create an averaged trace.
  2. Select Analyze > Segmented Average. The dialog opens with the first trace of the active signal displayed in the upper, Source window.
  3. Ensure you have the signal and trace you want using the Signal and Trace spinners.
  4. For a particular section common to every sweep that you want to consider for addition to the averaged trace, select Region Lock.
  5. From the Region Lock list, select how you want to delimit the region, either "Cursors 1..2", or if the source file was recorded in episodic stimulation mode with a stimulus waveform, select one of the Holding or Epoch options available.
  6. If you have selected "Cursors 1..2", align the cursors to bound the region of interest then click Set Position. The cursors return to these sample points within the sweep whenever a new trace is displayed.
  7. If you have selected a Holding period or Epoch, no further configuration is required. The cursors move to bound the chosen section of the trace each time a new trace is displayed, even if this differs in terms of sample range.
  8. Continue using the previous basic procedure from steps 4 through 9.


How to Add Analysis Cursor Pairs

You can add up to 25 sets of cursors when analyzing an acquired data file.

To add analysis cursors:

  1. Open the data file you acquired.
  2. Specify cursors 1, 2, 3, and 4.
  3. Select View > Windows Properties.
  4. In the Cursor Options > Number of cursor pairs field, specify the amount you need up to 25 pairs maximum.


V-M Analysis

Analysis Window: Analyze > V–M Analysis

Variance-mean analysis is used to identify the site of action of agents that modulate synaptic activity. A presynaptic or postsynaptic site can be inferred by examining the variance-mean plot of postsynaptic currents that were recorded at different release probabilities. See in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide , for further information and references.

The V-M Analysis option starts a "wizard" that guides you through the process of collecting data and optionally correcting for noise variance and rundown. On completion, Clampfit software generates a plot of variance against mean for the different data sets incorporated in the analysis, to which you can optionally fit a linear or parabolic function. Results are also written to the V-M Analysis sheet in the Results window, and Lab Book.

Each data sample is acquired at a different transmitter release probability. For each of the samples at least 20 postsynaptic events are required for statistically meaningful results. Episodic waveform stimulus files must be used. Data can be collected from different files and from different traces within the same file, but each file should contain at least 20 traces (one each for the 20 required events per "sample"). A minimum of three samples acquired at different release probabilities are needed to complete the analysis.

V-M analysis computes the mean and variance of a narrow "peak" region that is delineated with the cursor 1..2 pair, relative to the mean and variance of a baseline region that is delimited by the cursor 3..4 pair. Amplitudes are determined for each trace by computing the mean value within the peak cursor region and subtracting the mean amplitude of the baseline region. The mean peak amplitude and variances are computed and the variance of the baseline amplitude is subtracted from the variance of the peak amplitude. Optionally, the baseline noise variance can be computed and subtracted from the peak amplitude variance. Correction for rundown can also be optionally applied.

Because V-M Analysis is a "wizard", Help takes a "How to ..." format, following the steps of the wizard.

The wizard has two recurring steps:

  1. Select a file and set cursor regions for data collection.
  2. Optionally, correct the data collected in the previous step for noise variance and/or rundown.

This is repeated for as many "samples" (data sets) as required. Additionally, you can step back at any point and change the results of the previous step, but you cannot change steps before this.

To run V–M Analysis:

  1. Open an episodic stimulation file that contains the data you want to analyze. For meaningful results the file should have 20 or more sweeps.

    If you are going to use more than one file you can open all the files first and select them as needed, or open them as you need them. If you take the second option, the new files open with the cursors in the same positions as used in the previous file.

  2. Select Analyze > V-M Analysis.

    The wizard opens in the bottom right corner of your screen. You can reposition the dialog as needed. "Sample 0" displays below the Help button indicating that you have not yet accepted any data.

  3. In the data file, hide sweeps not needed in the analysis with View > Select Sweeps.

    The analysis is carried out on visible sweeps only. You should have at least 20 sweeps visible for a statistically meaningful measurement.

  4. Position cursors 1..2 to span the response peaks in all traces.
  5. If the peaks are poorly aligned you can use Align Peaks in Analyze > Time Shift to correct this, allowing you to delineate a narrower peak region.
  6. Position cursors 3..4 over a short segment of the baseline region, before the stimulus artifact.
  7. In the wizard, select a destination option, to either append to or replace any data already on the Results window V-M Analysis sheet, and in any existing V-M Analysis graph.
  8. Click Accept.

    Mean and variance within the peak and baseline regions of each trace are computed, and the second correction step of the wizard opens, with correction options.

    The dialog now shows "Sample 1" in the bottom right-hand corner, indicating you have identified the first set of peak data.

    In the data file, Clampfit software automatically locks and moves the cursor pairs to the beginning of the sweeps, in anticipation that you will apply noise variance correction.

  9. In the correction step of the wizard, for Skip noise correction:

    • For noise correction—leave the check box unselected.

      If you are correcting for noise variance, both cursor pairs should be positioned over a region of the baseline before the stimulus artifact. Clampfit software automatically repositions the cursors to assist in this positioning. You can reposition the cursors but you should not alter the cursor spans as noise variance should be measured over the same sample size as the peak and baseline measurements.

      Noise correction is performed by subtracting the variance of the baseline noise from the peak variance. As a general rule you should correct for the noise variance.

    • For no noise correction—select the check box.

  10. Still in the correction dialog, if the synaptic responses show a progressive reduction in amplitude that is not due to any treatment or drug application, for rundown, select Correct.

    CAUTION! Only use this function as a last resort. Correcting for rundown necessarily alters the data, subtracting a linear regression line from the time‑displaced peak amplitude values.

    Progressive reduction in amplitude that is not due to any treatment or drug application is most easily observed by setting the display mode to Continuous Display .

    Be sure to restore the display to Sweeps Display before you continue with the analysis.

  11. Click Apply.

    The mean amplitude in the peak region (cursors 1..2) for each sweep, optionally corrected for rundown and/or noise variance, is written to the V-M Analysis sheet of the Results window (Amp, column O), alongside the midpoint of the time range defined by the cursors, for each sweep (Time, column N). The columns are identified by Sn-m where n is the analysis session number and m is the sample number. The session number is incremented whenever data from a new V-M analysis are appended to the sheet.

    The wizard reverts to its data collecting mode, less the Destination Option section, still showing "Sample 1" in the bottom right-hand corner. The first sample is collected and corrected, and the wizard awaits settings for a new sample.

  12. To analyze a new sample, either select different traces from the current file or select or open a new file and define a peak region there.

  13. Click Accept. Repeat the process of collecting and correcting data for as many samples as you want, as described in the steps above.

    • When you have enough samples (at least three), go to step 15.
    • If you make an error in your settings at any point, you can go back just one step to alter these. See step 14.
  14. A just-completed action, either collecting data or correcting them, can be returned to and revised. To do this, click Back to open a slightly modified dialog of the type used for the just-completed action. You can then change cursor settings or options in the wizard:
    • If you have reverted back to a data collection dialog, you can reposition cursors for peak and baseline, then click Replace, to replace data from the previous Accept with data using the new settings, for the sample reported in the bottom right-hand corner of the dialog.
    • If you have reverted back to a noise correction dialog, you can reposition cursors or change check box options, then click Reapply, to replace data from the previous Apply with data using the new settings (for the sample reported in the bottom right-hand corner of the dialog).

    If, having clicked Back to open one of the modified review dialogs you decide the previous settings were correct, click Back in the new dialog to return to the step you were at before opening the review dialog, without changing anything.

  15. When you have all the samples for your analysis, click Finish, which is enabled after you have the minimum required three samples.

    The final fitting dialog opens.

  16. Select from parabolic or straight line fitting, or no fit at all.

    You can still go back at this point and collect further samples.

  17. Click OK.

    A variance-mean graph is generated. If you have selected to fit your results, the fit line is always extrapolated to pass through the origin, variance and mean both equal to zero. Final variance and mean values are reported on the Results window V-M Analysis sheet, in ascending order of mean values, along with fitting data and peak-region means, as described in step 11. The wizard closes.


How to Create an All-Points Histogram

pCLAMP 8's Fetchan included All-Points Histogram mode, for generating histograms in which each sample point in a raw data file was binned by amplitude. In pCLAMP 9 and later, all-point histograms are created from the Analyze > Histogram dialog, which can be configured to generate many other sorts of histogram as well.

This topic gives instructions for creating an all-points histogram using the Histogram dialog.

How to create an all-points histogram:

  1. Open the data file for which you want to create the histogram.
  2. Open the Analyze > Histogram dialog.
  3. In the Distribution section, select Conventional.
  4. In the Bins section, set the bin width you want.

    This is the size of amplitude steps (from the data file) you will divide the data into, for each X axis bin in the histogram. It uses the data file's Y axis units (for single-channel data, typically picoamperes). Too small a bin width gives many bins, which may make the histogram difficult to view. Too large a bin width creates few bins, that may hide important information by collapsing two or more distinct amplitude levels into one.

    Tip: You can experiment with different bin widths, but one technique is to zoom in to a "flat" region of the data file and see the noise range. Divide this by five, for example, and set this value as the bin width. In a data file with clear amplitude levels, and no baseline drift, each level will occupy about five bins.

  5. In the Data section, ensure you have the correct signal and traces selected, by default, Active signal and All traces. Change in Select Traces if required.

  6. If you have a multisweep file, to combine data from all the traces in one plot, select Combine multiple trace data in the Data section.

    If this option is not selected, a separate plot in one graph is created for each sweep.

  7. Set Region to process to Full trace.
  8. Keep Data Range at Full.

  9. Click OK.

    The histogram is shown in a Graph window, and the histogram data is appended two columns per plot to the Histograms sheet in the Results window.


General Reference

This section contains topics with general background information relevant to Clampfit software.

  • A/D Multiplexing
  • Clampfit software Quantitative Limits
  • Data File Index
  • Dockable Components
  • Event Detection Overview
  • File Dialog
  • File Types
    • ATF File Format
  • Macros
  • Printing Notes
  • Signal Unit Prefixes


A/D Multiplexing

Digidata 1440 Digitizer

The Digidata 1440 has 16 independent analog-to-digital converters, so that the per channel sampling rate can be maintained as more channels are used. The fastest sampling rate is 250 kHz, and it can be maintained with 16 channels.

Digidata 1550B Digitizer

The Digidata 1550B digitizer is a high‑resolution, low‑noise digitizer plus HumSilencer™Adaptive Noise Cancellation System. It has eight independent analog input channels at up to 500 kHz each, and has eight independent 16‑bit analog outputs for arbitrary waveform generation.

MiniDigi

The Axon MiniDigi does not multiplex. It can sample 2 channels at an interval of 1,000 µs (1 kHz) for each channel.


Clampfit software Quantitative Limits

The following table lists a large range of quantitative limits operational within Clampfit software.

Location | Parameter | Quantity
Analysis window | Max. no. of open windows | No limit
 | Max. no. of signals | 16
 | Max. no. of characters in Select Sweeps user-entered list | 512 (including commas)
 | Max. no. of samples transferred to Results or Graph windows | 1,000,000
Fitting (Analysis, Graph, and Results windows) | Max. no. of points that can be fitted | 110,000
 | Max. no. of function terms | 6
 | Max. power | 6
 | Max. no. of parameters in custom function | 24
 | Max. no. of independent variables in a custom function | 6
 | Max. no. of dependent variables in a custom function | 1
 | Max. no. of points for functions that contain a factorial term | 170
Results window | Max. no. of rows | 1,000,000
 | Max. no. of imported columns | 8,000
 | No. of sheets | 20
 | No. operations that can be undone | 10
 | Max. no. of rows for Create Data | 110,000
Event Detection | Max. no. of search categories (peak-time events) | 9
 | Max. no. of levels (single-channel search) | 8
Graph window | Max. no. of plots | 1,000


Data File Index

A Data File Index (DFI) is a file that lists information about a group of related data files. This is a convenient way to organize all of your data files from a single experiment. DFIs allow you to store sets of experiments in different folders, or on removable media such as writable CD-ROM, yet easily access all of your data by storing the DFI files themselves in a single folder.

See Data File Index in the Interface Overview section for information on the DFI window.

To start off, you may wish to create a folder to store your DFI files. After you have created a DFI, make sure you save it to your designated folder.

When you create a new DFI, the Edit > Add Existing Files dialog box allows you to specify criteria for adding existing data files.

Removable media

That can be accessed like a disk (such as a writable removable hard disk or a CD-ROM)

For a removable hard disk, the DFI can point properly to the data files. However, to store files on a CD-ROM, you must first use other software to write to the writable CD-ROM. In this case, after you have written the complete set of data to the CD-ROM, you can then create (or re-create) a DFI to point properly to the CD-ROM drive and the proper folder. Use File > Archive to enter the label for the removable hard disk or CD-ROM.

Removable media that cannot be accessed like a disk (such as tape backup)

The data needs to be restored to your hard disk in order for you to access it, so a DFI pointing to your local folder would be appropriate. Use File > Archive to enter the label for the backup tape.

When a Data File Index window is active, the following additional menu items are available:

  • File > Open Other > Selected
  • File > Archive
  • Edit > Delete from Index
  • Edit > Delete All from Index
  • Edit > Add Existing Files
  • View > Information Bar
  • Tools > Sort
  • Tools > Verify


Dockable Components

Dockable components are elements of the software interface that can appear as standard dialog boxes in their own window or be attached to the main window frame in a panel.

In Clampfit software, the Toolbars, Create Template, Template Search, Threshold Search , Single-channel Search , Population Spike Search, and Action Potential Search controls are dockable.

To undock a component, position the cursor over an area not occupied by a button or field, and drag the component away from the frame until an outline appears. Release the mouse button and the component appears as a floating window. Dock the window to the frame by dragging it to an edge of the outer frame until the outline changes appearance.

Toolbars can be docked to any of the 4 edges of the main window, while the other dockable components can be docked to the left and right-hand sides only.

Double-clicking on a dockable component also docks or undocks it.


Event Detection Overview

More than just a set of independent search functions, event detection in Clampfit software is a mode of operation incorporating multiple dynamically integrated views of the same data. The following search types are available:

  • Template
  • Threshold
  • Single-channel
  • Population Spike
  • Action Potential

After an event detection session is closed and functional integration stops, there are a range of supplementary analyses designed specifically for events data.

This topic provides an overview of all event detection features and interrelation. Links to related Help topics are gathered in the drop-down section below (new users note especially the "How to..." topics):

Closed Event Detection Help Topics

Each event detection method has a Help topic with command-specific help for the search configuration panel, and related "How to ..." guides for first-time users:

Configuration Panel | How to .. Guide
Template Search | Create a Template Configure a Template Search
Threshold Search | Configure a Threshold Search
Single-Channel Search | Configure a Single-Channel Search
Population Spike Search | How to Configure a Population Spike Search
Action Potential Search | Configure an Action Potential Search

For step-by-step instructions on running an event search: How to Perform Event Detection

To save and then reopen search configurations:

  • Save Search Protocol

  • Open Search Protocol

The Event Detection Toolbar:
Accept | Accept Entire Category
Reject | Stop
Suppress | Go to Current Event
Accept and Tag | Clear All
Undo | Restart
Find Event | Quit Event Detection
Nonstop |
Integrated Event Detection Features:
Event Viewer | Event Monitor
Event Statistics | Define Graphs
Process Selected Events |
Events Data Recorded on Events Sheet in Results Window

  • Template Search Data Recorded in Results Window

  • Threshold Search Data Recorded in Results Window

  • Single-channel Search Data Recorded in Results Window

Event Analysis
Burst Analysis | Fast Graph
Latency | Perievent Analysis
P(open) |

Sections in this overview topic:

  • General

    • Multiple Searches in a Session: Searches and Categories

    • Acquisition Mode and Event Detection

  • Search Configuration

  • Running the Search

    • Starting a Search

    • Event Indicator Lines

    • Event State Classification

    • After Searching a Region

    • Reconfiguring Search Parameters on the Run

  • Integrated Event Detection Features

    • Event Viewer

    • Event Statistics

    • Event Monitor

    • Graphs

  • Interconnectivity of Event Views

    • Selecting Events

  • Closing a Search Session and Saving Graphs and Results

  • Event Analysis

  • Selecting Events for Display and Analysis

General

For all search types you must first open the data file to be searched. Only one file can be searched at a time. Files recorded under any Clampex software-supported acquisition mode can be searched, but see below, Acquisition Mode and Event Detection.

Having opened the file you must open a search configuration panel from the Event Detection menu. Each time you open one of these dockable panels you begin an event detection "session". Each session is restricted to the file selected at the time the panel is opened, but multiple searches can be carried out within a session (see Multiple Searches per Session: Searches and Categories).

At the same time as your chosen search panel opens the Event Detection toolbar is inserted into the Analysis window displaying the file you are to search. Search configuration is carried out in the panel. These settings can be saved as *.spf files (Save Search Protocol) for reuse at a later time (Open Search Protocol).

Click OK in the search panel starts the search, and thereafter the search is controlled using the toolbar buttons, menu options, or keystrokes. You can reconfigure search parameters for new searches within a session.

As events are accepted, statistics for each event are written to the Events sheet of the Results window. Data for any graphs you have configured for the search are also recorded on this sheet. For summaries of the measurements recorded on the Events sheet during event detection, go to the following links, which are in the Help topics for each of the search types:

  • Template Search Data Recorded in Results Window
  • Threshold Search Data Recorded in Results Window
  • Single-channel Search Data Recorded in Results Window
Multiple Searches per Session: Searches and Categories

Within a search session, like each time a search configuration panel is opened, multiple searches can be carried out on the file being searched. New searches within a session are initiated with the Restart button in the Event Detection toolbar. Clampfit software identifies these searches by giving each a different "search" number.

Usually, multiple searches are generated when you search different regions of the file with the same search configuration. The different search numbers then correspond to the different file regions. However, it is possible to search a region a second time with a new set of search parameters, retaining the earlier data, in which case the results of the second search are attributed a new search number.

For Threshold and Template searches you can also configure up to nine "categories". These are different sets of search parameters used at the same time within a single search of the search region you have specified. In the Analysis window, color-coding distinguishes found events from different categories.

Acquisition Mode and Event Detection

Files recorded in all acquisition modes supported by Clampex software—gap-free, variable length, fixed length, high-speed oscilloscope and episodic stimulation—can be searched for events. There are two special cases to note:

  • Fixed-length files: Fixed-length files displayed as sweeps can overlap, if a second triggering event occurred within the acquisition span of the previous event. This means that the one biological event can appear in two or more sweeps. If event detection is performed on such a file (in sweeps display) the one event is found more than once, and counted as a new event each time.

    If event detection is started for a fixed-length file in sweeps display, Clampfit software checks the file and warns you if it finds any overlapping sweeps. In the case that these exist, the problem is easily overcome by displaying the file in continuous or concatenated mode (View > Data Display).

  • Single-channel searches: For single-channel searches only, files recorded in variable-length mode can be searched in concatenated display. Trace regions at baseline at the end of one acquisition and the start of the next are combined as one event. These have durations that include the whole of the intervening period, between the acquisitions.

Search Configuration

For help specific to each of the search configuration dialogs, go to: Template Search, Threshold Search, Single-channel Search, Population Spike Search , Action Potential Search.

For step-by-step instructions aimed at introducing first-time users: How to Create a Template, How to Configure a Template Search, How to Configure a Threshold Search, How to Configure a Single-channel Search, How to Configure an Action Potential Search.

Search Categories

For Template and Threshold (but not Single-channel) searches, you are able to configure up to nine different sets of search parameters to run concurrently, identified by category number. When you select a category, all the settings in the configuration panel, apart from the search region and baseline, are dedicated to just that category (note, for Template searches, if the baseline is set in the template rather than the Analysis window, then each category can have a different baseline).

Event Definition

While the definition of events is the element that differs most between search types, there are still general aspects in common. In each case there is a first, basic level of event detection to be defined, by setting thresholds or limits, or selecting a template. Further settings then refine the application of this. Some serve as filters, for example to help distinguish genuine events from signal noise. Others redefine the event as it emerges from the first level of detection, for example, by extending or reducing its length. Smoothing options fit curves to threshold- and template-found events, and then these, rather than the raw waveforms, are used for event statistics.

Search Region

In each case you need to define a search region—the signals, sweeps, and regions of sweeps (or regions of a continuous trace), within the file, that are to be searched. The Search Region settings group is at the bottom of each of the search configuration panels.

Running the Search

All three searches operate in the same fundamental manner—Clampfit software works through the selected traces looking for sections that meet the search criteria set in the configuration panel. When it finds such a section it stops, marking the candidate event with a dashed line. You have a small range of acceptance and rejection options (explained below, Event State Classification). If you accept the event the dashed line is made solid. In each of the searches you can opt to automatically accept all the events that Clampfit software finds.

Starting a Search

Searches are started by pressing the OK button in the configuration panel (which closes the panel—reopen to view it if you wish with Event Detection > Search Parameters). The first event is found and the search stops, waiting for you to accept or reject it.

Event Indicator Lines

A number of dashed and solid lines are inserted in the Analysis window during a search. The functionality and significance of these differs with the different search types:

Template Search

  • A horizontal "event indicator" line runs across the top of the Analysis window in the designated search region. Colored, dashed, bent sections of this indicate where a template match has been found. The line's upward or downward angle represents the found event's peak being positive- or negative-going, and the point at which it bends corresponds to the time of the event peak. The line section's length is the full length of the template, which may differ from the length of the event itself (matches are made to the whole template, even when the event has been defined as shorter than this).

  • Event start and end times are displayed on a separate baseline-indicating line. If the baseline was set in the Analysis window then dashes on a continuous baseline marker (labeled "0") indicate these points. If the baseline was set in the template, then each event has its own baseline marker, the vertical position of which shows the baseline amplitude for that event, while the horizontal positioning and length indicates the start and end times.

  • Where smoothing is enabled, the fitted curve is displayed as a dashed line.

  • In multicategory searches, event indicator lines are color-coded for the category of the event found.

Threshold Search

  • A horizontal "event indicator" line runs across the top of the Analysis window in the designated search region. Colored, dashed, bent sections of this indicate legal threshold crossings, according to your search configuration. The line section's upward or downward angle represents the found event's peak being positive- or negative-going, and the point at which it bends corresponds to the time of the event peak. The line's length is the length of the event, which may be greater than the period the trace spent between trigger and re-arm crossings.

  • Event start and end times are indicated by dashes on the baseline marker.

  • Where smoothing is enabled, the fitted curve is displayed as a dashed line.

  • In multicategory searches, event indicator lines are color-coded for the category of the event found.

Single-Channel Search

  • Colored horizontal lines are overlaid on continuous sections of trace that fall in the range of one of the levels you have set (these were termed "idealized traces" in Fetchan Software). These lines represent the "event" in single-channel searches. The length of the line corresponds to the event duration ("dwell time"), and the line's amplitude is the event amplitude—the mean of the sample points within the event (less end points, discounted due to filtering effects. See the pCLAMP user guide for full description of this).

  • There is a vertical line at the right-hand end of the event, marking the time it finishes.

  • Both the vertical line and the horizontal event line can be dragged with the mouse to manually alter the event's finishing time (and hence duration), and amplitude.

  • Event-indicating lines are color-coded according to the level of the found event.

  • The first and last "events" within a sweep are not reported as events, unless Latency Mode is enabled. This is because neither the start time of the first "event", nor the end time of the last "event", are known (since they occurred before and after data acquisition), so the dwell times of the actual biological events are unknown. When latency analysis is enabled, first and last events are accepted as bona fide events, because the first event dwell time is the latency measurement (i.e. the duration to the first non-baseline event).

Population Spike Search

  • Only the event measurements are marked. There is no event indicator line.

  • Detected events display with the parameters as dotted lines. These lines need to be accepted or rejected.

  • When an event is accepted the dotted line changes to a solid line. The peak, half-width and ridge-to-ridge tangent lines are displayed in blue. The slopes are displayed in heavier, dark blue lines.

Action Potential Search

  • The markings are the same as for Threshold Search except that there can be up to five markers for action potential duration (APD) at a given percentage.

  • The rise and decay slopes are marked by heavy, dark blue lines.

Event State Classification

When a candidate event is found, you have a small number of options with regard to how it is treated. The main choice is in the "state" you give the event, recorded in the State column in the Events sheet of the Results window:

  • Accept (A)—take the event into your data set. For template and threshold searches the dashed lines change to solid ones and are retained in the display for the remainder of the session. Single-channel "idealized trace" event lines are similarly retained. All the relevant measurements for the accepted event are written to the Events sheet in the Results window. See also "Manual" and "Brief" later this section.

    You can choose to accept all the events in the search region that Clampfit software finds Nonstop, or all the events found in the region for a particular category Accept Entire Category.

  • Accept and Tag (AT)—same as for Accept, but the event is also tagged so that it can be located later. Tagged events are marked with a diamond shape in the Analysis window, as well as "AT" in the State column in the Events sheet.

    If you intend performing perievent analysis later, tag the events which are to be your central events.

  • Reject:—the candidate event is not taken into the data set and no record is kept of it. For template and threshold searches event indicator lines are removed.

    For single-channel searches pressing Reject extends the current event, as if the latest level change had not occurred. See Reject for a full explanation of this behavior.

  • Suppress (S)—suppressing is a form of partial acceptance. It is noted that an event occurred, but the event statistics, beyond time of occurrence, are not included in further events processing, unless you specifically choose otherwise. Default behavior is to not report suppressed events to the Results window, but they can be displayed there, in time order with accepted events, using Show Suppressed Events. Suppressed events can be excluded from Event Analysis with "state filters" in the respective analysis dialogs.

    Event-indicator lines for suppressed events are made solid, but grayed.

In addition, accepted events from single-channel searches may be classified further:

  • Manual (M)—events that are accepted after their amplitude or duration have been manually adjusted (by dragging the respective lines in the Analysis window) automatically gain this status. This serves simply to remind you that you have changed the features of the event. These events are reported as "M" in the Events sheet State column.

  • Brief (B)—accepted events that are too short to use the standard means of amplitude calculation (which excludes end points in the event due to filtering effects on these) are automatically accorded "brief" status (reported "B" in the Events sheet State column). These events can be excluded from Event Analysis using state filters. See the pCLAMP user guide for full description of brief events.

Event states can be changed after their initial classification—but while still within the search session—with Process Selected Events.

After Searching a Region

When you have finished searching your designated search region you can quit event detection using the Quit button in the Event Detection toolbar, or continue to search the same file, within the same search session. You can search a new region of the file, or re-search the same region under a new configuration, see Searches above. See also Closing a Search Session and Saving Graphs and Results.

Reconfiguring Search Parameters on the Run

Threshold settings that can be changed in the Analysis window by dragging the threshold markers can be adjusted while a search is running, without having to open the search configuration panel. The candidate event awaiting classification when you make the changes, if it is accepted, is accepted under the configuration before the change, such as the configuration under which it was found. Subsequent events are found with the new settings.

If you want to change any other search parameter this must be done from the search configuration panel (open with Search Parameters). Make the changes you want and then click OK. Again, the current candidate event takes the previous settings if accepted, but subsequent events are found under the new configuration.

To re-search your search region when you change your search configuration:

  • After clicking OK in the configuration panel, click Restart, to take you back to the beginning of the search region.

Integrated Event Detection Features

Beyond the basics of event detection described above, there are a number of additional features available only during an event detection session.

Event Viewer

The Event Viewer is a window in which accepted event traces and, optionally, suppressed event traces, are displayed. It optionally opens automatically when event detection starts, and new events are added to it as they are accepted.

You can choose to view all the events found in a search, or to view them by category. When an event or events are selected, they become the only events on view in the Event Viewer, until you deselect them with Deselect All.

In behavior distinct from this, you can step through the traces on view in the Event Viewer highlighting each in turn, with the <and > buttons (actually, the period and comma keys). In similar Analysis window behavior, hide all but the highlighted trace with <Enter>, using the same keystroke to return all traces to view.

Events displayed in the Event Viewer can be saved to a file.

The Event Viewer differs from all other event detection functions in that it alone can span event detection sessions. Events can be gathered to it from a file, then event detection quit and that file closed. So long as the Event Viewer is kept open, a second file can be opened and event detection started for it. Events from the new file are now added to those already present in the Event Viewer.

Event Statistics

At any time during an event detection session the Event Statistics dialog can be opened to provide a summary of event statistics for the session so far. The averages and standard deviations for all meaningfully comparable parameters recorded in the Results window Events sheet are given. Event frequency is also given. The statistics can be broken down by search category (for threshold and template searches) or level (for single-channel searches), trace, and search.

Event Monitor

The Event Monitor is designed to be run during a search, to help decide whether candidate events should be accepted or not. It displays two or three key event measurements relevant to the type of search being run, along with the averages of these for already-accepted events in the same category or level.

Graphs

Event detection has its own dedicated graph-creation functionality, accessed via the Event Detection > Define Graphs command. Up to four graphs can be set up at a time, with choices between conventional histogram, logarithmic histogram and scatter plots. All event statistics recorded to the Results window Events sheet that are appropriate for graphing are available for axis definition.

Event detection graphs are integrated with the event search, so that if configured at the start of a search, new points are added to them as new events are accepted.

Event detection graphs are closely related to their data source, the Events sheet in the Results window. Thus, to save an event detection graph you must save the Results window, before the event detection session is closed.

Note: If you save a Results window with event detection graphs, close the event detection session, and then later close the Results window, you must not save changes to the window when prompted if you want to retain the graphs (the graphs close when the search session ends, so this constitutes a change to the Results window).

Interconnectivity of Event Views

While an event detection session is current, any one event can be viewed from a number of different places in Clampfit software:

  • In the Analysis window, marked by event indicator lines

  • In the Results window, occupying one row, with all the statistics for the event

  • In Graph windows in scatter plot mode, where each point represents an event

  • In the Event Viewer, as a single sweep

  • In the Event Monitor, where key measurements for the event are reported

All of these views are dynamically integrated, so if open during an event search they are all updated as new events are accepted. If an event is selected in one view and its status changed with Process Selected Events, the change is reflected in the other views as well.

Selecting Events

Events that have been classified can be selected from any of the views above, apart from the Event Monitor. When an event is selected in one view, it is highlighted in the other views as well (displayed alone, in the case of the Event Viewer).

Multiple events can be selected from scatter plots, but only one at a time from all the other views.

Select events in the following ways:

  • Analysis Window—click on the event-indicator line. The line is emboldened when selected.

  • Results Window—click in the row containing the event. The row is highlighted.

  • Graph Window—for scatter plots only, click on a point in the graph, or drag the cursor over a group of points. Selected points are ringed.

  • Event Viewer—click on the trace of the event. The trace of the selected event changes color.

Closing a Search Session and Saving Graphs and Results

Event detection search sessions are closed with the Quit button in the Event Detection toolbar. After closing, integration between the various event detection windows and dialogs ceases, and only the data set on the Events sheet in the Results window, and events in the Event Viewer, remain.

Suppressed and Hidden Events

Suppressed events are lost if they are not displayed at the time the session is closed. Similarly, events that are hidden at the time of quitting are lost.

Event-indicating lines in the Analysis window are removed, the Event Monitor closes and Event Statistics are no longer available. Any graphs created in association with the search are lost. Thus, if you want to save Event Statistics or graphs, this must be done prior to closing the session.

Event Statistics can be easily saved to the clipboard or Lab Book from the dialog. Event detection graphs are created in association with the Results window, so to save these you must save the Results window. It is a good idea to Show Suppressed Events before doing this to include these events in the file. It is always possible to exclude them from analyses you may later run on results data, but if you do not include them when you save the file you cannot restore them to the file.

Note: If you save the Results window with associated graphs, close event detection, and then later close the saved Results window, you will be prompted as to whether you want to save changes to the Results file you saved. If you choose to do so, the file is re-saved without the graphs, so you must select No if you want to retain the graphs.

Event Analysis

After you have collected events data in the Results window, a number of specialized analysis can be run on these, either while the event detection session is still running, or after it has been closed. Four dedicated events analysis are located in the Analyze > Event Analysis submenu, along with special statistics displays for two of these, Burst Analysis and Latency, and a graph-creation dialog.

  • Burst Analysis

  • Latency

  • Perievent Analysis

  • P(open)

  • Fast Graph

Selecting Events for Display and Analysis

By default, all accepted events, and not suppressed events, are displayed during an event detection session. Suppressed events can be optionally (additionally) displayed with the Show Suppressed Events toggle command.

Besides this any event can be "hidden", during a session, by selecting it and hiding it with Process Selected Events. Hiding an event is like rejecting it—temporarily. Hidden events are removed from display and are not included in any analysis you carry out on the data set. Unlike rejected events, however, hidden events can be restored to their normal status. Hidden events cannot be individually selected, so must all be restored together, with Restore All Hidden Events.

Be sure to have hidden and suppressed files on display when you quit your event detection session if you want to save these in the Results sheet. Events not shown on the Results sheet are lost when the search session closes.

Options to hide and restore suppressed and hidden events end when the event detection session is closed. Because they can be run after event detection has finished, the events data analysis in the Event Analysis submenu have "state filters" to exclude two specific categories of event:

  • Suppressed Events—when you save Results windows, save suppressed events along with accepted events, otherwise they are irretrievably lost, or select the option to exclude suppressed events from these analysis.

  • Brief Events—single-channel brief events can all be excluded from an analysis.


File Dialog

File Open, Save, and Save As dialogs are opened from many places in Clampfit software, including the File menu. Although they have different context-dependent titles, these dialogs are similar, being standard Windows components. As such, only a brief explanation of their features is provided here. Details may differ depending on your Windows operating system.

Look in / Save in:

Use the drop-down list to choose the drive where you want to open (or save) files. Use the "Up One Level" button and the folders in the File List window (see below) to navigate to the folder where you want to open files from or save files to. The chosen folder is normally saved between sessions.

Up One Level

Use this button to navigate up one level from the current folder, which is listed in the Look in field. The File List window will be updated with the names of the files and folders from the higher level folder.

Create New Folder

You can create a new folder under the current folder by clicking on this button, which places a new folder in the File List window with the folder name ready to be edited. Just start typing to enter the name and press Enter to finish.

View Menu

Displays a menu in which you can choose how to display the list of files in the File List window.

The File List Window

The File List window lists the files and folders that are in the current folder, which is shown in the Look in field. Double‑click on a file name to open it, or, if this is a file Save dialog box, to save the file in the active window to this name. Double‑click on a folder to open it. The File List window lists file names and folders in the newly opened folder.

File name

Instead of choosing a file name in the File List window, you can type the name of the file to open, or the file name to save to, in the File name field.

Files of type / Save as type

The files listed in the File List window can be filtered to show just certain file types, or, if saving a file, select the file type from the drop-down list. Standard pCLAMP file types are listed in File Types.


File Types

The standard file types used in Clampfit software include the following:

Axon Binary File (*.abf)

Data files are stored in Axon Binary File format. There are two types of ABF files – integer and floating point – which are used for acquired (raw) data and analyzed data respectively.

  • Axon Binary File (integer): The data in recorded ABF files are stored as 16-bit integers with a proprietary header to accommodate all the features of Axon data acquisition programs.
  • Axon Binary File (floating point): The data in analyzed ABF files are stored as 32-bit floating point values, so as to not lose data resolution if you have processed the data. These ABF files can be opened by Clampex software or Clampfit software (version 6.0.4 or later). Some Clampex software functions, such as the Calibration Wizard, cannot be applied to floating point files.
Axon Binary File (*.dat)

Earlier Axon Instruments DOS programs saved Axon Binary Files with a DAT extension. These data files are fully supported by pCLAMP.

Axon Layout File (*.alf)

Files saved from the Layout window use the ALF format.

Axon Text File (*.atf)

This is an ASCII text file format with a simple header. Data are sometimes saved as ATF files, for example, event detection search templates are saved in this format. See ATF File Format for a fuller discussion.

Data File Index File (*.dfi)

Files saved from the Data File Index use the DFI format.

Events List File (*.evl)

Histogram files generated in pSTAT are in this format. They are opened in Clampfit software into the Events sheet in the Results window: File > Open Other > Events List.

Lab Book File (*.rtf)

The Lab Book uses the standard Rich Text Format, a text format that includes text formatting codes.

Results File (*.rlt)

Data from the Results window are saved in a Results file, which uses a proprietary data format.

Statistics File (*.sta)

Statistical data gathered in Clampex software Online Statistics window are saved as STA files. These are essentially Axon Text Files. When opened in Clampfit software they open both in a graphical display Statistics window, and also as text in the Results window.

Search Protocol File (*.spf)

Event detection search configurations, as set up in Template Search, Threshold Search and Single-channel Search, are saved in this format.


ATF File Format

ATF is a tab-delimited text file format that can be read by typical spreadsheet programs such as Microsoft Excel.

An ATF text file consists of records. The group of records at the beginning of th file is called the file header. Each line in the text file is a record. Each record may consist of several fields separated by a field separator (column delimiter). The tab and comma characters are field separators. Space characters around a tab or comma are ignored and considered part of the field separator.

The file header describes the file structure and includes column titles, units, and comments. Text strings are enclosed in quotation marks to ensure that any embedded spaces, commas and tabs are not mistaken for field separators.

ATF File Structure

First header record | File format: ATF, Version number
Second header record | Number of optional header records n, Number of data columns (fields) m
1st optional record | ...
2nd optional record | ...
nth optional record | ...
(n+3)th record | Required record containing m fields. Each field contains a column title.
DATA RECORDS | Arranged in m columns (fields) of data.

The header contains all the structural and positional information about the blocks.

The data records contain all the gene name and identifier information.

Example ATF file

The following very simple ATF file contains three columns of data records:

Description of header entries

The header section describes basic file information and all block properties apart from gene names and IDs. Each entry is explained below:

ATF

1.0

Required first line of an ATF file: file format (ATF) and version (1.0).

5

3

Required second line of an ATF file: 5 (number of optional header records), 3 (number of data columns).

Optional header records

These 5 lines contain optional information about the file.

"Time"

"Amplitude"

"Comment"

The final entry in the header, consisting of column titles for the data records.

Description of data records

There is one row for each record, containing an entry for each of the descriptive columns, separated by tabs.

Note: If you are going to create your own ATF data file for reading into an Axon program, the ATF file reading routine makes some assumptions. The first column is treated as time. In the line describing the signal title and units, the description for the first column units (in parentheses) is interpreted as follows: If the first character is 's' the units are assumed to be seconds, 'm' is assumed to be milliseconds, and 'u' is assumed to be microseconds. Any other characters are ignored and time is assumed to be in milliseconds.


Macros

The Macros functionality from Clampfit software Version 6 is available in Clampfit software Version 11 as Batch Analysis. See Batch Analysis.


Printing Notes

Batch Printing

If you have registered Clampfit software for Axon data files, in Configure > File Registration, you can batch print these files. Molecular Devices recommends that you run Clampfit software first before doing a batch print from Windows Explorer.

Batch Printing from Windows Explorer

Before doing a batch print job, run Clampfit software and go to File > Page Setup to configure your desired page format.

In Windows Explorer, highlight the desired data files.

Right-click on one of the selected files and select Print from the menu. All of the files print from Clampfit software. You are limited to one file per page.


Signal Unit Prefixes

The following symbols are available to use as signal unit prefixes in the Clampfit software Lab Bench.

Symbol | Prefix | Exponent
X | xenna | 1027
Y | yotta | 1024
Z | zetta | 1021
E | ecta | 1018
P | peta | 1015
T | tera | 1012
G | giga | 109
M | mega | 106
k | kilo | 103
— | — | 100
m | milli | 10-3
µ | micro | 10-6
n | nano | 10-9
p | pico | 10-12
f | femto | 10-15
a | atto | 10-18
z | zepto | 10-21
y | yocto | 10-24
x | xenno | 10-27


Menu Reference

This section of Help has topics specific to every command and dialog in Clampfit software, ordered by menu:

  • File Menu
  • Edit Menu
  • View Menu
  • Format Menu
  • Analyze Menu
  • Event Detection
  • Configure Menu
  • Tools Menu
  • Window Menu


File Menu

Go to topics about File menu commands and dialogs:

  • New—Results
  • New Data File Index
  • Open Data
    • Plain Text Converter
    • Plain Binary Converter
  • Open Data Options
  • Open Data File Index
  • Open Other—Lab Book
  • Open Other—Results & Statistics
    • Text File Information
  • Open Other—Selected
  • Close
  • Close All
  • Save
  • Save As
  • Save As Options
  • Save Copy As
  • Export
  • Previous Data File
  • Next Data File
  • Last Recording
  • Properties
    • Properties—Analysis Window
  • Archive
  • Print
  • Print Preview
  • Page Setup
    • General Tab
    • Headers and Footers Tab
    • Layout Tab
    • Printing Range Tab
  • Send
  • Recent Files List
  • Exit


New Results

You are here: Menu Reference > File Menu > New Results

New—Results

File > New > Results

Prompts you to save the contents of the current Results window, then opens a new Results window.

Only one Results window file can be open at a time, though this can be viewed in more than one Results window. Open a new Results window with Window > New Window.


New Data File Index

File > New Data File Index

Open a new Data File Index (DFI) window. The Add Existing Files dialog opens at the same time for you to select data files for the new DFI file.


Open Data

File > Open Data

Shortcut: Ctrl + O

Button:

Open a data file (usually *.abf, *.dat or *.atf) for display in an Analysis window, from the file dialog.

If Clampfit software cannot recognize formatting features in the file you are trying to open the Plain Text Converter or Plain Binary Converter opens, for you format the file so it can be displayed.

When you open a data file Clampfit software saves the name of the folder where the file is located. The next time you choose Open Data the file dialog defaults to the same folder.

  • Options: Click to open the Open Data Options dialog, which contains display options for newly opened files.
  • Current Options: For quick reference, current data option settings are shown here.


Plain Text Converter

If you use File > Open Data on an unrecognized text file format, the Plain Text Converter dialog opens to allow you to specify how to read the data, along with signal information such as scaling. Read this section thoroughly as several fields are dependent on each other. Data in a text file must be arranged in columns—the settings here determine how those columns are interpreted.

Sections in this topic:

  • Source File
  • Lines to skip
  • File Comment
  • Acquisition Mode
  • Signals
  • Timing

Source File

The contents of the text data file you wish to open are displayed here.

Lines to skip

If the text data file has header information, specify the number of lines to ignore when reading in the data. For instance, if the data values start on the fifth line of the text file, specify 4 lines to skip.

CAUTION! Specify the lines to skip first. The accuracy of this dialog's file recognition depends on the value in this field.

File Comment

Add a file comment, which can be displayed by the File > Properties command.

Acquisition Mode

  • Fixed-Length (n Sweeps)—specify Fixed-length if the data were recorded as fixed-length sweeps. If the Number of Signals is specified as 1, each column in the file is considered to be a sweep. If the Number of Signals is greater than 1, each column is a signal with a single sweep.

  • Gap-Free—specify Gap-free if the data were recorded as one continuous stream with no breaks. Each column in the file is one signal.

Signals

Highlight in the list box the signal you wish to configure. The number of signal entries in the list box correspond to what you enter for Number of Signals.

  • Number of signals—Specify the number of analog input channel signals in the file. If you specify 1 signal, each column is considered a sweep. If you specify more than 1 signal, each column is a signal with a single sweep.

  • Name—Enter a name for the highlighted signal.

  • Units—Enter the units of the highlighted signal. In the right field, enter the unit, for example, 'V' for volts, 'A' for amps, and in the left field, use the drop-down list to choose the magnitude prefix, for example 'm' for milli, 'n' for nano.

  • Full-scale limits (units)
    Positive and Negative—For purposes of display scaling, enter a value slightly larger than the largest value in the data for the highlighted signal in the Positive field, and enter a value slightly smaller than the smallest, most negative, value in the data in the Negative field.

Timing

  • Use time in column 1—choose if the first column in the text file is a time column. In order for the first column to be used as time, the values in this column must increase linearly, such as with a constant difference between each time value.

  • Add a time column—under this option, all columns in the text file are considered data, either signals or sweeps, and Clampex software generates time values based on the entry in Sampling Interval per channel.

  • Sampling Interval per channel—enter the sampling interval per channel, the time between samples, in microseconds.

  • Start-to-Start interval —if you chose the Fixed-length acquisition mode, sweeps, enter the time, if defined, between the start of one sweep to the start of the next sweep. If unknown, choose Minimum from the drop-down list.


Plain Binary Converter

If you attempt to open an unrecognized binary file format with File > Open Data, the Plain Binary Converter dialog opens to allow you to specify signal information such as scaling, and it lets you specify how to read in the data. Read this section thoroughly, as several fields are dependent on each other. Data in a binary file must be arranged as a linear stream of samples.

Interlacing

If the data file contains multiple analog input channel signals, the samples are assumed to be interlaced, such as the first sample of each signal comes in signal order first, then all the second samples, then all the third, and so on.

Sections in this topic:

  • Data Type
  • Integer Conversion
  • Acquisition Mode
  • Bytes to skip
  • File Comment
  • Signals
  • Sample Information

Data Type

  • Integer (2 byte)—specify Integer if the data are stored as two-byte integers. Each sample must be two bytes long. Raw data recorded from an A/D converter are normally stored as two-byte integers.

  • Float (4 byte)—specify Float if the data are stored as IEEE four-byte floating-point values. Each sample must be four bytes long. Data that have been previously analyzed are normally stored as four-byte floats.

  • Byte Order—IBM PC-type computers and Macintosh computers store their data types in opposite byte order. Choose the appropriate selection for the computer type on which the data were recorded.

Integer Conversion

These settings are relevant if you chose the Integer data type.

  • Voltage Range—choose the setting corresponding to the analog input range of the digitizer used to record this data file.

  • Bits/Sample—choose the setting corresponding to the resolution of the digitizer A/D converter. Most common are 12-bit and 16-bit digitizers.

Acquisition Mode

  • Fixed-Length sweeps—choose Fixed-length if the data are arranged in fixed-length sweeps.

  • Gap-free—choose Gap-free if the data consists of a stream of data samples with no time gaps.

Bytes to skip

If the data file contains header information, specify the size of the header in bytes. You must enter an accurate value in order for the data to be read properly.

File Comment

Add a file comment, which can be displayed by the File > Properties command.

Signals

Highlight in the list box the signal you wish to configure. The number of signal entries in the list box correspond to what you enter for Number of signals.

  • Number of signals—Specify the number of analog input channel signals in the file. If you specify more than 1 signal, the data samples are assumed to be interlaced (see top of page).

  • Name—Enter a name for the highlighted signal.

  • Units—Enter the units of the highlighted signal. In the right field, enter the unit, such as "V" for volts, "A" for amps, and in the left field, use the drop‑down list to choose the magnitude prefix, such as "m" for milli, "n" for nano.

  • V / units—enter the scale factor for the highlighted signal. The scale factor is defined as the number of Volts read at the digitizer analog input for each unit (as defined above) measured by the instrument.

  • units @ 0V—enter the offset. The offset is defined as the number of units measured by the instrument when the number of Volts at the digitizer analog input equals 0 (zero). For an Axon Instruments amplifier this value will be zero.

Sample Information

  • Sampling interval per signal—The sampling interval is the time between samples, which is the reciprocal of the sampling rate. If there are multiple signals, enter the interval between two samples of the same signal.

  • Sweeps to convert—If you specified an Acquisition Mode of Fixed-length sweeps, enter the number of sweeps to convert. The total number of sweeps, reported to the right of this field, depends on the Number of signals you have specified, and the number of Samples per signal you specified below.

  • Samples per signal—If the Acquisition Mode is Gap-free, enter the total number of samples per signal. If the Acquisition Mode is Fixed-length sweeps, enter the number of samples per sweep per signal.

  • Start-to-Start interval—If the Acquisition Mode is Fixed-length sweeps, enter the time, if defined, between the start of one sweep to the start of the next sweep. If unknown, choose Minimum from the drop-down list.


Open Data Options

File > Open Data Options

File > Open Data > Options Button

Choose how to display data files when they are opened in an Analysis window in this dialog. The dialog is accessed via the File > Open Data dialog.

Sections in this topic:

  • Window Usage
  • X Axis Scaling
  • Y Axis Scaling
  • Signal Selection
  • Sweep Selection

Window Usage

  • Open data files into the active window—Opens an existing data file into the active Analysis window. If no Analysis windows are open, one is opened, but subsequently opened files load into the same window, replacing the previous file.

  • Open data files into new windows—Opens an existing data file into a new Analysis window. Up to 16 Analysis windows can be open at one time.

X Axis Scaling

X axis scaling for Analysis windows is configured in the View > Window Properties > X Axis tab.

  • Keep existing—all data files opened subsequent to this selection use the X axis scaling configuration in the current active Analysis window. If an Analysis window is not open the X axis defaults to Full scale.

  • Full scale—all data files opened subsequent to this selection use the full X axis scaling from the file.

    For files acquired in a sweep-based acquisition mode (Episodic Stimulation, High-speed Oscilloscope, and Fixed-length Events modes) opened in Sweeps display mode, full scale is the length of one sweep.

    For files acquired in Gap-free mode, full scale is the entire length of the acquisition, opened in Continuous display mode.

    For files acquired in Variable-length events mode, full scale is the whole length of the acquisition, but opened in Concatenated display mode.

  • Use acquisition—all data files opened subsequent to this selection use the X Axis scaling as displayed in the Scope window during the acquisition of those files.

Y Axis Scaling

Y axis scaling for Analysis windows is configured in the View > Window Properties > Signals tab.

  • Keep existing—all data files opened subsequent to this selection use the Y axis scaling that exists in the current active Analysis window. If an Analysis window is not open, or if the active Analysis window does not contain the same signal names, the Y axis defaults to Full scale.

  • Full scale—all data files opened subsequent to this selection use the full Y axis scaling in the new file. The digitizer full A/D converter range is displayed.

  • Use acquisition—all data files opened subsequent to this selection will use the Y axis scaling displayed in the Scope window during the acquisition of those files. If this information is not available in the file, the Y axis defaults to Full scale.

  • Auto scale—all data files opened subsequent to this selection use a Y axis scaling set to a display gain and offset such that the data fill 90% of the display pane. Hardware gains and offsets are not altered.

  • Auto scale length—enter the number of samples used, from the start of the file, to calculate the autoscaled gain and offset in the display pane. The data within this range will fill 90% of the pane, but data outside this range may fall outside the display. You can use the list box option to select All File:

    • All File— all the samples in the file are used in the autoscaling calculation, so the entire file is visible.

Signal Selection

  • Keep existing—all data files opened subsequent to this selection use the same signal selection that exists in the active Analysis window. If an Analysis window is not open, or the current Analysis window does not contain the same signal names, then the signal selection defaults to "Show all signals".

  • Use acquisition—all data files opened subsequent to this selection will show only the signals that were displayed in the Scope window during the acquisition of those files.

  • Show all signals—all data files opened subsequent to this selection show all signals recorded in those files.

  • List—all data files opened subsequent to this selection show the signals selected in this field. Type the signal names in this field separated by commas, for example "Temp #01, Voltage, Pin 15, BP". If the file does not contain the signal names entered here signal selection defaults to "Show all signals".

Sweep Selection

These settings are relevant for data files acquired in a sweep-based acquisition mode: Episodic Stimulation, High-speed Oscilloscope, and Fixed-length Events. Sweep display for these types of files is set in the View > Select Sweeps dialog.

  • Keep existing—all sweep-based data files opened subsequent to this selection use the same sweep selection that exists in the active Analysis window. If an Analysis window is not open the sweep selection defaults to "Show all sweeps".

  • Show all sweeps—all sweep-based data files opened subsequent to this selection show all sweeps recorded in those files.

  • List—all data files opened subsequent to this selection show the sweeps selected in this field.

Use commas to list sweep numbers or two periods between sweep numbers to denote a sweep range (for example, 1,2..7,9,14). If the file does not contain a sweep that you have entered, sweep selection defaults to "Show all sweeps".


Open Data File Index

File > Open Data File Index

Open a saved Data File Index (DFI) file into a new Data File Index window from the file dialog.

Data File Index files have a *.dfi file name extension.


Open Lab Book

File > Open Other > Lab Book

Open an existing Lab Book file from the file dialog.

Lab Book files use Rich Text Format (*.rtf). The default Lab Book is called Clampfit software LabBook.rtf.


Open Results

You are here: Menu Reference > File Menu > Open Results

Open Results & Statistics

File > Open Other > Results & Statistics

Button:

Open a saved results (*.rlt) or statistics (*.sta) file into the Results window, from a file dialog. When a statistics file is opened, it is displayed in a Statistics window as well as the data going, as text, to the first empty numbered sheet in the Results window.

pCLAMP 6 events list (*.evl) and histogram (*.dw?, *.am?*, *.ao?) files can also be opened into the Results window, into the Events and Histogram sheets respectively.

Any plain text file can be opened into the Results window. Select the file from the dialog and click Open to open the Text File Information dialog. This prompts you for information required to display the file on a Results window sheet. The file opens onto the currently selected sheet in the Results window, replacing any data already there. The sheet name changes to the name of the opened file.

See also File Types.


Text File Information

This dialog opens when you attempt to open a text file (with a format that Clampfit software does not recognize) into the Results window with Open Results & Statistics. Provide the information required so the file is displayed in the selected Results window sheet.

Delimiters

Select the type of delimiter to use to segment each row of the text file into different columns. The file is rearranged in the preview window below to show the effects of your choice. Options include:

  • Tab
  • Comma
  • Space
  • Other

For "Other", type in a character.

Column Titles

Check the check box and select one row of the text file in the preview window below to make each delimited segment of that row a column title in the Results sheet.

Import Range

The four fields in this section report (inclusively) the row and column ranges required to display the text file, given the current delimiter selection. You can choose to open a restricted range of rows and/or columns by adjusting the fields accordingly.

Preview Window

The text file you are opening is displayed in the window across the bottom of the dialog. Items in each row are grouped according to the current delimiter selection in the dialog.


Open Layout

Layout Window: File > Open

Opens a saved Layout file into the Layout window from the file dialog.

Layout files have an *.alf file name extension.


Open Selected

DFI Window: File > Open Other > Selected

List Area Popup Menu > Open Selected

Shortcut: Double-Click on File

Open the data file or files selected in the active Data File Index window.


Close

File > Close

Shortcut: Ctrl + W

Close the active window.

This item is grayed out when the Lab Book or Results window is active, because these windows are always open and cannot be closed.


Close All

File > Close All

Close all open windows except the Lab Book and Results windows, which always remain open.


Save

File > Save

Shortcut: Ctrl + S

If the contents of the active window have been previously saved to disk, this command updates the file with the current contents of the window. If the active window has not been previously saved, this selection opens the Save As dialog where you select or type a file name.

  • Analysis window: The Save command always opens the Save As command, in order to protect the original data file from being modified.
  • Statistics window: Statistics files cannot be saved in Clampfit software. You can use Saved As and give the file a different name.
  • Layout window: The save command saves the current Layout as an *.alf file.


Save As

You are here: Menu Reference > Layout Window Menus > File Menu Layout Window > Save As

Save As > Save File As

DFI Window: File > Save File As

All Other Windows: File > Save As

Open a file dialog that allows you to save the contents of the active window to a different file name or file format.

When you Save As, the new file is displayed, and the file you Saved As from is closed.

If an Analysis window is active, the Save As dialog has an Options button, which allows you to specify how much of the data are saved.


Save As Options

This dialog is opened from the Save As dialog when the Analysis window is active. It allows you to specify the data to save, and offers several methods to reduce the size of the data.

Data Range to Save

These options select the X axis range of data to save:

  • Between cursors: Selects the data range between the specified cursors (1–4) in the active window.

    In the new file, data outside of the cursors are blanked. The initial blanked segment reports a cursor value equal to the first saved data point; subsequent blanked segments will report a cursor value equal to the last saved data point.

    Note: With sweeps display mode, the new file will show the data sweeps as starting at time 0. However, the "real time" of the data can still be accessed with the continuous display mode.

  • Duration of window: Selects the data in the full X axis range displayed in the active window.

    In the new file, data outside of the window are blanked. The initial blanked segment report a cursor value equal to the first saved data point; subsequent blanked segments report a cursor value equal to the last saved data point.

    Note: With sweeps display mode, the new file will show the data sweeps as starting at time 0. However, the "real time" of the data can still be accessed with the continuous display mode.

  • Entire file: Selects data for the full length of the file.

Data Selection

Specify the data that are eligible to be saved, subject to the Data Range to Save setting (see above).

  • Visible sweeps and signals: Saves only sweeps and signals that are visible, i.e. sweeps that are selected in the Select Sweeps dialog, and signals in the "Signals to be shown" list on the Show/Hide tab of the Analysis Window Properties dialog.
  • All sweeps and signals (including hidden): Saves all sweeps and signals, even if they are hidden.

Start first data point at time 0

By default, when saving the data between the active cursors, the start time will be the X axis time of the first cursor. Check this box to force the time to start at 0 in the new saved file.

Note: When viewing a file in continuous mode, you see its actual time scale with the zero point preserved. When displayed in sweep mode, you do not see the zero point.


Save Copy As

Lab Book: File > Save Copy As

This command saves a copy of the active Lab Book to a new file name, while keeping the current Lab Book open.

Use Configure > Lab Book Options to change the System Lab Book.


Export

Analysis Window: File > Export

Open a file dialog box that allows you to export gap-free data from the active Analysis window in LDT file format, for use by the QuB single‑channel analysis program.

See the pCLAMP Data Acquisition and Analysis Software User Guide (Chapter 6 "Clampfit software Features") for notes on using QuB with Clampfit software.


Previous Data File

Analysis & DFI Windows: File > Previous Data File

Shortcut: Shift + F8

Main Toolbar:

Analysis window

Open the last data file recorded prior to the file open in the active Analysis window. Clampfit software searches the folder in which the file in the active Analysis window is located.

Data File Index window

The file above the currently selected file in the DFI listing is opened.


Next Data File

Analysis & DFI Windows: File > Next Data File

Shortcut: F8

Main Toolbar:

Analysis window

Open the next data file, recorded after the file open in the active Analysis window. Clampfit software searches the folder in which the file in the active Analysis window is located.

Data File Index window

The file below the currently selected file in the DFI listing is opened.


Last Recording

File > Last Recording

Main Toolbar:

This selection loads the last recorded data file into an Analysis window. Clampfit software searches the folder listed in the Clampfit File > Open Data command.


Properties

File > Properties

Shortcut: Alt + Enter

Main Toolbar:

The information presented depends on the active window. It can be copied to the Lab Book or the clipboard, or sent to a printer.

  • Analysis Window: See Properties - Analysis Window
  • Data File Index: Reports the number of files in the active Data File Index (DFI) and the amount of disk space occupied by all the files listed in the DFI.
  • Graph Window: As the data in the Graph window are derived from the Results window, this shows the name, size and creation date/time of the active Results file, as well as the row and column sizes of all data sheets.
  • Lab Book Window: Shows the name, size and creation data/time of the file in the active Lab Book window.
  • Layout Window: The Component Properties dialog box lists all the properties that can be edited for the currently selected component. The available tabs differ depending on the component that is selected, and are a subset of the tabs available in the Default Properties dialog.
  • Results Window: Shows the name, size and creation date/time of the active Results file, as well as the row and column sizes of all data sheets.


Properties—Analysis Window

You are here: Menu Reference > File Menu > Properties > Properties—Analysis Window

Analysis Window

Analysis Window: File > Properties

Shortcut: Alt + Enter

Main Toolbar:

Shows file or tag information, stored in the file header, for the file in the active Analysis window.

  • File Properties: Displays general information about the file. This includes the name, file format, size and creation date and time. A file comment, if present, is reported, along with detailed acquisition protocol information.

    • Normal: Shows a summary of file properties information.
    • Verbose: Shows full details from the file header.
  • Tag Properties: Displays tag information when tags are used in the file. This includes the time, sweep, and comment for each file.
  • Previous / Next: Shows the properties of other data files you currently have open.
  • Copy To: Copies the information displayed to the Windows Clipboard, from where you can paste it to other applications, or to the Lab Book, or send it to the printer.


Archive

DFI Window: File > Archive

After you have conducted a particular experiment and organized all of your data files into a Data File Index (DFI), you can "archive" the DFI, which means that the DFI can no longer be modified. You can later turn off the archive status if you need to add or delete data files.

Archive

Use this to protect the DFI from being modified. When Archive is checked, the DFI can no longer be modified, and Edit > Add Existing Files does not function.

Name

If you have stored the archived data on removable media, enter the label so you know where to find the data.

Medium

Use the drop-down list to describe the type of removable media on which the data was stored.

Description

Add your notes describing the experiment.


Print

File > Print

Shortcut: Ctrl + P

This is the standard Microsoft Windows print dialog. Select the appropriate options for the Printer and Print Range.


Print Preview

File > Print Preview

Print Preview displays how the file will look when you print it. Print Preview uses the options chosen in File> Page Setup.

The Print Preview window has the following options:

Print

Print the file, equivalent to File > Print.

Next Page

Where your file prints to more than one page, click this button to show the next page.

Prev Page

Where your file prints to more than one page, click this button to show the previous page.

One Page / Two Page

Where your file prints to more than one page, click this button to show one page at a time, or two pages at a time.

Zoom In

Zoom in for a closer view of the file.

Zoom Out

Zoom out to see more of the file.

Close

Close Print Preview.


Page Setup

File > Page Setup

The Page Setup dialog allows you to specify many options for printing the active window. Each window type has its own independently saved settings, so make the desired window active before calling up the Page Setup dialog.

The Page Setup dialog box contains either two or three tabs:

  • Printing Range tab (Analysis window only)
  • General tab (Results window only)
  • Headers and Footers tab
  • Layout tab


Page Setup—Printing Range Tab

Use this tab of the Page Setup dialog to define the data range and features of an Analysis window to print. The tab is only available if Page Setup was opened while an Analysis window was active.

Sections in this topic:

  • Show options for
  • Range of Data to Print
  • Printed Windows
  • Items to Print
  • Line thickness relative to screen

Show options for

There are three data display modes: Sweeps, Continuous, and Concatenated. Each display mode stores its own set of printing options. The Page Setup dialog automatically shows the settings for the data display mode used in the active window. Use the drop-down list to choose another data display mode and printing options.

Range of Data to Print

Select the X axis range of data to print:

  • Between cursors—Select the print range between any of the first four cursors.

  • Entire window—Only the range of data displayed in the active Analysis window will be printed.

  • Entire file—The entire data file is printed.

Printed Windows

  • Number per page—Choose the number of windows to be printed on a single page. Up to 50 windows can be printed on a single page.

  • Width—Choose the range of data to display in a printed window.

  • Active window—The range of data you display in the active Analysis window (along the X axis) will be the width of data printed in a single window on a page. To get better time resolution of the data, zoom into the X axis of the Analysis window, and multiple windows will be printed until the specified Range of Data to Print has been printed.

  • Fixed X span—You can also directly enter the range of data to print in a window. This field uses the currently displayed X axis units such as milliseconds, seconds, days, etc.

  • Fit to— Instead of setting the width of data to print in a window, you can have the Range of Data to Print automatically fit itself into a specified number of pages.

Items to Print

  • Y axes—Check to print the Y axes.

  • Ticks with numbers—Y axis ticks are labeled with numbers.

  • Ticks only—Y axis ticks are printed without numbers beside them.

  • Signal names and units—Check to print signal names and units.

  • Use rotated text—The signal names and units are printed in vertical format (sideways) to save space.

  • X axis below each window—X axis information is printed at the bottom of each window, according to which option is set below.

  • As full X axis—The full X axis will be printed.

  • As time stamp below—The X axis is not printed, but the time at the beginning of each window will be printed in the lower left corner of each window in the X-axis area. This feature works well in conjunction with the "X axis at bottom of page" setting.

  • As time stamp at left—The X axis is not printed, but the time at the beginning of each window will be printed in the lower left corner of each window in the Y axis area. The "Y axes" setting is disabled when using this setting. This feature works well in conjunction with the "X axis at bottom of page" setting.

  • X axis at bottom of page—The scale of the X axis is printed at the bottom of the page. This is only a scale and is identical on all pages printed. If you need to indicate the actual time, choose "X axis below each window" along with "As full X axis" (see above).

  • Scale bars—Prints X axis and Y axis scale bars and the scale, the value and units of the scale bar, in the lower left corner of the page. If you are printing multiple signals, the Y axis scale are printed for each signal, identified by signal name.

  • Cursors if visible—Any cursors that are visible within the Analysis window, and within the Range of Data to Print, are printed.

  • Tags if visible—Any tags that are visible within the Analysis window, and within the Range of Data to Print, are printed.

  • Gridlines if visible—If gridlines are visible in the Analysis window, they are printed.

Line thickness relative to screen

The actual printed line thickness is the Line width (on the Signals tab in the Analysis Window Properties dialog ) multiplied by "Line thickness relative to screen". This is to compensate for the difference between the line thickness on screen versus the printer.

  • Print title page—prints a title page before the data. This is useful for appending to all subsequent pages, so more data can be printed without the need to repeatedly print the Y axis and signal names and units on each page. The title page includes the file's Properties information, and Y axes, signal names and units along the right-hand side of the page.

  • Printer Font—click this button to customize the font settings used in the axes, cursors, and tags.


Page Setup—General Tab

This tab in the Page Setup dialog appears only when the Results window is active.

Titles and Grids

Row header, Column header

Print row numbers and column names.

Frame

Print a border around the Results array.

Vertical grids, Horizontal grids

Print vertical and horizontal grid lines.

Black and white

If you are printing to a standard monochrome printer, choose black and white for the best output.

Page Order

First rows, then columns

If the Results window has more rows and columns than will fit on one page, the order of the printout of the pages will be all rows for the first set of columns, then all the rows for the second set of columns, etc.

First columns, then rows

If the Results window has more rows and columns than will fit on one page, the order of the printout of the pages will be all columns for the first set of rows, then all the columns for the second set of rows, etc.

Center on Page

Vertical, Horizontal

You can independently choose to center the Results array vertically or horizontally on the page.


Page Setup—Headers and Footers Tab

Use this tab of the Page Setup dialog to configure headers and footers for each page of the printed data. The locations of the headers and footers are determined in the From Edge section on the Layout tab.

Print Parameters

To insert one of these fields in a header or footer, position the text cursor at the insertion point in a header or footer edit box, then click the needed button. The fields that are available depend on which window type is active when you open Page Setup.

Normal text can also be typed in any of the header and footer edit boxes.

  • File Name: Insert the name of the file in the active window.
  • Current Date: Insert the date that the information is being printed.
  • Current Time: Insert the time that the information is being printed.
  • Page Number: Insert the page number on each page.
  • Total Pages: Insert the total number of pages to be printed.
  • Stopwatch: Insert the Stopwatch time of when the data file was acquired (Analysis window only).
  • Comment: Insert the Comment stored in the data file (Analysis window only).
  • Acquire Date: Insert the date that the data file was acquired (Analysis window only).
  • Acquire Time: Insert the time that the data file was acquired (Analysis window only).

Header

  • Left: Items in this edit box are printed at the top of each page and left aligned.
  • Center: Items in this edit box are printed at the top of each page and centered.
  • Right: Items in this edit box are printed at the top of each page and right aligned.

Footer

  • Left: Items in this edit box are printed at the bottom of each page and left aligned.
  • Center: Items in this edit box are printed at the bottom of each page and centered.
  • Right: Items in this edit box are printed at the bottom of each page and right aligned.

Font

Configure the fonts used in the headers and footers.


Page Setup—Layout Tab

Use this tab of the Page Setup dialog to configure margins and set the page orientation for printing.

Margins

Use these fields to specify the print margins when printing the active window. The units of measurement are those chosen in the Windows Control Panel.

From Edge

Specify where to place the header and footer. This position depends on the capability of the printer (how close to the edge it can print) and the Margins.

Orientation

Choose Portrait (the page is vertical) or Landscape (the page is horizontal).


Send

File > Send

Open a new email for sending with the file in the active window automatically attached.

The Send command supports MAPI-compliant email systems, such as Microsoft Exchange.


Recent Files List

File > [File Names]

The twelve most recently opened data or results files are listed for easy recall.


Exit

File > Exit

Shortcut: Alt + F4

This closes Clampfit software and all the currently open files. The registry settings and various initialization files are updated with changes made during the session, and the Lab Book is automatically saved.


Edit Menu

Go to topics on Edit menu commands and dialogs:

  • Undo / Redo
  • Cut
  • Copy
  • Copy (Dialog)
    • Choose Page Number
  • Copy To Layout Window
  • Copy To Layout Options
  • Paste
  • Insert—Rows
  • Insert—Columns
  • Clear Sheet
  • Clear All Sheets
  • Clear
  • Delete
  • Delete From Index
  • Delete All From Index
  • Select All
  • Select Range
  • Add Existing Files
  • Find
  • Find Next
  • Replace
  • Go To
  • Create Fitted Curve Signal
  • Create Stimulus Waveform Signal
  • Create Duplicate Signal
  • Transfer Traces
  • Modify Math Parameters
    • Query—Save Math Changes?
  • Modify Signal Parameters
    • Input Tab
    • Output Tab
    • Comments Tab


Undo / Redo

You are here: Menu Reference > Layout Window Menus > Edit Menu Layout Window > Undo / Redo

Undo / Redo / Undo Add Existing Files

Edit / Undo, / Redo, / Undo Add Existing Files

Shortcut: Ctrl + Z

The behavior of this command depends on the active window:

Data File Index window

Undo becomes "Undo Add Existing Files", which reverses the last Add Existing Files command you executed.

Lab Book

Undo acts as a toggle, undoing and redoing the last action.

Layout window

You can undo multiple levels of deletion, insertion and movement of components on the canvas. If you undo an action in error, you can reverse this with Edit / Redo.

Results window

There are ten levels of Undo available to reverse your last ten changes.


Cut

Edit > Cut

Shortcut: Ctrl + X

The highlighted selection is cleared and copied to the Windows clipboard. When on the clipboard, the selection is then available to paste into other Clampfit software windows or into other programs that support pasting from the clipboard.


Copy

Edit > Copy

Shortcut: Ctrl + C

The Copy command copies the highlighted selection to the Windows clipboard. When on the clipboard, the selection is then available to paste into windows or into other Windows programs that support the clipboard.

Analysis window

When an Analysis window is active, the Copy command opens the Copy (dialog), so that you can choose the format in which to copy the data.

Layout window

The objects within a ALF file can all be copied and pasted into other applications—if you wish, all at once by selecting all before you copy. On the other hand, ALF files cannot be opened in any other application.


Copy Dialog

You are here: Menu Reference > Edit Menu > Copy Dialog

Copy (dialog)

Analysis Window: Edit > Copy

Shortcut: Ctrl + C

Select one of the options below for copying the data file in the active Analysis window to the clipboard.

For best results copy the file as a metafile and use "Paste – Enhanced Metafile", or better,"Paste Special", in the target application. If results are not satisfactory, try first pasting into a Microsoft application, and then copy and paste from there to the target application.

Copy Analysis Window to clipboard as a bitmap

The file is copied as a bitmap image. A bitmap image loses resolution if you scale it to a larger size.

Copy Analysis Window to clipboard as a Metafile

The file is copied as a metafile vector image. A metafile image maintains resolution if you scale it to a larger size.

Copy data to clipboard as a Metafile using Page Setup settings

The file is copied as a metafile vector image with the formatting determined by the File > Page Setup settings.

Copy data to clipboard as an Axon Text File

The file is copied as data values with the following options:

  • Range

    Choose the range of data to copy to the clipboard.

    • Between cursors: Copy a segment of data between cursors. Use the spinners to choose which two cursors. Note that order does not matter, e.g., "Between cursors 1 and 2" is the same as "Between cursors 2 and 1."
    • Entire window: Copy the data that is visible in the active Analysis window.
    • Entire file: Copy the entire data file, i.e., both visible and hidden data.
  • Shift data to start at time 0

    If the range of data being copied to the clipboard does not include the beginning of the file, the time information will not start at zero. Check this to shift the time information to start at zero.

  • Include ATF header information

    Check this to include descriptive ATF header information along with the data.


Choose Page Number

This dialog opens when you choose "Copy data to clipboard as a Metafile using Page Setup settings" in the Copy dialog (when copying Analysis window contents) and there is more than one page of data.

Select the page you want to copy. You must paste this before you copy another.


Copy to Layout Window

Analysis, Graph, & Results Windows: Edit > Copy to Layout Window

The contents of the active Analysis, Graph or Results window are copied to the Layout window.

The Paste dialog automatically opens, so that you can select where in the Layout window array to paste the graphic.

See Copy to Layout Options.


Copy to Layout Options

Analysis Window: Edit > Copy to Layout Options

Specify options when copying the active Analysis window to the Layout window.

Copy the Analysis window as is

Copy the data display as it appears in the Analysis window.

Copy the Analysis window using the Page Setup settings

The data appear in the Layout window as if you printed them using the File > Page Setup settings. This can add header and footer information to the image in the Layout window.

Include

Specify parameters to include when copying to the Layout window. These parameters apply independently of settings in File > Page Setup, and if selected are included independently of the above choices.

  • File Name: include the file name of the selected file.
  • Acquisition date and time: include the date and time when the file was acquired.
  • File comment: include any file comment attached to the file.


Paste

Edit > Paste

Shortcut: Ctrl + V

Data File Index, Lab Book, Layout & Results windows

Paste copies the contents of the clipboard into the active window at the current cursor position.

To put data onto the clipboard, use the Cut or Copy commands.

When pasting to the Results window, data are displayed in "General" cell format, which rounds off numbers to the nearest six digits.


Insert Rows

You are here: Menu Reference > Edit Menu > Insert Rows

Insert – Rows

Results Window: Edit > Insert > Rows

Insert additional rows in the Results window.

Select cells or rows at the position you want to insert additional rows. Select as many rows as you want to insert. When you press the command, blank rows are inserted in the highlighted area, and the existing data (at the row of the highlight and below) are shifted down.


Insert Columns

You are here: Menu Reference > Edit Menu > Insert Columns

Insert – Columns

Results Window: Edit > Insert > Columns

Insert additional columns in the Results window.

Select cells or rows at the position you want to insert additional columns. Select as many columns as you want to insert. When you press the command, blank columns are inserted in the highlighted area, and the existing data (at the column of the highlight and below) are shifted to the right.


Clear Sheet

Results Window: Edit > Clear Sheet

Select Clear Sheet to clear all data from the active Results window sheet.

See also Clear, Clear All Sheets.


Clear All Sheets

Results Window: Edit > Clear All Sheets

This command clears the data from all sheets in the Results window. This action cannot be undone.

See also Clear Sheet, Clear Sheet.


Clear

Lab Book & Results Windows: Edit > Clear

Shortcut: Del

Clear erases the contents of selected cells in the Results window. In the Lab Book it deletes the selected text.

See also Clear Sheet, Clear All Sheets, Delete.


Delete

Edit > Delete

Results window

Shortcut: Ctrl + D

Entirely remove selected columns or rows.

If you want to retain the columns or rows, but clear them of all entries, use Clear.

Layout window

Shortcut: <Del>

Deletes the selected components from the canvas. This can be reversed with Undo (Ctrl+Z).


Delete from Index

DFI Window: Edit > Delete from Index

List Area Popup Menu > Delete from Index

Shortcut: Del

This command deletes the selected file or files in the active Data File Index.


Delete All from Index

DFI Window: Edit > Delete All from Index

List Area Popup Menu > Delete All from Index

This command deletes all file entries in the active Data File Index.


Select All

Edit > Select All

Shortcut: Ctrl + A

Results Window: Click in top left cell

DFI Window: List Area Popup Menu > Select All

Select all the data or text in the active window.


Select Range

Results Window: Edit > Select Range

Select a contiguous block of data by using the spinners to set the range of columns and rows.


Add Existing Files

DFI Window: Edit > Add Existing Files

List Area Popup Menu > Add Existing Files

Add data files to a new or existing Data File Index (DFI) file with this dialog.

Files are added to the currently open DFI file as the result of a search, configured in this dialog. Files must meet all the search criteria to be added.

Note:

Data files do not store the protocol name used for acquisition.

To search, sort, or create a DFI based on the protocol name:

  1. In Clampex software Acquire>Edit Protocol>Comments, select Comments.

  2. Select Write each trial.

  3. In File comment, select the protocol name.

When creating the DFI, you can then enter the protocol file name in the Whose Comment Contains, or you can search or sort the DFI based on the File Comment column.

File comments can be altered from Edit>Modify Signal Parameters Comments tab.

Sections in this topic:

  • Add Files
  • With Acquisition Dates
  • With Acquisition Modes
  • Whose Comment Contains

Add Files

  • Named—name a specific file, but more commonly use wildcards to set the file format you want to search for. Use the standard wildcard filters: ? (one character) and * (multiple characters), to search file names.

  • Look in—enter the drive and folder to search.

    • Browse—Use an Explorer-style dialog to navigate to the desired folder for the "Look in" field.

    • Include subfolders—select to search subfolders of the folder named in the "Look in" field.

With Acquisition Dates

Select to restrict the search to a date range. Use the format MM/DD/YY to enter date.

  • Between—enter the earliest date to search (inclusive) or use the drop-down list to choose "Today".

  • and—enter the latest date to search (inclusive) or use the drop-down list to choose "Today".

With Acquisition Modes

Select to restrict the search to certain acquisition modes. Select the desired acquisition modes.

Whose Comment Contains

Select to restrict the search to data files containing certain comments. The search is for the exact string that you enter, which may consist of whole and partial words.


Find

DFI, Lab Book & Results Window: Edit > Find

Shortcut: Ctrl + F

Shortcut for "Find Next": F3

Use Find to search for alphanumeric text in the Lab Book and Results window, and to select files with a specified parameter or numeric parameter range, in the Data File Index window.

Jump to instructions for:

  • Lab Book & Results Window
  • Data File Index

Lab Book & Results Window

Find what

Enter the text you want to search for. You may enter whole words or partial words, depending on the setting to "Match whole word only".

Match whole word only

Check to find exact word matches with your entry in "Find what".

For example, if you enter "clamp" and do not check this option, "Clampex" and "Clampfit software" will be found. Check the box to find "clamp" only.

Match case

Check to find text that matches the case of the letters in the "Find what" field. Deselected, a "Find what" entry "clamp" will find "Clamp" as well as "clamp".

Direction (Results window only)

Up: search towards the beginning of the file, such as from the bottom up in each column, from right to left, from the current cursor position

Down: search towards the end of the file, such as from the top down in each column, from left to right, from the current cursor position.

Find Next

Click Find Next (or <F3>) multiple times to find the first and subsequent occurrences of the text in the "Find what" field.

You can close the Find dialog and still use Find Next with <F3> or Edit / Find Next, which uses the settings in the dialog when you closed it.

Data File Index

When you conduct a Find operation in the DFI window, all the data files are sorted on the parameter you are searching on, and the files meeting the search criteria selected.

Search

Select the file parameter you want to search on. These are listed in alphanumeric order.

For Values

The "Search" parameter you have selected is searched for the text, numerals, or numeric range you enter here.

Equal to

Enter a specific number or text to find. Where the Search parameter has a restricted number of options, such as "Enabled" and "Disabled" in the Leak and Digital columns, these options are available in the drop-down menu.

Between

For parameters reporting numbers, set an inclusive range to find.


Find Next

Lab Book & Results Window: Edit > Find Next

Shortcut: F3

When you have configured a search in the Find dialog for the Lab Book or Results Window, this command finds the next instance of the searched for text or number (entered in the "Find what" field).

Find Next remains active after the Find dialog is closed, and can be used for other files opened into windows of the same type that the dialog was configured for.


Replace

Lab Book & Results Window: Edit / Replace

Shortcut: Ctrl + H

Use Replace to search for alphanumeric text and replace it with another word or number.

Find what

Enter the text or number you want to search for. You may enter whole words or partial words depending on the setting to "Match whole word only".

Replace with

Enter the text or number that will replace the text that you entered in the "Find what" field.

Match whole word only

Check to find exact word matches with your entry in "Find what".

For example, if you enter "clamp" and do not check this option, "Clampex" and "Clampfit software" will be found. Check the box to find "clamp" only.

Match case

Check to find text that matches the case of the letters in the "Find what" field. Deselected, a "Find what" entry "clamp" will find "Clamp" as well as "clamp".

Find Next

Click Find Next multiple times to find the first and subsequent occurrences of the text in the "Find what" field.

Replace

When Find Next locates and highlights a block of text, click Replace to replace the highlighted text with the text in the "Replace with" field.

Replace All

Click to replace all occurrences of the text in the "Find what" field automatically, without prompting.


Go To

Results Window: Edit > Go To

Use to go directly to a particular cell in the currently visible Results window sheet.

Column

Select the column from the list box.

Row

Select the row number with the spinner.


Create Fitted Curve Signal

Analysis Window: Edit > Create Fitted Curve Signal

When you have fitted a curve to a data trace (Analyze > Fit), display the fitted curve information as a new signal in the Analysis window.

Only one fitted curve signal can be added to the Analysis window. If a new fitted curve signal is created, it overwrites the existing one.

Signal Options

The new signal can display either the fitted curve, one of the component curves of the fitting function or the fitting residuals.

Fitted Curve

Creates the fitted curve. The fitted curve is computed for the X axis value at each pixel within the fitting range.

Components

Creates a component of a fit. A component is derived from a term of the fitting function. For example, a two-term exponential function will have two component curves. If the fitting function contains only one term then the component is identical to the fitted curve. The component curves are computed for the X axis value at each pixel within the fitting range.

Term: Selects the term of the fitting function from which the component is to be derived. Only one component curve can be created at a time as the new signal can display only a single trace.

Residuals

Creates the residual curve of the fit (observed value – fitted value, computed for each data point in the fitting range).


Create Stimulus Waveform Signal

Analysis Window: Edit > Create Stimulus Waveform Signal

This command creates an additional signal in the Analysis window with either an analog or digital output from the Clampex software protocol stored in the data file.

Select the waveform from which to create a signal

Select one of the Analog OUT or Digital Output channels from the Clampex software protocol (stored in the data file header) as the source of the data. This is most appropriate for Episodic Stimulation mode, but it works with the other acquisition modes as well.


Create Duplicate Signal

Analysis Window: Edit > Create Duplicate Signal

Create an additional signal with a copy of the data in the active signal.


Transfer Traces

Analysis Window: Edit > Transfer Traces

This command copies the selected traces from the active Analysis window to either a Results window or Graph (and Results) window. A maximum of 1 million sample points can be transferred.

Destination Window

  • Results window—The selected traces are copied to the first empty "Sheet #" sheet in the Results window. Subsequent transfers append new columns of data into this same sheet.
  • Graph window—The selected traces are copied into a new Graph window, as well as to the Results window, as above. Subsequent transfers create new Graph windows.

Region to transfer

Use the drop-down list to choose which section of the trace(s) to copy.

Start time base at zero

The transferred traces are given a beginning time of zero, irrespective of their actual starting time in the data file.

Variable Start Time Region

This group is relevant when the selected Region to transfer has more than one trace and these start at different times. This can occur when a multisweep episodic stimulation file has an epoch of variable length—subsequent epochs all start at different times relative to the run start, so if one of these is selected as the Region to transfer the following options become available:

  • Align start times with first region—The transferred traces are recorded as all starting at the same time as the first sweep.
  • Keep original start time spacing—The transferred traces are recorded as starting at their actual start times, relative to the first transferred sweep.

Trace Selection

  • Select—Opens the Select Traces dialog. Use this to select the traces to copy.


Modify Math Parameters

Analysis Window: Edit > Modify Math Parameters

Analysis Window (Math Signal) Signal Properties Popup Menu: Signal Properties

Edit the values of an existing math signal associated with the file, or create a new math signal.

When the Math Signal feature is used to calculate a signal from one or two recorded signals in Clampex software, the calculated signal itself is not stored in the data file—only the scaling factors, offsets, and equation are saved to the file header. The calculated signal is then reconstructed when the file is read into Clampfit software. This dialog allows you to amend these settings, or configure a new math signal.

When you click OK, you are asked whether you want to save the changes to the data file or to use the math signal just for this session.

Math Signal

Check on to enable the math signal.

Data Source

Analog IN #A and Analog IN #B

Select the analog input signals to be used for the variables #A and #B in the math equation. It is acceptable for both fields to be set to the same signal.

If your equation uses only one signal, use zero in the appropriate constants to eliminate that part of the equation.

Equation

When you choose the equation, it will appear in a box at the bottom of the dialog.

  • General purpose—Scale and apply an offset to each signal and apply an operator between each signal.
  • Ratio dyes—Use to calibrate fluorometric measurements.
  • Operator—Choose an arithmetic operator for this equation. The operator Addition / Subtraction / Multiplication /Division is shown in the equation as <op>:
  • Constants—Enter constant values to scale and apply offsets to the equation. These are defined in the Generalized Equation in the lower part of the dialog.
    • K1 and K3: Use K1 and K3 to apply scale factors in the equation, including zero if appropriate.
    • K2 and K4: Use K2 and K4 to apply offsets in the equation.
    • K5 and K6: K5 and K6 are only used in the Ratio Dye equation, to apply offsets to the input signals before creating the ratio.
  • Display
    • Maximum and Minimum—Enter the numeric upper and lower limits for the Y axis display so as to adequately view the math signal. You can zoom in while viewing the math signal in the Analysis window. These settings will determine the minimum amplification (i.e. the maximum zoom-out level). If the signal exceeds the range you set here, you cannot zoom out in the Analysis window, you must extend the Y axis display range using these fields.
    • Units—Enter the appropriate units for your arithmetically derived signal. For example, if you are calculating a ratio in order to measure calcium concentration, enter units such as [Ca].


Query—Save Math Changes?

When you Modify Math Parameters in a data file, you are asked here whether you want to save the changes to the original data file.

Save the math signal settings to the original file

The changes you have made are written to the original data file. Be careful because there is no "undo" feature.

Keep the new math signal settings for this session only

The changes you have made will NOT be written to the data file, so they will only be in effect until you close the data file.


Modify Signal Parameters

Analysis & DFI Windows: Edit > Modify Signal Parameters

Analysis Window Signal Properties Popup Menu: Signal Properties

Change parameters such as signal name, units, scale factor and comment for the selected signal.

Recorded data in Clampex software are saved as raw A/D integer values. For example, Digidata 1440 save the 16-bit data as integer values between –32,768 and +32,767. Clampex software uses scale factors from the Lab Bench to convert the raw A/D values to real-world values such as nA and mV. If an incorrect scale factor is saved to the data file Modify Signal Parameters allows you to correct this by directly modifying the data file header. The raw A/D data values are not affected.

If you change the scale factor you are warned that the change is permanent before the change is effected.

There are three tabs:

  • Input tab
  • Output tab
  • Comments tab


Modify Signal Parameters—Input tab

Change header parameters for analog input signals. Changes are written to the data file, with no "undo" option.

See Modify Signal Parameters.

Signal

Select the Analog IN channel whose signal information you wish to modify.

Parameters

Adjust the field values as needed.

  • Name—Edit the signal name.
  • Units—Edit the units.
  • V / [units]—Edit the scale factor, which is the number of volts read at the analog input for every unit measured.
  • @ 0 V—Edit the offset value, which is the signal level (in signal units) when the analog input is reading 0 volts.

Note: You cannot change the scale factor or offset in floating point ABF files—files that have undergone analysis in Clampfit software—only to integer ABF files, as recorded in Clampex software. To change the scale factor in a floating point file, use the Analyze >Arithmetic dialog to change the scaling manually.


Modify Signal Parameters—Output tab

Change header parameters for the analog output signals. Changes are written to the data file, with no "undo" option.

See Modify Signal Parameters.

Signal

Select the Analog OUT channel with thee signal information you want to modify.

Parameters

  • Name—Edit the signal name.
  • Units—Edit the units.
  • [units] / V—Edit the scale factor, which is the number of units delivered to the preparation for every volt sent at the analog output.


Modify Signal Parameters—Comments Tab

See Modify Signal Parameters.

File Comment

Edit the existing file comment or enter a new comment.

Identifiers

Numeric Identifier #n—Enter real numbers or integer values in these fields. Non-numeric characters are not allowed except "+", "–", and "e" for exponential notation.


View Menu

Use commands in this menu to configure the appearance of Clampfit software.

Two commands are always included in the View menu:

  • Window Properties
  • Window Defaults

Other commands available in the menu depend on the window type currently selected:

  • Analysis Window
  • Data File Index
  • Graph Window
  • Lab Book
  • Results Window
  • Statistics Window


Window Properties

View > Window Properties

Open the Window Properties dialog for the active window. There are seven dialogs, corresponding to the seven window types:

  • Analysis Window Properties
  • Data File Index Window Properties
  • Graph Window Properties
  • Lab Book Window Properties
  • Results Window Properties
  • Statistics Window Properties


Window Defaults

View > Window Defaults

Set default settings for the currently selected window type, or restore default settings to the currently selected window.

If you open a window when no other window of that type is already open, and selected, the new window uses stored default properties for position and appearance. Each window type has its own set of stored default properties.

If you open a new window when a window of the same type is already open and active, the new window inherits the properties of the existing window.

This dialog box provides the following options to select:

  • Save selected [window type] settings as default

    The properties of the window that was active when you called View > Window Defaults are saved as the stored default properties.

    Note: For the Graph window, having made this selection, you can choose to open new windows with exactly the same properties as those saved here, including scaling and axis names, or with just the general appearance features of the window preserved , such as whether the graph is line or scatter, and the color, size and shape of graph lines and symbols. This option is set in Configure > Graph Window Options.

  • Restore default settings to selected [window type]

    Having changed properties in the active window, this option restores it to the stored default properties.

  • Save factory settings as default and apply to selected [window type]

    The stored default properties revert to the settings they had when Clampfit software was first installed, and these settings are applied to the current active window.


View Menu—Analysis Window

This section contains topics for commands in the View menu when an Analysis window is active.

  • Analysis Window Properties
    • General Tab
    • X Axis Tab
      • Tick Intervals
    • Signals Tab
    • Show/Hide Tab
    • Colors/Fonts Tab
  • Window Defaults
  • Review Toolbar
  • Alternate Toolbar
  • Status Bar
  • Analysis Window Toolbar
  • Auto Scale—Active Y Axis
  • Auto Scale—All Y Axes
  • Full Scale—X Axis
  • Full Scale—Active Y Axis
  • Full Scale—All Axes
  • Zoom—Area
  • Zoom—X Axis In x 2
  • Zoom—X Axis Out x 2
  • Zoom—Between Cursors
  • Zoom—Y Axis In x 2
  • Zoom—Y Axis Out x 2
  • Invert—Active Y Axis
  • Invert—All Y Axes
  • Invert—X Axis
  • Signal—Maximize
  • Signal—Tile
  • Signal—Hide
  • Signal—Properties
  • Data Display—Sweeps
    • Set Sweep Length
  • Data Display—Continuous
  • Data Display—Concatenated
  • Distribute Traces
  • Blank
  • Fit Display
  • Stimulus Waveform Display
  • Previous Sweep
  • Next Sweep
  • Select Sweeps
  • Hide Sweep
  • Toggle Sweep List
  • Standard Data Area
  • Maximum Data Area
  • Refresh


Analysis Window Properties

Analysis Window: View > Window Properties

Analysis Window Data Area Popup Menu > Properties

Shortcut: Double-Click in Analysis Window Data Area

Configure the general appearance and axis scaling of the Analysis window in this dialog.

There are five tabs in this dialog:

  • General
  • X Axis
  • Signals
  • Show/Hide
  • Colors/Fonts


General Tab—Analysis Window

You are here: Menu Reference > View Menu > View Menu—Analysis Window > General Tab—Analysis Window

Analysis Window Properties—General Tab

Use this tab of the Analysis Window Properties dialog to choose which items to display in the Analysis window. Some of these items can be further customized in the other tabs.

Sections in this topic:

  • Items to Display
  • General Options
  • Cursor Options

Items to Display

You can also use View > Standard Data Area and View > Maximum Data Area to change the display quickly.

  • Vertical scroll bars—This option displays a scroll bar for the Y axis. This bar is activated when you zoom the data in the Y axis direction. If this option is not selected, the data area expands to fill this area.
  • Horizontal scroll bar—This option displays a scroll bar for the X axis. This bar is activated when you zoom the data in the X axis direction, so you can scroll through the length of the sweep, or the length of the acquisition. If this option is not selected, the data area expands to fill this area.
  • Cursor row—Displays the cursor control bar at the top of the data area.
  • Acquisition tags—Displays the tags triggered during acquisition, if they exist.
  • Y axes

    Displays the Y axis.

    • Signal name and Y units—Displays the signal and unit names in the Y axis.
    • Use rotated text—Displays the Y axis text rotated vertically, to make better use of space.
  • X axis

    Displays the X axis ticks.

    • Name and units—Displays the X axis name and the units name.
    • Tick numbers—Displays the X axis values.

General Options

  • Clip traces to Y axis limits—If the data file contains multiple signals, traces are confined to their pane limits.
  • Scroll window when cursor reaches limits—If you have zoomed into the X axis, and you drag an Analysis window cursor to the edge of the window, the display scrolls the data in the appropriate direction.
  • Dynamically update cursor measurements in Results window—Every time you reposition a cursor, its measurements are automatically updated in the Results window.
  • Zoom X axis from left—When you zoom the X axis with View / Zoom / X Axis In ×2 or with the Analysis window's X axis zoom buttons, the zoom is anchored to the left edge of the Analysis window. If unchecked, the zoom is centered around the middle of the window.

Cursor Options

Number of cursor pairs—Up to 8 pairs of cursors can be introduced into the Analysis window, set with the spinner.


X Axis Tab—Analysis Window

You are here: Menu Reference > View Menu > View Menu—Analysis Window > X Axis Tab—Analysis Window

Analysis Window Properties—X Axis Tab

Use this tab of the Analysis Window Properties dialog to configure the X axis of the Analysis window.

Sections in this topic:

  • Time Format
  • X Axis Limits

Time Format

Choose the time format to display for the X axis.

  • Time of day

    Displays time according to the time of day when the data was recorded, in the format of hh:mm:ss (hours:minutes:seconds), for example, 17:04:27.0473 means 5:04 pm and 27.0473 seconds. A data recording starts time with the fraction of a second set to zero.

    If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode and you choose View > Data Display > Sweeps, the time on the X axis is correct for sweep 1. Set the data display to Continuous to view the correct time for all sweeps.

  • Stopwatch time

    Displays time according to a stopwatch when the experiment was recorded, in the format hh:mm:ss (hours:minutes:seconds), for example, 01:23:42.0015 means one hour, 23 minutes, and 42.0015 seconds elapsed after the acquisition program started or its stopwatch was zeroed. A data recording starts time with the fraction of a second set to zero.

    If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode and you choose View > Data Display > Sweeps, the time on the X axis is correct for sweep 1. Set the data display to Continuous to view the correct time for all sweeps.

  • Elapsed time

    Displays the time since the start of recording, or since the start of the sweep.

  • Units

    Use the drop-down list to choose the units of elapsed time.

X Axis Limits

Use this section to specify the X axis display limits and to set ticks. Alternatively, use the X axis zoom buttons in the Analysis window.

  • Left limit

    Enter the specified units of time past the start of the sweep or data file to start displaying the data. The corresponding sample number for this time is displayed to the right.

  • Right limit

    Enter the specified time (from sweep or trace start) up to which to display data. The corresponding sample number for this time is displayed to the right.

    The resulting span along the X axis is reported below the fields in the chosen units and in number of samples. If the data were recorded in Episodic Stimulation or High-Speed Oscilloscope mode, the sweep length is also reported.

  • Tick Intervals

    This opens the Tick Intervals dialog box in which you can set the tick intervals on the X Axis.


Tick Intervals

This dialog opens from the Analysis Window Properties X Axis and Signals tabs, and Graph Window Properties X Axis tab.

Use it to set the number of tick intervals on the axis for which you open the dialog. The Analysis Window Properties Signals tab is used to configure the Y axis in the Analysis window.

The settings also apply to grid divisions in the data area of the Analysis and Graph windows.

Choose between Automatic and Custom tick intervals.

Automatic Tick Intervals

Clampfit software determines the intervals of major and minor ticks.

  • Dense...Sparse: Drag the slider to indicate your preference for many or few ticks along the axis.

Custom Tick Intervals

Specify the intervals of the major and minor ticks.

  • Major ticks: Specify the span of units for each major tick. Major ticks display values along the axis.
  • Number of subdivisions: Use the drop-down list to specify the number of subdivisions between each major tick.
  • Minor ticks: The span of each minor tick is reported, based on the number of subdivisions you choose.


Signals Tab—Analysis Window

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Signals Tab—Analysis Window

Analysis Window Properties—Signals Tab

Use this tab of the Analysis Window Properties dialog to set the display properties of the trace and data area grid for each signal in the Analysis window. Also configure the range and tick intervals for the Y axis.

Sections in this topic:

  • Signal
  • Trace
  • Grids
  • Y Axis Limits

Signal

Use the drop-down list to choose the signal whose properties you wish to change.

  • Active line color: Select one of 16 colors for the active trace. The selected trace in signals with multiple sweeps. This selection applies to all signals in the file. In signals with a single trace, the trace color is set in the Inactive line color field.

Trace

  • Draw dots: Check this box to display the data as a series of dots. In an unanalyzed file each dot represents an A/D digitizer sample. Otherwise, lines are drawn connecting the data points.
  • Line width: Enter a value or use the spinner to choose a line width (or dot size) of up to 5 pixels.
  • Inactive line color: Select one of 16 colors for inactive traces (those traces in a sweeps signal that are not selected), and for the trace in a single-trace signal.
  • Apply to all signals: Check this box to apply the settings in the Trace section to all signals. The Active line color setting applies to all signals.

Grids

  • Horizontal: Check to display horizontal grid lines with the major axis ticks.
  • Minor ticks: Check to display horizontal grid lines with the minor axis ticks.
  • Vertical: Check to display vertical grid lines with the major ticks.
  • Minor ticks: Check to display vertical grid lines with the minor ticks.
  • Apply to all signals: Check the box to apply the settings in the Grids section to all signals (panes) in the Analysis window. Otherwise, the settings only affect the signal selected at the top of the tab.

Y Axis Limits

Use these fields to precisely set the Y axis display limits for the chosen signal. Alternatively, use the Analysis window zoom buttons.

  • Top limit: Enter the highest Y axis value you want displayed.
  • Bottom limit: Enter the lowest Y axis value you want displayed. The total Y axis span is reported below the fields in signal units.

  • Tick Intervals: Open the Tick Intervals dialog to set the tick intervals on the Y Axis.

    Note: The Tick Intervals dialog opened from the Y Axis Limits section sets the major and minor tick intervals for grid divisions, as well as for axes.


Show/Hide Tab - Analysis Window

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Show/Hide Tab - Analysis Window

Analysis Window Properties—Show/Hide Tab

Use this tab of the Analysis Window Properties dialog to choose which signals to display and which to hide. You can also use this tab to rearrange the order of the signals in the Analysis window.

Hidden signals

This field lists any signals that are hidden from view. If you wish to make a hidden signal visible, select it then press the arrow button [image] between the two fields to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Signals to be shown

This field lists the signals that are visible in the Analysis window. If you wish to hide a signal from view, select it then press the arrow button [image] between the two fields to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

Up / Down

The order of signals in the Signals to be shown field is also the order of the signals in the Analysis window. To move a signal select it then use the up [image] and down [image] buttons to move it up and down in the list.

Alternatively, in the Analysis window, place the mouse cursor over the signal names and units portion of the signal pane and drag it up or down.


Colors/Fonts Tab—Analysis Window

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Colors/Fonts Tab—Analysis Window

Analysis Window Properties—Colors/Fonts Tab

Use this tab of the Analysis Window Properties dialog to change the colors and fonts of various Analysis window elements. To change the colors of the traces, use the Signals tab.

Colors

Select a window element from the top field then select a color for it from the list box below.

Fonts

Select the text element you want to change.

  • Font: Click to choose a font and size for the selected text element in the Analysis window. A sample of the chosen font and size is shown above the button.


Review Toolbar

View > Review Toolbar

Toolbar Popup Menus > Review Toolbar

This is a toggle that shows and hides the Review toolbar in the main Clampfit software window, the default toolbar.

Use Configure > Toolbars > Review to add or delete buttons to this toolbar.


Alternate Toolbar

View > Alternate Toolbar

Toolbar Popup Menus > Alternate Toolbar

This is a toggle that shows and hides the Alternate toolbar in the main Clampfit software window, which you can use to build your own custom toolbar.

Use Configure > Toolbars > Alternate to customize this toolbar.

The Alternate toolbar is pre-populated with a range of commands designed to speed up analysis of large numbers of files, including especially multi-signal files of the sort produced by Axon's OpusXpress™ parallel oocyte voltage clamp system. The commands include the following:

Next Signal

Previous Signal

Show Acquisition Signals

Auto Adjust Baseline

Auto Statistics


Status Bar

View > Status Bar

Toolbar Popup Menus > Status Bar

This is a toggle that shows and hides the Status bar, which lies along the bottom edge of the main Clampfit software window.

The Status bar reports the X and Y coordinates of the mouse cursor in graphs.

It also displays brief explanations of many toolbuttons, when the cursor is placed over the toolbutton.


Analysis Window Toolbar

View > Analysis Window Toolbar

Toolbar Popup Menu > Analysis Window Toolbar

This is a toggle that shows and hides the Analysis window toolbar. This toolbar contains many buttons for viewing and analyzing data, and transferring information to other windows. It is not configurable.


Auto Scale Y Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Auto Scale Y Axis

Auto Scale—Y Axis

Graph Window: View > Auto Scale > Y Axis

Graph Window Y Axis Popup Menu > Auto Scale

Scale the plot in the Graph window so that the data fill 90% of the Y axis. All samples in the plot are used to determine the Y axis scale.


Auto Scale All Y Axes

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Auto Scale All Y Axes

Auto Scale—All Y Axes

Analysis & Statistics Window: View > Auto Scale > All Y Axes

Analysis Window Data Area Popup Menu > Auto Scale All Y Axes

Statistics Window Y Axis Popup Menu > Auto Scale All Y Axes

Analysis Window Toolbar:

This command scales the data in all signals in the active Analysis window, so that the maximum range of the data in each signal fills 90% of the Y axis in each display pane.

Only the visible samples in each signal are used to determine the Y axis scales.


Full Scale X Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Full Scale X Axis

Full Scale—X Axis

Analysis, Graph & Statistics Windows: View > Full Scale > X Axis

Analysis & Graph Windows X Axis Popup Menu > Full Scale

Statistics Window X Axis Popup Menu > Default Scale

Analysis Window Toolbar:

This command displays the full X axis range for the current file, graph or statistics measurement.

In the Statistics window, the full X axis range is set on the Statistics Window Properties X Axis tab.


Full Scale Y Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Full Scale Y Axis

Full Scale—Y Axis

Graph Window: View > Full Scale > Y Axis

Graph Window Y Axis Popup Menu > Full Scale

This command displays the plot in the Graph window with the full Y axis range of the data. The data span the entire Y axis.


Full Scale All Axes

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Full Scale All Axes

Full Scale—All Axes

Analysis, Graph & Statistics Windows: View > Full Scale > All Axes

Analysis, Graph & Statistics Window Data Area Popup Menu > Full Scale All Axes

Analysis Window Toolbar:

This command maximizes the X and Y axis range displayed.

In the Analysis window the full signal range is used for the Y axis and the full recording or sweep time for the X axis.

In the Graph window the graph is scaled to show all data points, with the data spanning the entire data area of the graph in both axes.

In the Statistics window X and Y axis default ranges are used, set on the Statistics Window Properties X Axis and Signals tabs respectively.


Zoom Area

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Zoom Area

Zoom—Area

Analysis, Graph & Statistics Windows: View > Zoom > Area

Analysis, Graph & Statistics Windows Data Area Popup Menu > Zoom Area

Shortcut: Ctrl + Mouse Click

The Zoom Area command activates the area zoom mouse cursor when the cursor is in a data region. Drag the mouse until the dashed-line drag box surrounds the area of interest. Release the left mouse button to execute the zoom.


Zoom X Axis In x2

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Zoom X Axis In x2

Zoom—X Axis In×2

Analysis & Statistics Windows: View > Zoom > X Axis In x 2

Analysis & Statistics Windows X Axis Popup Menu > Zoom In x2

Window Button:

Increase the magnification of the X axis by a factor of two.

The file is locked at the left-hand end of the display when it enlarges. In the Analysis window you can change the lock-point to the center of the display, from the Analysis Window Properties General Tab.


Zoom X Axis Out x2

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Zoom X Axis Out x2

Zoom—X Axis Out ×2

Analysis & Statistics Windows: View > Zoom > X Axis Out x 2

Analysis & Statistics Windows X Axis Popup Menu > Zoom Out x2

Window Button:

This command reduces the magnification of the X axis by a factor of two.

The file is locked at the left-hand end of the display when it zooms out. In the Analysis window you can change the lock-point to the center of the display, from the Analysis Window Properties General Tab.


Zoom Between Cursors

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Zoom Between Cursors

Zoom—Between Cursors

Analysis Window: View > Zoom > Between Cursors

Analysis Window Data Area Popup Menu > Zoom Between Cursors

This command zooms the X axis to show the region bounded by the last selected cursor pair.


Zoom Y Axis In x2

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Zoom Y Axis In x2

Zoom—Y Axis In ×2

Analysis & Statistics Windows: View > Zoom > Y Axis In x 2

Analysis & Statistics Windows Y Axis Popup Menu > Zoom In x2

Window Button:

Increase the magnification of the Y axis of the selected signal or statistic by a factor of two, locked about the center of the signal.


Zoom Y Axis Out x2

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Zoom Y Axis Out x2

Zoom—Y Axis Out x2

Analysis & Statistics Windows: View > Zoom > Y Axis Out x 2

Analysis & Statistics Windows Y Axis Popup Menu > Zoom Out x2

Window Button:

Decrease the magnification of the Y axis of the selected signal or statistic by a factor of two, locked about the center of the signal.


Invert Active Y Axis

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Invert Active Y Axis

Invert—Active Y Axis

Analysis & Statistics Windows: View > Invert > Active Y Axis

Analysis & Statistics Window Y Axis Popup Menu > Invert Axis

The Y axis of the active pane is inverted along with the data. The data values are not altered, just the display.


Invert All Y Axes

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Invert All Y Axes

Invert—All Y Axes

Analysis & Statistics Windows: View > Invert > All Y Axes

The Y axes of all panes in the active window are inverted along with their data. Data values are not altered, just their display.


Invert X Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Invert X Axis

Invert—X Axis

Analysis & Graph Windows: View > Invert > X Axis

Analysis & Graph Window X Axis Popup Menu > Invert Axis

The time axis is reversed along with the data. Data values are not altered, just their display.


Previous Signal

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Previous Signal

Signal—Previous Signal

Analysis Window: View > Signal > Previous Signal

Analysis Data Area Popup Menu > Previous Signal

Shortcut: Ctrl + Up

Alternate Toolbar:

Show the previous signal in the file, maximized to fill the entire Analysis window.

The "previous signal" is the signal above the currently selected one, in the order these appear when all signals are made visible with Tile Signals. This ordering can be changed on the Analysis Window Properties Show/Hide tab.


Next Signal

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Next Signal

Signal—Next Signal

Analysis Window: View > Signal > Next Signal

Analysis Data Area Popup Menu > Next Signal

Shortcut: Ctrl + Down

Alternate Toolbar:

Show the next signal in the file, maximized to fill the entire Analysis window.

The "next signal" is the signal below the currently selected one, in the order these appear when all signals are made visible with Tile Signals. This ordering can be changed on the Analysis Window Properties Show/Hide tab.


Show Acquisition Signal

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Show Acquisition Signal

Signal—Show Acquisition

Analysis Window: View > Signal > Show Acquisition

Analysis Data Area Popup Menu > Show Acquisition Signals

Alternate Toolbar:

Show the signals that were selected for display in the Scope window, in the acquisition program: Clampex software or OpusXpress Software when the file was originally recorded.

General signal selection can be done on the Analysis Window Properties Show/Hide tab.


Signal Maximize

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Signal Maximize

Signal—Maximize

Analysis & Statistics Windows: View > Signal > Maximize

Analysis & Statistics Windows Data Area Popup Menu > Maximize Signal

Maximize the currently active pane, hiding all the other panes.


Signal Tile

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Signal Tile

Signal—Tile

Analysis & Statistics Windows: View > Signal > Tile

Analysis & Statistics Windows Data Area Popup Menu > Tile Signals

Alternate Toolbar (for Analysis Window):

When one or more signal or statistics panes have been hidden, restore them all to view, evenly spaced in the window.

The order that signals appear in the Analysis window can be changed on the Analysis Window Properties Show/Hide tab.


Signal Hide

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Signal Hide

Signal—Hide

Analysis & Statistics Windows: View > Signal > Hide

Analysis & Statistics Windows Data Area Popup Menu > Hide Signal

Hide the active signal or statistics pane.

You can later restore the pane to view from the Analysis Window Properties Show/Hide tab, for the Analysis window, or the Statistics Window Properties Signals tab for the Statistics window.


Signal Properties

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Signal Properties

Signal—Properties

Analysis Window: View > Signal > Properties

Open the Analysis Window Properties dialog at the Signals dialog to adjust display options for the selected signal.


Data Display Sweeps

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Data Display Sweeps

Data Display—Sweeps

Analysis Window: View > Data Display > Sweeps

Analysis Window X Axis Popup Menu > Sweeps Display

Sets the display to show overlapping fixed-length sweeps of data. This is most suitable for displaying data acquired in Episodic Stimulation, Fixed-length Events, or High-speed Oscilloscope mode.

Data acquired in Gap-free or Variable-length Events mode can be displayed as sweeps of arbitrary length as well. For the latter two modes, the Set Sweep Length dialog opens for you to choose the arbitrary sweep length.


Set Sweep Length

When you choose to set View > Data Display as Sweeps, if the acquisition mode of the active Analysis window was either of Gap-free or Variable-length Events modes, the Set Sweep Length dialog allows you to choose an arbitrary sweep length.

Sweep length

Enter the sweep length in samples, or use the spinner. The minimum sweep length is 100 samples, the maximum 100,000 samples.

The sweep length is reported in milliseconds or seconds to the right of the field.


Data Display Continuous

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Data Display Continuous

Data Display—Continuous

Analysis Window: View > Data Display > Continuous

Analysis Window X Axis Popup Menu > Continuous Display

Sets the display to show time linearly along the X axis.

This display is most suitable for displaying data acquired in Gap-free mode. If you display other acquisition modes in Continuous display mode, gaps in the signal traces signify the time periods where no acquisition was taking place.


Data Display Concatenated

You are here: Menu Reference > View Menu > View Menu—Analysis Window > Data Display Concatenated

Data Display—Concatenated

Analysis Window: View > Data Display > Concatenated

Analysis Window X Axis Popup Menu > Concatenated Display

Sets the display to show fixed- or variable-length data segments one after the other along the X axis, with vertical lines separating the segments. Useful when display of the interval between events is not critical.


Distribute Traces

Analysis Window: View > Distribute Traces

This command allows you to vertically separate traces in a multi-sweep file. This allows you to more clearly view overlapping traces, but does not affect the data. The Y axis scale is changed to a scale.

Vertical Separation

Check this item to enable the Distribute Traces settings.

Apply To
  • Active signal: Vertical separation between traces is only applied to the active signal.
  • All signals: Vertical separation between traces is applied to all signals in the data file.
Distance

If the active signal is selected, specify a vertical separation distance in that signal' units.

If all signals are selected, specify the vertical separation distance as a percentage of the visible scale of each signal.


Blank

Analysis Window: View > Blank

Blanking hides the view of a section of the data in the window, but does not affect the data or any operations or calculations on the data. All visible signals are affected.

Blank Range

Select which of the following data to blank:

  • None: This is the default setting, so that no blanking is done with this command.
  • Between cursors 1..2: Blank the data between cursors 1 and 2.
  • Between cursors 3..4: Blank the data between cursors 3 and 4.
  • Between cursors 1..2 and cursors 3..4: Blank two separate data ranges at the same time, between cursors 1 and 2, and also cursors 3 and 4.

Keep previously blanked ranges

This allows you to preserve previously blanked ranges, and to add more blanked ranges to the data.


Fit Display

Analysis Window: View > Fit Display

Use this command to specify the fitting results to be displayed in the Analysis window, along with the data, following a fit. See Fit.

Display Options

Fitted curve

Displays the fitted curve. The fitted curve is computed for the X axis value at each pixel within the fitting range.

Components

Displays the components of a fit. A component curve is derived from each the term of the fitting function. For example, a two-term exponential function will have two component curves. If the fitting function contains only one term, then only the fitted curve will be displayed. The component curves are computed for the X axis value at each pixel within the fitting range.

Residuals

Displays the residual curve of the fit (observed value and fitted value) computed for each data point in the fitting range.


Stimulus Waveform Display

Analysis Window: View > Stimulus Waveform Display

Main Toolbar:

If the data displayed in the Analysis window were generated in response to a regime of stimulus command signals or digital outputs in episodic stimulation mode, these output waveforms are displayed using this option.

All analog signals and digital outputs are displayed in a separate Stimulus Waveform Display window. This window includes cursors and scroll bars, and can be copied to the clipboard (from where it can be pasted into other Windows applications) and the Layout window.

Use Edit > Create Stimulus Waveform Signal to add the command waveform as another signal in your data file.


Previous Sweep

Analysis Window: View > Previous Sweep

Analysis Window Data Area Popup Menu > Previous Sweep

Shortcut: < (the comma key, without <Shift>)

Select the previous sweep in the active signal in a sweeps mode display (View > Data Display) file.

The number of the active sweep is shown in the bottom right-hand corner of the window.

Note: A sweep can also be activated by clicking on it in the Analysis window.

Additional Links

See also View > Select Sweeps, View > Hide Sweep, View > Next Sweep, View > Toggle Sweep List


Next Sweep

Analysis Window: View > Next Sweep

Analysis Window Data Area Popup Menu > Next Sweep

Shortcut: > (the period key, without <Shift>)

Select the next sweep in the active signal in a sweeps mode display (View > Data Display) file.

The number of the active sweep is shown in the bottom right-hand corner of the window.

Note: A sweep can also be activated by clicking on it in the Analysis window.

Additional Links

See also View > Select Sweeps, View > Hide Sweep


Select Sweeps

Analysis Window: View > Select Sweeps

Analysis Window Data Area Popup Menu: Select Sweeps

Where data are displayed as sweeps (View >Data Display) this dialog allows you to select the sweeps for display.

The number of sweeps displayed, and the total number of sweeps in the file, are reported in the bottom right-hand corner of the Analysis window, after the number of the active sweep.

By selection

  • Sweep list: All sweeps in the file are listed in the display box. Select sweeps from the list by dragging over them. Alternatively, use <Shift> or <Ctrl> to select contiguous or non-contiguous sweeps.
  • Select All: Selects all sweeps in the file.
  • Select None: Removes selection of all sweeps. You can then select a new range. At least one sweep must be selected. If none are selected, the first sweep is displayed by default.
  • Invert: Reverses the selections chosen. Selected sweeps are deselected, while non-selected sweeps become selected.
  • Select Odd: Select all odd numbered sweeps.
  • Select Even: Select all even numbered sweeps.

By user-entered list

Enter individual sweep numbers and/or ranges of sweeps, using the keyboard.

Range

  • Type in individual sweep numbers separated by commas (use no spaces).
  • A range of consecutive sweeps can be specified by entering the first and last sweep of the range desired, separated by two periods (..). So, for example, 3,10..13,15 would show sweeps 3,10,11,12,13, and 15.
Additional Links

See also View / Previous Sweep, View / Next Sweep, View / Hide Sweep, View / Toggle Sweep List


Hide Sweep

Analysis Window: View > Hide Sweep

Shortcut: <Del>

Hide the selected sweep. This is the equivalent of deselecting it from the View > Select Sweeps dialog.

To restore a hidden sweep, go to View > Select Sweeps and select the sweep for display.


Toggle Sweep List

Analysis Window: View > Toggle Sweep List

Shortcut: Enter

In the Analysis window, where data are displayed as sweeps (see View > Data Display) this command toggles between display of:

  1. the one active (highlighted) sweep only
  2. those sweeps that have been selected for display in View > Select Sweeps
  3. all the sweeps in the file
Additional

See also Previous Sweep, Next Sweep, Select Sweeps, Hide Sweep.


Standard Data Area

Analysis, Graph & Statistics Windows: View > Standard Data Area

Analysis, Graph & Statistics Window Data Area Popup Menus > Standard Data Area

Use this command to bring all window features into view:

Analysis window

Axes are shown with Signal Name, units and quantities, and axis scaling controls, scroll bars and sweep information also appear.

Graph window

Labelled and numbered axes, titles and legend are shown.

Use View > Maximum Data Area to remove all these features from view and maximize the size of the data-display area of the window.


Maximum Data Area

Analysis, Graph & Statistics Windows: View > Maximum Data Area

Analysis, Graph & Statistics Window Data Area Popup Menus > Maximum Data Area

This command maximizes the size of the data display area in the window by turning off the display of the axes, scroll bars, scaling controls and sweep information in the Analysis window, and the axes, titles and legend in the Graph window.

Use View > Standard Data Area to redisplay these items.


Refresh

Analysis Window: View > Refresh

Shortcut: <F5>

If the drawing of traces in the Analysis window has been interrupted with a press of the <Esc> key, press F5 to refresh the display.


View Menu—Data File Index

This section contains topics for commands in the View menu when a Data File Index window is active.

  • Data File Index Window Properties
  • Window Defaults
  • Review Toolbar
  • Alternate Toolbar
  • Status Bar
  • Information Bar


Data File Index Window Properties

DFI Window: View > Window Properties

List Area Popup Menu > Window Properties

Hide or show data file parameters in the Data File Index (DFI) window.

Hide these fields

This field lists parameters hidden from view. To make a parameter visible, select it then press the arrow button [image] to move the signal to the other list. Alternatively, double-click on the item to move it to the other list.

  • Show these fields: This field lists the parameters visible in the DFI window.

    To hide a parameter, select it then press the arrow button [image] to move the signal to the other list.

    Alternatively, double-click on the item to move it to the other list.

  • Up / Down: The order of the parameters in the "Show These Fields" field is also their order in the DFI window.

    To move a parameter's position, select it then use the up and down buttons to move it in the list.


Information Bar

DFI Window: View > Information Bar

When the Data File Index window is active, this toggle shows and hides the Information bar, which lies just below the title bar of the DFI window.

The Information bar shows the number of data files listed in this Data File Index, the name and path of the highlighted data file, and if the DFI has been turned into an archive.


View Menu—Graph Window

This section contains topics for commands in the View menu when a Graph window is active.

  • Graph Window Properties
    • General Tab
    • X Axis Tab
    • Y Axis Tab
    • Plots Tab
    • Colors/Fonts Tab
  • Window Defaults
  • Review Toolbar
  • Alternate Toolbar
  • Status Bar
  • Graph Bar
  • Auto Scale—X Axis
  • Auto Scale—Y Axis
  • Auto Scale—All Y Axes
  • Full Scale—X Axis
  • Full Scale—Y Axis
  • Full Scale—All Axes
  • Zoom—Area
  • Invert—X Axis
  • Invert—Y Axis
  • Invert—All Axes
  • Axis Type—Linear-Linear
  • Axis Type—Log-Linear
  • Axis Type—Linear-Log
  • Axis Type—Log-Log
  • Axis Type—Zero-Crossing
  • Standard Data Area
  • Maximum Data Area


Graph Window Properties

Graph Window: View > Window Properties

Graph Window Data Area Popup Menu > Properties

Shortcut: Double-click in Graph Window Data Area

Configure the general appearance and axis scaling of the Graph Window in this dialog.

There are five tabs in this dialog:

  • General
  • X Axis
  • Y Axis
  • Plots
  • Colors/Fonts


General Tab—Graph Window

You are here: Menu Reference > View Menu > View Menu—Graph Window > General Tab—Graph Window

Graph Window Properties—General Tab

Use this tab of the Graph Window Properties dialog to choose Graph window components to display. Some of these can be further customized in the other tabs.

The preview window at the bottom of the dialog box is updated as you make changes.

Items to Display

  • X axis: Displays the X axis with major and minor tick marks.
    • Name and units: Displays the name and units of the X axis values.
    • Tick numbers: Displays numbers by the major ticks.

  • Frame box: Displays a thin frame around the graph.

  • Y axis: Displays the Y axis with major and minor tick marks.

    • Name and units: Displays the name and units of the Y axis values.
    • Rotated text: Rotates the Y axis text by 90 [image], to read up the screen, to save space.

  • Tick numbers: Displays numbers by the major ticks.

  • X major gridlines: Displays gridlines corresponding to the X axis major tick marks.

    • X minor gridlines: Displays gridlines corresponding to the X axis minor tick marks.

  • Y major gridlines: Displays gridlines corresponding to the Y axis major tick marks.

    • Y minor gridlines: Displays gridlines corresponding to the Y axis minor tick marks.

Titles

  • Major title: Displays a major title centered at the top of the graph. Enter the major title in the field to the right.
  • Minor title: Displays a subtitle below the major title, if displayed, and in a smaller font. Enter the minor title in the field to the right.

  • Legend: Displays the plot names along with the symbol assigned to each plot. Enter a label for the legend in the field to the right.

    • Border: Displays a border around the legend in the graph.


X Axis Tab - Graph Window

You are here: Menu Reference > View Menu > View Menu—Graph Window > X Axis Tab - Graph Window

Graph Window Properties—X Axis Tab

Use this tab of the Graph Window Properties dialog to customize the X axis labels, display range and ticks.

Axis title

Enter a descriptive label for the X axis.

Units

Enter the unit name to be used for the X axis.

X Axis Limits
  • Left limit: Enter the desired start of the X axis for the plots in specified units.
  • Right limit: Enter the end of the X axis for the plots in specified units.
Tick Intervals

Opens the Tick Intervals dialog box in which you can set the tick intervals on the X Axis.


Y Axis Tab - Graph Window

You are here: Menu Reference > View Menu > View Menu—Graph Window > Y Axis Tab - Graph Window

Graph Window Properties—Y Axis Tab

Use this tab of the Graph Window Properties dialog to customize the Y axis labels, display range and ticks.

Axis title

Enter a descriptive label for the Y axis.

Units

Enter the unit name to be used for the Y axis.

Y Axis Limits
  • Top limit: Enter the largest value (in the specified units) you want displayed in the Y axis.
  • Bottom limit: Enter the lowest value (in the specified units) you want displayed in the Y axis.
Tick Intervals

Opens the Tick Intervals dialog box in which you can set the tick intervals on the Y Axis.


Plots Tab—Graph Window

You are here: Menu Reference > View Menu > View Menu—Graph Window > Plots Tab—Graph Window

Graph Window Properties—Plots Tab

Use this tab of the Graph Window Properties dialog to set the display properties of each plotted trace in the Graph window.

Sections in this topic:

  • Plot Style
  • Line
  • Show Symbol

Show properties of: Select the trace number of the plot to be configured.

Legend name: Enter a name for the trace to be plotted, which is displayed in the Legend box with a sample of the plot.

Plot Style

Change the type of plot display with the following options:

  • Line: Connect the data points with a straight line.
  • Scatter: Do not connect the data points with lines.
  • Histogram: Connect the data points with a line in a staircase pattern, i.e. follow a data point with a horizontal line, until the time of the next data point is reached, which is connected with a vertical line.
  • Apply to all plots: Check this box to apply the current plot style to all plots in the Graph window.

Line

Configure the display options for the line that connects the data points.

  • Thickness: The line thickness can be set from "1" (thinnest) to "5" (thickest). For histograms, a line is drawn only if the line thickness equals "1".
  • Style: Choose to display the line as either a solid line, or from the selection of dashed lines.
  • Color: Select a color for the line from the drop-down list.
  • Apply to all plots: Check this box to apply the current line settings to all plots in the Graph window.

Show Symbol

Symbols can optionally be enabled for display with line-style plots; symbols are always enabled for display with scatter-style plots; symbols cannot be enabled for display with histogram-style plots.

  • Size: The symbol size can be set from "1" (smallest) to "10" (largest). When set to "1", it appears as a point.
  • Style: Choose the symbol style from a variety of line, filled and hollow symbol shapes.
  • Pattern: For "filled" symbol shapes, you can optionally set a line pattern in the symbol.
  • Color: Choose a color for the data symbol from the drop-down list.
  • Show outline: This selection enables control of the symbol's outline thickness. For filled symbols, a black border is drawn and the fill-pattern option is enabled.
  • Thickness: This controls the thickness of line symbols, and the outline for hollow and filled symbols. For filled symbols, the outline and fill-pattern color is always black.
  • Apply to all plots: Check this box to apply the current symbol settings to all plots in the Graph window.
  • Show symbols for all new plots: Check to have new plots that you add to the graph automatically given point symbols. If unchecked, new plots are added as lines only, without symbols.


Colors/Fonts Tab—Graph Window

You are here: Menu Reference > View Menu > View Menu—Graph Window > Colors/Fonts Tab—Graph Window

Graph Window Properties—Colors/Fonts Tab

Use this tab of the Graph Window Properties dialog to change the colors and fonts of various Graph window elements. To change the colors of the plots, use the Plots tab.

Colors

Select a window element, then use the drop-down list at the bottom of the field to choose a color for that element.

Fonts

Select the text element you want to change.

  • Font: Click the button to choose a font and size for the selected text element in the Graph window. A sample of the chosen font and size is shown above the button.


Graph Bar

Graph Window: View > Graph Bar

This is a toggle that shows and hides the Graph toolbar, which lies along the top of the Graph window. The Graph bar contains several buttons for viewing, analyzing and copying data.


Auto Scale X Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Auto Scale X Axis

Auto Scale—X Axis

Graph Window: View > Auto Scale > X Axis

Graph Window X Axis Popup Menu > Auto Scale

Scale the plot in the Graph window, so that the entire plot fills the X axis, except for one blank point before and after the plot.


Invert Y Axis

You are here: Menu Reference > View Menu > View Menu—Graph Window > Invert Y Axis

Invert—Y Axis

Graph Window: View > Invert > Y Axis

Graph Window Y Axis Popup Menu > Invert Axis

The Y axis of the Graph window is inverted along with the data. Data values are not altered, just their display.


Invert All Axes

You are here: Menu Reference > View Menu > View Menu—Graph Window > Invert All Axes

Invert—All Axes

Graph Window: View > Invert > All Axes

Both X and Y axes are inverted along with the data. Data values are not altered, just their display.


Axis Type Linear-Linear

You are here: Menu Reference > View Menu > View Menu—Graph Window > Axis Type Linear-Linear

Axis Type—Linear-Linear

Graph Window: View > Axis Type > Linear-Linear

Graph Window X & Y Axis Popup Menus > Linear-Linear

This command plots the graph with linear scales on both X and Y axes.


Axis Type Log-Linear

You are here: Menu Reference > View Menu > View Menu—Graph Window > Axis Type Log-Linear

Axis Type—Log-Linear

Graph Window: View > Axis Type > Log-Linear

Graph Window X & Y Axis Popup Menus > Log-Linear

This command plots the graph with a logarithmic scale on the X axis and a linear scale on the Y axis.


Axis Type Linear-Log

You are here: Menu Reference > View Menu > View Menu—Graph Window > Axis Type Linear-Log

Axis Type—Linear-Log

Graph Window: View > Axis Type > Linear-Log

Graph Window X & Y Axis Popup Menus > Linear-Log

This command plots the graph with a linear scale on the X axis and a logarithmic scale on the Y axis.


Axis Type Log-Log

You are here: Menu Reference > View Menu > View Menu—Graph Window > Axis Type Log-Log

Axis Type—Log-Log

Graph Window: View > Axis Type > Log-Log

Graph Window X & Y Axis Popup Menus > Log-Log

This command plots the graph with logarithmic scales on both X and Y axes.


Axis Type Zero-Crossing

You are here: Menu Reference > View Menu > View Menu—Graph Window > Axis Type Zero-Crossing

Axis Type—Zero-Crossing

Graph Window: View > Axis Type > Zero-Crossing

Graph Window X & Y Axis Popup Menus > Zero-Crossing

This command draws the axes on the graph, crossing at the zero point of each. Negative-valued data points appear to the left of or below the axes. When not checked, the axes are drawn outside the display area of the Graph window.

With zero-crossing enabled quick zooming on the axis and the axis popup menu may become unavailable.


View Menu—Lab Book

This section contains topics for commands in the View menu when a Lab Book is active.

  • Lab Book Window Properties
  • Window Defaults
  • Review Toolbar
  • Alternate Toolbar
  • Status Bar
  • Format Bar


Lab Book Window Properties

Lab Book : View > Window Properties

Lab Book Edit Area Popup Menu > Window Properties

Use this dialog to change the colors and fonts in the Lab Book.

Colors

Select a window element, then use the drop-down list at the bottom of the field to choose a color for that element.

Font

Click to choose a font and size for the text in the Lab Book. A sample of the chosen font and size is displayed above the button.


Format Bar

Lab Book: View > Format Bar

Toolbar Popup Menu > Format Bar

This is a toggle that shows and hides the Format bar, which lies along the top of the Lab Book window. The Format bar contains several fields and buttons for formatting the Lab Book text.


View Menu—Results Window

This section contains topics for commands in the View menu when a Results window is active.

  • Results Window Properties
    • General Tab
    • Colors/Fonts Tab
    • Cursor Measurements Tab
  • Window Defaults
  • Review Toolbar
  • Alternate Toolbar
  • Status Bar
  • Results Bar
    • X Column
    • Y Columns
    • X-Y Pair
  • Zoom


Results Window Properties

Results Window: View > Window Properties

Results Window Popup Menu > Properties

Configure the general appearance of the Results window in this dialog.

There are three tabs in this dialog:

  • General
  • Colors/Fonts
  • Cursor Measurements


General Tab—Results Window

You are here: Menu Reference > View Menu > View Menu—Results Window > General Tab—Results Window

Results Window Properties—General Tab

Use this tab of the Results Window Properties dialog to choose the window components to display. Some of these items can be further customized in the other tabs.

Items to Display

Add or remove elements on the uppermost Results window sheet, unless Apply to all sheets is selected.

  • Vertical grids: Displays vertical grid lines separating the spreadsheet cells.

  • Column header: Displays the column headers at the top of the Results window spreadsheet, containing the column labels.

    • Current column marker: When a cell in a column is selected, the column header looks like a depressed button.

  • Horizontal grids: Displays horizontal grid lines separating the spreadsheet cells.

  • Row header: Displays the row header at the far left of the Results window spreadsheet, containing the row numbers.

    • Current row marker: When a cell in a row is selected, the row header looks like a depressed button.

  • Apply to all sheets: Check the box to apply these settings to all sheets in the Results window.


Colors/Fonts Tab—Results Window

You are here: Menu Reference > View Menu > View Menu—Results Window > Colors/Fonts Tab—Results Window

Results Window Properties—Colors/Fonts Tab

Use this tab of the Results Window Properties dialog to change the colors and fonts of various Results window elements.

Colors

Select a window element, then use the drop-down list at the bottom of the field to choose a color for that element.

Fonts

Select the text element you want to change.

  • Font: Click the button to choose a font and size for the selected text element in the Graph window. A sample of the chosen font and size is shown above the button.


Cursor Measurements Tab - Results Window

You are here: Menu Reference > View Menu > View Menu—Results Window > Cursor Measurements Tab - Results Window

Results Window Properties—Cursor Measurements Tab

When the Cursors sheet is active, use this tab of the Results Window Properties dialog to show or hide cursor measurements written or appended from the Analysis window. Although hidden measurements are not visible in the Results window, the measurements are still made.

Measurements to hide

This field lists the measurements that are hidden from view.

To make a measurement visible, select it then press the arrow button [image] to move it to the other list. Alternatively, double-click on it.

Measurements to display

This field lists the measurements that are visible in the Results window.

To hide a measurement select it then press the arrow button [image] to move it to the other list. Alternatively, double-click on the item.

Note: You can hide a column directly from the Results window by dragging the right-hand column-separator line of the column to the left until it disappears.

Up / Down

The order of items in the "Measurements to display" field is the order they appear in the Results window. To reorder a column select it in the field and use the up [image] and down [image] buttons to move it to the position you want.


Results Bar

Results Window: View > Results Bar

Toolbar Popup Menu > Results Bar

This is a toggle that shows and hides the Results toolbar which lies along the top of the Results window.

The Results bar contains toolbuttons for selecting, manipulating, fitting and plotting data.


X Column

You are here: Menu Reference > View Menu > View Menu—Results Window > X Column

Results Window Toolbar—X Column Toolbutton

Results Window Toolbar:

Use this button to specify a highlighted column in the Results window as the X axis in a plot. The column name displays "(x)". Next, specify the Y axis data.


Y Columns

You are here: Menu Reference > View Menu > View Menu—Results Window > Y Columns

Results Window Toolbar—Y Columns

Results Window Toolbar:

Use this button to specify a highlighted column in the Results window as the Y axis data in a plot. The column name displays "(y)".

You can also store a set of plots before graphing them by next using the X–Y Pairs button. If multiple columns are selected, they cannot be added to the set of plots. After the X and Y data are specified, choose Analyze > Create Graph or Analyze > Append to Graph to make the plot(s).


X-Y Pair

You are here: Menu Reference > View Menu > View Menu—Results Window > X-Y Pair

Results Window Toolbar—X-Y Pair

Results Window Toolbar:

Use this button to add an X–Y pair to a set of plots. Only a single Y column may be specified when adding an X–Y pair of data. After all pairs are added to the set, choose Analyze > Create Graph or Analyze > Append to Graph to make the plot(s).


Zoom

Results Window: View > Zoom

Enlarge or decrease the spreadsheet display in the Results window.

Magnification

Select a predetermined magnification value, or enter your own custom magnification value in the range of 10% to 400%.


View Menu—Statistics Window1

You are here: Menu Reference > View Menu > View Menu—Statistics Window1

View Menu—Statistics Window

This section contains topics for commands in the View menu when a Statistics window is active.

  • Statistics Window Properties
    • General Tab
    • X Axis Tab
    • Traces Tab
    • Signals Tab
    • Colors/Fonts Tab
  • Auto Scale—Active Y Axis
  • Auto Scale—All Y Axes
  • Full Scale—X Axis
  • Full Scale—Active Y Axis
  • Full Scale—All Axes
  • Zoom—Area
  • Zoom—X Axis In ×2
  • Zoom—X Axis Out ×2
  • Zoom—Y Axis In ×2
  • Zoom—Y Axis Out ×2
  • Invert—Active Y Axis
  • Invert—All Y Axes
  • Signal—Maximize
  • Signal—Tile
  • Signal—Hide
  • Previous Trace
  • Next Trace
  • Standard Data Area
  • Maximum Data Area
  • Show Only Focus Trace
  • Show All Traces
  • Hide Cursor
  • Show Cursor
  • Refresh


Statistics Window Properties

Statistics Window: View > Window Properties

Statistics Window Data Area Popup Menu > Properties

Shortcut: Double-Click in Statistics Window Data Area

Configure the general appearance and scaling of the Statistics window in this dialog.

The dialog has five tabs:

  • General Tab
  • X Axis Tab
  • Traces Tab
  • Signals Tab
  • Colors/Fonts Tab


Statistic Window Properties—General Tab

Use the Statistics Window Properties General tab to show and hide specific Statistics window components.

You can use View > Standard Data Area and View > Maximum Data Area to add or remove all these components together.

Items to Display

Horizontal scroll bar

Display the horizontal scroll bar, which allows scrolling along the X axis when zoomed in.

Vertical scroll bar

Display a scroll bar to scroll the Y axis in the active pane.

Name and units

Display the names and units of all panes.

X axis

Display the X axis, including unit check marks and unit values.

Y axis

Display the Y axis, including unit check marks and unit values.

Horizontal grid

Display a horizontal grid in all panes.

Vertical grid

Display a vertical grid in all panes.

Cursor bar

Display a bar across the top of the data area for triangular cursor "handles".


Statistics Window Properties—X Axis Tab

Use the Statistics Window Properties X Axis tab to set X axis time units and a default display range.

Time Format

Select the time unit you want displayed on the X axis from the list box.

Default X Axis Limits

The window returns to these settings if you select the "Default Scale" command from the X Axis Popup Menu.

The total X axis range, given your "Min limit" and "Max limit" settings, is reported below the fields.

Min limit

Set the far left-hand time value of the default X axis range (in the units selected in the Time Format section of this tab).

Max limit

Set the far right-hand time value of the default X axis range (in the units selected in the Time Format section of this tab).


Statistics Window Properties—Traces Tab

Use the Statistics Window Properties Traces tab to configure the appearance of traces in the Statistics window.

Trace (List Box)

Select the channel for which you want to set the properties of the corresponding statistics measurement traces, with the options in the Trace group box below.

Trace (Group Box)

Configure the appearance of the trace selected above.

Draw dots

Check to have each statistics datum recorded as a dot, without joining lines between these.

Line width

Select line (or dot) width.

Trace color

Select the color of the line or dots for the trace.


Statistics Window Properties—Signals Tab

Use the Statistics Window Properties Signals tab to hide and show specific statistics measurement panes in the window, and to set the Y axis range for each pane.

Hidden signals

Measurements included in the statistics file but not currently displayed in the window are listed in this column.

To show one of these measurements select it and press the double-arrow button to transfer it to the "Signals to be shown" field. Alternatively, double‑click on the measurement.

Signals to be shown

Currently displayed statistics measurements are listed in this field.

To remove one of these measurements from display select it then press the double-arrow button to transfer it to the "Hidden signals" field. Alternatively, double‑click the measurement.

Panes within the Statistics window cannot be reordered.

Y Axis Limits

Set the maximum Y axis range for the selected measurement.

Signal

Select the statistics measurement you are setting the Y axis range for.

Use data defaults

Use the default range for the selected measurement.

User-defined limits
  • Top limit: Set the maximum Y axis value.
  • Bottom limit: Set the minimum Y axis value.

The total Y axis range is reported below these fields.


Statistics Window Properties—Colors/Fonts Tab

Use the Statistics Window Properties Colors/Fonts tab to select colors and fonts for Statistics window elements.

Colors

Select the Statistics window component that you want to change in the upper field, and a color for it from the list box below.

Font

Press the button to open a dialog where you can select a font, font style and size, for all text in the window.


Auto Scale Active Y Axis

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Auto Scale Active Y Axis

Auto Scale—Active Y Axis

Analysis & Statistics Windows: View > Auto Scale > Active Y Axis

Analysis Window & Statistics Y Axis Popup Menu > Auto Scale

This command scales the data in the active pane of the window so that the amplitude range fills 90% of the Y axis.

Only samples visible in the window are used to determine the scaling, so if you scroll to another section of the file, data may be outside the visible range.


Full Scale Active Y Axis

You are here: Menu Reference > View Menu > View Menu—Statistics Window1 > Full Scale Active Y Axis

Full Scale—Active Y Axis

Analysis & Statistics Windows: View > Full Scale > Active Y Axis

Analysis & Statistics Window Y Axis Popup Menu > Full Scale

This command displays the data in the active signal or statistics measurement with the full Y axis range of the acquisition.

Statistics window

Y axis ranges in the Statistics window are set in the Statistics Window Properties Signals tab. If the selected measurement pane's Y axis is already at full scale, this option does not appear in the Y axis popup menu.


Previous Trace

Statistics Window: View > Previous Trace

Statistics Window Data Area Popup Menu > Previous Trace

Shortcut: < (the comma key, without <Shift>)

Select the previous trace (from a different statistics region) within the active measurement pane. The selected trace is highlighted in the right-hand section of the window.


Next Trace

Statistics Window: View > Next Trace

Statistics Window Data Area Popup Menu > Next Trace

Shortcut: > (the period key, without <Shift>)

Select the next trace (from a different statistics region) within the active measurement pane. The selected trace is highlighted in the right-hand section of the window.


Show Only Focus Trace

Statistics Window: View > Show Only Focus Trace

Statistics Window Data Area Popup Menu > Show Only Focus Trace

Hide all traces in the active pane except the selected trace.

Restore the other traces to view with View > Show All Traces.


Show All Traces

Statistics Window: View > Show All Traces

Statistics Window Data Area Popup Menu > Show All Traces

Restore all traces in the active pane to view after some have been hidden with View > Show Only Focus Trace.


Hide Cursor

Statistics Window: View > Hide Cursor

Statistics Window Cursor Popup Menu > Hide Cursor

Hide the cursor-line (across the data) for the selected cursor.


Show Cursor

Statistics Window: View > Show Cursor

Statistics Window Cursor Popup Menu > Show Cursor

Display the cursor-line (across the data) for the selected cursor.


Format Menu

Format the appearance of the Results window and Lab Book with commands in this menu.

Results window menu:
  • Cells
  • Row—Height
  • Row—Hide
  • Row—Show All
  • Column—Rename
  • Column—Width
  • Column—Hide
  • Column—Show All
  • Rename Sheet
Lab Book menu
  • Font
  • Paragraph—Left
  • Paragraph—Center
  • Paragraph—Right
  • Word Wrap


Cells

Results Window: Format > Cells

Format cells in the Results window. To format a column, a row, or a group of cells, select them and then edit their properties in this dialog box.

By default, cells in all sheets except Events are in "General" category. You cannot change the format of an empty cell.

Category

Lists the different types of cell format. Select a category to apply to your selected cells, or to edit the properties of the category.

General

The default format for all sheets except the Events sheet.

For text, up to 128 characters (including spaces) are allowed.

Numbers are rounded to six digits, with trailing zeroes after the decimal point removed. Numbers with more than 6 digits to the left of the decimal point are put into scientific notation, e.g: "123.45679" is accepted as "123.457", while "123456789" is accepted as "1.23457e+008".

Fixed

This category preserves digits to the left of the decimal point and includes the number of decimal places you select.

Note: Numbers with more than six or seven digits cannot be represented exactly.

Decimal Places: Select the number of decimal places used by data in this type of cell.

Scientific

Format cells to a scientific notation ("E+nnn"), which is useful for very small or very large numbers.

Decimal Places: Select the number of decimal places that the mantissa will display.

Engineering

Format cells to an engineering notation ("E+n"), which is useful for small or large numbers.

Decimal Places: Select the number of decimal places that the mantissa will display.

Date

Format cells to a particular date format.

Type: Select from various Month/Day/Year, Day/Month/Year or Year/Month/Day date formats. If an invalid entry is used for this field, it resets the date to a variation of 01/01/1900.

Treat 1900 as a leap year for compatibility with MS Excel: Excel incorrectly treats 1900 as a leap year. If you export your data to Excel, use this selection to maintain date compatibility with Excel calculations.

Time

Format cells to a specified time type.

Type: Select 24-hour "military" time (hh:mm:ss:xxxx) or 12-hour time (hh:mm AM/PM). Setting a cell to AM/PM time will reset the cell's contents to 12:00 AM

Day

Format cells to display the days of the week. When a number is entered, it is converted to the corresponding day, starting with "0" as Sunday,."1" as Monday and so on. Numbers larger than 7 are divided by 7, and the remainder is used. Decimals are ignored, and numbers less than zero are converted to 0.

Month

Format cells to display the months of the year. When a number is entered, it is converted to the corresponding month, starting with "1" as January, and ending with 12 as December. "0" is converted to December, and "-1" is converted to November, etc. Decimals are ignored.

Text

Selecting this category applies plain text formatting to your chosen cells.


Row Height

You are here: Menu Reference > Format Menu > Row Height

Row—Height

Results Window: Format > Row > Height

Use this dialog box to modify the height of rows on the active sheet in the Results window.

Row (n)

Lists the row whose height is to be formatted.

Height (pixels)

Sets the row height in pixels. The default setting is 16 pixels.

Previous / Next

Moves to the previous or next row, which can then be formatted.

Apply to Selected

Applies the specified row height to all selected rows on the active sheet in the Results window.

Apply to All

Applies the specified row height to all rows on the active sheet in the Results window.


Row Hide

You are here: Menu Reference > Format Menu > Row Hide

Row—Hide

Results Window: Format > Row > Hide

This command hides all selected rows on the active sheet in the Results window. When hidden, rows can be shown with the Format > Row > Show All command.


Row Show All

You are here: Menu Reference > Format Menu > Row Show All

Row—Show All

Results Window: Format > Row > Show All

This command redisplays any hidden rows on the active sheet in the Results window.


Column Rename

You are here: Menu Reference > Format Menu > Column Rename

Column—Rename

Results Window: Format > Column > Rename

Shortcut: Double-Click on Column Header

Rename columns.

Name (column: name)

Lists the name of the column to be renamed. Type in the new name in this field.

Previous / Next

Move to the previous or next column on the sheet, which can then be renamed.


Column Width

You are here: Menu Reference > Format Menu > Column Width

Column—Width

Results Window: Format > Column > Width

Use this dialog to modify the width of columns on sheets in the Results window.

Column (column: name)

Lists the column whose width is to be formatted.

Width (pixels)

Sets the column width in pixels. The default setting is 70 pixels.

Previous / Next

Moves to the previous or next column, which can then be formatted.

Apply to selected

Applies the specified column width to all selected columns on the active sheet in the Results window.

Apply to All

Applies the specified column width to all columns on the active sheet in the Results window.


Column Hide

You are here: Menu Reference > Format Menu > Column Hide

Column—Hide

Results Window: Format > Column > Hide

This command hides all selected columns on the active sheet in the Results window. When hidden, columns can be shown with the Format > Column > Show All command.


Column Show All

You are here: Menu Reference > Format Menu > Column Show All

Column—Show All

Results Window: Format > Column > Show All

This command shows any hidden columns on the active sheet in the Results window.


Rename Sheet

Results Window: Format > Rename Sheet

Shortcut: Double-Click on Sheet Name

Use this dialog box to rename sheets in the Results window. You cannot rename predefined sheet names, which are grayed out in this dialog box.

Name (name)

Lists the name of the sheet to be renamed. If it is grayed out, it is a predefined sheet name, and cannot be changed. If it is not grayed out, type in the new name.

Previous / Next

Move to the previous or next sheet, which can then be renamed.


Font

Lab Book: Format > Font

This command calls up the Font dialog box, which allows you to choose and configure the default font for the Lab Book.


Paragraph—Left

Lab Book: Format > Paragraph > Left

All Lab Book lines that are highlighted and/or have the cursor in them are aligned with the left margin.

This function is only available when word wrap is on.


Paragraph—Center

Lab Book: Format > Paragraph > Center

All Lab Book lines that are highlighted and/or have the cursor in them are centered in the middle of the window.

This function is only available when word wrap is on.


Paragraph—Right

Lab Book: Format > Paragraph > Right

All Lab Book lines that are highlighted and/or have the cursor in them are aligned to the right margin.

This function is only available when word wrap is on.


Word Wrap

Lab Book: Format > Paragraph > Word Wrap

Wrap long lines to fit within the Lab Book window, so all text is visible.


Analyze Menu

This section contains topics for commands in the Analyze menu. It is subdivided for the three window types from which analyses can be performed:

  • Analysis Window
  • Graph Window
  • Results Window
  • Batch Analysis Window


Analyze Menu—Analysis Window

You are here: Menu Reference > Analyze Menu > Analyze Menu—Analysis Window

Analysis Window

This section contains topics for commands in the Analyze menu when an Analysis window is active.

  • Quick I-V Graph
  • Quick Trace vs Trace Graph
  • Histogram
  • Fit
    • Function/Method Tab
    • Data/Options Tab
    • Assign Column To Variable
    • Seed Values Tab
    • Graphical Seeding
    • Fitting Progress
  • Fitting Results
    • Parameters Tab
    • Statistics Tab
  • Filter
  • Power Spectrum
  • Statistics
  • Resistance
  • Average Traces
  • Average Files
  • Concatenate Files
  • Normalize Traces
  • Subtract Control
  • Arithmetic
    • Traces
    • Add Traces
  • Adjust—Baseline
  • Adjust—Leak Subtraction
  • Adjust—Stimulus Waveform
  • Data Reduction
  • Force Values
  • Interpolation
  • Time Shift
  • Autocorrelation
  • Cross-correlation
  • Nonstationary Fluctuation Analysis
  • V-M Analysis
  • Segmented Average


Quick Graph

Analysis Window: Analyze > Quick Graph

The Quick Graph dialogs allow quick setup of two simple and commonly used graph types: I–V graphs and plots of one trace against another (from both the file itself and associated command waveforms).

Quick Graphs can only be created from data acquired in a fixed-length sweep acquisition mode: episodic stimulation, high-speed oscilloscope, or fixed length events.

Set Quick Graphs to be generated automatically when newly-acquired files are imported from Clampex software, in Configure > Automatic Analysis.

The two Quick Graph dialogs are:

  • I–V
  • Trace vs. Trace


Quick I-V Graph

You are here: Menu Reference > Analyze Menu > Analysis Window > Quick I-V Graph

Quick Graph—I-V

Analysis Window: Analyze > Quick Graph > I-V

Create standard Current (I)–Voltage (V) graphs quickly from Analysis window data. Only visible traces are included in the I–V plot, and only one quick graph is generated at a time.

Quick Graphs can only be created from data acquired in a fixed-length sweep acquisition mode: episodic stimulation, high-speed oscilloscope, or fixed length events.

Plot data are also written to the Quick Graph sheet of the Results window.

Set Quick Graphs to be generated automatically when newly-acquired files are imported from Clampex software, in Configure > Automatic Analysis.

For more sophisticated graphs, use Analyze > Create Graph in the Results window.

Dynamically link Quick Graphs to Analysis Window

This selection enables dynamic updates to Quick Graphs that are created from cursor position data. Then, when you move a cursor in the analysis window, its changes are immediately updated in the most recently generated Quick Graph plot.

Only the most recent plot is updated, so you can create one plot as a "baseline", and modify a subsequently appended plot for comparison.

X Axis (Voltage)

Specify the voltage data to plot on the X axis. Note that the X axis data are always sorted in ascending order.

  • Waveform: When either "Waveform at cursor 1", "Waveform at cursor 3", or "Epoch" is selected below, select the command waveform whose data will be used.
  • Waveform at cursor 1: This selection allows one to plot the selected stimulus waveform data, selected from the drop-down list above.
  • Waveform at cursor 3: This selection allows one to plot the selected stimulus waveform data, selected from the drop-down list above.
  • Cursor 3 from signal: This selection plots the measured data from the position of cursor 3 in the file.
  • Epoch: This selection allows one to plot the epoch level, epoch duration, or a user list, provided those protocols are available for a given file.
  • Invert: Check this box to invert the Quick Graph in the X axis.

Y Axis (Current)

Specify the current data to plot on the Y axis.

  • Signal: Where the file contains more than one signal, select the signal to be plotted.
  • Region: When "mean" or "peak" below are selected, use the Region drop down list to choose a region in which the mean or peak is evaluated.
  • Value at cursor 1: This selection plots the measured current at the cursor 1 position.
  • Mean: This selection plots the mean of the data in the Region chosen above.

  • Peak: This selection allows one to plot either the most positive, most negative, or greatest absolute value peak over the selected region. Check one of the following options:

    Polarity:

    • Positive: Check this option to plot the most positive peak over the selected region.
    • Negative: Check this option to plot the most negative peak over the selected region.
    • Absolute: Check this option to plot the greatest absolute value peak over the selected region.
    • Smoothing Points: Checking this option applies a boxcar filter using the specified number of smoothing points to smooth aberrations in the data before plotting.

    Invert: Select this box to invert the Quick Graph in the Y axis.

Destination Option

  • Replace: Any plots already in a Quick Graph are deleted, replaced by the plot for the current configuration.
  • Append: Where a Trace vs. Trace Quick Graph already exists, the plot for the current configuration is added to this, retaining plots already in the graph.


Quick Trace vs. Trace Graph

You are here: Menu Reference > Analyze Menu > Analysis Window > Quick Trace vs. Trace Graph

Quick Graph—Trace vs. Trace

Analysis Window: Analyze > Quick Graph > Trace vs. Trace

Analysis Window Toolbar:

Create simple predefined trace vs. trace graphs using command waveform and/or response file data. Only one quick graph is generated at a time, for the data file with the focus when the dialog is opened.

Quick Graphs can only be created from data acquired in a fixed-length sweep acquisition mode: episodic stimulation, high-speed oscilloscope, or fixed length events.

Plot data are also written to the Quick Graph sheet of the Results window.

Set Quick Graphs to be generated automatically when newly-acquired files are imported from Clampex software, in Configure > Automatic Analysis.

For more sophisticated graphs, use the Analyze > Create Graph command in the Results window.

Dynamically link Quick Graphs to Analysis Window

This selection enables dynamic updates to Quick Graphs that are created from cursor position data, e.g. as set in the Region field. When you move a bounding cursor in the analysis window, subsequent changes are immediately registered in the most recently generated Quick Graph plot.

The graph is also updated if data within the specified region are altered, such as, if Arithmetic is applied to a trace, or traces are normalized.

Only the most recent plot is updated, so you can create one plot as a "baseline", and modify a subsequently appended plot for comparison.

X Axis

Specify the data plotted on the X axis of the graph. Choose between sweeps in the recorded input file—"Signal"—or from command waveforms (up to two) associated with the file—"Waveform".

  • Trace: Select the sweep to plot on the X axis. This might be from either the recorded data file or its command waveform, depending on your choice in the options immediately below.
  • Waveform: Select a stimulus waveform to plot.
  • Signal: When the file contains more than one signal, select which signal to plot.
  • Invert: Check this box so the X axis numbers from right to left.

Y Axis

Specify the data plotted on the Y axis of the graph. As for the X axis, choose between sweeps in the recorded input file—"Signal"—or from command waveforms (up to two) associated with the file—"Waveform".

  • Trace: Select the sweep to plot on the Y axis. This might be from either the recorded data file or its command waveform, depending on your choice in the options immediately below.
  • Waveform: Select a stimulus waveform to plot.
  • Signal: When the file contains more than one signal, select which signal to plot.
  • Invert: Check this box so the Y axis numbers from top to bottom.

Region

Set how much of the selected traces to use for the graph with the list box. Select either the full trace, an intercursor region, or an epoch or holding period (when searching a file recorded under episodic stimulation).

Destination Option

  • Replace: Any plots already in a Quick Graph are deleted, replaced by the plot for the current configuration.
  • Append: Where a Trace vs. Trace Quick Graph already exists, the plot for the current configuration is added to this, retaining plots already in the graph.


Histogram

Analysis, Graph & Results Windows: Analyze > Histogram

Graph & Results Window Toolbars:

Use the Histogram dialog box to create histograms from Analysis, Graph, and Results windows data. You can select from conventional, cumulative and logarithmic types of histogram, and have options to size bins and to select the data you want included in the histogram.

Histograms created from data files (in the Analysis window) take data point amplitudes as the X axis parameter. This is the equivalent of the All-Points Histogram mode from pCLAMP 8 Fetchan. See How to Create an All-Points Histogram for details on how to reproduce this functionality.

For histograms created from Results and Graph windows, you are able to choose one or more X axis parameters from the parameters recorded in the Results sheet columns, or from the Y axis parameters plotted in the graph. When more than one parameter is binned in the histogram these can be shown individually or summed as one plot.

The dialog includes the option to normalize the area under the histogram.

Data plotted in each histogram are written to the Histogram sheet in the Results window. Two columns are added for each plot—"Bin Center" identifies each bin by its center point, and "Histo(t ...)" reports the number of points in the bin. The number in brackets reports the trace or traces included in the column.

Note: The options available in this dialog differ according to the window type from which it is opened.

Distribution

Select the type of histogram you want to create. Options include:

  • Conventional: This option creates a conventional histogram with the Y axis showing the sample count for each bin.
  • Cumulative: This option creates a histogram where the Y axis shows the summed sample total in successive X axis bins going from left to right across the graph.
  • Logarithmic: A logarithmic histogram scales the parameter of interest on a base 10 log scale along the X axis Only values greater than zero can be included in a logarithmic graph.
  • Variable Width Cumulative (Results & Graph Windows): Bin width is determined by the value of the data themselves in this graph. A scatter plot is created where each point represents, on the Y axis, the number of data less than or equal to the X axis value of the point. This type of distribution is also sometimes referred to as "cumulative unbinned".

Bins

The values set in this group box determine the number of bins in the graph (reported at the bottom of the group box if you define the data range).

  • Width: For Conventional and Cumulative graphs, use this field to specify the value range for each bin, in the units of the parameter of interest.
  • Bins/Decade: Enabled just for Logarithmic graphs, enter the number of bins you want between each whole number in the X axis logarithmic scale.

Data

Select the data range to be included in the histogram from this group box. Options differ depending on the window type:

Closed Analysis Window

Select Traces

Opens the Select Traces dialog box in which you can select the signals and traces from the current file that you want included in the histogram. The current selection is reported to the right of the button.

Region to process

Select from the list box the section of the selected traces to be used for creating the histogram. Options include the full trace and intercursor ranges for all cursor pairs. For files recorded under stimulation, epochs and holding periods can be selected.

Closed Graph Window

Select one or more plots

The field here displays all Y axis parameters in the active Graph window. Select one or more of these as the parameter(s) for the histogram.

Closed Results Window

Select Columns

Opens the Select Columns dialog box in which you can select the Results sheet and columns to include in the histogram. The current selection is reported to the right of the button.

Row Range
  • Full Column— Include data from every row in the selected columns.
  • Row—Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.

Data Range

This group box offers the option of restricting the data range for the parameter of interest, e.g. in a histogram made from an Analysis window, data can be restricted to a particular amplitude range.

  • Full—Select "Full" to include all values of the parameter of interest in the creation of the histogram.
  • Min/Max—Use the Min and Max fields to delimit a range, from within the full value range of the parameter of interest, from which the histogram is created.

Combine multiple trace/plot/column data

Where more than one trace, plot, or column has been selected for incorporation into the histogram check this option to sum the data.

When this option is not checked data are differentiated in the resulting graph by color.

Normalize histogram area

With this option checked the Y axis values are rescaled so that the area under the graph comes to a value of 1.


Fit

Analysis, Graph & Results Windows: Analyze > Fit

Analysis & Graph Window Toolbars:

Use Fit for fitting curves to data in the Analysis, Graph and Results windows.

Resultant data are reported in detail in Analyze > Fitting Results and in less detail on the Fit Params sheet in the Results window. When fitting curves to traces in an Analysis window the curves are optionally displayed in the window (see View > Fit Display).

The Fit dialog box has three tabs in the upper section:

Function/Method tab | for selecting or defining a fitting function and method;
Data/Options tab | for selecting various fitting options;
Seed Values tab | for entering initial function parameter seed estimates.

At the bottom of the dialog, visible from every tab, are two report fields. The Equation window displays the equation for selected predefined functions. Above this, the Options summary names the selected fitting function and summarizes optional and non-optional operations associated with it.

This topic has general information about the use of the Fit function – go to the links above for detailed help on the tabs. In addition, see in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide, "Clampfit software Curve Fitting", for an overview of fitting and descriptions of the fitting algorithms.

Sections in this topic:

  • Units
  • Fitting from an Analysis Window
  • Fitting from a Results Window
  • Options Summary
  • Equation Bar

Units

The fitting routines in Clampfit software do not make any assumptions about the data units. The variety of data sources and the potential for data transformations makes the automatic tracking or assignment of units virtually impossible, consequently, units are not reported along with the parameter values.

Fitting from an Analysis Window

To access the fitting dialog from an active Analysis window select Analyze > Fit from the main menu or click on the Analysis window button.

The rules that apply to fitting from the Analysis window are:

  • The fit is always applied to the data between cursors 1 and 2.
  • The number of data points between the cursors cannot exceed 110,000.
  • The fitting range cannot cross a segment boundary (temporal discontinuity) of variable length or concatenated data.

Traces from the active Analysis window can be selected for fitting from the Data > Options tab of the Fit dialog.

Fitting from a Graph Window

Before opening the Fit dialog, define the region you want to fit with the Tools > Select Region cursors.

Fitting from a Results Window

To access the Fit dialog from an active Results window, select Analyze > Fit. The active sheet must contain at least two data columns.

Initially, columns are automatically assigned to the dependent and independent variables in sequential order, the first valid column being assigned to the independent variable and the second to the dependent variable. If there are more variables in the function than there are data columns, selection loops back to reassign available columns to these variables. If the automatic column selection is inappropriate, data from different columns can subsequently be assigned to the variables from the Column Selection group in the Data> Options tab.

The rules that apply to fitting from a Results window sheet are:

  • There must be at least two columns of data in the active sheet. Even though other sheets that might subsequently be used have more columns, the active sheet plays the controlling role because the default data selection for fitting uses this sheet.
  • There must be at least five rows of data in at least two columns of the active Results window sheet. Columns that do not satisfy this requirement cannot be assigned to a variable.
  • The length of the selected columns must be identical. If columns of unequal length are selected the fit does not proceed.
  • There can be no empty cells in the selected columns. If there are any empty cells in any of the data columns the fit does not proceed.

Options Summary

The Options summary is just above the Equation window. This bar reports the name of the selected function, the fitting options selected in the Data/Options tab, and non-optional operations automatically performed on the data prior to fitting.

For example, some functions such as the Poisson require that the X axis values are integers; the beta function requires that the X axis scale range from 0 to 1.0, etc. Note that only the zero-shift data pre-processing operation is optional, and this for some functions only. The other operations (e.g. integrals, normalization) are properties of the function and cannot be altered.

It is good practice to check the options summary information before each fit as some of the option settings have a major influence on the outcome of the fit (for example, zero-shift and force +ve).

Closed Options Summary Information

The following information can appear on the Options status bar:

  • compare models: if model comparison is enabled then the text "(compare models)" is reported.
  • zero-shift: if the option to zero-shift the data is enabled, the text "(zero-shift)" is reported.
  • force +ve: if the function parameters are constrained to positive values only, the text "(force +ve)" is reported.
  • auto-free fixed: if the option to free fixed parameters automatically and refit (Data > Options tab) is enabled and one or more function parameters is fixed then the message "(auto-free fixed)" is reported. This message is not reported if all of the parameters are free. Note that this message is removed if the function type is changed or if model comparison is selected since all parameters are automatically freed under these circumstances.
  • integral X: if the X axis is integral, the X axis data points are converted to integers. This is reported as "(integral x)". This depends on the function type and is not an option.
  • normalized X: if the X axis is normalized before fitting, the text "(normalized x)" is reported. When the X axis is normalized, its values range from 0 to 1.0. This depends on the function type and is not an option.
  • normalized Y: if the function values are to be normalized, the text "(normalized y)" is reported. When the data are normalized, they are adjusted such that the area under the curve is equal to 1.0. This depends on the function type and is not an option.

Equation Window

The equation for the selected predefined function is displayed in the equation window at the bottom of the Fit dialog.

If a custom function is specified, the equation is displayed in the Options summary immediately above the Equation window after you switch tabs; for example, to enter seed values. The Equation window also shows basic formatting rules for the custom function.


Fit—Function/Method Tab

You are here: Menu Reference > Analyze Menu > Results Window > Fit—Function/Method Tab

Function/Method Tab

Use the Function/Method tab of the Fit dialog to select a function to be fitted and to specify the fitting method. First choose between a predefined or a user‑defined (custom) function. You can allow Clampfit software to automatically set fitting method options for your choice, or make these settings yourself.

Not all combinations of function type and fitting method are permitted – invalid combinations are disabled.

Sections in this topic:

  • Predefined Function
  • Automatic Fitting Method Selection
  • Search Method
  • Minimization Method
  • Weighting Method
  • Custom Function

Predefined Function

The predefined function group contains a list of functions, below which is a set of spinners to assign function parameter values.

  • Not all predefined functions are available for fitting data from the Analysis window. Functions that have more than one independent variable or functions that have negative values along the X axis can only be fitted to data from a Results window sheet. If a selected function is not applicable then all of the options in the dialog (except the function list and Custom Function group) are disabled.

  • All predefined functions are available for Results window data.

Function List: Select a fitting function from the alphabetical list. The corresponding equation appears in the Equation window at the bottom of the dialog.

Number of Terms: Specify the number of function terms (1–6) to be applied (see "Multiple-Term Fitting Models" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). You cannot change the number of terms if you have model comparison enabled in the Data> Options tab.

Power (a): Some functions require the specification of a power (exponent) term. The power (a) term must be an integer value.

Power (b): Where a function contains two power terms, set the value of the second power term using this option. The power (b) term must be an integer value.

Temperature (T): If applicable, enter the temperature, in degrees Centigrade (Celsius).

Valence (z): If applicable, specify the valence term.

Select fitting methods automatically

Select Select fitting methods automatically to have the fitting method (search, minimization and weighting methods) automatically assigned. Assignment depends on the function type. The default fitting methods have been empirically selected for each function to provide the best speed and accuracy.

Note: For some exponential functions the automatically selected method depends on other selected fitting options. For example, if parameters of a standard exponential function or exponential with sloping baseline are to be forced positive then the Levenberg-Marquardt fitting method is automatically assigned, otherwise the Chebyshev method is assigned.

Search Method

The search method is the algorithm that attempts to minimize the difference between the observed data and the fitted function. In order to fit a nonlinear equation to a data set, iterative techniques are usually required and the function must be evaluated at each point with each iteration. An exception to this is the noniterative Chebyshev search method.

Levenberg-Marquardt

The Levenberg-Marquardt search method uses an iterative approach to minimize the difference between the fitted curve and the data (see "The Levenberg–Marquardt Method" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). This method relies on the evaluation of the derivative with respect to each function parameter in order to determine the direction of the parameter step change. It is, therefore, very efficient and convergence can be rapid if the data are well described by the fitting function. However, it is computationally intensive and can be slow when fitting to very large data sets.

Variable Metric

The variable metric method is an iterative search method that, like the Levenberg–Marquardt algorithm, relies on the evaluation of derivatives with respect to each parameter. However, the variable metric method differs in that it uses an approximation of the second derivative in the form of a Hessian matrix to determine the next iteration point (see "The Variable Metric Method" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

The variable metric method is computationally intensive and can be slow when fitting to very large data sets. However, it is an efficient algorithm that in most cases converges quickly with data sets that are well described by the fitting function.

The variable metric method is the only fitting method that constrains proportions to sum to 1.0; for example, it is the only method that can be applied to the Exponential, weighted/constrained function. Similarly, exponential probability functions fitted using maximum likelihood have proportions constrained to 1.0 only if using the variable metric method.

Simplex

The Simplex search method uses an iterative technique that does not require evaluation of derivatives (see "The Simplex Method" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). This method is, therefore, not as efficient as the Levenberg–Marquardt or variable metric methods and usually requires many more iterations to converge. However, the advantage of this method is that it is less prone to convergence on a local minimum. If the other iterative methods fail to reach convergence because of a difficult data set then you should use the Simplex method.

  • Precision: The value is a tolerance level for convergence. The lower the value the more readily the fit converges. However, very low values might result in convergence even though the fit is poor. High values might result in very slow or no convergence.

    The default values provide a good compromise between speed of convergence and fitting accuracy. These are:

    Levenberg-Marquardt: 10–6

    Variable metric: 10–4

    Simplex: 10–5

    You can assign a different precision value here for the corresponding search method. To assign a precision, you must first disable "Use default". The precision fields are active only for the currently selected search method.

Chebyshev

The Chebyshev method is a noniterative search method that transforms the data to be fit to the Chebyshev polynomial domain before the errors between the fitting function and the data are minimized (see "The Chebyshev Transform" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). The advantage of the Chebyshev method over the other search methods is the superior speed with which it generates a fitting function. The speed advantage is especially obvious with third and higher order equations.

The main disadvantage of the Chebyshev method is that the data points must be equally spaced. In other words, dual sample-interval (split-clock) data cannot be fitted using the Chebyshev method. However, split-clock data can be converted to a single sample interval by using the Analyze > Data Reduction function

The Chebyshev method can be used to fit only single or multiple term "standard" exponentials, a single term power exponential or a single term "shifted" Boltzmann function. This method cannot be used to fit custom functions.

Note: Seeding is not relevant to the Chebyshev fitting method. However, fixed parameters can be assigned values. Initially, the automatically determined seed values are provided by the Chebyshev fit itself. After enabling the Fix option (on the Seed Values tab), these values can be changed. Fixed parameter values are not altered during the fit. However, if you want to retain the fixed parameter values following the fit be sure to disable the "Auto-free fixed parameters and refit" option in the Data > Options tab.

4 pt. Smoothing Filter

This is a 4-point smoothing window that is carried across the raw and derived Chebyshev coefficients. This filter reduces noise and nonlinear noise effects on the statistics of the fit. This averaging does not alter the accuracy of the mathematical fit but it can alter the value of the fitted time constants if the data are noisy. If in doubt as to whether or not to use this filter, you should fit both with and without the filter and accept the best fit on the basis of the fitting statistics. Comparison with the results using other fitting methods should also prove helpful.

Note: This smoothing filter is available only for the Chebyshev fitting method for the standard exponential and sloped exponential functions, and then only when Chebyshev has been manually selected. If you enable "Select fitting methods automatically" and this selects the Chebyshev method, the smoothing filter option is disabled.

Maximum Iterations

Set the maximum number of iterations. Fitting stops when the maximum number of iterations is reached regardless of whether or not convergence has been reached. Parameter errors are calculated and fitting results are reported as usual.

Minimization Method

The four available minimization methods are sum of squared errors, maximum likelihood, mean absolute and minimax. Minimization method options are not available for the Chebyshev search method or when fitting with maximum likelihood.

Not all minimization methods are applicable to all search methods – inapplicable search method options are disabled (see "Minimization Functions" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

Weighting Method

Weighting is used to assign a variable significance to data points during minimization, for the Levenberg–Marquardt search method only. The available weighting methods are None, Function, Data and Bin width. See the Weighting section in " Clampfit software Curve Fitting", in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for discussion of these options.

Custom Function

The custom function feature allows you to specify any fitting function you wish, within certain limitations. A custom function is entered algebraically (up to a maximum of 256 characters) in the space provided at the bottom of the Function/Method tab.

Custom functions require that parameters are specified as pn (or Pn) where n is a number from 1 to 24. The independent variable must be specified as x1 or (X1) if fitting to Analysis window data, or xn (or Xn) where n is a number from 1 to 6 if fitting to data from a Results window sheet (see "Defining a Custom Function" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

When the custom function feature is enabled the equation window presents some rules for entering the equation and shows an example of a properly formatted custom function, the Gaussian function in this case.

Closed Custom Function Operators

The operators that can be used in custom functions include the following (these can be entered in lower or upper case):

Operator | Description
abs | absolute value
acos | arccos
asin | arcsine
atan | arctangent
cos | cosine
diff | differentiate
exp | exponential
fact | factorial
intg | integrate
inv | reciprocal (1/x)
ln | natural logarithm (i.e. log to the base e)
log | the logarithm to the base 10
log10 | the logarithm to the base 10
pow10 | 10 to the power
ramp | scale by a steadily increasing factor from 0 to 1
random | random number generator (requires dummy variable)
rect | absolute value
round | round up to the nearest integer
sin | sine
sqr | square
sqrt | the square root
tan | tangent


Fit—Data/Options Tab

You are here: Menu Reference > Analyze Menu > Results Window > Fit—Data/Options Tab

Data/Options Tab

The Data/Options tab of the Fit dialog contains various options that influence the fit, the data and the display of the fitted curves.

Sections in this topic:

  • Fitting Options
  • Row Selection
  • Column Selection
  • Compare Models
  • Destination Option
  • Trace Selection

Fitting Options

Zero-shift X axis data: When selected, then for a set of i data points xi, each point x is offset such that x = xi – x0 where x0 is the value of the first data point (the fitting origin). If data are to be offset, the text "(zero-shift)" appears in the options status bar in the fitting dialog immediately above the equation window.

When the data are zero-shifted, cursor 1 sets the zero point for the X axis. This means that, if cursor 1 is not on x = 0, the fitted functions have different parameters depending on whether or not the data are zero-shifted. For example, with a linear regression fit the Y intercept is different for zero-shifted and non-zero-shifted data (assuming cursor 1 is not at the Analysis window zero position to begin with). If the data are zero-shifted, the Y-intercept is at cursor 1. If the data are not zero-shifted, the Y-intercept is at the x = 0 position of the Analysis window although the fitted curve will be in exactly the same position in either case.

Fitted parameters for nonlinear functions can also be affected by zero-shifting. For example, the time constants for alpha exponential functions can be quite different and the shapes of the fitted curves can be noticeably different. Also, the means of distribution functions, such as the Gaussian or Lorentzian, or the Vmid parameter of the Z-delta Boltzmann function, are different depending on whether the data are zero-shifted or not.

Note: Zero-shifting is mandatory for Chebyshev fitting and for functions that require either a normalized or integral X axis. In this case, the zero-shift option is disabled, zero-shifting is automatically applied and the text "Zero-shift is mandatory" appears at the top of the Data/Options tab.

Auto:When selected, then the zero-shift parameter is automatically set by Clampfit software. The "Zero-shift x axis data" check box is disabled. If the data are to be zero-shifted, then the text "(zero-shift)" appears on the options status bar above the function equation. The functions for which zero-shift are automatically applied include all of the exponential functions except the probability exponentials, the polynomial and straight line functions, and those functions that require that the data be referred to the fitting origin, including the beta function, binomial and Poisson. In the case of the latter three functions, zero-shift is mandatory so that the data are referred to the fitting origin regardless of the status of either the zero-shift option or the Auto option.

Restrictions on Zero-shift:

  • Functions that have more than one independent variable (x) cannot be zero-shifted (for example the Goldman function).
  • Functions that require an integral X axis (for example, Poisson and binomial) cannot be zero-shifted.
  • The log probability function cannot be zero-shifted because of probable negative values along the X axis that represent an exponent. Zero-shifting in this case would corrupt the data.

Auto-free fixed parameters and refit:When selected, all fixed parameters are automatically freed following convergence (or when the maximum number of iterations has been reached) and the fit is reapplied with all parameters free. If this option is disabled, all fixed parameters remain fixed following convergence.

Extrapolate fit to cursors 3 & 4: Only available for fitting to Analysis window data. When selected, extrapolates the fitted curve to cursors 3 and 4. These cursors can be placed on either side of cursors 1 and 2. For example, if cursors 3 and 4 are on opposite sides of cursors 1 and 2 the fit is extrapolated in both directions.

Note: the number of samples in the extrapolation range plus the fitting range cannot exceed the maximum of 110,000. Also, the extrapolation region cannot cross a segment boundary (temporal discontinuity) of variable length or concatenated data.

Attempt refit on failure: If the fitting function is well-represented by the data, the most likely cause of fitting failure is a bad set of seed values (see "Fitting Failure" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). The iterative fitting routines ,which do not include linear or polynomial regression, or Chebyshev, have the capacity to readjust the seed values automatically. If this option is enabled, the original seed values are readjusted up to six times in each direction. The fit is reapplied after each adjustment. This often results in a successful fit even if the original seed parameters were well off the mark.

Note: There is no indication of a parameter readjustment other than a resetting of the iteration count in the Fitting Progress dialog. The number of iterations that is reported is the number since the most recent parameter readjustment.

Row Selection

The row selection option, which applies to Results window data only, is used to specify the rows to be included in the fit. If All is selected then the number of rows is limited to the number of rows in the shortest of the selected columns. This is because the data must be paired.

If All is not selected then the starting and ending rows are specified in From and To respectively. Again, the number of rows is limited to the number of rows in the shortest column.

Column Selection

The column selection option applies to Results window data only. When fitting to data from a Results window sheet you must specify the column location of the independent (xi) and dependent (f(xi)) variables. Columns can be selected only from the active sheet.

If there is only one independent variable and one dependent variable in the selected function, Clampfit software automatically assigns the first column of valid data to the independent variable and the second column of valid data to the dependent variable. If there is more than one independent variable, Clampfit software assigns columns containing valid data to the variables sequentially. If there are fewer data columns than there are variables, Clampfit software assigns available columns to more than one variable. It is not likely that the automatic assignment is correct under these circumstances, in which case data have to be manually reassigned.

Automatic column assignment can be changed for each variable by clicking the Select button. This opens the Assign Column to Variable dialog where data can be assigned by selecting from a list of available columns.

Alternatively, a constant value can be assigned to the independent variable(s). This is useful primarily for functions that have more than one independent variable. For example, the Goldman-Hodgkin-Katz equations require that data be assigned to six concentration variables. A constant value can be assigned to five of these and a column of data, containing a series of data values, can be assigned to the last.

A constant value cannot be assigned to the dependent variable.

Clampfit software remembers the most recent column assignments and subsequently uses these assignments if the active Results Window sheet columns contain valid data.

Compare Models

Model comparison is not available for custom functions.

A critical aspect of curve fitting is to determine which "model" best describes the data. This formalism is translated into determining the number of function terms that best represent the data. Clampfit software can compare models of up to 6 terms (see "Model Comparison" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

  • Automatic: When selected, the number of terms is incremented automatically starting at term 1. If a best model is found the comparison stops. If no best model is found, the comparison continues up to the maximum of 6 terms. The results of the comparison are reported in the Analyze > Fitting Results dialog. If a best model has been found the statistics for all models that have been compared, including the one after the best number of terms (if present), are reported.
  • Starting Term: Specify the starting number of terms.
  • Ending Term: Specify the ending number of terms.
  • Confidence level: Specify the confidence level. For least squares fitting the confidence level refers to the F-statistic. For maximum likelihood fitting the confidence level refers to the Chi-square statistic. In either case, the minimum is 0.01 and the maximum is 0.999. Values outside this range are not accepted.

Destination Option

Some results of a fit are automatically reported in the Results window in the Fit Params sheet. The destination option determines how the results are to be written.

The information reported includes the name of the data file, the sweep number, the fitted parameter values, the status of the fit (successful or otherwise), the file path and the fitting function. More detailed fitting results are reported in the Fitting Results dialog.

Note: Upon successful model comparison only the results for the best model are written to the system Results window. The results for all models are available in the Fitting Results dialog.

  • Append fit parameters to Results Window: When selected, the fitting results are appended to the Fit Params sheet. The previous fitting results are retained. This is useful for comparing successive fits.
  • Replace fit parameters in Results Window: When selected, the previous fitting results are overwritten by the current results. This option should be selected only if the information for the previous fit is not required.

Trace Selection

This option brings up a dialog that allows you to specify which traces and which signal should be included in the fit. You cannot select traces or signals from an Analysis window other than the active one. The selected signal and trace(s) are reported in the Trace Selection group.


Assign Data to Variable

This dialog opens from the Column Selection group on the Data/Options tab of the Fit dialog.

Use this dialog box to assign data to the variables (adjustable parameters) of the fitting function when fitting from the Results window. The available options depend on the type of variable (dependent or independent) and the number of independent variables in the function.

Use a Constant Value

This option is available only if the fitting function has more than one independent variable.

This option is not available when assigning data to the dependent variable.

Where an experimental result is dependent on several parameters, the usual procedure is to vary only one parameter at a time. Accordingly, when fitting to the experimental results, constant values should be assigned to all but one of the independent variables in a multivariate fitting function. The constant value specified here is applied to the corresponding function parameter during the fit.

Constant values of zero are not allowed. If you feel that the constant should have a value of zero, assign a very small number instead.

Column Selection

This option assigns a column of data to the dependent and independent variables of the fitting function. The available columns (columns that contain data) are listed. Only one column can be assigned to a given variable.

For independent variables, the option to assign an integer series is available at the head of the column list. This selection generates an X axis interval of the form 1,2,3...n, where n is the number of points assigned to the dependent variable. This entry is not available when data are being assigned to the dependent variable.

Note: If the data columns are of unequal length, then the number of fitting points is equal to the number of rows in the shortest column.


Fit—Seed Values Tab

Use the Seed Values tab of the Fit dialog to assign seed values to the fitting function parameters.

Sections in this topic:

  • Parameter Value Entry
  • Force Parameters Positive
  • Fixing Parameter Values
  • Proportion Display
  • Multiple Trace Seeding

All search methods except the Chebyshev and linear or polynomial regression require that function parameter seed values be entered prior to fitting. If the Chebyshev method is selected, seed values are nevertheless computed but these cannot be changed unless they are fixed. Where seed entry is not available under any circumstances, the seed value fields is replaced by a message stating that seed entry is not available for the currently selected function.

Clampfit software automatically generates seed values for all predefined functions and enters these values in the appropriate locations in the Seed Values tab. Seed values are not generated for custom functions and must be entered manually before the fit can proceed.

Limitations

It should be noted that automatic seed value generation is only as good as the data that the selected function is meant to describe. The seed-generating algorithms assume that the data are indeed well described by the chosen function. Although automatic seed values are always generated, they are not guaranteed always to be accurate. Therefore, it might be necessary to adjust their values either by directly changing the values in the appropriate fields or by means of graphically assisted seeding.

For standard exponential, exponential with sloping baseline, single-term shifted Boltzmann and single-term power exponential functions, the seed values are generated by the Chebyshev fitting algorithm, so they are very accurate. However, if positive sign restrictions are applied or the data are not zero-shifted and the first data point is nonzero then the seed values might not be as accurate since the Chebyshev method cannot be used in these cases. This is because the Chebyshev method cannot force parameters positive and it assumes that the data are always zero-shifted.

In the case of the Goldman functions seed estimates are not generated by examining the data. The seeds for these functions, which are simply a fixed guess, are always the same regardless of the data set, so they might have to be adjusted.

The seed estimates need be only a rough approximation of the "true" function parameter values. Seeds that are as much as one or two orders of magnitude away from the true value can still lead to a successful fit, depending on the complexity of the function and the number of terms.

In the case of maximum-likelihood fitting, automatic seed estimation takes longer because the EM algorithm (see Dempster et al. 1977) is used to provide initial estimates. These estimates are usually quite accurate but the EM algorithm can fail if the data are poorly described by the fitting function. Failure of this algorithm does not preclude automatic seed generation but the estimates might not be as accurate.

It is recommended that you initially attempt a fit with the automatically generated seed values. If the fit fails then you can manually assign more accurate seed values.

Parameter Value Entry

If you are not satisfied with the automatically-generated seed values, you can change these values in the appropriate fields. The columns are labeled with the parameter name and the rows are labeled with the term number. You can refer to the equation in the Equation window or the custom equation above the Equation window to identify the appropriate parameter.

Graphical

This options calls up the Graphical Seeding dialog for graphically-assisted parameter seed estimation for data from an Analysis window.

Auto-Estimate

Generates automatic seed estimates for the current function on demand. It is enabled only when the originally auto-estimated seed values are changed.

Seeding for Custom Functions

For custom functions none of the seed values can be zero. Fitting does not proceed until you have assigned nonzero values to each parameter. If you think that a parameter should be zero then either remove it from the function or specify a very low value, such as 0.00001.

Force Parameters Positive

Force proportions positive

Select this option to generate only positive amplitudes.

Force time constants positive

Select this option to generate only positive time constants.

When either of these options is selected the text "(force +ve)" appears on the Options status bar above the Equation window.

Note: For functions that do not support sign restrictions this option is disabled. Sign restrictions do not apply to the Chebyshev search method, to regression models or to custom functions, nor do they apply to the constant offset term C or slope m of any function.

Limitations of force positive

All search methods can fail to reach convergence if the data cannot be well described (or even approximately described) by the current function with forced positive parameters. Alternatively, the fit can converge on a local minimum generating parameter values that describe the data very poorly. Forcing parameters positive can increase the probability of the fit converging on a local, rather than global, minimum. This is because the global minimum might well lie in the parameter space that is mapped by a negative parameter value.

The best method for generating positive parameters is to seed the fitting function carefully using graphically-assisted seeding before fitting. If the fit still fails you should consider removing the positive parameter sign restrictions.

If the data are not reasonably well described by the function, forcing the parameters positive can significantly retard convergence since the fitting routines must work within the confines of a restricted parameter space.

Fixing Parameter Values

Individual parameters can be fixed via the Fix option that lies adjacent to each seed value.

When a parameter is fixed its value is not changed by the search method; it is essentially a constant term in the fitting function. Often a difficult fit can be facilitated by fixing one or more of the function parameter values. Upon convergence the fixed parameters are automatically freed and the fit repeated if the "Auto-free fixed parameters and refit" option in the Data > Options tab is enabled. This allows at least some of the parameters to be fitted as well as possible in the first fitting pass. The next pass at fitting with all parameters free might have a better chance for success.

Parameters can also be fixed if you have a priori information about the parameter value and wish to retain this value at the end of a fit. In this case you should disable the "Auto-free fixed parameters and refit" option in the Data > Options tab. You can also fix a parameter to examine the impact of that parameters value on other parameters in the fitting function.

When fitting exponential functions with the Chebyshev method, you must enable the Fix option before you can enter a value for the fixed parameters. This is because the Chebyshev method does not use initial seed estimates so any unfixed estimates would be ignored. Fixed parameters, however, are not changed.

Fixing parameters can also be used in conjunction with graphically assisted seeding to fit a curve "by eye". See Graphical Seeding.

Note: The standard error for fixed parameters is always zero.

Free All

Frees all fixed parameters. The button is disabled if no parameters are fixed.

Constant

Most predefined functions have a constant offset term. This is always defined as C and is the offset in the Y-direction. Initially this value is estimated automatically along with the rest of the parameters. You can modify the value of the constant in this field and free or fix it just as any other parameter.

Slope

The Exponential, sloping baseline function is the only one that has a slope term. The seed value for this term is initially automatically estimated.

Note: The slope cannot be fixed when using the Chebyshev fitting method.

Proportion display

This option is used to display the proportion terms either as absolute values or normalized proportions.

The option to switch between normalized and absolute proportions is disabled if the selected function has positive sign restrictions and the "Force parameters positive" option is selected. This is the case because proportional seed values cannot be computed if any of the parameters are negative.

Absolute proportions

If this option is selected the proportions (or amplitudes) are to be displayed as absolute values.

Normalized proportions

If this option is selected the proportions (or amplitudes) are to displayed normalized. You can enter any seed values you wish as these values are automatically normalized. For example, if there are two terms in a probability exponential (using maximum likelihood) you might enter 25 for one proportion and 75 for the other. These values are normalized to 0.25 and 0.75, respectively, but the values are not normalized until you switch to a different tab or click OK.

Multiple Trace Seeding

When fitting multiple traces the initial seed values apply to the first trace only. The seed values for subsequent traces can be handled in one of the two following ways:

Seed independently for each trace

If this option is selected the seed estimates are automatically and independently generated for each trace. This option is recommended if the successive traces are very different from each other.

Use results of current trace to seed next

If this option is selected the fitted parameter values of the current trace are used to seed the fit for the next trace. This option is recommended if the successive data traces are similar or uniformly distributed.


Graphical Seeding

Manually seed your fit when automatic seed estimation is not successful.

Where seed estimates are critical, or where Clampfit software fails to generate reasonable seed estimates, graphically assisted seeding can be used to produce very accurate seeds. The Graphical Seeding dialog is accessed using the Graphical button on the Analyze > Fit > Seed Values tab.

Sections in this topic:

  • The Display Window
  • Terms
  • Y Scaling
  • Entering Seed Values
  • Manual Fitting

Graphically assisted seeding is provided to help the assignment of function parameter seed values prior to fitting. In many cases the automatically determined seed values are sufficient, even if they deviate considerably from the "true" values. The fit should generally be tried first with these automatically estimated seeds. However, there will undoubtedly be instances where the automatic seed estimation is not sufficiently accurate to generate a successful fit, especially if the function contains many terms or if the data are not well-described by the fitting function.

The graphical display window retains all of the display features of the Analysis window. The display options that are normally available for the Analysis window are also available here, allowing, among other things, the specification of colors for the traces. Also, the display size can be maximized by removing the cursor and axis scaling portions of the data display window.

Note: Graphically-assisted seeding is available only when fitting to Analysis window data. It is not available when fitting to Results window data.

The Display Window

Initially, the seed values that have been entered either manually or automatically in the Seed Values tab are used to generate the curves in the Graphical Seeding dialog display window. If the function has multiple terms, the component curve for each term is displayed. The curve representing the complete function (the sum of the terms) is referred to as the function curve. Each individual component curve and the function curve is displayed along with the data. The function curve is always displayed and cannot be hidden whereas the display of the components, if present, is optional.

Terms

The terms of the function corresponding to the individual components of the curve can be selectively displayed or hidden by checking or unchecking the respective term number in this group of controls. Only the available terms are enabled for selection. If the function does not support multiple terms these controls are disabled and only a single curve is displayed. If the components of the curve are hidden, the redraw of the fitted curve is faster.

Auto Scale

Set display window scaling in this group.

  • Continuous: With "Continuous" selected, the scaling automatically updates to keep all of the curves (components and function curve) in full view whenever a value is changed.
  • Y Axis Data: Click this button to autoscale the Y axis so that the data trace is optimally displayed.
  • Y Axis Fit: Click this button to autoscale the Y axis so that the function curve is optimally displayed.
  • X Axis: Click to return the X axis to full scale, such as the full scale of the fitting region, if this has been altered.

Entering Seed Values

Seed values are assigned to the parameters of each term in the fitting model. If the current function has only one term then the Term option is disabled. Otherwise, the term is selected either by entering the term number directly or by means of the associated spinner. If the term is typed in manually there is a short delay before the corresponding seed parameter values are presented. The term can also be selected by left-clicking on the corresponding component curve in the graphics display.

For custom functions the parameters are divided into "sets" of four parameters. For example, if a custom function contains six parameters the first set contains parameters p1 to p4 and the second set contains parameters p5 to p6. The slope and constant fields are not available for custom functions.

The spinner step size is fixed to 1% of the original parameter value. If a new parameter value is manually entered the step size changes accordingly, again to 1% of the newly entered value. There is no delay in the display update if the spinners are used to change the seed values.

Note: Only the offset or slope can be zero. All other parameters must be nonzero values.

Manual Fitting

It is possible to fit the selected function manually to the data (fitting "by eye") if needed.

To perform a manual fit:

  1. Disable the Auto-free fixed parameters and refit option in the Data/Options tab otherwise the fixed parameters will be freed and refitted automatically.
  2. Adjust the fit parameters until the function curve matches the data.
  3. Exit the Graphical Seeding dialog by clicking OK and all of the parameters are fixed in the Seed Values tab.
  4. Exit the Fit dialog by clicking OK. A message appears stating that all parameters are fixed and will not be readjusted, and you are asked if you wish to continue. If you click Yes the fitting routine computes the general fitting statistics and parameter errors for the current function parameter values and enters this information in the Fitting Results dialog.


Fitting Progress

When fitting starts, a progress dialog box displays in the lower right-hand corner. See Fit. This dialog monitors the progress of the fit, reporting the following information:

  • The total number of traces that are to be fitted.
  • The current trace number being fitted.
  • The number of terms in the function, which is useful information when comparing models.
  • The iteration number for iterative search methods.
  • The standard deviation, which gives an indication of the fitting progress in terms of improved quality of the fit.

Fitting Progress Dialog Options

The progress dialog options include:

  • Close: Stops fitting immediately, for the current trace and any subsequent ones.

    Results for the trace being fitted at the time the dialog is closed are reported to the Results window, and the fitting curve for the trace displayed in the Analysis window.

    If an error occurred (for example, an overflow error), the function curve is not displayed and the function parameter values are not available. The fit is reported as "cancelled" in the Fitting Results dialog.

  • Pause: Pauses the fit. Click again to resume fitting.

  • Skip: Stops fitting the current trace and starts on the next.

    Results for the current trace are reported to the Results window and the fitting curve displayed.

    If an error occurred, for example, an overflow error, the function curve is not displayed and the function parameter values are not available. Fitting commences with the next trace. The skipped fit is reported as "cancelled" in the Fitting Results dialog box.

  • Finish: Finishes fitting the current trace, after which fitting stops.


Fitting Results

Analyze > Fitting Results

Graph Window Toolbar:

Following curve fitting to data (see Fit), a detailed summary of fitting results is provided in the Fitting Results dialog.

A limited amount of information is also written to the Fit Params sheet in the Results window.

The Fitting Results dialog consists of two tabs:

  • Parameters tab
  • Statistics tab

At the bottom of the dialog are options relating to both tabs:

Copy To

The fitting information for the currently displayed trace and model can be copied either to the Lab Book or to the clipboard. The information in both the Statistics and Parameters tabs is copied. If copied to the clipboard, the information can be pasted into other Windows applications.

Select

Fitting information is available for all fitted traces and all models (if comparing models) for each trace. Select the trace number (if more than one trace) and the model number for the current trace (if comparing models).


Fitting Results—Parameters Tab

Fitted parameters are reported in the Parameters tab of the Fitting Results dialog. The parameter name appears above each column and the term number appears to the left of each row. The standard errors are given for each parameter See Parameter Errors in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.

The constant offset or slope, if present, are reported along with their standard errors in the bottom right hand corner of this tab.

If errors could not be estimated because of failure in the evaluation of the covariance matrix, all parameters are zero.

If the parameter is "fixed", the error is reported as zero and the parameter value is grayed to distinguish it from the "free" parameters.


Fitting Results—Statistics tab

You are here: Menu Reference > Analyze Menu > Results Window > Fitting Results—Statistics tab

Statistics Tab

The Statistics tab of the Fitting Results dialog reports information about the fit including the fitting method, fitting statistics and the results of model comparison, if relevant. This information is available for every fitted trace and every model for each trace, if comparing models.

Sections in this topic:

  • Function/Method
  • Fit Status
  • General
  • Maximum Likelihood
  • Levenburg–Marquardt
  • Simplex
  • Best Model

Function/Method

This group reports settings entered on the Fit dialog Function > Method tab.

Closed Function/Method

  • Function: This is the name of the function that was fitted to the data. The equation for the function does not appear in this dialog box.
  • Method: This is the search method that was used, either Levenberg-Marquardt, variable metric, Simplex or Chebyshev, or Polynomial or Linear regression.
  • Minimization: This reports the minimization function that was used, either sum of squared errors, maximum likelihood, mean absolute or minimax.
  • Weighting: The type of weighting is reported here, either None, Function, Data or Bin width.
  • Num params: This is the number of parameters in the fitting function including, if present, the slope and offset.
  • Number of terms: The number of function terms in the fitting model is reported here.
  • Power a: If a function has a "Power a" parameter, it is reported here.
  • Power b: If a function has a "Power b" parameter, it is reported here.
  • Temperature: If a function has a temperature parameter, it is reported here.
  • Valence: If a function has a valence parameter, it is reported here.

Fit Status

The fit status is shown here, reporting one of the following results:

Closed Fit Status

  • Successful: The fit was successfully completed.
  • Failed: The fit has failed. A fit can fail for many reasons, but the most common cause of failure is a poor match between the data and the function. Poor initial seed parameters can also result in a fit failure. Failure is more common with the iterative search methods (Levenberg-Marquardt, variable metric and Simplex). The Chebyshev search method and regression rarely fail.
  • Maximum iterations reached: The preset maximum number of iterations has been reached before the fit could converge (applies to the iterative search methods only).
  • Cancelled: The fit was intentionally cancelled.
  • Stable fractional error:The Simplex fractional error was unchanged for 30 iterations. This can occur when the Simplex settles on a local minimum. The fit has not converged.
  • Successful (no error estimates): The fit was successful but errors could not be estimated. Error estimation failure, which occurs rarely, results from a mathematically determined inability to evaluate the covariance matrix.
  • Failed error estimation: The parameter errors could not be estimated. If this error appears then the fit did not reach convergence, most likely because the maximum number of iterations was reached.
  • Not fitted: The trace was not fitted.

General

The General category applies to all fitting methods. However, not all of these items are relevant to every fitting method. Where not relevant, the items are grayed.

Closed General

  • Precision: This is the fitting precision, which is used to define the convergence criterion. See the discussion for each particular fitting method in the manual for an explanation of how Precision is applied during fitting.Precision does not apply to the Chebyshev method or to regression fits.
  • Free parameters: This is the number of free (unfixed) parameters. If using maximum-likelihood fitting with the variable metric method or other functions with constrained proportions, the number of free parameters is one less than the total number of unfixed parameters because the proportion term(s) is linearly constrained to sum to unity. That is, one of the parameters depends on the values of the others and is therefore not free.

  • Number of iterations: The number of iterations performed is reported here. The fit might or might not have converged. For example, if the preset iteration limit was reached then convergence most likely did not occur. If the fit did converge then this number gives an indication of how accurate the original seed parameters were. More accurate seed parameters will generally result in faster convergence.

    This does not apply to the non-iterative Chebyshev method or regression fits.

  • Correlation coefficient: This is the correlation coefficient, R. It is computed for n fitted data points by:

    where Obsi is the observed data value for the ith data point and Expi is the expected value for the ith data point as computed by the fitted function. The closer R is to 1 the better the fit. If the fit is extremely poor, this value can be negative (if the numerator is greater than the denominator). In this case, the fit should be disregarded and a new fitting model should be defined.

  • Standard deviation: This is the final value of the standard deviation of the fit, δ, and is defined by:

    where n is the number of points in the fitting range, Obsi is the observed value for the ith data point and Expi is the expected value for the ith data point as computed by the fitted function. The lower the value of δ the better the fit.

  • Sum of squared errors: The sum of squared errors, SSE, is reported here. For n data points, this quantity is defined by:

    where n is the number of points in the fitting range, Obsi is the observed value for the ith data point and Expi is the expected value for the ith data point as computed by the fitted function. The value is provided in the event that it is needed for additional statistical computations that are not available in Clampfit software.

  • Sum of data squared: The sum of data squared, SDS, is reported here. For n data points, this quantity is given by:

    where n is the number of points in the fitting range and Obsi is the observed value for the ith data point. The value is provided in the event that it is needed for additional statistical computations that are not available in Clampfit software.

  • Number of points: This is the number of data points that were included in the fit.

  • Fitting area: This is the approximate area under the fitted data curve, and is computed by:

    where A is the area, n is the number of data points, Int is the data interval and yi is the value of the ith data point.

Maximum Likelihood

The information in this group is available only if maximum likelihood fitting was performed.

Closed Maximum Likelihood

  • Log likelihood estimate: This is the natural logarithm of the maximum likelihood estimate.

  • Schwartz criterion: The Schwartz criterion, SC, takes the number of free parameters into account when evaluating a model. The model with the smaller value is better (see Schwartz, 1978). The Schwartz criterion SC is given by:

    where L is the natural logarithm of the maximum likelihood estimate, F is the number of free parameters and N is the number of data points.

Levenberg–Marquardt

The information in this group is available only if Levenberg‑Marquardt fitting was performed. Otherwise the items are grayed.

Closed Levenberg-Marquardt

  • Goodness of fit: The Goodness of fit is the ratio of the number of calls to the sum of squared errors SSE to the number of iterations. During each iteration a call may either be made evaluate the SSE, or to change the Marquardt parameter λ (see The Levenberg–Marquardt Method in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). The ratio of the number of calls to SSE to the number of iterations measures the average number of times λ increased or decreased per iteration. Ratios of about 2 are normal. Higher ratios may indicate a difficult parameter space for convergence, but may also occur if convergence is rapid.
  • Parameters converged: This is the number of parameters that converged during the fit. A parameter is deemed to have converged when the change in the parameters between consecutive iterations is less than the float machine precision value of 2.5 × 10–7. The number of parameters converged can be less than the total number of parameters if convergence is first reached when the change in the minimization function is less than the Precision value. Thus the fact that not all parameters have converged does not necessarily mean that the fit is not good. In fact, in some cases, the fit might converge on the merit of the minimization function difference before any of the parameters have converged. Consequently, if not all parameters converge, a smaller Precision value will often result in an increased number of parameters converged if the fitting function fits the data well.
  • Number derivative calls: The number of calls to the derivative of the function is another indicator of the ease of convergence, with a smaller number being associated with a more rapid convergence.
  • Number SSE calls: This value is the number of calls to the evaluation of the sum of squared errors. By itself, this number provides little information, but in conjunction with the number of iterations it provides an indication as to the quality of the fit (goodness of fit).
  • Times Lambda increased: The Marquardt parameter l increases several times during the last few iterations, while the sum of squares remains relatively constant as the parameter space flattens out near the solution. In general, the better the fit the more times l increases.

Best Model

When comparing models (number of terms), the information for the best model is given here.

Closed Best Model

  • Best number of terms: The model with the best number of terms is found when the comparison of a fit with the fit of the subsequent model results in a statistically insignificant change. The statistic is either the F-statistic for least squares problems or Chi-square for maximum likelihood problems (see "Model Comparison" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). If "Not found" is reported then the comparison of the fit for every successive model was not statistically significant.
  • Confidence level: This is the confidence level for either Chi-square or the F-statistic.
  • Models: All of the models that have been included in the comparison are given here. For example, the comparison between a model having one term and the next model with two terms is labelled '1®2'. If a best model was found, only the last comparison is reported. For example, if the best model had two components, then '2®3'is the last reported comparison.
  • F-Value: The F-value is reported here for the comparison of each successive model. For example, the 1®2 statistic gives the results of a statistical comparison of the fit for a one-term vs. a two-term model.
  • Critical F: This is the "table" value of the F-statistic. This value takes into account the degrees of freedom for each model. In this case, the degrees of freedom vary from model to model so the critical F-value will be different for each comparison (see "Least Squares Comparison" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).
  • Chi-square: The Chi-square value is reported for the comparison of each successive model. For example, the 1®2 statistic gives the results of a statistical comparison of the fit for a one-term vs. a two-term model.
  • Critical χ2: This is the "table" value of the Chi-square statistic. Unlike the critical F-value, the difference between the degrees of freedom is 2 for all successive exponential models, therefore the critical χ2 value will be the same for each comparison (see "Maximum Likelihood Comparison" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

Simplex

  • Max fractional error: The maximum fractional error is given here, see "Simplex Convergence" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide. This is the fractional error of the worst Simplex dimension.

    This value can be greater than Precision if the preset number of iterations is reached before convergence.


Filter

Analysis Window: Analyze > Filter

Analysis Window Toolbar:

Filter traces in the Analysis window.

Sections in this topic:

  • Introduction
  • Bandpass / Highpass / Lowpass
  • Notch
  • Electrical Interference
  • Trace Selection

Introduction

Filtering can be applied to Analysis window data only. Filters do not operate on Results window data.

A drawing representing the selected filter (lowpass, bandpass, highpass, notch or electrical interference) is displayed in the lower right-hand corner of the dialog box. The drawing represents the shape of the cutoff characteristics of the selected filter.

All filter types are mutually exclusive whereby selecting one filter type will disable all of the others. That is, different filter types cannot be applied simultaneously, except in the case of the Bandpass filter where both Lowpass and Highpass filter types must be specified. If you need to apply more than one filter type to a signal you must do so sequentially.

The sampling frequency is reported at the top of the dialog box. If the data are split-clock-acquired then the reported frequency depends on the location of the analysis region. If the analysis region is confined to one or the other time-base region then the sampling frequency for that region is reported. If the analysis region spans the split-clock boundary then both sampling frequencies are reported. Note that filtering is not allowed if the analysis region spans the split-clock boundary since the filters can operate only on data acquired at a single acquisition rate.

See "The Sampling Theorem", "Digital Filters" and "Terminology and Definitions" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for a discussion of analog-to-digital conversion guidelines, digital filters and terminology, respectively.

Bandpass / Highpass / Lowpass

Select a bandpass, highpass, or lowpass filter and specify the filter characteristics.

Bandpass

If Bandpass is selected then both the Highpass and Lowpass groups are enabled. The bandpass filter is constructed by specifying a highpass filter type and a lowpass filter type. The –3 dB cutoff frequencies for the highpass and lowpass filters define the pass band. All combinations of highpass/lowpass filters are allowed.

The highpass cutoff frequency must be lower than the lowpass cutoff frequency. If this is not the case then an error message is given when you click OK.

Highpass

The highpass filter attenuates low frequencies and passes high frequencies.

  • Type: Select the highpass filter type. The available highpass filters include the 8-pole Bessel and the single-pole RC filters only. See the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for performance specifications of individual filter types.
  • –3 dB cutoff (Hz): Specify the –3 dB cutoff frequency in Hz. The lower and upper cutoff range are reported at the bottom of the Highpass group box. It is automatically determined from the sampling rate and the Nyquist theorem. Cutoff frequencies outside this range are not allowed. See "Cutoff Frequency Limitations" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.
Lowpass

The lowpass filter passes low frequencies and attenuates high frequencies.

  • Type: Select the lowpass filter type. The available lowpass filters include the 8-pole Bessel, Boxcar, 8-pole Butterworth, 8-pole Chebyshev, Gaussian, single-pole RC and 8-pole RC filters. See the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for performance specifications of individual filter types.

  • –3 dB cutoff (Hz): Specify the –3 dB cutoff frequency in Hz. The lower and upper cutoff range are reported at the bottom of the Highpass group box. It is automatically determined from the sampling rate and the Nyquist theorem. Cutoff frequencies outside this range are not allowed.

    If the Boxcar filter is selected, the allowed smoothing points range is reported at the bottom of the Highpass group box. Values outside this range are not allowed.

    If the Boxcar filter is selected then this option is disabled.

    If the Gaussian filter is selected, then the number of filter coefficients, given the specified cutoff frequency, is reported to the right of the edit box.

  • Smoothing points: This option is enabled only if the Boxcar filter is selected. It is used to specify the number of points to be used for smoothing. The absolute maximum number of smoothing points is 99 but this maximum could be less. See "Cutoff Frequency Limitations" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.

Notch

The notch filter is used to reject a specific frequency.

For performance specifications see "Notch Filter (2-pole) Specifications" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.

  • Center Frequency: Specify the notch center frequency in Hz. The center frequency range is reported at the bottom of the Notch group box. Center frequencies outside this range are not allowed (see "Cutoff Frequency Limitations" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide).

  • –3 dB width (Hz): The –3 dB notch width is used to specify the "width" of the notch in Hz. For example, if the width is 10 Hz then the –3 dB points are 5 Hz to either side of the center frequency.

    Note: the number of points required for the filter to settle increases with decreasing notch width. That is, the narrower the notch, the more settling points are required.

Electrical Interference

The electrical interference (EI) filter removes 50 or 60 Hz power line interference from any acquired data signal. The EI Filter identifies and removes complex power line waveforms, composed of multiple harmonics. See "The Electrical Interference Filter", chapter 8 in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.

Limitations:

  1. The EI filter is designed primarily for reasonably long continuous data files and will generally not work well with short files. It is best suited to data segments or sweeps of several seconds or more (see Minimum Number of Data Points).

  2. The EI filter will be disturbed and take time to recover after a transient signal that has harmonics overlapping the harmonics of the steady-state interference signal. The disturbance will take the form of an introduced cyclical noise that lasts for the duration of the "cycles to average" parameter.

If the EI filter is not removing the interference from your signal, it could be due to one of the above limitations.

Harmonics from 1 to:

This control is used to specify the highest harmonic of the interference waveform to be removed. The first harmonic is fixed at one. The maximum number of harmonics that the filter attempts to remove is 20. By default the filter removes all harmonics up to 10th. However, it might often be sufficient to remove only the first harmonic, or the first few harmonics.

Lower values for the harmonic search result in much faster execution speed. For example, removal of the first harmonic only is about 10 times faster than removal of 10 harmonics. However, in those situations where line interference is rich in harmonic content, it might be necessary to increase the highest harmonic number in order to completely clean the signal.

When specifying the upper harmonic search number, keep in mind that the sampling rate imposes the limit upon the harmonic content of the signal. For example, if sampling rate is 1 kHz, and line frequency is 60 Hz, the highest frequency any sampled signal can contain is 500 Hz, that is, interference composed of 8 harmonics maximum (8 × 60 Hz = 480 Hz). Setting the upper harmonic to values higher than 8 will not result in better output signal quality but will slow down the execution.

Cycles to average

This control specifies the time constant of the filter, expressed in line interference cycles (periods). In case of 50 Hz line voltage, one unit is 20 ms, while in case of 60 Hz it is 17 ms. The EI filter removes interference more effectively with a higher number of averaging cycles, but does so at the expense of execution speed.

The time constant of the filter is reported to the right of this control. Larger time constants result in a slower adaptation speed of the filter but do not greatly affect tracking of variations in the line interference waveform during signal acquisition, since such variations are normally expected to be very slow.

Reference frequency

The reference frequency must be the same as the power line interference frequency, that is either 50 Hz or 60 Hz, in order for the filter to work properly. If Auto is selected the EI filter automatically determines the interference frequency so long as it is either 50 Hz or 60 Hz. Auto should generally be used only if you are not sure of the interference frequency.

Minimum Number of Data Points

The EI filter requires a minimum number of data points, depending on the interference frequency and the number of cycles to average.

The data point minimum is given by:

Minimum data points required = Samples per period × Cycles to average

where "Samples per period" is the sampling frequency divided by the reference frequency. For example, if the number of cycles per period is 10, the reference frequency is 60 Hz and the sampling frequency is 10 kHz, the minimum number of data points required is (10,000 / 60) × 10 = 1667 points.

If there are not enough data points for the current EI filter configuration then a message appears when you attempt to close the filter dialog box informing you that there are not enough data points. You are given the option to automatically adjust the averaging length to the minimum value required to accommodate the data if there are enough data for at least one averaging cycle. If you opt for the automatic adjustment you are returned to the filter dialog where you can either accept or reject the automatically determined value.

If there are not enough data points for even one averaging cycle then you are not able to apply the EI filter to the data and you are not given the option for automatic adjustment. In this case you should use the notch filter to reduce the electrical interference. Note, however, that the notch filter does not remove harmonics of the interfering frequency.

Moreover, if there is a dearth of data then the electrical interference filter cannot process the start-up transient, which is equal in length to the minimum number of data points (see "The Electrical Interference Filter", "Start-up Transients" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide). Therefore, it is preferable to apply this filter only to data that have a number of sampling points in excess of the minimum.

Trace Selection

  • Select: Opens Select Traces which allows you to select the traces and signals from the active Analysis window that are to be filtered. The selections are reported to the right of the Select... button in the Trace Selection group.
  • Region to filter: Used to specify whether you want to filter the entire trace(s), or only the region between cursors 1 and 2, or between cursors 3 and 4. Filtering regions that span a split-clock boundary, data with two different acquisition rates, is not allowed.


Power Spectrum

Analysis Window: Analyze > Power Spectrum

The power spectrum generates a frequency domain representation of the time domain data, revealing the power levels of different frequency components in the signal. Power spectrum analysis can be applied to Analysis window data only.

The value at each spectral bin and the root mean square (RMS) value of the signal are reported in the system Results sheets.

The sampling frequency is reported at the top of the dialog box. If the data are split-clock acquired from Clampex software 8 or earlier, then the display depends on the location of the analysis region. If the analysis region is confined to one or the other time-base region then the sampling frequency for that region is reported. If the analysis region spans the split-clock boundary then both sampling frequencies are reported.

Note: Power spectrum analysis is not allowed if the analysis region spans the split-clock boundary since the power spectrum routine can operate only on data acquired at a single acquisition rate. If the selected analysis region crosses a split clock boundary the Window > Length options are disabled.

See chapter 9, "Digital Spectral Analysis in Clampfit software" in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for further discussion.

Sections in this topic:

  • Windowing Function
  • Window
  • Length
  • RMS Measurement and Plot
  • Destination Option
  • Trace Selection
  • Variable Length and Concatenated Files

Windowing Function

The windowing function is displayed below the dialog box controls in the equation window. The windowing function profiles in the time domain and in the frequency domain (spectral magnitude) are displayed below the equation window. The light horizontal line in the frequency domain profile is the zero dB level.

The window functions available in Clampfit software include:

  • None (rectangular)

  • Bartlett (triangular)

  • Blackman

  • Blackman-Harris 3

  • Blackman-Harris 4

  • Cosine

  • Hamming

  • Kaiser

  • Poisson

  • Von Hann

If the Poisson or Kaiser window is selected then the window shape is displayed for each integral value of "alpha". For example, for either of these windowing functions, if alpha is 3.2 then the window shows the shape for an alpha of 3, and so on. If alpha is below 1.0 then the window shape is shown for an alpha value of 0.01.

Window

Windowing serves to reduce spectral leakage. See "Windowing" section, chapter 9, in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide. The selected window function is applied to the data before the Fast Fourier Transform (FFT) is computed.

  • Type: Select the window function here. The function equation is displayed in the equation window and the window profiles in the time-domain and frequency-domain are shown below the equation window. The frequency-domain representation is especially useful for roughly gauging the degree of leakage that is to be expected as judged by the side-lobe levels.
  • Poisson alpha: If the Poisson window is selected then this option is enabled. The value of alpha can range from 0.01 to 9.8696 (= p2). The window profiles in the time and frequency domain change with every integral value of alpha. This parameter affects the window shape where higher values of alpha correspond to reduced side-lobe levels and a broader main-lobe, allowing a trade-off in the frequency response between the width of the main lobe and the peak amplitude of side-lobe ripples.
  • Kaiser alpha: If the Kaiser window is selected then this option is enabled. The value of alpha can range from 0.01 to 9.8696 (= p2). The window profiles in the time and frequency domain change with every integral value of alpha. This parameter affects the window shape where higher values of alpha correspond to reduced side-lobe levels and a broader main-lobe, allowing a trade-off in the frequency response between the width of the main lobe and the peak amplitude of side-lobe ripples.

  • Output (one-sided): The output group provides options for combining the power spectra of individual segments and traces. The segments are the one-sided output of the power spectrum measurement and are always one-half the window length.

    • Average trace spectra: the power spectra of all selected traces are averaged.

    • Average spectral segments: the spectral segments are averaged. That is, the original data are divided into segments each with a number of samples as specified in the Window / Length section. When a data set is divided into segments of equal size the last segment often does not contain enough data to satisfy the window length. In this case, this last residual segment is discarded.

      If both "Average trace spectra" and "Average spectral segments" are selected then the segments for all traces are averaged and the output is a single spectrum. Otherwise the spectral segments are either displayed individually for each trace or averaged for each trace, depending on the status of "Average trace spectra".

  • 50% window overlap: If "Average spectral segments" is enabled then this option provides for optional 50% window overlapping. See the "Segment Overlapping" section, chapter 9, in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide. If this option is not checked then data segments are not overlapped.

    The window overlap option is disabled if spectral traces are not to be averaged.

Length

The window length specifies the length of the data segments that are to be processed. Only integral powers of 2 are allowed. The minimum window length is 16 and the maximum is 65,536.

The window length must be equal to or greater than the number of data points in the selected region of the Analysis Window, otherwise spectral analysis cannot proceed.

The window length is the same as the FFT transform length. The power spectral density, however, is one-sided, whereby only the positive frequencies are considered. Consequently, the output is one-half the transform length.

  • Maximum: Set window length to the largest value that fits in the data set, up to a length of 65,536. The maximum window length is shown for your information. If the selected analysis region contains less than the minimum window length of 16 samples, Window/Length options are disabled.

  • Specify: Specify the window length. Only integral powers of 2 are accepted. This option is disabled if Maximum is checked.

    The output length and the spectral resolution are reported in the Length group. The output length is always one-half the window length and is scaled from a frequency of 0 to the Nyquist frequency (one-half the sampling frequency). The spectral resolution provides the width, in Hz, of the spectral bins of the periodogram (the plot of the power spectrum). The narrower the spectral bins the higher the resolution of the periodogram. See the "Transform Length vs. Display Resolution" section, chapter 9, in the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide.

RMS Measurement and Plot

  • Exclude first [x] spectral bins: Because of discontinuities at the edges of the original time domain signal that almost invariably give rise to spectral leakage in the frequency domain, the values in the first bins of a periodogram might not be reliable. For this reason an option is provided to exclude the first few bins (from 1 to 10) of the periodogram from plotting and RMS measurements. The first bin is always excluded from RMS measurements and the plot.

Destination Option

The results of the power spectrum computation are automatically reported in the system Results window in the Statistics and Power Spectrum sheets. The destination option determines how the results are written.

The information reported in the Statistics sheet includes the name of the segment, the units of measurement, the RMS value of the bins that were included in the RMS measurement, the RMS value of the bins that were excluded from the measurement, and the total RMS.

  • Append spectrum and statistics to sheets: Select to append the power spectrum results to the statistics and power sheets. Previous results are retained. This is useful for comparing successive measurements.
  • Replace spectrum and statistics in sheets: Select to overwrite the previous power spectrum results with the current results. This option should be selected only if the previous information is not required.

Trace Selection

  • Select: Open the Select Traces dialog to select a signal and traces to be processed from the active Analysis Window. Data can be selected from one signal only. The selected signal and traces appear in the Trace Selection group box.

  • Region to analyze: Specify the data region to be analyzed. The options include "Full trace", "Cursors 1..2" (analyze the region between cursors 1 and 2) and "Cursors 3..4" (analyze the region between cursors 3 and 4). The number of data points in the analysis region is shown to the right of the list box. This information is useful when specifying a window length.

    Note: Power spectrum analysis for regions that span a split-clock boundary, data with two different acquisition rates, is not allowed.

Variable length and concatenated files

If applying power spectrum analysis to variable length files, the maximum allowable window length depends on the size of the smallest contiguous data region.

For example, if "full trace" is the analysis region, then the maximum window length is the integral power of two that fits in the shortest variable length segment.

If a cursor-delimited region is selected, then the window length is limited to the integral power of two that fits in the smallest region that lies between the cursor position and the end of the associated variable length segment. For example, if cursor 1 is within 20 samples of the end of the associated variable length segment then the maximum window length will be 16 (the minimum allowed), even though a different region that lies between cursors 1 and 2 might contain many more samples. The consequence of this is that if the cursor is less than the minimum window length of 16 points away from a segment boundary, power spectrum analysis is not allowed. Therefore, care must be exercised when selecting data regions in variable length or concatenated modes.


Statistics

Analysis Window: Analyze > Statistics

Shortcut: Alt + S

Analysis Window Toolbar:

Statistics measures up to eighteen descriptive parameters over specified ranges of the data in your file. Up to eight statistics regions can be defined, each configured for a different set of measurements. Separate statistics are gathered for each (selected) signal and trace, within the defined search regions.

A boxcar filter is included in the dialog.

Statistics results are written to the Statistics sheet of the Results window, and may also by displayed graphically in a Clampex software-style Statistics window. In the Results window, measurements from each signal and search region combination are listed across the sheet, with signal number, the definition type of the search region, and its start and end times provided. Column titles use the format "SnRn", where the "S" stands for "signal" and the "R" for "search region".

The Statistics dialog is similar to Shape Statistics in Clampex software (on the Statistics tab in the protocol editor). Where Shape Statistics was enabled for a file imported from Clampex software, the original configuration can be imported directly into the dialog, with "Import from Data File".

Auto Statistics

You can use the Auto Statistics button (by default in the Alternate toolbar) to measure statistics as currently configured in the dialog, without opening the dialog.

Sections in this topic:

  • Trace Selection
  • Peak Polarity
  • Baseline Region
  • Search Region
  • Measurements
  • Smoothing Window
  • Import from Data File
  • Destination Option

Trace Selection

Select the signals and traces from your data file that are to be processed, from the Select Traces dialog box. The current selection is reported beside the button.

Peak Polarity

Choose the direction of the peak relative to the baseline for each signal in the file. Select each signal in the file in turn from the list box and select the peak polarity for it.

Apply to all signals

Check to have the same peak polarity for all signals in the file.

  • Positive-going: The peak is defined as the largest positive value in the search region. If all values are negative, it is the least negative value.
  • Negative-going: The peak is defined as the largest negative value in the search region. If all values are positive, it is the least positive value.
  • Absolute: The data point with the largest absolute value—with respect to the baseline—is the peak. The antipeak is the data point furthest away from the peak value.

Baseline Region

Specify the baseline by stipulating a particular value, or by defining a region of the file, the mean amplitude of which becomes the baseline. Selected Measurements are relative to the baseline.

The same baseline is used for all search regions.

Mean Level: The mean amplitude of all samples in the region you designate in the list box is the baseline value (a separate value is calculated for each trace included in the search). If you choose one of the Cursor options, the "From" and "To" fields below are enabled.

  • Full Trace: The entire length of the sweep is used.
  • Cursors 1..2 (etc.): The baseline region is defined manually in the "From" and "To" fields immediately below. Alternatively, drag the appropriate cursors in the Analysis window to the needed locations (when the Statistics dialog is closed).
  • First/Last Holding & Waveform 0–3, Epoch A–J: For files recorded in Episodic stimulation mode, the baseline region is defined as the duration of the selected holding period or epoch.

  • From (samples) and To (samples): When you choose a cursor range for the baseline region, use these fields to specify the region boundaries. The equivalent values in milliseconds are displayed to the right of each field.

    Set the "To" field to "End" to make the end of the sweep the closing boundary of the baseline region.

    If search region boundaries are set in the Analysis window by dragging the cursors, their positions are reported in the "From" and "To" fields.

Fixed at: Select to set a particular value as the baseline value for all measurements.

Search Region

You can generate different sets of statistics for up to 8 regions within each sweep. Click on the spinner to select a region number, 1–8, then check the Search Region check box to enable statistics searching for this region.

Define the search region in the Range field.

If you have insufficient cursors for search region definition close the dialog and create more cursors from Cursor Options, in View > Window Properties > General tab.

Range

  • Full Trace: The full length of the file is searched.
  • Cursors 1..2 (etc.): This option enables the "From" and "To" fields immediately below, where the search region is manually set to a particular sample range. The indicated cursors are positioned at these points in the Analysis window. Alternatively, drag the cursors to the desired position in the Analysis window (this requires cancelling out of the Statistics dialog, then reopening it to initiate the measurements).
  • Waveform 0–3, Epoch A–J: For files recorded in Episodic stimulation mode you can define an epoch or holding period as the search region.

From (samples) and To (samples): When you choose "Cursor 1..2" (etc.) as your range, use these fields to specify—in samples—the range to search. The equivalent values in milliseconds are displayed to the right of each field. Alternatively, if boundaries are set with cursors in the Analysis window, their values are reported here.

Set the "To" field to "End" to make the end of the sweep the closing boundary of the search region.

Measurements

Choose the values you want to measure for each of the Search Regions you have enabled. Separate measurements are found for each trace.

Closed Measurements Options

  • Peak amplitude: Finds the peak amplitude relative to the baseline, dependent on the Peak Polarity setting.
  • Time of peak: Reports the time of the peak, from the start of the sweep.
  • Antipeak amplitude: The point furthest in amplitude from the peak.
  • Time of antipeak: Reports the time of the antipeak.
  • Mean: Average of the amplitude of all sample points in the search region.
  • Standard deviation: The standard deviation of the amplitude of all the sample points in the search region.

  • Area: The area bounded by the trace and the baseline, in units of (amplitude × time). In the case of bipolar events the "negative" area is added to the "positive" area, so a total area of zero is possible.

    Area is calculated using simple summation of points within the search region. For example, with a search region from sample ten to sample sixteen, the sample-to-baseline amplitudes of each of the seven sample points in the range are summed, and multiplied by the sampling interval.

  • Half-width: To find the half-width the points to the left and right of the peak are scanned until the points (nearest the peak) that are 50% of the peak amplitude relative to the baseline, are found. The time between these two points is the half-width.

    If the samples on one side of the peak never get down to 50% of the peak amplitude within the search region no half-width is found.

  • Maximum rise slope: Finds the greatest rising slope (i.e. moving towards the peak) between two sample points in the region bounded by the start of the search region and the peak. If two sections of trace have the same increase rate the section nearest the peak is reported.
  • Time of maximum rise slope: The midpoint between the two points during which the maximum rise occurred is reported.
  • Maximum decay slope: The greatest falling (returning to baseline) slope between two sample points in the region bounded by the peak and the end of the search region. If two sections of trace have the same decay rate the section nearest the peak is reported.
  • Time of maximum decay slope: The midpoint between the two points during which the maximum decay occurred is reported.
  • Slope: The slope within the search region, as found by linear regression.
  • Baseline: If you specified a mean level for the Baseline Region, the averaged baseline value for the trace in the stipulated region is reported. Otherwise the fixed baseline is reported.

  • Rise slope: The slope, from within the region bounded by the start of the search region and the peak, between the points determined by the associated "from" and "to" percentiles. Points to the left of the peak are scanned until points at the nominated percentages of the peak amplitude (relative to the baseline) are found. Regression is applied to these and all intervening points to give the rise slope (see fig. 1).

    If the samples on the left side of the peak do not get down to either of the nominated percentages before the left boundary of the search region, the rise slope is not found.

  • Rise time: The time between the associated "from" and "to" percentile points (see "Rise slope" above for how these points are determined).

  • Decay slope: The slope, from within the region bounded by the peak and the end of the search region, between the points determined by the associated "from" and "to" percentiles. Points to the right of the peak are scanned until points at the nominated percentages of the peak amplitude (relative to the baseline) are found. Regression is applied to these and all intervening points to give the decay slope.

    If the samples on the right side of the peak do not get down to either of the nominated percentages before the left boundary of the search region, the rise slope is not found.

  • Decay time: The time between the associated "from" and "to" percentile points (see "Decay slope" above for how these points are determined).

Smoothing window

Use Smoothing window to minimize the effects of noise when finding peaks and slopes. Smoothing applies to all enabled searches.

When set to any value greater than 1, the smoothing window averages each sample with samples to the left and right of it (the same number to left and right). The resultant data are not displayed, but peaks and slopes are determined from them.

Enter a value for the number of samples to be averaged. Only odd numbers are accepted. A value of 3 includes the sample itself and one on either side, a value of 5 includes the sample and two on either side, and so on.

The maximum value this field will accept is 21 (10 samples on either side).

Import from Data File

If the file currently open in the Analysis window had Clampex software "Shape Statistics" taken when it was recorded, press this button to import the statistics configuration used there. Any search configurations currently set up in the dialog are cleared, and replaced by those used in Clampex software. Cursors are introduced into or removed from the Analysis window as required to define cursor regions in the imported configuration.

Reset All

Use this button to clear settings or return them to default values. Enabled searches (Search Region) remain enabled after pressing Reset All, however the following changes are made:

  • Peak polarity goes to "Absolute", applied to all signals
  • Search Region goes to "Cursors 1..2"
  • Baseline Region goes to "Fixed at 0"
  • All Measurements are cleared

The settings in the Smoothing window and Destination Option are unaffected.

Clampex software-style statistics display

Check to have your nominated statistics presented graphically in a Statistics window (as "Shape Statistics" are presented in Clampex software) as well as in the Results window.

Write signal and region information to sheet

Check to have four columns added to the Results sheet listing:

  • Signal number
  • Region number
  • Region start time
  • Region end time

Destination Option

Append results to sheet: Results already on the Statistics sheet in the Results window are retained, and the current results are appended to these starting at the next available row.

This option can only be exercised if the measurement set in the appended results is the same as that already reported on the sheet. If not, you are prompted to replace the old set with the new one.

Replace results in sheet: Results already on the Statistics sheet are deleted before new results are written.


Auto Statistics

Analysis Window: Analyze > Auto Statistics

Alternate Toolbar:

Take statistics measurements from the file in the currently selected Analysis window, using the current Statistics dialog configuration.

Cursor-defined search regions & Auto Statistics

If you have search regions and/or the baseline region configured in the Statistics dialog as intercursor regions (such as Cursors 1..2) and you apply Auto Statistics to a new file, the cursor locations in the new file are used rather than the ranges specified in the dialog. That is, if the new file you apply Auto Statistics to has cursors in (time) positions different from those entered in the Statistics dialog, the cursor positions in the Analysis window are used.

To use the time-defined regions entered in the Statistics dialog when you apply Auto Statistics, open each new file you want to apply Auto Statistics to only as you need it, using the Open Data Options setting "Open data files into the active window". With this setting cursors remain at the same time locations as each new file is opened.


Resistance

Analysis Window: Analyze > Resistance

Resistance calculation is available for the Analysis window only, and is applicable only to episodic data that are associated with a stimulus waveform.

The resistance operation calculates the passive steady-state membrane resistance based on measurements made in the data traces and in the associated stimulus waveforms. Results are reported to the Resistance sheet in the Results window.

The arithmetic means of the data values between cursors 1 and 2 (D12) and between cursors 3 and 4 (D34) are measured, as are the corresponding mean values of the stimulus waveform (W12 and W34, respectively). The steady-state difference in the data (ΔD) and waveform (ΔW) measurements are, respectively:

Resistance calculations apply Ohm's law using the mean values of the stimulus amplitude and of the response, between cursors 1 and 2, and 3 and 4. Appropriate cursor positions are, therefore, critical for this operation. One set of cursors should be placed bounding a baseline region, and the second in a region where an epoch (or epochs) has been defined. The exact formula for calculating the resistance depends on the experiment type where the data and stimulus are either voltage or current.

You can view the association between the data traces and the stimulus waveform by adding the waveform to the file as a signal. Use Edit > Create Stimulus Waveform Signal to do this.

Closed Resistance Data Recorded in Results Window

The following information is written to the Resistance sheet of the Results window:

Column | Description
File name | the name of the data file used for this measurement
Signal | the A/D channel for this trace
Trace | the trace number
Trace Start (ms) | the start time of the trace
Resistance | the steady-state resistance for this trace
Start 1 (ms) | the position of cursor 1
End 2 (ms) | the position of cursor 2
Start 3 (ms) | the position of cursor 3
End 4 (ms) | the position of cursor 4
File Path | the directory (folder) of the data file.

Experiment Type

The experiment type (Voltage Clamp or Current Clamp) must be correctly specified otherwise the resistance measurement will be in error. Initially, the experiment type is set to that specified in the data file properties. If this information is not available in the file, then the experiment type defaults to Voltage Clamp.

  • Current Clamp: Select Current Clamp if the data were acquired in current-clamp mode. In this mode, the data are assumed to be voltage and the stimulus waveforms are assumed to be current. The formula to obtain the resistance R is:

    where CF is the conversion factor.

  • Voltage Clamp: Select this if the data were acquired in voltage-clamp mode. In this mode, the data are assumed to be current and the stimulus waveforms are assumed to be voltage. The formula to obtain the resistance R is:

    where CF is the conversion factor.

Waveform

Specify the output signal that was used to deliver the command waveform (under which the file was recorded).

Conversion factor

The calculated resistance is always in MΩ. Results in MΩ normally require that the current is in nA and the stimulus voltage is in mV. If the data have other units, then the conversion factor is used to adjust the calculation such that the resistance will be in megohms. Set the conversion factor CF to the following values for different combinations of current and voltage units:

CF = 0.000001 | for current in pA and voltage in V
CF = 0.001 | for current in pA and voltage in mV
CF = 1 | for current in nA and voltage in mV
CF = 1000 | for current in µA and voltage in mV
CF = 1000000 | for current in mA and voltage in mV

Trace Selection

  • Select: Specify the traces you want to process from the Select Traces dialog opened by the button. Traces from any of the signals in the file can be selected. The current selection is reported beside the button.

Destination Option

The results of the resistance calculation are written to the Resistance sheet in the Results window.

  • Append results to sheet: Previous results in the Results sheet are retained and current results appended beginning on the first available line.
  • Replace results in sheet: Any previous results in the Results sheet are deleted before the new results are written.


Average Traces

Analysis Window: Analyze > Average Traces

Analysis Window Toolbar:

Use this command to generate a trace that is an average of selected traces within a signal, and optionally a second trace for the standard deviation from this. The new traces are appended to the Analysis window and can be operated on in the same manner as any other trace.

Only whole traces can be averaged – to average selected sections of traces use Segmented Average.

Calculate standard deviation: Calculates the standard deviation for each point in the average and appends the standard deviation trace to the Analysis window as the last trace. If this option is not checked then only the averaged trace is shown.

Show resultant trace(s) only: Check this box to have only the average trace and—if you have elected to generate it—the standard deviation trace, displayed. The original traces are hidden, and can be restored to view with View / Select Sweeps.

Trace Selection

Select: This button opens the Select Traces dialog box. Use this to select the traces and signals to average. The selected signals and traces are reported to the right of the button.

Only traces within the same signal can be averaged, however more than one signal can have corresponding traces averaged at once.


Average Files

Analysis Window: Analyze > Average Files

Note: This command applies only to episodic data files. The files must have identical stimulus protocols, number of sweeps and sweep lengths.

Use this command to combine the traces of files having an identical acquisition protocol. This is useful for averaging the results of identical experiments. The dialog box contains a list of all open files; you can select only those files that are on this list.

Select All: Selects all of the files in the list for averaging.

Select None: Deselect all files in the list.

Invert: Inverts the current selection, selecting unselected files and deselecting selected ones.

Close all selected files on completion of averaging: If this option is checked all averaged files are closed upon completion of the averaging. Only the averaged result is shown.


Concatenate Files

Analysis Window: Analyze > Concatenate Files

Join separate files—acquired under the same conditions—into one file, as if recorded continuously in one session. Open the files you want to concatenate, then open the dialog and select the files to concatenate from the list. These are concatenated in order of acquisition, creating a new file.

In order to concatenate files they must agree in virtually all their properties, including acquisition mode, sampling rate, length and number of signals. Concatenated files are automatically named "Concatenate..." followed by a three digit sequentially attributed number.

Data file list: All Analysis window data files currently open are reported. Select files by dragging over them, or use <Ctrl> to select non-contiguous files.

  • Select All: Select all of the files.
  • Select None: Deselect all of the files.
  • Invert: Reverse the status of selected and unselected files.

Close all selected files on completion of operation: The files which have been concatenated are closed, replaced by the one file resulting from the operation.


Normalize Traces

Analysis Window: Analyze > Normalize Traces

Use Normalize Traces to adjust traces in a data file to give an amplitude span of zero to one (or in some cases, zero to negative one) for each trace. You can select between having all points in the selected traces scaled to fit into this range, or so that only a part of the total amplitude range falls between zero and one, scaling other points proportionally but so that they map to points outside the zero-to-one interval.

Under the second option you can normalize so that sections of interest within a trace, such as from the baseline to the (positive) peaks, span zero to one. Then portions of the trace that fall below the baseline—and that might otherwise confound the comparison of amplitudes—are given values less then zero.

Trace normalization can also be carried out with the norm() function in Analyze > Arithmetic.

For normalization of Results window data, see Analyze > Column Arithmetic.

For normalization of Graph window data, see Analyze > Normalize.

Use all points

This option normalizes the total length of each selected trace—the data point with the greatest amplitude in each trace is scaled to one, and the point with the least amplitude to zero, with all other points scaled proportionally.

Traces with negative-going peaks have their baseline near one and their peaks at zero.

Use specified regions

Under this option all data points are scaled equally, but only the amplitude range of interest maps to fall between zero and one (for positive-going peaks) or zero and negative one (for negative-going peaks). This is done by selecting two sections of the trace, one—the "baseline region"—to define the amplitude that will map to zero under normalization, and the other—the "peak region"—to define the peak point, that will map to one or negative one.

For each trace, the mean of the points in the baseline region is mapped to zero in the normalized plot. In the peak region (which will normally be set to bound a peak in the trace) the farthermost point from the baseline mean is found and mapped to one if it is greater than the baseline mean, or negative one if it is less than the baseline mean. With these two points set, all other points in the trace are mapped using the same scale factor.

  • Baseline region: Defines the region of the trace, the mean value of which will be mapped to zero under normalization.

    The baseline region can be defined as a holding period or epoch, where these apply, or as an intercursor region. If the latter, you must set the cursors before opening the dialog.

  • Peak region: Defines the region within which you want to find the point that will be mapped to one or negative one under normalization. This is the point in the region that is farthest from the mean baseline.

    The peak region can be defined as a holding period or epoch, where these apply, or as an intercursor region. If the latter, you must set the cursors before opening the dialog.

Trace Selection

Select the traces you want to include in the analysis, from the Select Traces dialog opened by the button. Traces from any of the signals in the file can be selected.


Subtract Control

Analysis Window: Analyze > Subtract Control

Subtract Control allows you to subtract the trace(s) in one file – the control file – from those in another file – the test file. Select Subtract Control when the test file is open in an active Analysis window.

Subtraction can be automatically applied to all newly acquired files imported from Clampex software. See Subtract Control File in Configure > Automatic Analysis.

Sections in this topic:

  • Control File
  • Test File
  • Conditions for Subtraction
  • File Conflicts

Control File

Select the control file (the file you want to subtract from the currently active test file). The Select File button opens a standard Open File dialog box for this. The currently selected control file path and name and is reported in the field.

Multiply control traces by:

Check in order to multiply the traces of the control file by the factor you enter into the field. For example, checking and entering "2" doubles every point in the control file before it is subtracted from the corresponding point in the test file.

Test File

Select the signals within the test file from which you want control file signals subtracted. Subtraction is applied to all sweeps in the selected signals in the test file, subject to the conditions and conflict rules listed below.

Conditions for subtraction

  1. The test file and control file must have the same signal units.

  2. The test file and control file must have the same sampling interval.

If necessary, you can alter sampling intervals using Data Reduction or Interpolation.

In case of conflicts between test and control files

Signal discrepancy

Test file has fewer signals: Subtraction occurs signal-for-signal using the control file signals in order, starting from the first. Remaining control file signals are not used.

Test file has more signals: Subtraction occurs signal-for-signal using the control file signals in order, starting from the first. When the control file signals are exhausted, the last one is reused for all remaining test file signals.

Sweep discrepancy

Test signal has fewer sweeps: Subtraction occurs sweep-for-sweep using the control file sweeps in order, starting from the first. Remaining control file sweeps are not used.

Test signal has more sweeps: Subtraction occurs sweep-for-sweep using the control file sweeps in order, starting from the first. When the control file sweeps are exhausted, the last one is reused for all remaining test file sweeps.

Trace length discrepancy

Test sweep is shorter (i.e. has fewer samples): Subtraction occurs sample-for-sample using the control file samples in order, starting from the first. Remaining control file samples are not used.

Test sweep is longer (i.e. has more samples): Subtraction occurs sample-for-sample using the control file samples in order, starting from the first. When the control file samples are exhausted, the last one is reused for all remaining test file samples.


Arithmetic

Analysis Window: Analyze > Arithmetic

Analysis Window Toolbar:

Use Arithmetic to perform simple arithmetical operations on data traces. Arithmetic operations can be performed on all traces in all signals in all open Analysis windows, provided these are displaying fixed-length sweep files. New traces can be added

For arithmetic operations between columns in a Results window, use the Analyze > Column Arithmetic command.

Expression

Enter the expression you wish to apply to the signal data. Type this in manually, or use the buttons below the field to build your expression.

Closed Expression Format

Arithmetic expressions in the Expression field should always be in the format of "traces = expression", where "traces" are a group of one or more traces and "expression" is a set of traces, operators and functions. A simple example is: t1 = t2

Here, "t1" (trace 1) is equated, on a sample-by-sample basis, with the points in trace 2, effectively copying the data from trace 2 to trace 1.

Another example is: t1 = t1+ t2

In this expression the values in trace 2 are added to the corresponding values in the trace 1 and placed back into trace 1.

More than one trace can be altered at a time:

t1,2 = t3-t4

Here, both traces 1 and 2 are adjusted to the values derived by subtracting trace 4 from trace 3,so traces 1 and 2 will be identical.

Traces: Open the Trace dialog where you choose the trace(s) to insert in the expression. Traces from any open window (provided the window is displaying fixed-length sweep data) can be entered.

The trace references are inserted at the current cursor position in the expression field.

Closed Manual Entry of Traces

Rather than using the Trace dialog, trace names can be typed into the Expression field directly according to the following rules:

Trace specifiers have three parts. The first two, identifying file and signal, are optional – if they are not present the current active file and signal is assumed. The full trace specifier is:

[Window name@][Signal name:]trace list

For example, you can say:

Spikes01.abf@IN 0:t1

which would mean the first trace of signal "IN 0" in the file "Spikes01.abf". Please note that "Spikes01.abf" must be open before the Arithmetic dialog box is opened in order for this to be a valid trace specifier.

Another example is:

IN 0:t1

which means the first trace of signal "IN 0".

The trace list itself has several options. You can specify a single trace, like this:

t5

which means just trace 5. Or a list of traces, like this:

t1,4,6

(without spaces) which means traces one, four and six. Or a series of traces:

t1..5

(2 ellipsis points and no spaces) which means all of the traces between (and including) 1 and 5. Commas and ellipsis points can be combined.

Alternatively, use one of these special trace identifiers:

t{active} | The active trace.
t{all} | All of the traces, including invisible traces.
t{visible} | All of the visible traces.

Operator: Use to choose an operator, such as, addition, or division, to insert in the expression. The operator is inserted at the current cursor position in the expression field.

Function: Use to choose a function to insert in the expression. The function is inserted at the current cursor position in the expression field.

After selecting a function you must enter a trace for it to operate on, in the brackets. The following functions are available:

arcos( )
Arccos— the inverse cosine of a number in the range of -1 to +1. The result is in radians.
arsin( )
Arcsine— the inverse sine of a number in the range of -1 to +1. The result is in radians.

artan( )

Arctangent— the inverse tangent of a number in the range of -1 to +1. The result is in radians. Cannot be used with odd multiples of p/2.
cos( )
Cosine— the cosine of a number in radians.
diff( )
Differentiate—the derivative. The result is strongly affected by noise in the data; consider filtering before use.
exp( )
Exponentiate— e raised to the value of the number.
intg( )
Integrate—the continuous integral. The result is strongly affected by the baseline.
inv( )
Inverse—the multiplicative inverse.
ln( )
Loge—the logarithm to the base e. Cannot be used with zero or negative numbers.
log( )
Log10—the logarithm to the base 10. Cannot be used with zero or negative numbers.
norm( )
Normalization— the data are scaled and offset to a Y axis range of 0 to 1.
ramp( )
Ramp—the data are scaled by a steadily increasing factor from 0 to 1.
rect( )
Rectify— replace numbers with their absolute values.
sin( )
Sine— the sine of a number in radians.
sqrt( )
Square root— the square root. Cannot be used with negative numbers.
tan( )
Tangent—the tangent of a number in radians

Special: Use to choose a special value to insert in the expression. The special value is inserted at the current cursor position in the expression field. There are three special values:

  • time: the time value of the point being processed by the arithmetic system.
  • maxtime: the maximum time of the destination trace.
  • pi: pi

Undo: Reverts the last editing action on the expression field.

Add Traces: Use in the Add Traces dialog to add extra traces to the active analysis window to make space for new data.

Clear: Clear the Expression field.

Specify Region

Region to analyze: With this drop-down list you can select trace regions to which to apply the equation:

  • Full Trace: Apply to every sample in the selected trace(s).
  • Intercursor region: Apply the equation to the region between the nominated cursors. These must be set before the Arithmetic dialog is opened.
  • Waveform epoch: For files recorded under a waveform stimulus, apply the equation just to an epoch or the first or last holding period.

Force excluded region to zero: When checked, puts zero values in for those samples that are not included in the equation.


Select Traces

Use this dialog to specify the data in an Analysis window to be included in the analysis.

Note:
  1. Select Traces is a global control applying to all analyses that use trace selection, not just the analysis you opened the dialog from. If you have set up another analysis with a different trace selection, it will have changed to your current selection when you reopen it.
  2. Select Traces has a range of versions, offering more or fewer options depending on the context it is opened from. The total option list is given below.

Analysis Window

Specify the Analysis window from which the traces are to come.

  • The active window: Select this option to choose traces from the active Analysis window. This is the window with its title bar highlighted.
  • A specified window: Select this option to choose traces from another Analysis window, which can be selected from the drop down list.

Signals

Use to select the signal(s) to which the analysis operation should be applied.

  • All visible signals: If this operation is selected, then all visible signals are included in the analysis operation. Hidden signals are excluded.
  • All signals (including hidden): If this operation is selected, then all signals in the episode, including those that are not displayed (hidden), are included in the analysis operation.
  • The active signal: If there are multiple signals, then the active signal is the one that is currently highlighted. If this option is selected, then only the active signal is included in the analysis.
  • A specified signal: This option allows you to select a single signal from the associated list of available signals.

Traces

Use to select the trace(s) to which the analysis operation is applied.

  • All visible traces: If this operation is selected, then only the visible traces are included in the analysis operation.
  • All traces (including hidden): If this operation is selected, then all traces in the episode, including those that are not displayed (hidden), are included in the analysis operation.
  • The active traces: If there are multiple traces, then the active trace is the one that is currently highlighted. If this option is selected then only the active trace is included in the analysis.

  • Specify a list: Selecting this option allows you to specify a list of traces in the adjoining edit box.

    List individual traces for display with a "t" prefix, separated by commas (no spaces), such as t2,t5,t11. List a range by naming the first trace in the range (with a "t" prefix), followed immediately by a 2 point ellipsis and then the final trace in the range, but without a "t" prefix, such as t3..8. Ranges can be incorporated with individual traces, such as t3..7,t10,t13,t17..21.

  • Select from list: This option allows you to select traces by highlighting them in the associated list, where all of the available traces (including hidden traces) are displayed. You can use <Shift>-left-click to highlight a contiguous group of traces or <Ctrl>-left-click to highlight individual traces.

    • Select All: Select all of the traces in the signal.
    • Select None: Deselect all traces.
    • Invert: Reverse the status of selected and unselected traces.


Add Traces

Use this dialog box to add more traces to a file. It is accessed from the Analyze / Arithmetic dialog box.

Number of traces to add: Enter the number traces to add, manually or with the spinner.

The trace numbers of the new traces is reported.


Adjust

Analysis Window: Analyze > Adjust

This submenu opens dialogs for adjusting traces in your data file and command waveform.

  • Baseline
  • Leak Subtraction
  • Stimulus Waveform


Adjust Baseline

You are here: Menu Reference > Analyze Menu > Analysis Window > Adjust Baseline

Adjust—Baseline

Analysis Window: Analyze > Adjust > Baseline

Analysis Window Toolbar:

Use this command to adjust the trace by adding a component to or removing a component from the data trace. The most common application for this option is to remove an unwanted DC component or a steady baseline drift prior to further analysis.

You can apply baseline adjustment using the current dialog settings but without opening the dialog, with Auto Adjust Baseline.

Note: Regardless of the method, the baseline adjustment is always applied to the entire data trace. You cannot apply baseline adjustment to partial regions of the trace.

Method

The following methods are available for adjusting the baseline:

  • Subtract mean of: Computes the mean of the specified region and subtracts this mean from the selected traces. Specify the region in the drop-down list to the right of the selection. Subtracting the data mean is particularly useful for removing the DC component from the data prior to power spectrum analysis.
  • Subtract slope of: Computes a slope of the specified region and subtracts this slope from the selected traces. Specify the region in the drop-down list to the right of the selection. The slope is computed using linear regression. This option is especially useful for compensating for a steady baseline drift, in which case the specified region for computing the slope is generally the full trace.
  • Subtract fixed value: The value specified in the edit field to the right is subtracted from each data point of the selected traces. If a negative value is entered, the traces are shifted in a positive direction, and vice-versa.
  • Adjust manually: Use to adjust the trace graphically.

To adjust manually:

  1. Select this option and click OK. In the Analysis window, a straight line with small square "handles" attached to each end appears.
  2. Click and drag these handles to move the line in any direction to adjust the position.
  3. To add new handles anywhere on the adjustment line, left-click on the line at the needed point. Any number of such handles can be created to generate a complex signal for subtraction from the original data.

  4. To remove handle points from the line, right-click on the specific points. The handles are not allowed to cross each other.

    A dialog box appears to either Finish (accept) or Cancel (reject) the adjustment. The x and y coordinates of the currently selected handle are reported at the top of this dialog box.

Trace Selection

  • Select: Opens the Select Traces dialog box that allows you to choose the signals and traces in the selected Analysis window that are to be processed. The selected signals and traces are listed to the right of the button.


Auto Baseline

You are here: Menu Reference > Analyze Menu > Analysis Window > Auto Baseline

Adjust—Auto Baseline

Analysis Window: Analyze > Adjust > Auto Baseline

Alternate Toolbar:

Apply baseline adjustment to the active trace in the active signal in the Analysis window, using current settings from the "Method" section in the Adjust Baseline dialog.

Auto Baseline Adjust always uses Trace Selection "Active signal" and "Active trace", irrespective of the selection in the Adjust Baseline dialog.


Adjust Leak Subtraction

You are here: Menu Reference > Analyze Menu > Analysis Window > Adjust Leak Subtraction

Adjust—Leak Subtraction

Analysis Window: Analyze > Adjust > Leak Subtraction

Use this command to remove the steady-state passive current from the data. It is assumed that the data were acquired in voltage-clamp mode where the stimulus waveform is in units of voltage and the data are in units of current. Leak subtraction will not work for data acquired in current-clamp mode.

To adjust for leak you must already have an estimate of the leak resistance of the cell. This resistance can be determined using Analyze > Resistance.

The formula applied by Clampfit software to correct the data for leak is:

where CF is the conversion factor.

  • Waveform: Select the waveform signal to be used in the calculation.
  • Passive resistance (megohms): Specify the passive leak resistance of the cell, in MΩ.

  • Conversion factor: The leak subtraction calculation assumes that the stimulus voltage is in mV and that the resistance is in MΩ, yielding a correction current in nA. The conversion factor is used to convert the calculation to the units of the data if they are not in mV and nA. Set the conversion factor to the following values for different combinations of current and voltage units:

    CF = 0.000001

    for current in pA and voltage in V

    CF = 0.001

    for current in pA and voltage in mV

    CF = 1

    for current in nA and voltage in mV

    CF = 1000

    for current in mA and voltage in mV

    CF = 1000000

    for current in mA and voltage in mV

Trace Selection

  • Select: Opens the Select Traces dialog box. Traces from any of the signals in the file can be selected. The current selection is reported next to the button.


Adjust Stimulus Waveform

You are here: Menu Reference > Analyze Menu > Analysis Window > Adjust Stimulus Waveform

Adjust—Stimulus Waveform

Analysis Window: Analyze > Adjust > Stimulus Waveform

Used to apply an offset correction to the stimulus waveform values.

Waveform values can sometimes be recorded with an incorrect fixed offset, for example because the holding potential or the DC current control on the recording instrument was not set to zero. This can be corrected with Adjust Stimulus Waveform.

Offset to add to the stimulus waveform at Analog OUT #0 – #3 (mV): Specify the offset (in millivolts) to add to a stimulus waveform delivered on channel Analog OUT #0 – #3, respectively.


Data Reduction

Analysis Window: Analyze > Data Reduction

Data Reduction is primarily used to convert data acquired at two sampling rates (split-clock) to a single sampling rate. See also Analyze > Interpolation.

If the data to be reduced have been acquired at two sampling rates, the data acquired at the slower sampling rate are reduced in accordance with the reduction factor. The data acquired at the faster sampling rate is reduced by a factor that is automatically adjusted to generate an identical sampling interval. If you want to adjust only the faster sampling rate of a split-clock data set, use the Decimate or Substitute Average method with a reduction factor of 1.

All traces, including hidden, are adjusted because they all share the same time base. Consequently, trace selection is not available for this option.

The current sampling rate (both rates if the data are split-clock) and the resultant rate given the current reduction factor are reported in the dialog box.

Note: by contrast with Interpolation, data reduction decreases the processing time of computation-intensive analyses such as fitting or filtering, and reduces the storage requirements of the data.

Method

This option is used to specify the reduction method.

Decimate

In this operation the first point of every n points is retained (n being specified by the reduction factor). The remaining points are discarded. This method is the least suitable for noisy data as the noise in the signal might be aliased, depending on the acquisition low-pass filter setting.

The first point of every n points (where n is the reduction factor) for each signal, is copied to the output data record.

For example, if the following hypothetical data are present in 2 signals:

Signal 0: | 100, 140, 160, 170, 171, 172, 173, 173, 173, 174, 175, 175
Signal 1: | 400, 380, 360, 340, 320, 300, 280, 260, 240, 220, 200, 180

then, for a reduction factor of 3, the output data record contains:

Signal 0: | 100, 170, 173, 174
Signal 1: | 400, 340, 280, 220
Substitute average

Each successive group of n points (n being specified by the reduction factor) is averaged to yield a single point that is retained. This method is recommended for noisy data as it minimizes noise and transients in the reduced data.

A group of n points (where n is the reduction factor) for each signal is averaged to give one point in the output data record.

For example, if the following hypothetical data are present in 2 signals:

Signal 0: | 100, 140, 160, 170, 171, 172, 173, 173, 173, 174, 175, 175
Signal 1: | 400, 380, 360, 340, 320, 300, 280, 260, 240, 220, 200, 180

then, for a reduction factor of 3, the output data record contains:

Signal 0: | 133, 171, 173, 175
Signal 1: | 380, 320, 260, 200
Min/Max

The smallest and largest values in each successive set of n reduction points are retained. The remaining points are discarded. Note that this method generates two points for each n points specified by the reduction factor. Consequently, the minimum reduction factor for this method is 2.

The minimum and maximum of each group of n points (where n is the reduction factor) for each signal are written to the output data record. Within the group of n data points, the minimum and maximum values are written to the new file in their order of occurrence. The exact time of occurrence of the minimum and maximum values is not preserved, but is assigned as equally spaced within the n data point time period. Note that with Min/Max reduction, two data points are written to the file for each n points in the original file.

For example, if the following hypothetical data are present in 2 channels:

Signal 0: | 100, 140, 160, 170, 171, 172, 173, 173, 173, 174, 175, 175
Signal 1: | 400, 380, 360, 340, 320, 300, 280, 260, 240, 220, 200, 180

then, for a reduction factor of three, the output data record contains:

Signal 0: | 100, 160, 170, 172, 173, 173, 174, 175
Signal 1: | 400, 360, 340, 300, 280, 240, 220, 180

Reduction factor

The reduction factor is specified here. The actual number of points removed from the data depends on the reduction method. Residual stubs at the end of the file that are shorter than the reduction factor are discarded.


Force Values

Analysis Window: Analyze > Force Values

This command modifies the contents of a selected region of the data traces. It is used to eliminate the effect of transients before low-pass filtering.

Value to Assign

The assigned values are applied to the data region specified in Region to Force.

  • Data value at cursor 1: In each selected trace, replace the data in the selected region with the datum value at the cursor 1 position.
  • Mean between cursors 1..2: In each selected trace, replace the data in the selected region with the mean of the data between cursors 1 and 2.
  • Mean between cursors 3..4: In each selected trace, replace the data in the selected region with the mean of the data between cursors 3 and 4.
  • Straight-line fit between cursors 1..2: In each selected trace, replace the data in the selected region with the straight-line fit that joins the data values measured at cursors 1 and 2. The line is extrapolated if the region to force is wider than the range delimited by cursors 1 and 2.
  • Fixed-value: In each selected trace, replace the data in the selected region with the specified value. The units of the data are reported in the parentheses.

Region to force

Specify the region of the data that should be forced. The available regions in the data file are listed in the associated list box.

Trace Selection

  • Select: Opens the Select Traces dialog box, allowing you to choose the signals and traces in the selected Analysis window that are to be processed. The selected signals and traces are reported to the right of the Select button.


Interpolation

Analysis Window: Analyze > Interpolation

Use this command to convert data acquired at two sampling rates to a single sampling rate. See also Analyze > Data Reduction.

If the interpolated data have been acquired at two sampling rates (split-clock), the data acquired at the faster sampling rate is padded in accordance with the interpolation factor. The data acquired at the slower sampling rate is adjusted by a factor that generates an identical sampling interval. If you wish to adjust only the slower sampling rate of a split‑clock data set, use an interpolation factor of 1.

All traces, including hidden, are adjusted because they all share the same time base. Consequently, trace selection is not available.

The current sampling rate (both rates if the data are split-clock) and the resultant rate given the current interpolation factor are displayed in the dialog box.

Note: Interpolation increases the processing time for computation-intensive operations such as filtering or fitting, and increases the storage requirements of the data.

Method

This option is used to specify the interpolation method.

  • Straight line: This operation generates new points along a straight-line fit between two successive sampling points.
  • Cubic spline: This operation generates new points along a cubic spline fit between two successive sampling points.

Interpolation factor

Specify the interpolation factor. The number of new points generated is n - 1, where n is the interpolation factor. The sampling rate increases by a factor of n.


Time Shift

Analysis Window: Analyze > Time Shift

Use this command to change the alignment of the data with respect to the time base. The operations of this option either align the data peaks or shift the data traces by a specified amount along the time axis.

Note: applies only to data in episodic mode or data in sweeps display mode.

Shift Time Interval

This option shifts the data of the selected traces along the time scale by a specified value.

  • Direction: Select the direction to shift the data.

    • Left: Shifts all samples in the trace are to the left.
    • Right: Shifts all samples in the trace are to the right.

  • Value: Specify the amount of time to shift the data:

    • Fixed (ms): Shifts the data of the selected traces by a specified amount of time (in milliseconds).
    • Between cursors: Shifts the value by the time difference between cursors 3 and 4 (in milliseconds).

Align Peaks

This option aligns the peaks of the selected traces at the center of the time base.

  • Signal to search: Specify the signal containing the peaks that are to be aligned. The available data signals are listed in the box to the right. All of the signals in the file are aligned using this signal as a master.
  • Region to search: Specify the region to be searched for the peaks. The available data regions are listed in the box to the right.

  • Peak Polarity: Specify the polarity of the peaks to be detected.

    • Positive: Detect peaks based on positive peak amplitudes.
    • Negative: Detect peaks based on negative peak amplitudes.
    • Absolute: Detect peaks based on the absolute value of the peak amplitudes (either |positive| or |negative|).

Rotate samples

If this option is enabled then the samples are wrapped around the time base, with trailing samples becoming leading samples. The rotated sample values are not altered.

Replace wrapped samples with zeros

This option replaces the wrapped samples with zeros, resulting in zero values for leading or trailing samples, depending on the direction of the shift.

Trace Selection

  • Select: Opens the Select Traces dialog box, allowing you to choose the traces to be processed in the selected Analysis window. The selected traces are reported to the right of the Select button.


Autocorrelation

Analysis, Graph & Results Windows: Analyze > Autocorrelation

Graph & Results Window Toolbars:

The Autocorrelation function provides time series analysis, looking for cycles within data in Analysis, Graph and Results windows. Traces, plots or columns from the selected data set are shifted along themselves incrementally (in "lags") and an "autocorrelation function estimate" (ACF) calculated at each lag point, measuring the match between the static and shifted sets.

Autocorrelation differs from cross-correlation in that the data set is compared with itself, and not with a separate data set.

Autocorrelation records its results on the Correlation sheet in the Results window, and produces a Graph plotting the autocorrelation function estimate against the lag number (or lag period in the case of the Analysis window).

Closed Autocorrelation Data Recorded in Results Window

Data from Autocorrelation are recorded on the Correlation sheet in the Results window in two groups:

In columns A–E:

  1. The data source, identified by:

    • Analysis window: signal and trace numbers.
    • Results window: sheet and column numbers.
    • Graph window: plot number.
  2. The mean of the data points within the data set.
  3. The standard deviation of the data points.
  4. The Chi-squared value of the null hypothesis that the series is white noise.
  5. The Chi-squared probability that the series is white noise.

Column F is kept free, and then in the second group:

  7. The lag number.
  8. The lag period (for autocorrelation carried out from the Analysis window).
  9. The autocorrelation function estimate (ACF) for each lag number – for the first trace, plot or column.
  10. The standard error of the ACF for each lag number – for the first trace, plot or column.

Subsequent columns report the ACF and standard error of the ACF for remaining traces, plots or columns.

Number of lags

Enter the number of data-shifts (lags) you want to perform. The autocorrelation routine computes the ACF for each lag number (starting at 1) up to and including the Number of lags entered in this field.

Lags differ according to the type of window your data are in. One lag number is equivalent to:

  • Analysis window: one sampling interval, so the trace is shifted along itself one sample at a time, up to the "Number of lags". The time equivalent of the number of lags is reported beside the field.
  • Graph window: one plot point, so the graph is shifted along the X axis one plot point at a time, up to the "Number of lags".
  • Results window: one row, so the column is shifted down itself one row at a time, up to the "Number of lags".

The maximum number of lags, (or maximum lag period, for the Analysis window) for the currently selected data range is reported to the right of the field.

Data Range

Specify the data in your file, plot, or spreadsheet, you want to autocorrelate.

Closed Analysis Window: Traces

  • Select: Select the traces you want to autocorrelate, from the Select Traces dialog opened by the button. Traces from any of the signals in the file can be selected.

  • Region to process: Determine how much of the selected traces you want to autocorrelate. The options are the full trace, an intercursor region, or, for files recorded under stimulus, holding periods and epochs.

    If selecting an intercursor region you must have set the cursors into position in the Analysis window before opening the Autocorrelation dialog.

Closed Graph Window: Plots

Select from the list the plot(s) that you want to autocorrelate.

Use <Ctrl> and mouse-click to select discontinuous plots, or <Shift> and mouse-click to select a range (or you can drag the mouse over a range).

Closed Results Window: Columns

  • Select: Select the columns you want to autocorrelate, from the Select Columns dialog opened by the button. Columns from one sheet only can be selected at a time.

  • Row Range

    • Full Column: Include data from every row in the selected columns.
    • Row: Autocorrelate only a particular range of rows within the selected columns. Enter first and last row numbers for the range.


Cross-correlation

Analysis, Graph & Results Windows: Analyze > Cross-correlation

Graph & Results Window Toolbars:

The Cross-correlation function provides time series analysis, looking for regularities between two data sets where these are in either an Analysis, Graph or Results window. The first data set is shifted along the second incrementally (in "lags"), in both directions, and a "cross-correlation function estimate" (CCF) calculated at each point, measuring the match between the two sets.

More than one trace, plot, or column can be selected in each of the data sets, in which case each trace, plot or column of the first set is cross-correlated with each trace, plot or column of the second set.

Cross-correlation differs from autocorrelation in that two or more data sets are compared with each other, and not with themselves.

Cross-correlation records its results on the Correlation sheet in the Results window, and produces a Graph plotting the cross-correlation function estimate against the lag number (or lag period in the case of the Analysis window).

Closed Cross-correlation Data Recorded in Results Window

Data from cross-correlation are recorded on the Correlation sheet in the Results window in two groups:

In columns A–E:

  1. The data source, identified by:

    • Analysis window: signal and trace numbers for both data sets
    • Results window: sheet and column numbers for both data sets
    • Graph window: plot number for both data sets
  2. The mean of the points in the first data set.
  3. The standard deviation of the points in the first data set.
  4. The mean of the points in the second data set.
  5. The standard deviation of the points in the second data set.

Column F is kept free, and then in the second group:

  7. The lag number.
  8. The lag period (for cross-correlation carried out from the Analysis window).
  9. The cross-correlation function estimate (CCF) for each lag number – for the first trace/trace, plot/plot or column/column combination.
  10. The standard error of the CCF for each lag number – for the first trace/trace, plot/plot or column/column combination.

Subsequent columns report the CCF and standard error of the CCF for remaining data combinations.

Number of lags

Enter the number of data-shifts (lags) you want to perform, in each direction. The cross-correlation routine computes the CCF for each lag number, from zero up to and including the Number of lags, for both positive and negative lag shifts.

Lags differ according to the type of window your data are in. One lag number is equivalent to:

  • Analysis window: one sampling interval, so the trace from the first data set is shifted along the trace from the second, one sample at a time, up to the "Number of lags" in both directions. The time equivalent of the number of lags is reported beside the field.
  • Graph window: one plot point, so the plot from the first data set is shifted along the plot from the second (along the X axis) one plot point at a time, up to the "Number of lags" in both directions.
  • Results window: one row, so the column from the first data set is shifted up and down the column from the second set, one row at a time, up to the "Number of lags" in both directions.

The maximum number of lags, (or maximum lag period, for the Analysis window) for the currently selected data range is reported to the right of the field.

Data Range

Specify precise data ranges for each of your data sets.

Closed Analysis Window: Traces

  • Select: Select the traces you want to cross-correlate from the Select Traces dialogs opened by the buttons. Each trace in the first set is cross-correlated with each one in the second.

    You can cross-correlate traces from different signals, but they must be within the same file.

  • Region to process: Determine how much of the selected traces you want to cross-correlate. The options are the full trace, an intercursor region, or, for files recorded under stimulus, holding periods and epochs.

    If selecting an intercursor region you must have set the cursors into position in the Analysis window before opening the Cross-correlation dialog.

Closed Graph Window: Plots

Select from each of the lists the plot(s) that you want to cross-correlate. Each of the plots from the Series 1 is cross-correlated with each from Series 2.

Use <Ctrl> and mouse-click to select discontinuous plots, or <Shift> and mouse-click to select a range (or you can drag the mouse over the range).

Closed Results Window: Columns

  • Select: Select the columns you want to cross-correlate, from the Select Columns dialogs opened by the buttons. Each of the columns in Series 1 is cross-correlated with each in Series 2.

    Columns from one sheet only can be selected within a data set (Series), but the data sets may be drawn from different sheets.

  • Row Range

    • Full Column: Cross-correlate the data from every row in the selected columns.
    • Row: Cross-correlate only a particular range of rows within the selected columns. Enter first and last row numbers for the range.


Nonstationary Fluctuation Analysis

Analysis Window: Analyze > Nonstationary Fluctuation

Nonstationary fluctuation analysis is performed on episodic data files only. It computes the mean and variance for all the sweeps at each sample point within a selected area of trace activity and subtracts mean and variance values derived from a baseline section of the traces. The new set of mean and variance values is recorded on the Fluctuation sheet in the Results window, in ascending mean order. A scatter plot graph is generated from the results, which can optionally be fitted with a parabola or straight line.

Before performing nonstationary fluctuation analysis open the data file and set cursor pairs 1 & 2 to span the (active) region of the sweep you wish analyze. Cursors 3 & 4 should be set to span a region of the sweep where the traces remain close to the baseline.

Fitting Function

Select whether you want the scatter plot fitted or not, and if so, with a straight line or parabola.

Trace Selection

Select the traces you want to include in the analysis, from the Select Traces dialog opened by the button. Traces from any of the signals in the file can be selected.

Destination Option

  • Append results to graph and sheet: Results are added as new columns to any data already on the Fluctuation sheet in the Results window, and as additional plots to graphs of these data.
  • Replace results to graph and sheet: Any previous Nonstationary Fluctuation data are deleted from the Fluctuation sheet and graph, replaced by the new data.


Segmented Average

Analysis Window: Analyze > Segmented Average

The Segmented Average dialog box allows you to select sections of different traces within files and combine these to create an average sweep. This trace can then be saved as an ABF file.

Source files for Segmented Averaging must have been recorded in a fixed length acquisition mode, i.e. in Episodic stimulation, High-speed oscilloscope, or Fixed-length events mode.

This Help topic gives command-specific information on the Segmented Average dialog box. See also How to Create a Segmented Average Trace for step-by-step instructions in its use.

The file saved from Segmented Average is often used as a control file in Analyze > Subtract Control.

Use Analyze > Average Traces to average whole traces.

Source Window

The settings in this group relate to the upper Source window, where traces are displayed and portions of these selected for addition to the averaged trace in the Average window below.

Select

Signal

For files with more than one signal, select the signal you want to source traces from. Traces from different signals can be used to add to one averaged file.

Trace

Use the spinner to select the trace for display in the Source window.

Region Lock

Check "Region Lock" to define a particular section of the sweep that the cursors go to whenever a new trace is displayed in the Source window.

The type of "locked region" is chosen from the list box. There are 2 basic types of option:

Cursors 1..2: After selecting this, shift the cursors in the Source window to bound the desired range, and then press the "Set Position" button. The cursors return to this position for each new trace. A new locked region can be set by moving the cursors and re-pressing "Set Position".

Epoch/Holding Settings: For files recorded in Episodic stimulation mode with a stimulus waveform, you can select one of the holding periods or epochs. The cursors automatically go to the boundaries of that holding period or epoch for each new trace.

Set Position

When "Region Lock" is checked and "Cursors 1..2" selected, press this button after moving the cursors to the required positions in the Source window. The cursors return to this position for each new trace.

Next Trace

Click to display the next trace from the selected signal in the Source window.

Add

The section of the trace between the cursors is added to the average trace in the lower window.

After pressing Add, the cursors lock and shift to the right along the trace. When near the end of the trace they shift to bound any remaining trace region. A subsequent Add displays the next trace and the cursors move to the beginning of the trace.

Any region of a trace is added to the averaged trace only once. If you define a new region that overlaps with a previously added region, only that part of the new region not previously added is added now.

Add To End

Click "Add To End" to add all of the trace from the left-most cursor to the end.

Skip

Skip locks the cursors and shifts them to the right without adding the currently bounded section of the trace to the average in the lower window.

Undo

Press Undo to remove a section (or sections) of trace added mistakenly to the Average window.

Auto Scale

Auto Scale returns the Source window X and Y axis scaling to settings that most clearly display the whole of the trace.

The window is autoscaled by default when Segmented Average is opened, so use this button only if you have changed the scaling and want to return to the default display.

Average Window

The settings in this group relate to the lower, Average window, where the segmented average trace is built up.

Fill Blanks

Determine how the averaged trace handles sections of the sweep where no source file traces have been added:

Checked: i) A straight line is drawn between last and first samples of nonadjoining sections of added trace. ii) At the start and end of the sweep, the values of the first and last samples of the added traces are extrapolated to their respective ends of the sweep.

Unchecked: Values in "empty" sections of the sweep default to zero.

Auto Scale

There are two Auto Scale commands applying to the lower window:

Continuous

Check "Continuous" to autoscale the window as new sections of traces are added.

Apply

Click this button for one-off rescaling to display the whole of the averaged trace.

Save As

Click "Save As" to open a standard File Dialog where you can save the averaged trace as an ABF file.


Analyze Menu�Graph Window

You are here: Menu Reference > Analyze Menu > Analyze Menu�Graph Window

Graph Window

This section contains topics for commands in the Analyze menu when a Graph window is active.

  • Assign Plots
  • Average Plots
  • Fit
    • Function/Method Tab
    • Data/Options Tab
    • Assign Column To Variable
    • Seed Values Tab
    • Graphical Seeding
    • Fitting Progress
  • Fitting Results
    • Parameters Tab
    • Statistics Tab
  • Histogram
  • Autocorrelation
  • Cross-correlation
  • Normalize
  • Square Root
  • Convert to Frequency


Assign Plots

Results Window: Analyze > Assign Plots

Use this dialog to configure plots from Results window data. These plots are displayed in the Graph window.

New Plot

Setup and configure the data plots to be added to a plot.

Plot Type: Select the display type of the plotted data. This is listed in the Assign Plots to Graph section. To change the type of an existing plot later, use the Graph Window Properties > Plots tab; symbol settings can also be changed in this tab.

  • Line: The plot is drawn with a symbol for each data point, connected by a line.
  • Scatter: The plot is drawn with a symbol for each data point.
  • Histogram: The plot is drawn with a histogram line, where the data amplitude is centered around its X axis point.

Data Type:

  • Incrementing X –multiple Y: The data in the selected columns are all plotted against a simple incrementing X axis, which starts with "1, 2, 3...".
  • Shared X – multiple Y: The data in the selected columns are all plotted against a single X axis, which is selected from the column list.
  • X–Y pairs: Assign a single plot, using an X–Y pair, by selecting one X and one Y column.

Columns in Plot: Specify which columns are to be used in the plots.

  • Source sheet: Choose the Results window sheet, from which you are selecting a column, from the pull-down list.
  • Available columns: Choose the column(s) in the selected sheet, to be used for the X and/or Y axes. Multiple Y columns can be selected for incrementing or shared X plot types.
  • X>>: Selects the highlighted column for use as the X axis in an X–Y pair, or as a shared X axis.
  • Y>>: Selects the highlighted column for use as the Y axis data in an X–Y pair.

Rows: Specify which rows to use in the plot from the selected X and Y columns. If the number of rows in columns do not match, then the extra rows are ignored.

  • All: Use all rows, i.e. all the data, in the selected columns for plots.
  • Range: Select a range of rows to be used from the selected columns.
  • From, To: Set the lower and upper row numbers for the selected columns.

Assign Plots to Graph

This displays a table of the plots to be graphed.

  • Add: To add plots to the graph, select them in the Available Columns list and press the Add button.
  • Delete: To remove plots from the graph, select them in the table and press the Delete button.


Average Plots

Graph Window: Analyze > Average Plots

Graph Window Toolbar:

In the Graph window, use to calculate and plot the arithmetic mean of the data in two or more existing plots.

  • Select two or more plots to average: Highlight the plots you want to average.

    Use <Ctrl> to select discontinuous plots, or <Shift> to select a range (or drag over plots to select a range).

  • Plot standard deviation: Check to plot the standard deviation of the data that are averaged.


Normalize

Graph Window: Analyze > Normalize

Graph Window Toolbar:

The Normalize Graph window data for area or data range. The graph is redrawn with the normalized values, which also replace the original data in the corresponding column in the Results window.

Note: This function is not available during an event detection session.

Area

Y axis values for the selected plots are rescaled so that the absolute area under the graph comes to a value of one.

Range

Y axis values of selected plots are rescaled so that the range on this axis extends between zero and one.

Select one or more plots

Where there is more than one plot in the graph, click on the plot you wish to normalize. To select more than one plot, drag over the desired plots, or use <Ctrl> to select noncontiguous plots. Use the "Select All" button to select all the plots in the graph.

If you select more than one plot for normalization, each plot is normalized to its own area or range, independent of the other selected plots.


Square Root

Graph Window: Analyze > Square Root

Graph Window Toolbar:

Replace Y axis values in the graph with their square roots. Square root values also replace the original data in the corresponding column in the Results window.

If your data include negative values you are warned, but are still able to proceed. In this case the data are first positively offset so that the least value is zero. The square roots of all the values are taken, and then the resulting data negatively offset so that they span zero at the same ratio as the original data set (i.e. the ratio between the positive-most value and the negative-most value is the same for both the original and the square root data sets).

Note: This function is not available during an event detection session.

Select one or more plots

Where there is more than one plot in the graph, click on the plot you wish to take the square root of. To select more than one plot, drag over the desired plots, or use <Ctrl> to select noncontiguous plots. Use the "Select All" button to select all the plots in the graph.


Convert to Frequency

Graph Window: Analyze > Convert to Frequency

Graph Window Toolbar:

For histograms only, convert Y axis values to frequencies. The count for each bin is divided by the bin width and the result expressed in Hertz. The histogram's Y axis is redrawn to display the new frequency values.

The original bin count values in the Results window Histogram sheet change to the new frequency values, as well as the Y axis of the histogram itself.

Note: This function is not available during an event detection session.

X axis units

Ensure you have the correct X axis units in your histogram, so that correct frequencies are calculated. The formula for conversion to Hertz is reported to the right of the list box.

Select one or more histograms

Where there is more than one histogram in the graph, click on the one you wish to convert to frequency. To select more than one histogram, drag over the desired names, or use <Ctrl> to select noncontiguous histograms. Use the "Select All" button to select all the histograms in the graph.


Analyze Menu-Results Window

You are here: Menu Reference > Analyze Menu > Analyze Menu-Results Window

Results Window

This section contains topics for commands in the Analyze menu when a Results window is active.

  • Create Graph
  • Assign Plots
  • Append To Graph
  • Fit
    • Function/Method Tab
    • Data/Options Tab
    • Assign Column To Variable
    • Seed Values Tab
    • Graphical Seeding
    • Fitting Progress
  • Fitting Results
    • Parameters Tab
    • Statistics Tab
  • Extract Data Subset
  • Histogram
  • Sort
  • Transpose
  • Average Columns
  • Column Arithmetic
  • Create Data
  • Analysis of Variance
  • Basic Statistics
    • Select Columns
    • Specify Bins
    • Add Bins
    • Edit Bins
  • Chi-Square and Mann-Whitney
  • F-test and Student's t-Test
  • Kolmogorov-Smirnov Test
  • Rank Correlations
  • Autocorrelation
  • Cross-correlation
  • Event Analysis
    • Burst Analysis
    • Burst Statistics
    • Fast Graph
    • Latency
    • Latency Statistics
    • Latency Error
    • Perievent Analysis
    • P(open)
    • P(open) Statistics


Create Graph

Results Window: Analyze > Create Graph

Results Window Toolbar:

This command creates a scatter plot in a new Graph window from data selected in the active Results window.

Select one or more columns (or sections of columns) in the Results window and click Create Graph. Data in the selection are graphed on the Y axis against the Results sheet row number on the X axis. If more than one column is plotted, the Y axis is labeled with the column title of the left-most column.

If no data are selected in the Results window, Create Graph opens Analyze > Assign Plots.


Append to Graph

Results Window: Analyze > Append to Graph

Results Window Toolbar:

This command adds a plot from selected data in the active Results window into the most recent Graph window.

If no data are selected in the Results window, and there is an existing Graph window, Append to Graph simply shifts the focus to the Graph window.

If no data are selected in the Results window and there is no existing Graph window, Append to Graph opens the Assign Plots dialog, in which data from the Results window are selected to be graphed.


Extract Data Subset

Results Window: Analyze > Extract Data Subset

Results Window toolbar:

Extract Data Subset allows you to configure regimes for extracting data from a Results window sheet, copying these to a new sheet in the same window.

There are three levels of functionality available within the Extract Data Subset dialog:

  • Copy whole columns, or a specified row range within selected columns (Source Columns)
  • Filter the columns/rows selected in Source Columns by admitting only those rows which fall within a specified data range for some parameter (Conditions).
  • Arrange rows by user-defined category, optionally displaying only some of the categories available (Grouping).

Source Columns

  1. For simple data extraction with no conditions applied, select the columns, and optionally, a row range within in these, to copy to the new sheet. Only one row range, applying to all the selected columns, can be set.

    Data can be extracted from only one sheet at a time.

  2. Where conditions are to be applied, select the columns and rows which you want considered for inclusion in the data subset.

Select: Opens the Select Columns dialog for column selection. Current settings are reported beside the button.

  1. In the Select Columns dialog box, select the Results window sheet from which you are extracting data. The sheet you select becomes the active sheet.
  2. Select the columns that you want for extraction.

Row Range

  • Full column: Every row in the selected columns is extracted (or considered for extraction).

  • Rows: The (inclusive) row range of the selected columns is extracted (or considered for extraction).

    As only one continuous range can be selected here, you may want to Sort the data before setting a range.

Condition 1

Define the first selection criterion in this group, to be applied to those columns and rows selected in Source Columns. This is done by setting a data range for a chosen column parameter – only the rows with values in the specified range are included in the data subset.

  • Column: Select the column reporting the parameter on which extraction is to be based. This need not be one of the source columns. The data range for this column is reported beneath the list box.

    If a row range has been specified in the Source Columns group above, the range given is for the full column, and not just the selected rows.

  • Inclusive range: Enter the (inclusive) bounding values for the data range used for extraction.

Condition 2

A second extraction condition can be defined, used either in conjunction or disjunction with the first condition.

  • And / Or: Select whether a data row must meet Conditions 1 and 2 to be extracted (And) or if meeting one condition is sufficient (Or).
  • Column: As for Condition 1, select the column reporting the parameter on which extraction is to be based. The data range for the full column is reported beneath the list.
  • Inclusive range: Enter the (inclusive) bounding values for the data range used for extraction.

Grouping

When extracted data are written to the new sheet the rows can be grouped according to criteria you define in this section. The grouping must be based on a parameter reported in a column in the source sheet. New columns are then added at the beginning of the extracted data set with the criteria you define, and the data rows are grouped in accordance with these.

Results sheet columns can be divided between those which report category information (e.g. file names or trace numbers) and those reporting measurements (e.g. event start times, peaks, or maximum rise slopes).

  • Configure grouping that is to be based on a category-information column in the By Category group.
  • Configure grouping that is to be based on range definition within a measurements column in the By Intervals group.
Column

Select the column whose parameter you will use to base the grouping.

By Category

Where the selected grouping column contains category information, the categories are listed. Select the categories you want the data subset grouped into. Data belonging to categories not selected here are not included in the data subset.

If the grouping column selected above is not a category-information column, this is reported in the window. If you wish to group your data subset in accordance with the parameter recorded in this column, select By Intervals.

By Intervals

Define intervals within the range of values in the selected grouping column. Extracted data are binned into these. The Specify button opens the Specify Bins dialog for this.

Destination

Sheet

Select the Results window sheet you want the extracted data subset written to.

  • Replace results in sheet: Any data already on the selected sheet is cleared for the new data subset.
  • Append rows to sheet: The new data subset is added in new rows to data already on the selected sheet, provided the columns are the same for both data sets.
  • Append columns to sheet: The new data subset is added in new columns to data already on the selected sheet.


Sort�Results Window

You are here: Menu Reference > Analyze Menu > Results Window > Sort

Sort

Results Window: Analyze > Sort

Results Window Toolbar:

Use this command to reorder data rows in the Results window's active sheet.

The Sort command is disabled for the Events sheet when an event detection search is active.

  • Key Column: Select the column whose values you want to base the row reordering on.
  • Row Range: Specify the rows to be sorted by entering (inclusive) bounding row numbers in the From and To fields. By default, all rows are selected.
  • Columns to Sort: Select the columns of data to be sorted. To select a number of columns, use <Ctrl+Mouse click>. By default, all columns are selected.
  • Sort Direction: Select to sort in ascending (lowest to highest) or descending (highest to lowest) order. Ascending sorts numbers from 0 to 9, followed by text from A to Z. Descending sorts text from Z to A, followed by numbers from 9 to 0.
  • Case Sensitive: With an ascending sort, this groups capital letters before lower case letters. With a descending sort, this groups lower case letters before capital letters.


Transpose

Results Window: Analyze > Transpose

In the Results window, data are by default listed in columns. The Transpose command is a toggle that changes columns of data into rows, and rows into columns.

The Transpose command is disabled for the Events sheet when an event detection search is active.


Average Columns

Results Window: Analyze > Average Columns

Results Window Toolbar:

Calculates the arithmetic mean of data in each row of selected columns of data in the Results window.

In the event that the number of rows in the columns is not identical, empty cells are treated as zeros. The means are placed in the next empty columns in the same Results sheet.

Column Arithmetic is not available for the Events sheet during Event Detection.

  • Calculate standard deviation: If checked, the standard deviation is also calculated and placed in a column after the arithmetic mean.
  • Select Columns: Opens the Select Columns dialog, to choose columns of data to operate upon.


Column Arithmetic

Results Window: Analyze > Column Arithmetic

Results Window Toolbar:

Use this command to perform simple arithmetical operations on columns in the Results array.

To perform arithmetical operations on data traces in an Analysis window, use the Analyze > Arithmetic command.

Column Arithmetic is not available for the Events sheet during Event Detection.

Expression

Enter the arithmetic expression you wish to apply to the data. Use the buttons directly below the Expression field to build your expression, or type it in directly. Only columns on the active Results sheet can be included.

Closed Expression Format

Arithmetic expressions in this command should always be in the format of "column = expression", where "column" is a single column and the expression is a set of columns, operators and functions. An example would be:

cA = sin(cB).

The "cA" refers to column "A". This is then equated, on a row-by-row basis, with an expression that takes the sine of the value in the corresponding row in column "B" (cB).

Another example is:

cA = cA + cB.

In this expression the values in the column B rows are added to the corresponding values in the column A rows and placed back into column A.

To place the results of your arithmetic into a new column, type in the first unused column name for your "column" entry. If unsure what the name of the next free column is, open the Select Columns dialog with the "Columns" button, and take the "Select from list" option. By scrolling down to the bottom of this you can see the last column. Change your option in the dialog to "Specify a list", and type in the name of the next column.

  • Column: Open the Select Columns dialog with the "Columns" button, where you can choose the column (or columns) to insert in the expression. The column references are inserted at the current cursor position in the expression field.
  • Operator: With this button you can choose an operator (e.g. addition, division) to insert in the expression. The operator is inserted at the current cursor position in the expression field.
  • Function: With this button you can choose a function to insert in the expression. The function is inserted at the current cursor position in the expression field.

    Having selected a function you must enter a column for it to operate on, in the brackets.

    Function

    Description

    arcos( )

    Arccos: the inverse cosine of a number in the range of –1 to +1. The result is in radians.

    arsin( )

    Arcsine: the inverse sine of a number in the range of –1 to +1. The result is in radians.

    artan( )

    Arctangent: the inverse tangent of a number in the range of –1 to +1. The result is in radians. Cannot be used with odd muliples of ϖ/2.

    cos( )

    Cosine: the cosine of a number in radians.

    diff( )

    Differentiate: the derivative.

    exp( )

    Exponentiate: e raised to the value of the number.

    intg( )

    Integrate: the continuous integral. The result is strongly affected by the baseline.

    inv( )

    Inverse: the multiplicative inverse.

    ln( )

    Loge: the logarithm to the base e. Cannot be used with zero or negative numbers.

    log( )

    Log10: the logarithm to the base 10. Cannot be used with zero or negative numbers.

    norm( )

    Normalization: the data are scaled and offset to a Y axis range of 0 to 1.

    ramp( )

    Ramp: the data are scaled by a steadily increasing factor from 0 to 1, from the top to the bottom of the column.

    rect( )

    Rectify: replace numbers with their absolute values.

    sin( )

    Sine: the sine of a number in radians.

    sqrt( )

    Square root: the square root. Cannot be used with negative numbers.

    tan( )

    Tangent: the tangent of a number in radians.

  • Special: With this button you can choose a special value to insert in the expression. The special value is inserted at the current cursor position in the expression field. There are three special values:

    time

    the time value of the point being processed by the arithmetic system.

    maxtime

    the maximum time of the destination trace.

    pi

    pi

  • Undo: Undoes the last editing action on the expression field.

Specify Region

This option group allows you to select between applying the expression to the entire column of data ("Full column"), or a row range within it – enter the first and last rows delimiting the range the expression is to apply to.

Force excluded region to zero: If selected, zero values are inserted for rows not included in the equation.


Create Data

Results Window: Analyze > Create Data

Results Window Toolbar:

This command fills the selected cells of the active Results window sheet with arbitrary data.

The Transpose command is disabled for the Events sheet when an event detection search is active.

Fill Range

This specify the cells, by column and row, that are to be filled with data. The columns must be contiguous, and one row range applies to all selected columns.

  • Column: Select the columns to be filled with data from the list boxes of columns in the sheet. There are up to 100 columns available.
  • Row: Select the rows to be filled with data. There are up to 110,000 rows available.

Series Option

Select the type of function to be used to create the data. Variables for the different options are entered in the Data Limits field.

  • Linear (start + increment): A linear function is used where the initial cell uses the Start Value. Subsequent cells are composed of the Increment plus the previous value.
  • Growth (start * multiplier): A growth function is used where the initial cell uses the Start Value. Subsequent cells are composed of the Multiplier times the previous value.
  • Power (start ^ exponent): A power function is used where the initial cell uses the Start Value. Subsequent cells are composed of the previous value raised to the Exponent.
  • Gaussian Noise: A Gaussian noise function is used to generate random data that are normally distributed around a Mean, and dispersed with a spread as specified by the Variance.
  • Random Noise (integer): A random noise function is used to generate integer data ranging between (and including) Minimum and Maximum limits.
  • Random Noise (fractional): A random noise function is used to generate fractional data ranging between (but not including) Minimum and Maximum limits.

  • Expression y(x): Specify an arbitrary function with a single variable X where the initial calculation uses the X Start Value. Subsequent calculations use the sum of the previous value of X and the X Increment. The operators that can be used are:

    "+" add

    "–" subtract

    "*" multiply

    "/" divide

    "^" power

    Standard operator precedence is used, where power is evaluated first, followed by either multiply or divide, and lastly add or subtract.

  • Data Limits: Enter the Data Limits values here. Their interpretation changes depending upon which operation is selected, as described above.

Fill Direction

Specify whether to organize the data in column order or row order.

  • First columns, then rows: Data first fills the left-most column in a top-to-bottom direction, then continues in the next column.
  • First rows, then columns: Data first fills the top-most row in a left-to-right direction, then continues in the next row.


Analysis of Variance

Results Window: Analyze > Analysis of Variance

Use analysis of variance (ANOVA) tests when comparing three or more means. In these situations, the standard Student's t-test is inappropriate as the probability of each comparison being falsely significant increases with the number of comparisons being made. The ANOVA asks the question of whether or not there are any significant differences at all among means of the groups. If there are significant differences, then you are free to make comparisons between groups using a post hoc test.

Test results are recorded in the System Lab Book.

Method

  • One-way: Used when there is only a single factor or independent variable. The factor is the term used for the variable by which groups are formed.
  • Two-way: This is the same as the one-way ANOVA, except that there are two factors or independent variables.

Select Columns

Open the Select Columns dialog box to choose the columns of data your selected tests are applied to. The current selection – the Results window sheet and columns in this – is reported beside the button.

Row Range

Specify a range of rows to use, for all selected columns of data.

  • Full column: All rows of data are selected for analysis.
  • Row: Select a row range for inclusion in the analysis, entering the (inclusive) bounding row numbers in the From and To fields.

  • Perform Breakdown Analysis: You can use this feature to divide each column of data into unique categories. Basic statistics are then found separately for each category. The categories must be defined in terms of the parameter reported in one selected column in the Results window sheet.

    There are two ways to use Breakdown Analysis depending on the parameter you use to group the data. Results sheet columns can be divided between those which report category information, like file names or trace numbers, and those reporting measurements, like event start times, peaks, or maximum rise slopes.

    • For grouping based on a category-information column, you need only select that column in the "Category column" list box.
    • For grouping based on a measurement column, you must select the column reporting the measurement (in the "Category column" list box) and then define bins for this, by checking "Bin the categories" and opening the Specify Bins dialog.

    Note: The Trace column, though a category-information column, can nevertheless be binned (since the categories are numerical).

  • Category Column: Select the column whose parameter you want to use for categorizing the data. For example, if you select File Name, then basic statistics are reported separately for each file on the selected Results sheet.

    If you choose a column containing numerical measurements, you must organize the measurement range into bins.

  • Bin the categories: Check this if your selection in Category column reports a numerical measurement, then open the Specify Bins dialog to define bins within the measurement range.


Basic Statistics

Results Window: Analyze > Basic Statistics

Basic Statistics computes 11 fundamental properties of your data set, such as mean, median, standard deviation etc. Most of the statistics computed are descriptive statistics, and are derived from a selected range of data for each selected column in a Results sheet.

The Basic Statistics calculations are copied to the Basic Stats sheet of the Results window.

Basic Statistics can be derived for any Results window sheet except the Basic Stats sheet itself.

Statistics Options

Statistic | Description
Number per category | The number per category is the number of observations in each data range. For example, if you select 2 columns of data, each with 20 measurements, the number per category would be 20.
Minimum | The minimum is the smallest value found within the data range.
Maximum | The maximum is the largest value found within the data range.
Variance | The variance is a measure of the spread of the data about the mean. The variance is used in the computation of the standard deviation
Mean | The mean is the arithmetic, or simple, mean of the data range.
Median | The median value is the middle number of a series with an odd number of items, or the number midway between the two middle numbers of a series with an even number of items.
Standard deviation | The standard deviation is a measure of the spread of the data about the mean. In short, it is the absolute average value of the difference of each observation from the arithmetic mean.
Standard error | The standard error is the standard deviation divided by the square root of the mean. It is used as a measure of the variability among means.
Coefficient of variation | The coefficient of variation is a measure of the relative spread of the data. It is computed as the standard deviation divided by the mean times 100%.
Sum | The sum is the sum of all of the observations in a given category.
Sum of squares | The sum of squares is the sum of the square of each observation for a given category.

Destination Option

  • Append results to sheet: This set of basic statistics is added in new rows to data already present on the Basic Stats sheet.
  • Replace results in sheet: This set of basic statistics replaces any data already on the Basic Stats sheet.

Select Columns

Open the Select Columns dialog box to choose the columns of data for which basic statistics will be calculated. The current selection – the Results window sheet and columns in this – is reported beside the button.

Row Range

Specify a range of rows to use, for all selected columns of data.

  • Full column: All rows of data are selected for analysis.
  • Row: Select a row range for inclusion in the analysis, entering the (inclusive) bounding row numbers in the From and To fields.

  • Perform Breakdown Analysis: You can use this feature to divide each column of data into unique categories. Basic statistics are then found separately for each category. The categories must be defined in terms of the parameter reported in one selected column in the Results window sheet.

    There are two ways to use Breakdown Analysis depending on the parameter you use to group the data. Results sheet columns can be divided between those which report category information, like file names or trace numbers, and those reporting measurements, like event start times, peaks, or maximum rise slopes.

    • For grouping based on a category-information column, you need only select that column in the "Category column" list box.
    • For grouping based on a measurement column, you must select the column reporting the measurement (in the "Category column" list box) and then define bins for this, by checking "Bin the categories" and opening the Specify Bins dialog.

    Note: The Trace column, though a category-information column, can nevertheless be binned (since the categories are numerical).

  • Category Column: Select the column whose parameter you want to use for categorizing the data. For example, if you select File Name, then basic statistics are reported separately for each file on the selected Results sheet.

    If you choose a column containing numerical measurements, you must organize the measurement range into bins.

  • Bin the categories: Check this if your selection in Category column reports a numerical measurement, then open the Specify Bins dialog to define bins within the measurement range.


Chi-Square and Mann-Whitney

Results Window: Analyze > Chi-Square and Mann-Whitney

Clampfit software includes the Mann-Whitney and Chi-square nonparametric tests. Nonparametric tests, or distribution-free tests, are typically used when it is unknown whether the data follow a normal distribution, which often occurs when there are few observations. They are used as a powerful alternative to the Student's t-Test.

Test results are recorded in the System Lab Book.

Method

  • Chi-Square: The Chi-square is used for comparing frequencies or proportions and can be used with two or more groups. The data are presented either as "nonbinned" which represents observed vs. expected values or "binned" which is an unknown to unknown comparison.
  • Mann-Whitney: The Mann-Whitney test, sometimes referred to as the Wilcoxon rank-sum test, is used to compare the means of two independent groups. The Mann-Whitney test operates by first sorting the data and assigning a rank to each observation. The test is then performed on the rank values, rather than the raw values. Thus, the test is an excellent tool when you are unsure if your data are normally distributed. It also reduces the effect of outliers.

Select Columns

Open the Select Columns dialog box to choose the columns of data to run your selected test(s) on. The current selection – the Results window sheet and columns in this – is reported next to the button.

Although you can select nonsequential columns, you cannot control the order of the appearance for the columns you have selected. For example, if you assigned Column C as the expected values and Column E as observed values, the Chi-Square will not be reported correctly. You need to rearrange the column order manually by copying and pasting so that the observed appears before the expected.

Row Range

Specify a range of rows to use, for all selected columns of data.

  • Full column: All rows of data are selected for analysis.
  • Row: Select a row range for inclusion in the analysis, entering the (inclusive) bounding row numbers in the From and To fields.

  • Perform Breakdown Analysis: You can use this feature to divide each column of data into unique categories. Basic statistics are then found separately for each category. The categories must be defined in terms of the parameter reported in one selected column in the Results window sheet.

    There are two ways to use Breakdown Analysis depending on the parameter you use to group the data. Results sheet columns can be divided between those which report category information, like file names or trace numbers, and those reporting measurements, like event start times, peaks, or maximum rise slopes.

    • For grouping based on a category-information column, you need only select that column in the "Category column" list box.
    • For grouping based on a measurement column, you must select the column reporting the measurement (in the "Category column" list box) and then define bins for this, by checking "Bin the categories" and opening the Specify Bins dialog.

    Note: The Trace column, though a category-information column, can nevertheless be binned (since the categories are numerical).

  • Category Column: Select the column whose parameter you want to use for categorizing the data. For example, if you select File Name, then basic statistics are reported separately for each file on the selected Results sheet.

    If you choose a column containing numerical measurements, you must organize the measurement range into bins.

  • Bin the categories: Check this if your selection in Category column reports a numerical measurement, then open the Specify Bins dialog to define bins within the measurement range.


F-Test and Student's t-Test

Results Window: Analyze > F-Test and Student's t-Test

Not all statistical tests can be used in a similar fashion when comparing 3 or more groups or categories of data. For example, the t-test can be used for comparing two groups. However, when comparing more than two groups, the probability of achieving significance by chance increases. In many instances, an analysis of variance followed by a post hoc test is more appropriate.

Therefore, one must be cautious when using the breakdown analysis function, as each test does not do a multiple comparison adjustment. For further discussion of this matter, please refer to an elementary statistics book.

Test results are recorded in the System Lab Book.

F-Test

The F-Test measures the equality of variance. It is used to determine if two groups of numbers are from the same population and thus have the same variance. If the F-test is significant, it suggests that your data has come from two separate groups and you should use an unpaired (separate variance) t-test. Otherwise, you should use the unpaired (pooled variance) t-test. Use the paired t-test (correlated paired groups) when you perform paired measurements.

Student's t-Test

The t-test is one of the most common statistical tests in use today. It is typically used for comparing means of groups. However, you must decide which t-test is appropriate for your data, which you can do by considering your experimental design and the results of the F-test

  • Unpaired (pooled variance): This assumes that your measurements are from two independent groups that have come from the same population. This is sometimes referred to as Welch's modified t-test.
  • Unpaired (separate variance): This assumes that your measurements are from two independent groups that have come from different populations.
  • Correlated paired groups: This is used when your data are paired or matched.

Select Columns

Open the Select Columns dialog box to choose the columns of data your selected tests are applied to. The current selection – the Results window sheet and columns in this – is reported beside the button.

Row Range

Specify a range of rows to use, for all selected columns of data.

  • Full column: All rows of data are selected for analysis.
  • Row: Select a row range for inclusion in the analysis, entering the (inclusive) bounding row numbers in the From and To fields.

  • Perform Breakdown Analysis: You can use this feature to divide each column of data into unique categories. Basic statistics are then found separately for each category. The categories must be defined in terms of the parameter reported in one selected column in the Results window sheet.

    There are two ways to use Breakdown Analysis depending on the parameter you use to group the data. Results sheet columns can be divided between those which report category information, like file names or trace numbers, and those reporting measurements, like event start times, peaks, or maximum rise slopes.

    • For grouping based on a category-information column, you need only select that column in the "Category column" list box.
    • For grouping based on a measurement column, you must select the column reporting the measurement (in the "Category column" list box) and then define bins for this, by checking "Bin the categories" and opening the Specify Bins dialog.

    Note: The Trace column, though a category-information column, can nevertheless be binned (since the categories are numerical).

  • Category Column: Select the column whose parameter you want to use for categorizing the data. For example, if you select File Name, then basic statistics are reported separately for each file on the selected Results sheet.

    If you choose a column containing numerical measurements, you must organize the measurement range into bins.

  • Bin the categories: Check this if your selection in Category column reports a numerical measurement, then open the Specify Bins dialog to define bins within the measurement range.


Kolmogorov-Smirnov Test

Results Window: Analyze > Kolmogorov-Smirnov Test

The Kolmogorov-Smirnov test is a nonparametric method used to assess the probability that data from two distributions belong to the same population. The Kolmogorov-Smirnov test is sensitive to a wider range of differences in the data sets than the t-test or Mann-Whitney test, but less likely to detect small differences.

Results are written to the Basic Stats sheet in the Results window. If "Cumulative binning" is selected, plots for each sample set are also generated in the Graph window.

Closed Results Reported in Basic Stats Sheet

For both one-dimensional and two-dimensional tests:

  • Source Sheet: The name of the data source sheet
  • Source Columns: The source columns (e.g. B vs. C)
  • n1, n2 etc: The number of samples in the first, second, etc. source columns
  • K-S statistic: The Kolmogorov-Smirnov statistic, (D)
  • Probability: The probability that the distributions are from the same population (P)

For two-dimensional test only:

  • The number of bins in the cumulative histogram
  • The left bin edge values (X axis)
  • The bin counts (Y axis)

At least two columns of data (which need not be of the same length) must be selected for the test. If more than two columns are selected the test is applied to every column combination.

First select whether to apply the test to unaltered data ("Ascending sort"), or to bin the data first ("Cumulative binning"). Remaining options are for bin definition (if you have opted to bin) and data selection.

Preprocessing

Select either the "one-dimensional" ascending sort test, or the "two-dimensional" cumulatively binned test.

  • Ascending sort: The data samples to be compared are not altered prior to application of the test. The data are automatically sorted, in ascending order, to derive a cumulative distribution prior to analysis.
  • Cumulative binning: The data from the two populations are binned into cumulative histograms and the binned distributions evaluated using the x values (bin widths) and y values (bin counts).
    • Variable width: Bin width is determined by the value of the data themselves. A plot is created where each point represents, on the Y axis, the number of data less than or equal to the X axis value of the point. This type of distribution is also sometimes referred to as "cumulative unbinned".
    • Fixed width: Bins have a set width which you specify in the field.

Data Limits

  • Full: Include in the test every row in the columns (and row range) that you select (from Select Columns and Row Range below), irrespective of value.
  • Fixed: Include in the test only values falling in an (inclusive) range you specify in the From and To fields.

Select Columns

Select the columns to apply the test to, from the Select Columns dialog. The current selection is reported beside the button. A minimum of two columns must be selected.

Row Range

  • Full Column: Include in the test every row in the columns that you select (though some of these may be excluded if they have values outside a fixed data range you have set in Data Limits above).
  • Inclusive range: Include in the test only rows within the inclusive range specified in the From and To fields (excepting data excluded by the Data Limits entry).

Destination Option

  • Append results to sheet and graph: Data already on the Basic Stats sheet or in a graph are retained, and new data added to these.
  • Replace results in sheet and graph: Data already on the Basic Stats sheet or in a graph are deleted, new data replacing these.


Correlations

You are here: Menu Reference > Analyze Menu > Results Window > Correlations

Rank Correlations

Results Window: Analyze > Rank Correlations

Rank correlations are used to measure the relationship between groups of data, and are used as measures of association and prediction.

Results are recorded in the System Lab Book.

Method

  • Pearson: This is the most common standard correlation that is computed and is based on the Pearson's product moment correlation coefficient.
  • Spearman: This is also referred to as "Spearman's Rho" and is a nonparametric correlation measure. It is used when the data are in ordinal form, or is not normally distributed.

Select Columns

Open the Select Columns dialog to choose the columns of data to run your selected test(s) on. The current selection – the Results window sheet and columns in this – is reported beside the button.

Row Range

Specify a range of rows to use, for all selected columns of data.

  • Full column: All rows of data are selected for analysis.
  • Row: Select a row range for inclusion in the analysis, entering the (inclusive) bounding row numbers in the From and To fields.

  • Perform Breakdown Analysis: You can use this feature to divide each column of data into unique categories. Basic statistics are then found separately for each category. The categories must be defined in terms of the parameter reported in one selected column in the Results window sheet.

    There are two ways to use Breakdown Analysis depending on the parameter you use to group the data. Results sheet columns can be divided between those which report category information, like file names or trace numbers, and those reporting measurements, like event start times, peaks, or maximum rise slopes.

    • For grouping based on a category-information column, you need only select that column in the "Category column" list box.
    • For grouping based on a measurement column, you must select the column reporting the measurement (in the "Category column" list box) and then define bins for this, by checking "Bin the categories" and opening the Specify Bins dialog.

    Note: The Trace column, though a category-information column, can nevertheless be binned (since the categories are numerical).

  • Category Column: Select the column whose parameter you want to use for categorizing the data. For example, if you select File Name, then basic statistics are reported separately for each file on the selected Results sheet.

    If you choose a column containing numerical measurements, you must organize the measurement range into bins.

  • Bin the categories: Check this if your selection in Category column reports a numerical measurement, then open the Specify Bins dialog to define bins within the measurement range.


Event Analysis

Results Window: Analyze > Event Analysis

The Event Analysis submenu contains four analyses for use with events data. Three analyses have dedicated "statistics" dialogs which summarize their results.

  • Burst Analysis
  • Burst Statistics
  • Latency
  • Latency Statistics
  • P(open)
  • P(open) Statistics
  • Perievent Analysis

Full results of the analyses are recorded on Results window sheets.

There is also a graph-creating dialog, designed specifically for events data.

  • Fast Graph
Events data generated in Clampfit software 9 or later

Events data generated in Clampfit software 9 or later, in event detection searches, are sent by default to the Events sheet in the Results window. When any of the above analyses are performed on these data the correct data columns for the analysis are automatically assigned within the analysis dialog.

You should normally always enable the "Use trace", "Use search" and, if relevant, "Use category" check boxes in the Columns section of the respective analysis dialogs when analyzing these data, as this information is always present and analyses may not proceed smoothly if they are disabled.

Events data from other sources

Event analyses can be performed on events data not generated with earlier versions of Clampfit software. In this case you need to manually set the columns from which the data required for the analysis will be drawn. This is done in the Columns section of each analysis dialog with the Trace, Search, and Level or Category buttons.

Events data not produced within Clampfit software 9 or later may not contain columns with trace, search or category information. Where this is the case, in the Columns section of the dialog, deselect the Use trace, Use search and Use category check boxes as appropriate.


Event Analysis—Burst Analysis

You are here: Menu Reference > Analyze Menu > Results Window > Burst Analysis

Burst Analysis

Results Window: Analyze > Event Analysis > Burst Analysis

Results Window Toolbar:

Burst analysis finds closely packed groups of events in single-channel and peak-time events data (in the Results window), reporting a range of statistics for these "bursts" to the Bursts sheet in the Results window.

Bursts are found by one of two methods:

  • Stipulate an interevent interval—successive events occurring at intervals less than this constitute a burst
  • Use "Poisson surprise", a statistical method which measures the degree of deviation from an expected Poisson process. Refer to the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for a full description of this.

Events are timed as occurring at the event start for single-channel data, and time of peak for peak-time data, such as. events with peaks, as found in template and threshold searches.

Closed Burst Analysis Data Recorded in Results Window

Columns A–P on the Bursts sheet include the following:

  • Burst: An identification number sequentially assigned to bursts.
  • Trace: The number of the trace in which the burst occurred. Shows "n/a" if Use trace was not selected.
  • Search: The number of the search in which the burst occurred. Shows "n/a" if Use search was not selected.
  • Category or Level: The category (for peak-time events) or level (for single-channel events) of the burst is recorded. If the Merge option is used for single-channel events "Merged" is reported. For peak-time events where Use category was not checked, "n/a" is reported.
  • Events in Burst: The number of events in the burst.
  • Poisson Surprise: The Poisson surprise value for the burst, if this detection method was used.
  • Start Time: The starting time of the burst. This is the time of the first peak in the burst, for peak-time events, or the start of the first event in the burst, for single-channel events.
  • End Time: The end time of the burst. This is the time of the last peak in the burst, for peak-time events, or the end of the last event in the burst, for single-channel events.
  • Duration: The duration of the burst. For single-channel bursts this is the time from the start of the first event to the end of the last event. For peak-time data it is the time from the peak of the first event to the peak of the last event in the burst.
  • Mean Intraburst Interval: The mean of the interevent intervals within the burst.
  • Intraburst Interval S.D: The standard deviation of the intraburst interval.
  • Frequency: The mean frequency of the events within the burst.
  • Frequency S.D: The standard deviation of the frequency of events within the burst.
  • Open Duration Mean: For single-channel data only, the mean open time of events within the burst.
  • Open Duration S.D: The standard deviation of the open times of events within the burst.
  • Sheet: The Results window sheet from which data were sourced for the analysis.

Sections in this topic:

  • Data Format
  • Detection Method
  • Columns
  • Destination Option

Burst analysis results are summarized in Burst Statistics. See also Event Analysis for overview.

Data Format

Select accordingly for single-channel events or events with amplitude peaks. Optionally, restrict the analysis to events of a specific category (peak-time events) or level (single-channel events).

  • Peak time: Select for events found in template or threshold searches , such as events with peaks. This option requires, at minimum, a column for time of peak, and depending on your data set, also for trace, search and category.
  • Single-channel: Select for single-channel data. This option requires at minimum columns for dwell time and level, and depending on your data set, for trace and search.

  • Detect bursts for level or category: Select a level (single-channel) or category (peak-time events) to which you want to restrict the search for bursts.

    Events in the data set not belonging to the selected level or category are ignored for the purposes of the search, so, for example, if category 1 is selected for peak-time data with multiple categories, the interevent interval is measured between subsequent category 1 events, even if events belonging to different categories occur within this period. Similarly for single-channel data.

    • All: Behavior of this option depends on the data format option selected above:

    • Single-channel: Bursts are found for all levels contained in the data set, however each level is treated independently.

      For example, in a rapid sequence of events having the following levels:

      1 2 1 2 1 2 1

      two bursts are reported—a level 1 burst of four events, and a level 2 burst of three events.

    • Peak-time Events: Event categories are ignored, so bursts are determined by the interevent intervals between successive events, regardless of category.

      For example, in a rapid sequence of events of categories:

      1 2 1 3 1

      one burst of five events is reported.

    • Merge: For single-channel data only, this option merges all contiguous nonzero-level events, treating them as a single event. Merge is available only when All has been selected.

      For example, a rapid sequence of events of levels:

      1 2 1

      bounded by periods at the baseline, is treated as one event with a duration the sum of the individual event durations within it.

Detection Method

Select between two methods of burst detection, "Specified Interval" and "Poisson Surprise", and configure this.

Mean interevent interval: This field reports the mean interevent interval for the level or category selected in the Data Format group above, for events determined by the trace, search and category configuration in the Columns group in the dialog. Use this information to help set a burst delimiting interval in specified interval configuration, or specified acceptance criteria in Poisson Surprise configuration.

Minimum events in burst: Set the least number of events that you will allow to constitute a burst. Minimum values are three events for Poisson Surprise, and two events for Specified Interval. The field is disabled where a specified interval search is selected for single-channel data, in which case single events can be reported as bursts.

Specified Interval: This detection method finds bursts by comparing interevent intervals within the data set with the "burst delimiting interval" you enter in the field.

  • Burst delimiting interval: Enter a duration for the amount of time with no activity that Clampfit software uses to define the end of one burst and the start of another. For example, if this value is set at 300 ms, two succeeding events separated by more than 300 ms will be deemed to belong to separate bursts. Succeeding events separated by 300 ms or less will be deemed to belong to the same burst.

  • Time to first event: This field is filled automatically for Clampfit software-generated Events-sheet data. If custom data are being analyzed you must supply the value manually.

    Synchronize the start times of bursts in the Results sheet with their time of occurrence in the Analysis window, for single-channel data only.

    Single-channel burst analysis uses only dwell-time and level data to detect and measure bursts and sets their start times relative to zero. Therefore, the time to the first event must be supplied in order to offset the burst times from the start of the file.

Poisson Surprise: This detection method finds candidate bursts by scanning the data for closely spaced events. when these are detected, further events are added to the end of the burst (and possibly removed from the beginning) if these events fall within an automatically or manually set interval limit, and the inclusion or rejection of the events increases the "Poisson Surprise". This measures the "surprise" of an event occurring when it does, when a Poisson distribution is expected. See the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide for more details.

You can restrict the search to bursts with a Poisson Surprise greater than a specified value.

  • Reject Poisson Surprise less than: Accept only those bursts with a Poisson Surprise value equal to or greater than the value you enter here. Values greater than 10 are considered to be significant. If left deselected all bursts are accepted.

  • Acceptance Criteria: Poisson Surprise uses two interval values, set automatically or manually:

    • Acceptance Interval: Events with interevent intervals less than or equal to the acceptance interval are first found as candidate bursts. Further events may be added to or removed from bursts so found, according to Poisson Surprise value and the "rejection interval".
    • Rejection Interval: Events lying beyond the "rejection interval" from a candidate burst are not considered for inclusion in the burst.
      • Auto: Acceptance and rejection intervals are set automatically. The acceptance interval is set as half the mean interevent interval (reported at the top of the Detection Method section of the dialog), and the rejection interval as double the mean interevent interval.
      • Specified: Stipulate acceptance and rejection levels. The rejection level should normally be greater than the acceptance level.

Columns

Use this section to stipulate the data to be included in the analysis, and (with the check boxes at the top of the section) how these are to be grouped or subdivided.

  • Use trace: Select and enter a specific trace number to search for bursts within that trace only.

    Select All to search for bursts within all the traces in the data. Each trace is analyzed separately and the trace number reported for each burst found.

    For events lists generated within Clampfit software 9 or later, select Use category.

    If data includes trace information and it is left deselected burst analysis is unlikely to proceed as event times are unlikely to be monotonically increasing.

    When Invalid column is reported, the column being used for trace information contains the wrong kind of data. Select the correct column with the Trace button.

    If you are analyzing a file that does not include trace information, such as pCLAMP 6, 7 or 8 *.evl files, Use trace should be deselected.

  • Use search: Select and enter a specific search number to search for bursts within specific file regions defined by combined trace and search numbers, such as trace 1, search 1; trace 2, search 1 ... trace 1, search 2; trace 2, search 2, and so on.

    Select All to analyze events from all searches within the data. In all cases, search and trace numbers are reported for each burst found.

    For events lists generated within Clampfit software 9 or later, select Use category.

    If you are analyzing a file that does not include search information, such as pCLAMP 6, 7 or 8 *.evl files, deselect Use search.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Search button.

  • Use category: Select to allow segregation of peak-time data according to category.

    For events lists generated within Clampfit software 9 or later, select Use category.

    If you are analyzing a file that does not include search information, such as pCLAMP 6, 7 or 8 *.evl files, deselect Use category.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Search button.

  • Trace: Select the sheet and column from which you want to get trace information, from the Select Column dialog, if you have selected Use trace above. The usual selection is the Trace column on the Events sheet.
  • Search: Select the sheet and column from which you want to get search information, from the Select Column dialog, if you have selected Use search. The usual selection is the Search column on the Events sheet.
  • Level or Category: Select the sheet and column from which you want to get level (single-channel) or category (peak-time events) information, from the Select Column dialog. The usual selection is the Level or Category column on the Events sheet.
  • Dwell Time or Peak Times: Select the sheet and column from which you want to get dwell time (single-channel) or time of peak (peak-time events) information, from the Select Column dialog. The usual selection is the Dwell Time or Time of Peak column on the Events sheet.
  • State Filter: Exclude either or both brief and suppressed events from the analysis, with the Event State Filter.

  • Row Range

    • Full Column: Include data from every row in the selected columns.
    • Row: Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.

Destination Option

  • Append results to sheet: Results from previous burst analyses are retained and data from the current analysis added to these in the Results window Bursts sheet.
  • Replace results in sheet: Results from previous burst analyses are deleted, and data from the current analysis replaces these in the Bursts sheet.


Event Analysis-Burst Statistics

You are here: Menu Reference > Analyze Menu > Results Window > Burst Statistics

Burst Statistics

Results Window: Analyze > Event Analysis > Burst Statistics

When Burst Analysis has been carried out, this dialog presents a summary of its results, with means and standard deviations of key burst measurements.

Summaries can be provided for the whole data set, or for subdivisions of this according to trace, search and category or level, when this information is present in the results being summarized.

  • Trace: Select a specific trace for a summary of bursts in that trace alone, or select "All" to combine data from all traces in the data set.
  • Search: Select a specific search for a summary of bursts in that search alone, or select "All" to combine data from all searches in the data set.
  • Level or Category: Select a specific level (single-channel) or category (peak-time events) for a summary of the bursts in that level or category. Where this information cannot be isolated, "All" is reported, and no selection can be made.
  • Number of bursts: The number of bursts in the trace, search and level or category configuration you have made in the fields above is shown. The statistics shown below are for these bursts.

Burst Property

The mean and standard deviation for each of the following burst properties include:

  • Events in burst: The number of events in the bursts.
  • Poisson Surprise: The Poisson Surprise value for the bursts. Values over 10 are considered to be significant.
  • Duration: The burst duration. For single-channel this is the time from the start of the first event in the burst to the end of the last event. For peak-time events it is the time from the peak of the first event to the time of the peak of the last event.
  • Intraburst interval: The mean interevent interval for each burst is reported to the Results window after burst analysis. This value is the mean of these means, for all the bursts included in the summary.
  • Frequency: The mean of the mean frequency of the events within each burst.

There are 2 options for copying the data from the Burst Statistics window:

  • Clipboard: Click to copy the data to the generic Windows clipboard, from which they can be pasted into any word-processing application, such as Word or WordPad.
  • Lab Book: Click the Lab Book button to transcribe the data into the System Lab Book.


Latency

Results Window: Analyze > Event Analysis > Latency

Latency is the delay between the onset of a stimulus and the response to this. Latency analysis can be applied to single-channel data and data from template and threshold searches (peak-time events), but all files must be episodic, with trace (sweep) information included in the data set.

Latencies are measured from the start of the search region, so it is important that your events data were collected with the search region beginning at the time of the stimulus (see Latency Analysis in the Single-Channel Search topic). For single-channel data the time to the start of the first nonzero-level event (within the specified search region) is measured. For other data the time to the event peak is measured.

Single-channel latency analysis requires a data set with columns for dwell time, trace and level. Latency analysis on peak-time data requires columns for peak time, trace and category. If you have a data set not produced in Clampfit software which lacks a category column, this can be added manually to the Results window sheet, assigning category "1" to all events.

A histogram of latencies can be optionally generated.

Results of latency analysis are written to the first unreserved and unoccupied Results window sheet.

Closed Latency Data Recorded in Results Window

Columns A–D always report the following information:

  • Trace: The number of the trace (sweep) in which latency was measured.
  • To Level/Category: The level (single-channel events) or category (peak-time events) of the event for which latency was measured.
  • Latency: The latency time—to the start of the relevant single-channel event, or the time of peak of the relevant peak-time event.
  • Sheet: The Results window sheet from which the data for the analysis was drawn.

Where a histogram has been generated, columns E and F report:

  • (Log) Bin Center 1: The center value of each bin in the histogram is reported.
  • Bin Count 1: The number of latencies in the corresponding bin.

Results from additional analyses are added in new columns, numbered consecutively.

Sections in this topic:

  • Data Format
  • Limits
  • Create Latency Histogram
  • Columns
  • Destination Option

Latency results are summarized in Latency Statistics. See also Event Analysis for overview.

Data Format

  • Peak time: Select for events found in template or threshold searches, such as events with peaks. This option requires a column each for trace number, event category and time of peak.
  • Single-channel: Select for single-channel data. This option requires a column each for trace number, event level and dwell time.
Latency to level or Latency to category
  • Single-channel: Select the level of the events for which you want to measure latency. Events of other levels that occur before events of the selected level are ignored. Select Any so that the latency of the first event at any level other than zero is measured.
  • Peak time: Select the category of the events for which you want to measure latency. Events of other categories that occur before events of the selected category are ignored. Select Any so that the latency to the first event of any category is measured.

Limits

Restrict the events used for latency measurement.

  • Ignore events in initial duration: Enter a duration, from the start of the search region, during which any events that occur are ignored. This function can be used to avoid stimulus artifacts being measured. For example, if you enter 5 ms here and the search region starts at the beginning of the trace then events that occur in the first 5 ms are ignored. If the search region starts 10 ms after the start of the trace then events that occur in the first 15 ms of the sweep are ignored: for the first 10 ms because it is not searched for events at all, and the following 5 ms because of the setting in this field.
  • Reject latencies longer than: Set an upper limit on the latencies you will accept in this field.
  • Ignore dwell times shorter than or equal to: For single-channel data, events with dwell times shorter than the specified time are rejected. Use this to ignore short events that can be noise spikes.

Create latency histogram

  • Conventional: Create a conventional histogram with the Y axis showing the number of latencies in each bin (latency time ranges). You must enter a bin width for this option, specifying a latency range for this.
  • Cumulative: Create a histogram where the Y axis shows the summed number of latencies in successive X axis bins (for latency time ranges) going from left to right across the graph. You must enter a bin width for this option, specifying a latency range for this.
  • Logarithmic: Create a logarithmic histogram that scales the latencies on a base 10 log scale along the X axis. For these graphs you must enter the number of bins you want between each whole number in the X axis logarithmic scale.

Columns

Use this section to select the data to be included in the analysis.

  • Trace: Select the sheet and column you want to get trace information from, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Trace column on the Events sheet.
  • Level or Category: Select the sheet and column you want to get level or category information from, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Level or Category column on the Events sheet.
  • Dwell Time or Peak Time: Select the sheet and column you want to get dwell time (single-channel) or time of peak (peak events data) information from, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Time of Peak column (for peak events data) or the Dwell Time column (for single-channel data) on the Events sheet.
  • State Filter: Exclude either or both brief and suppressed events from the analysis, from the Event State Filter.

  • Row Range

    • Full Column: Include data from every row in the selected columns.
    • Row: Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.

Destination Option

  • Append rows to sheet, augment last plot in graph: Results from previous latency analyses are retained, and data from the current analysis added to these as a part of the last data set that was recorded. Results from the new analysis go to new rows in the last-added set of columns in the Results window sheet, and the histogram is redrawn to include the new data with the last set.
  • Append columns to sheet, add new plot to graph: Results from previous latency analyses are retained, and data from the current analysis added to these as a separate data set. Results from the new analysis go to new columns in the Results window sheet and are drawn as a separate plot in the histogram.
  • Replace results in graph and sheet: Results from previous latency analyses are deleted, and data from the current analysis replaces these in the same sheet and histogram.


Latency Error

When performing Latency analysis on single-channel data, this message comes up if there are traces for which, at the start of the search region, the trace level is other than zero.

Latency analysis assumes no activity in the patch, such as the trace is at level zero, until the response to the stimulus occurs. Traces which start at a level other than zero are thus a special case, for which two options are offered:

  • Skip all traces with nonzero initial events: Ignore traces for which the level of the first recorded event is not zero.

  • Include all initial nonzero events in latency time: Include traces for which the level of the first recorded event is nonzero. Latency is calculated as the time to the first movement away from level 0 within the search region, as illustrated:

    In this example the trace is at level 1 at the start of the search region. Although it was at level 0 at the start of the sweep, this first channel opening is considered too early to have been a response to the stimulus. Thus, the first channel opening after the trace has returned to level 0 is used for the latency measurement.


Latency Statistics

Results Window: Analyze > Event Analysis > Latency Statistics

When Latency analysis has been carried out, a summary of its results is given in this dialog. This includes:

  • The number of events for which latency was measured
  • The shortest latency
  • The longest latency
  • The mean latency, including the standard deviation

Latency data can be subdivided according to the specific analysis under which they were generated, or treated as one set.

Data set: Select the latency data set you want summarized, or select All to treat them all as one set.

You will have more than one latency data set if you ran more than one latency analysis and used Append columns to sheet, add new plot to graph as your destination option.

There are 2 options for copying the data from the Latency Statistics window:

  • Clipboard: Click to copy the data to the generic Windows clipboard, from which they can be pasted into any word-processing application, such as Word or WordPad.
  • Lab Book: Click to transcribe the data into the System Lab Book.


Event Analysis�P(open)

You are here: Menu Reference > Analyze Menu > Results Window > P(open)

P(open)

Results Window: Analyze > Event Analysis > P(open)

Use P(open) to analyze single-channel events data to calculate the probability that a channel is open.

P(open) is normally performed on data recorded on the Events sheet, but you can direct it to other Results window sheets if the relevant data (levels and dwell times) are stored there.

Results of P(open) analysis are reported on the first unoccupied and unreserved sheet in the Results window.

Closed P(open) Data Recorded in the Results Window

For all P(open) analyses columns A–H contain the following:

  • Trace: The trace number, if separate P(open) values were calculated for each trace because Use trace was enabled.
  • Sector: The sector number, if separate P(open) values were calculated for each sector of each trace, because Use sector was enabled: The level number for which P(open) was calculated, or "All" if this was selected.
  • Total Time: The total time span of the analyzed data.
  • No. Events: The number of events used in the calculation.
  • No. Channels: The total number of ion channels in the patch, or in the level if you have chosen to treat each level as the opening of a unique channel-type. Values in this column are as entered by the user in the dialog.
  • P(o): The probability of the channel being open.
  • NP(o): The probability of any channel being open.

Where an interval plot is generated the following columns also appear:

  • Interval Width: The duration of the intervals into which the observation time is divided.
  • Interval P(o) Mean: The mean of P(open) of all intervals.
  • Interval P(o) S.D.: The standard deviation of P(open) of all intervals.
  • Smallest Interval P(o): The smallest P(open) for any of the intervals.
  • Largest Interval P(o): The largest P(open) for any of the intervals.
  • No. Events in Plot: The number of events used in the computation.
  • Residual Time: The time of the last interval that was too short to include in the interval plot because there were not enough data to fill a complete interval. This is the remainder of the total record time divided by the interval width.
  • Level Col: The name of the column that contained the level data.
  • Dwell Col:The name of the column that contained the dwell time data.
  • Sheet: The name of the Results window sheet that contained the original data.

The following columns list the graph data, in column pairs:

  • Interval Midpoint: The midpoint of the interval for which a P(open) value has been computed.
  • Lev [ ] P(o): The P(open) value for the interval in the column to the left, for the level indicated.

Sections in this topic:

  • P(open) for level
  • Level Composition
  • Create P(open) interval plot
  • Destination Option
  • Columns

P(open) results are summarized in P(open) Statistics. See also Event Analysis for overview.

P(open) for level [ ]

Select the level for which you want to calculate the probability of channels being open.

All: Select to calculate probabilities for all levels combined.

Level Composition

The two options in this section determine the type of P(open) calculation to be used, based on your assessment of the patch containing channels of one type only, or channels of more than one type.

  • Unique channels or subconductances: Use this option for traces with relatively infrequent openings, and where the opening amplitudes suggest different channel types or subconductances.

    • Number of ion channels in level [ ] = [ ]: Set the number of ion channels for each level that you want P(open) calculated for. This will generally be set to 1.
    • Set All to 1: Sets the number of ion channels, in the field above, to 1, for all levels.

  • Multiple openings of the same channel type: Use this option for traces with a regular step-like form suggesting openings of multiple channels of the same type, so that the resulting currents are sometimes superimposed.

    • Number of ion channels in patch: Enter the number of ion channels you want P(open) calculated for. This should be at least the number of levels in the file.

Create P(open) interval plot

Select to create a bar graph of the probability of a channel being open (according to your configuration in the Level Composition section) within time intervals into which the total observation time of the data set is divided. P(open) is calculated for each of these intervals.

Graph data are also written to the Results window (see above).

  • Automatic interval: Clampfit software automatically determines the intervals for which P(open) is calculated. If the number of data points is greater than 10, the interval is the total time divided by 60, if there are fewer than 10 data points, the total time is divide by 10.
  • Specify interval: With this option, you specify the duration of the intervals into which the observation time is divided. Enter the duration in the Width field.

Destination Option

  • Append results to graph and sheet: Results from previous P(open) analyses are retained, and data from the current analysis added to these, both in the Results window sheet and, if relevant, P(open) graph.
  • Replace results in graph and sheet: Results from previous P(open) analyses are deleted, and data from the current analysis replaces these in the same sheet and, if relevant, P(open) graph.

Columns

Use this section to stipulate the data to be included in the analysis, and (with the check boxes at the top of the section) how these are to be grouped or subdivided.

  • Use trace: Select and enter a specific trace number to calculate P(open) values for that trace only. Select All to give separate values for all traces in the data set.

    If you are analyzing a file that does not include trace information (such as pCLAMP 6, 7 or 8 *.evl files), Use trace should be disabled.

    If you are analyzing a file that includes trace information and you have the box unchecked, the trace information is ignored and the data are treated as one contiguous set. So for these files you should leave the box unchecked only if the traces in your data set are in fact contiguous, and you want to calculate one P(open) value for them altogether. A file recorded in episodic stimulation mode, with minimum sweep start-to-start time and no intersweep stimulation, will satisfy the contiguity condition. Files recorded in variable-length and fixed-length modes (providing there is no overlap between sweeps in the fixed-length file), in sweep display, are also treated as if contiguous. This is because, although there may be gaps between the end of one sweep and the start of the next (corresponding to gaps in the recording), the sizes of these gaps are known, and we know that the trace stayed at the baseline level for this period (otherwise recording would have been triggered).

    When Invalid column is reported, the column being used for trace information contains the wrong kind of data. Select the correct column with the Trace button.

  • Use search: Select and enter a specific search number to calculate a P(open) value for the region defined by the combined trace and search numbers. Select All to calculate separate P(open) values for all such regions.

    If you are analyzing a file that does not include trace information (such as pCLAMP 6, 7 or 8 *.evl files), Use search should be disabled.

    If you are analyzing a file that includes search information you should check this box, unless your searches cover adjoining regions of the trace and you want a P(open) value for the combined duration of the searches within each trace.

    When Invalid column is reported, the column being used for trace information contains the wrong kind of data. Select the correct column with the Search button.

  • Trace: Select the sheet and column you want to get trace information from, from the Select Column dialog, if you have selected Use trace. The usual selection is the Trace column on the Events sheet.
  • Search: Select the sheet and column from which you want to get search information, from the Select Column dialog, if you have selected Use search. The usual selection is the Search column on the Events sheet.
  • Level: Select the sheet and column from which you want to get level information, from the Select Column dialog. The usual selection is the Level column on the Events sheet.
  • Dwell Time: Select the sheet and column from which you want to get dwell time information, from the Select Column dialog. The usual selection is the Dwell Time column on the Events sheet.
  • State Filter: Exclude either or both brief and suppressed events from the analysis, with the Event State Filter.

  • Row Range

    • Full Column: Include data from every row in the selected columns.
    • Row: Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.


P(open) Statistics

Results Window: Analyze > Event Analysis > P(open) Statistics

When P(open) analysis has been carried out, this dialog presents a summary of its results, with means and standard deviations of key P(open) measurements.

Summaries can be provided for the whole data set, or for subdivisions of this according to trace, search and level, when this information is present in the P(open) results being summarized.

  • Trace: Select a specific trace for a summary for that trace alone, or select All to combine data from all traces in the P(open) data set.
  • Search: Select a specific search for a summary for that search alone, or select All to combine data from all searches in the data set.
  • Level: Select the level the P(open) summary is for.

Property

  • P(open): The probability of a channel being open.
  • NP(open): Probability calculation that does not take the number of ion channels into consideration.

Where a plot has been generated, means and standard deviations of the following values are also reported:

  • Mean Interval P(open): The mean of P(open) for all intervals within each plot.
  • Smallest Interval P(open): The smallest P(open) value in the intervals.
  • Largest Interval P(open): The largest P(open) value in the intervals.
  • Residual Time: The time of the last interval that was too short to include in the interval plot because there were not enough data to fill a complete interval. This is the remainder of the total record time divided by the interval width.
  • Plot Interval: The interval width in the graphs.

There are 2 options for copying the data from the P(open) Statistics window:

  • Clipboard: Copies the data to the generic Windows clipboard, from which they can be pasted into any word-processing application, such as Word or WordPad.
  • Lab Book: Transcribes the data into the System Lab Book.


Event Analysis-Perievent Analysis

You are here: Menu Reference > Analyze Menu > Results Window > Perievent Analysis

Perievent Analysis

Results Window: Analyze > Event Analysis > Perievent Analysis

Use perievent analysis to measure the intervals between selected "central" events, and events that fall within a stipulated time range of these. In each case the central event is recorded as having an event time of zero, and events within its range given positive or negative values relative to this.

Perievent analysis requires at minimum one Results window column with event times, and another for tags. This analysis is not intended for single-channel data.

You must select the "central" events by tagging them. This can be done in three ways:

  1. at the time the events are first classified
  2. after initial classification but still within the same search session, using Process Selected Events
  3. by directly typing "T" into the Tag column in the Results sheet containing the events data, after the search session has been closed.

Results from perievent analysis can be optionally displayed as a histogram, showing the numbers of events falling within specified intervals from the central events, and as a raster plot, where the events within the range of each central event are represented separately. Data for these graphs are written to the first unreserved and unoccupied sheet in the Results window.

Closed Perievent Analysis Data Recorded in Results Window

Only data used in the creation of the histogram and raster plot are reported in the Results window. These are reported whether or not the graphs are generated:

  • Bin Center [ ]: Bins for the histogram are identified by their center point in this column. The bins represent interval ranges from the central event.
  • Bin Count [ ]: The number of events in each bin is reported. This is the total number of events (within the whole of the selected data set) that lie within the bin's range from their respective central events.
  • Raster [ ] Data: The number in the title identifies each "central" (tagged) event, numbered from the top of the data set. There is one value in the column for each event that lies in the specified range of the central event and that was found according to the analysis configuration you set. The values record the time interval between that event and the central event.
  • Raster [ ] Position: This column reports the "raster number" for the previous column. Each central event, and by extension, the events in its range, gets a unique raster number.

Sections in this topic:

  • Plots
  • Amplitude Limits
  • Destination Option
  • Columns

See also Event Analysis for overview.

Plots

  • Create raster plot: Select to create a raster plot showing the interval between individual events found in the analysis, and the central event whose range they fall in. Each horizontal array of points in the plot represents one central event and the found events in its range. The central event is always on X axis zero. Events falling in the ranges of more than one central event are multiply represented, in the lines corresponding to each of these ranges.

  • Create histogram: Select to create a histogram combining data for all the ranges you have defined. The numbers of events within the designated intervals from their respective central events is reported.

    • Bin Width: Enter the length of the intervals that the perievent range is divided into for the purpose of binning events in the histogram.

  • Range: Set the time range about central events within which events are to be found.

    • Before zero: Enter the time prior to each central event to include within the perievent search range.
    • From start of trace: Set the perievent search range to start at the beginning of the trace that each central event belongs to.
    • After zero: Enter the time following each central event to include within the perievent search range.
    • To end of trace: Set the range to end at the end of the trace that each central event belongs to.

Amplitude Limits

Have only events in a specific amplitude range found for the analysis.

  • Lower: Enter the lower limit of the amplitude range you want to include in the analysis. Units are as reported in the column selected for amplitude data.
  • Upper: Enter the upper limit of the amplitude range you want to include in the analysis. Units are as reported in the column selected for amplitude data.

Destination Option

  • Append results to graphs and sheet: Results from previous perievent analyses are retained, and data from the current analysis added to these, both in the Results window sheet and in graphs.
  • Replace results in graphs and sheet: Results from previous perievent analyses are deleted, and data from the current analysis replaces these in the same sheet and in graphs.

Columns

Use this section to select the data to be included in the analysis, and (with the check boxes at the top of the section) how these are to be grouped or subdivided.

  • Use level or category: Select and enter a specific category or level number to restrict the search to events of that category or level only. Select All to include events of all categories or levels.

    If you are analyzing a file that does not include category or level information, such as pCLAMP 6, 7 or 8 *.evl files, disable Use level or category.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Level or Category button.

  • Use trace: Select to restrict the range of each central event to the trace it belongs to. Only disable if your data source sheet does not contain trace information.

    If this option is not selected when analyzing a data set with multiple traces, the analysis is likely not to proceed. Assuming the traces all have start times of zero, it is unlikely that event times—as listed in the data set—increase monotonically, which is a requirement for perievent analysis.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Trace button.

  • Use search: Select to restrict the range of each central event to the search it belongs to (within each trace). If not enabled, search boundaries (within the trace) are ignored, and events within a central event's range, but within a different search, are included.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Search button.

  • Trace: Select the sheet and column from which you want to get trace information, from the Select Column dialog, if you have selected Use trace above. The usual selection for data generated within Clampfit software is the Trace column on the Events sheet.

  • Search: Select the sheet and column from which you want to get search information, from the Select Column dialog, if you have selected Use search above. The usual selection for data generated within Clampfit software is the Search column on the Events sheet.

  • Level or Category: Select the sheet and column from which you want to get level or category information, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Level or Category column on the Events sheet.

  • Tag: Select the sheet and column from which you want to get tag information, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Tag column on the Events sheet.

  • Event Time: Select the sheet and column from which you want to get event time information, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Time of Peak column (for peak events data) or the Start Time column (for single‑channel data) on the Events sheet.

  • Amplitude: Select the sheet and column from which you want to get event amplitude information, from the Select Column dialog. The usual selection for data generated within Clampfit software is the Peak Amp or Amplitude column on the Events sheet.

  • State Filter: Exclude either or both brief and suppressed events from the analysis, from the Event State Filter.

  • Row Range

    • Full Column: Include data from every row in the selected columns.
    • Row: Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.


Event Analysis Quick Graph

You are here: Menu Reference > Analyze Menu > Results Window > Fast Graph

Fast Graph

Results Window: Analyze > Event Analysis > Fast Graph

Fast Graph is a graph-generating dialog optimized for Events sheet data, though data from any Results window sheet can be used. The data to be included in a graph can be restricted according to trace, search and category or level, as well as by the value of the data, row number, and the value of a second specified parameter.

Sections in this topic:

  • Graph Type
  • Condition
  • Columns
  • Destination Option

See also Event Analysis for overview.

Graph Type

  • Scatter Plot: Create a scatter plot, specifying X and Y axis data.

  • Histogram: Create a histogram. Select the type of histogram you want to create.

    • Conventional: Creates a conventional histogram with the Y axis showing the sample count for each bin.
    • Cumulative: Creates a histogram where the Y axis shows the summed sample total in successive X axis bins going from left to right across the graph.
    • Logarithmic: A logarithmic histogram scales the X axis parameter on a base 10 log scale. Only values greater than zero can be included in a logarithmic graph.
    • Variable width cumulative: Bin width is determined by the value of the data themselves in this graph. A scatter plot is created where each point represents, on the Y axis, the number of data less than or equal to the X axis value of the point. This type of distribution is also sometimes referred to as "cumulative unbinned".
  • Bin width: For conventional and cumulative histograms, use this field to specify the value range for each bin, in the units of the X axis parameter.
  • Bins/decade: For logarithmic graphs, enter the number of bins you want between each whole number in the X axis logarithmic scale.

Condition

Use this section to restrict the data selected for the X and Y axes on the basis of a different property of the events in question. For example, you might want to plot single-channel dwell times, but only for those events with amplitudes that fall within a particular range.

  • Column: Select the column with data you want to use to restrict the data plotted in the graph, from the Select Column dialog.
  • Minimum & Maximum: Define the data range of the condition property you have selected above by entering minimum and/or maximum values.

Columns

Use this section to define the data to be included in the graph, including assignment of columns for the X and Y axes.

  • Use trace: Select and enter a specific trace number to restrict the data to be graphed to that trace only. Select All to include all traces combined in one plot.

    If you are analyzing a file that does not include trace information, such as pCLAMP 6, 7 or 8 *.evl files, Use trace should be deselected.

    When "Invalid column" is reported, the column being used for trace information contains data of the wrong sort. Select the correct column with the Trace button below.

    • Use search: Select and enter a specific search number to restrict the data to be graphed to that search only. Select All to include all searches combined in one plot.

      If you are analyzing a file that does not include search information, such as pCLAMP 6, 7 or 8 *.evl files, Use trace should be deselected.

      When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Search button.

  • Use category or level: Select and enter a specific category or level number to restrict the data to be graphed to that category or level only Select All to include all categories or levels, which are each plotted independently in the graph.

    If you are analyzing a file that does not include category or level information, such as pCLAMP 6, 7 or 8 *.evl files, Use trace should be deselected.

    When Invalid column is reported, the column being used for search information contains the wrong kind of data. Select the correct column with the Search button.

  • Trace: Select the column from which you want to get trace information, from the Select Column dialog, if you have selected Use trace. The usual selection is the Trace column on the Events sheet.
  • Search: Select the column from which you want to get search information from the Select Column dialog, if you have selected Use search. The usual selection is the Search column on the Events sheet.
  • Level or Category: Select the sheet and column you want to get level (single-channel) or category (peak-time events) information from—from the Select Column dialog—if you have selected "Use category [or] level" above. The usual selection is the Level or Category column on the Events sheet.
  • X: Select the sheet and column for the X axis data—from the Select Column dialog.
  • Y: Select the sheet and column for the Y axis data—from the Select Column dialog.
  • State Filter: Exclude either or both brief and suppressed events from the analysis—with the Event State Filter.
  • X orY Data Limits: Restrict the X axis data (for histograms) or Y axis data (for scatter plots) according to value. Define the range you want included in the graph by entering minimum and maximum values. Minimum and maximum values for the complete data range, such as within the columns selected for the X or Y axes with the X and Y buttons in the Columns section, are reported next to these fields.

  • Row Range: Restrict data included in the graph to a particular row range.

    • Full Column: Include data from every row in the selected columns.
    • Row: Include only a particular range of rows within the selected columns. Enter first and last row numbers for the range.

Destination Option

  • Append results to graph: The currently configured plot is added to the most recently created graph as a new plot.
  • Create New Graph: The currently configured plot is generated in a new graph window.


Select Columns

Specify the columns in the Results window to be included in your analysis.

Note: The selection of columns is required in many contexts, so the Select Columns dialog is opened from many different locations. In some cases modified versions of the dialog are opened with a different title (Select Column) and a reduced range of options. The total option list is given below.

Sheet

Select the Results sheet to be used for the analysis.

  • The active sheet: Selects the active sheet in the Results window.
  • A specified sheet: Selects a sheet from the drop-down list.

Columns

Use this option to select the column(s) to which the analysis should be applied. In some contexts this section contains only a list of the columns on the selected sheet, from which you select the column you want.

  • All selected columns: When selected, all selected columns are included in the analysis.
  • All columns: When selected, all columns on the sheet are included in the analysis.

  • Specify a list: Allows you to specify a list of columns in the adjoining edit box. For example, you can specify columns A to H by cA..H (2 ellipsis points, no spaces).

    Groups of columns can be separated by a comma (with no spaces), for example cA..E,cG..I,cM. Do not include a 'c' after the ellipsis; c1..c10, for example, is an invalid entry.

  • Select from list: Allows you to select columns by highlighting them in the associated list of available columns. You can use <Shift>-left-click to highlight a contiguous group of columns or <Ctrl>-left-click to highlight individual columns.

    • Select All: Selects all of the columns on the sheet.
    • Select None: Deselects all columns.
    • Invert:Reverses the status of selected and unselected columns.


Specify Bins

Use this dialog to define the bins when grouping numerical data. You can define arbitrary bin sizes, or use fixed bin sizes.

As an example of user-defined binning, you may want to classify data according to a drug application regime. You could select the Trace column as your grouping/category column (in the dialog from which Specify Bins was opened), then create three bins for the sweeps corresponding to the pretreatment period, the drug application period, and the wash period.

Defined Bin Size

Use bins with arbitrary bin values.

  • Add: Define and add a bin to the bin list with the Add Bins dialog. You can add up to a maximum of 100 bins.
  • Edit: Allows you to change the properties of a previously defined bin. See Edit Bins.
  • Delete: Allows you to remove a previously created bin.

Fixed Bin Size

Use contiguous bins with a constant bin size.

  • Number of bins: The number of bins used to bin the data.
  • Initial value: The starting value of the first bin. The first bin includes this value.
  • Width: The numerical width of each bin.


Add Bins

Define and add a bin to the Defined Bin Size list in the Specify Bins dialog. You can add up to 100 bins.

  • Bin number: Select the number of the bin you want to create and add to the bin list.
  • From/To: Specify the bin range of values. Values greater than or equal to the From value, and less than the To value, are included in the bin.


Edit Bins

Edit the selected bin in the Defined Bin Size list in the Specify Bins dialog.

  • Bin number: Reports the number of the bin to edit in the bin list.
  • From/To: Specify the bin range of values. Values greater than or equal to the From value, and less than the To value, are included in the bin.


Event State Filter

Use this dialog to exclude events with state "B" (brief) and/or "S" (suppressed) from analysis.

The Event State Filter is accessed from all the Event Analysis analyses.

  • Exclude Brief Events: Select to exclude brief events from the analysis.
  • Exclude Suppressed Events: Select to exclude suppressed events from the analysis.

  • Column: Select the sheet and column you want to get state information from, from the Select Column dialog.

    The usual selection will be the State column on the Events sheet.


Event Detection

You are here: Menu Reference > Event Detection

Event Detection Menu

Go to topics about the Event Detection menu options:

  • Create Template
  • Template Search
  • Threshold Search
  • Single-Channel Search
  • Population Spike Search
  • Action Potential Search
  • Open Search Protocol
  • Save Search Protocol
  • Restore all Hidden Events
  • Show Suppressed Events
  • Deselect All
  • Search parameters
  • Define Graphs
  • Event Viewer
  • Event Monitor
  • Process Selection
  • Event Statistics
  • Accept
  • Reject
  • Suppress
  • Accept and Tag
  • Undo
  • Find Event
  • Nonstop
  • Accept Entire Category
  • Stop
  • Go to Current Event
  • Clear All
  • Restart
  • Quit Event Detection


Create Template

Analysis Window: Event Detection > Create Template

The Create Template panel allows you to create a template of a particular type of waveform shape, which can then be used for event detection with Template Search. The template is created by averaging actual events identified from within a data file.

The Create Template command is enabled when a data file is open in an active Analysis window. Once the panel is open, all traces in all signals in that file can be used for template creation, but not from any other file. Stretches of data visible in the upper "Source window" are sized and aligned for addition to the template. On addition, the event is transferred to the lower "Template window" where it is averaged with previously added data, creating the template. The file containing the averaged trace can then be saved as an ATF file for opening later in Template Search.

This Help topic contains command-specific help for the Create Template dialog. First-time users are directed to How to Create a Template for Event Detection.

Create Template is a dockable dialog.

Source

When the trace contains fewer than 5000 samples, the Source window shows the active trace between cursors 1 and 2 in the Analysis window.

The Source and Template windows are linked so that any scaling or scrolling changes in one are mimicked in the other.

  • Nudge buttons [ < ] [ > ]: Use these buttons to shift the trace visible in the Source window left or right, to line up with the template trace below.

    For events found automatically, or after using the Align button, manual alignment should not be necessary, but you may want to tweak the results of automatic alignment or align entirely manually with these buttons. Alternatively, move cursors 1 and 2 in the Analysis window with the right and left arrow buttons on the keyboard.

  • Align: When there is a trace in the Template window, Align shifts the Source window trace left or right in order to line it up with the Template trace. It finds the halfway points between the baseline and peak in the rising edges of the events and aligns these.

    If an event in the Source window was found automatically, it will already be aligned. You can make fine adjustments after automatic alignment using the Nudge buttons.

  • Add: Click Add to include the trace in the Source window in the template.

    The first time Add is used in a session it locks cursors 1 and 2 in the Analysis window so that subsequently found events are of the same size.

    When the Template window is empty, Add transfers the Source window trace to it.

    When there is already a trace in the Template window, Add averages the new trace with the template trace, sample-for-sample, weighting the new trace so that the resulting template is a simple average of all the traces that have been added to the template.

    If Find next after add is checked, the file is automatically searched for the next likely event, which is then displayed in the Source window.

  • Next: Click Next to automatically find the next likely event in the file, which is displayed in the Source window.
  • Find next after add: When selected, the next likely event is automatically found and displays in the Source window after use of Add. When it is not checked, the Source window retains the last event after clicking Add, and you must click Next to locate the next likely event, or search manually in the Analysis window by moving the cursors.

Template

The Template window displays the average of the trace ranges added from the Source window, which can be saved as a template.

  • Undo: Click Undo to return the Template window to prior states. You can remove events added from the Source window, or return to a trace you had prior to using the Clear button.
  • Clear: This button clears the Template window entirely.
  • Save As: Click Save As to open a standard file dialog to save the trace in the Template window as an ATF file.
Cancel/Close

When a template is saved, the Cancel button label changes to Close. Clicking Close closes the Create Template panel and then automatically opens Template Search.


Template Search

Analysis Window: Event Detection > Template Search

Configure template-based event searches in the Template Search dockable panel. The panel includes options for defining event boundaries and baselines, curve fitting, and calculation of event statistics.

To use Template Search you must have already created at least one template file suitable for the file you want to search, with Event Detection > Create Template. The template defines a shape that is searched for in the file. Event amplitudes are not relevant to the finding of matches (unless Match template amplitude is selected), but event durations are.

Template Search is run on one data file at a time—open the file into an Analysis window then open the search panel. The Event Detection toolbar is inserted into the selected Analysis window when the search panel opens. Events data are written to the Events sheet in the Results window.

Closed Template Search Data Recorded in Results Window

Each event that is accepted (also suppressed events if Event Detection > Show Suppressed Events is on) is reported on the Events sheet in the Results window, one line per event. Where a curve has been fitted, the measurements reported here are from the fitted curve and not the raw data. The following data are reported in columns A–BG:

  • Trace: The sweep number for the event.
  • Search: The search number, depending on the number of restarts in the search session.
  • Category: Which search category the event was found in.

  • State: Events found in a threshold search can have one of two event states:

    • A: Accepted
    • S: Suppressed
  • Tag: T indicates the event was tagged when accepted.
  • Event Start Time: Time after the start of the sweep that the event began.
  • Event End Time: Time after the start of the sweep that the event finished.
  • Baseline: Absolute baseline amplitude, as set. Other amplitude values reported (peak, antipeak and half-amplitude) are relative to this. If the baseline was set in the Analysis window all events in the sector will have the same baseline amplitude—if set in the template they are likely to vary.
  • Peak Amp: The amplitude of the point in the event that is furthest from the baseline (in the selected direction: positive or negative), relative to the baseline amplitude.
  • Time to Peak: Time from the start of the event to the peak.
  • Time of Peak: Time of the peak point from the start of the sweep.
  • Antipeak Amp: Amplitude of the point in the event furthest (in amplitude) from the peak. Amplitude is relative to the baseline amplitude.
  • Time to Antipeak: Time from the start of the event to the antipeak.
  • Time of Antipeak: Time of the antipeak point from the start of the sweep.
  • Half-width: The period between the trace's crossing the half-amplitude point in its rising and decaying stages. The cross-over point nearest the peak is used in each case. Times at which the half-amplitude threshold is crossed may be calculated as falling between data points.
  • Half-amplitude: Half the peak amplitude (which is amplitude relative to the baseline).
  • Time to Rise Half-amplitude: Time from the start of the event to the half-amplitude crossing in the rising stage. The half-amplitude crossing nearest the peak is used.
  • Time to Decay Half-amplitude: Time from the start of the event to the half-amplitude crossing in the decaying stage. The half-amplitude crossing nearest the peak is used.

  • Rise Tau: Time constant for the rising section of the event (from start to peak). There are three ways this value may be derived:

    • If no smoothing is selected, raw data points in the "Calculate taus from ..." amplitude range are Chebyshev fitted with a single exponential equation and taus derived from this.
    • If Sum of exponentials smoothing is selected, the same procedure as for no smoothing is followed, except fitted data points are used instead of raw data points.
    • If Product of exponentials smoothing is selected, values are derived directly from the fit formulae.
    • If there are insufficient points in the nominated range for tau calculation, "Not found" is reported.
  • Decay Tau: Time constant for the decay section of the event (from peak to end). Derivation as for rise tau.

  • Max Rise Slope:The maximum rate of amplitude increase, such as towards the peak, occurring between the event start and peak. If two sections of trace have the same increase rate the section nearest the peak is reported.

  • Time to Max Rise Slope: Time from the start of the event to the midpoint between the two points during which the maximum rise occurred.
  • Max Decay Slope: The maximum rate of amplitude decrease, such as away from the peak, occurring between the peak and event end. If two sections of trace have the same decay rate the section nearest the peak is reported.
  • Time to Max Decay Slope: Time from the start of the event to the midpoint between the two points during which the maximum decay occurred.
  • Rise Slope 10% to 90%: Rate of increase in the rising stage of the event. The trace is searched from the peak to the event start. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Rise Time 10% to 90%: The time between the trace's crossing 10% and 90% of the baseline-to-peak amplitude range in the rising stage of the event.
  • Decay Slope 90% to 10%: Rate of decay in the decay stage of the event. The trace is searched from the peak to the event end. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Decay Time 90% to 10% : The time between the trace's crossing 90% and 10% of the baseline-to-peak amplitude range in the decay stage of the event.
  • Area: The area bound by the event data trace and the baseline. In the case of bipolar events the "negative" area is added to the "positive" area, so a total area of zero is possible.

    Area is calculated using simple summation of points within the event. For example, with an event from sample ten to sample sixteen, the sample-to-baseline amplitudes of each of the seven sample points in the range are summed, and multiplied by the sampling interval. Thus the area in the interval to the right of the final point is included.

  • Inst. Freq.: Event frequency at the rate of the current and the previous event , such as the reciprocal of the Interval.
  • Interevent Interval: The period between the peaks of the current and the previous event.
  • S.D. of Fit: Where a curve has been fitted to the event, this column gives the standard deviation of the fit.
  • Template Match: This value measures how well the event matches the template: the higher the value the better the match. This is the same parameter set in Template match threshold.

If graphs have been configured for the search (Define Graphs), the columns following column BG report data for these. The columns are in three groups:

  • G1–4, Midpoint & Bin Count, Cat 1–9: These columns are used for histogram data. The graph number is given first (G1, etc.), then there are columns reporting the midpoint of each bin, and the number of points in each bin, for each level.
  • G1–4, ScPlot X & ScPlot Y, Cat 1–9: These columns are used for scatter plot data. The graph number is given first, then columns for each of the selected X and Y parameters, for each level.
  • g1–4, ScPlot X & ScPlot Y, Cat 1–9 (selected): These columns report the X and Y coordinates of points in a scatter plot that have been selected.

Search configurations can be saved with Event Detection > Save Search Protocol.

This topic has sections:

  • Category
  • Template Definition
  • Fitting
  • Search Region

See also How to Configure a Template Search and Event Detection Overview.

Category

You can define up to 9 different search categories within the Search Region. Searches for all enabled categories are performed simultaneously.

To define a search, select a search category number (1– 9) with the spinner, then check the check box to enable a search for that category number. The search parameters for the category are configured with the remainder of the fields in the panel.

When search results are displayed in the Analysis window, they are color-coded according to category.

  • Reset All: Click this button to disable all categories and revert all settings to their default values.
  • Positive-going / Negative-going: Select Positive-going if searching for events with upward-pointing peaks, Negative-going for events with downward-pointing peaks.

  • Allow multiple categories per event: For events that meet the search criteria of more than one category, this option determines either:

    • When deselected (default), the events are accepted once only into the category of best match.
    • When selected, the events are accepted more than once into all the categories for which they qualify.

Template Definition

Select and configure template settings in this group.

  • Template: Select the search template for this category from the Load Template dialog box, opened with this button. The template is displayed in the template window below. Load Template is a standard file dialog.
  • Variable amplitude template: Select this option in order that peak amplitude is included as a matching criterion in the detection of events.

  • Template window: A mini-Analysis window with many of the configuration options available for standard Analysis windows. Right-click in the pane to access these. Similarly, right-click on the cursors for cursor options.

    The search template displays with two vertical "analysis region" cursors, and, depending on the Set Baseline selection below, one horizontal baseline marker.

    Drag the analysis region cursors to set event boundaries. Clampfit software searches for shapes similar to the whole of the template, but after these are found it takes all statistics, including start and end times, from the range you define with these cursors.

    If In template is selected in the Set Baseline group below the window, set the event baseline in this window by dragging the horizontal marker.

  • Set Baseline: There are 2 options for setting baselines. The field to the right reports the baseline value.

    • In template: The baseline is set in the template window by dragging the horizontal marker, or by entering a value in the field. This value is drawn from the scaling in the template window, which, by default, is not visible. Drag out the left-hand side of the window to view.

      This option links the baseline to the template. When events in the data file are matched to the template, the template is positioned with respect to amplitude as well as time, in order to get the closest match. The reported baseline then, for each event, can fall at a different absolute value (in terms of the Y axis in the file being searched).

    • In analysis window: The baseline is set in the Analysis window. Drag the horizontal marker (labeled "0") in the Analysis window, or enter a value in the field.

      This option sets an absolute baseline that remains constant for all events that are found, for all search categories.

  • Bring marker: If the horizontal baseline marker is not visible in the template or Analysis window, depending on where you have elected to set the baseline. click this button to bring it into view.

  • Template match threshold: The value entered here determines the degree of similarity an event must have to the template to be found in the search. The higher the value the more similar events need to be in order to be found, while a lower value increases the chance of false positives. The default value, 4, has been found to provide a good balance.

Fitting

Enable Fitting in order to fit curves to found events (displayed in the Analysis window). Event parameters reported in the Results window are then calculated from the curves, not the raw data. The standard deviation of the fit is also calculated. There are 2 fitting options:

  • Product of exponentials: Select this option to apply exponential product fit curves to found events.

The "Calculate taus ..." control is disabled when this option is selected, as the product of exponentials fit provides rise and decay tau values.

  • Sum of exponentials: Sum of exponentials curves are fitted to events, using the number of terms selected with the spinner. 2 – 6 terms can be entered.

Calculate taus from [ ] % of peak

Set the proportion of the rising and decaying phases of the trace, within an event, that is used to calculate rise and decay time-constants.

By considering only the midsections of rising and falling phases we can get a curve more amenable to calculation of tau values. The value entered with the spinner is a percentage of the amplitude range from the first value of the event to the peak value. This proportion of the trace is then removed from both the peak and baseline ends of the rise and decay phases, and the remaining section used for derivation of the time constants for each.

The Calculate taus ... field is disabled when Product of exponentials is selected as the fitting method, as the formulae for the fitting curves provide tau values directly without further fitting required.

Not found is reported for rise and decay time-constants when there are insufficient samples in the delimited range to find these values.

Search Region

Select

Select the signals and traces you want to search from the Select Traces dialog, opened with the Select button. The current selection is reported beside the button.

Note: For sweeps data, you can view one trace at a time in the Analysis window (press <Enter>), but search the entire file, viewing the traces in order as they are searched, by selecting All traces (including hidden).

Define the time range you want to search in the list. You can search the Full trace, between cursors, or, for episodic stimulation files, a particular epoch.


Threshold Search

Analysis Window: Event Detection > Threshold Search

Use the Threshold Search dockable panel to configure event searches based on amplitude threshold-crossings. The panel has optional fields for dealing with signal noise, defining event boundaries, curve fitting, and calculation of event statistics.

Threshold Search is run on one data file at a time—open the file into an Analysis window then open the search panel. The Event Detection toolbar is inserted into the selected Analysis window and horizontal threshold "markers" introduced to the data area. At a minimum, the baseline (label "0") and Trigger (label "2") markers must be set appropriately. Events data are written to the Events sheet in the Results window.

Closed Threshold Search Data Recorded in Results Window

Each event that is accepted (also suppressed events if Event Detection > Show Suppressed Events is on) is reported on the Events sheet in the Results window, one line per event. Where a curve has been fitted, the measurements reported here are from the fitted curve and not the raw data. The following data are reported in columns A–BG:

  • Trace: The sweep number for the event.
  • Search: The search number, depending on the number of restarts in the search session.
  • Category: Which search category the event was found in.

  • State: Events found in a threshold search can have one of two event states:

    • A: Accepted
    • S: Suppressed
  • Tag: "T" indicates the event was tagged when accepted.
  • Event Start Time: Time after the start of the sweep that the event began.
  • Event End Time: Time after the start of the sweep that the event finished.
  • Baseline: Absolute baseline amplitude, as set. Other amplitude values reported (peak, antipeak and half-amplitude) are relative to this.
  • Peak Amp: The amplitude of the point in the event that is furthest from the baseline (in the selected direction: positive or negative), relative to the baseline amplitude.
  • Time to Peak: Time from the start of the event to the peak.
  • Time of Peak: Time of the peak point from the start of the sweep.
  • Antipeak Amp: Amplitude of the point in the event furthest in amplitude from the peak. Amplitude is relative to the baseline amplitude.
  • Time to Antipeak: Time from the start of the event to the antipeak.
  • Time of Antipeak: Time of the antipeak point from the start of the sweep.
  • Half-width: The period between the trace's crossing the half-amplitude point in its rising and decaying stages. The cross-over point nearest the peak is used in each case. Times at which the half-amplitude threshold is crossed may be calculated as falling between data points.
  • Half-amplitude: Half the peak amplitude, which is amplitude relative to the baseline.
  • Time to Rise Half-amplitude: Time from the start of the event to the half-amplitude crossing in the rising stage. The half-amplitude crossing nearest the peak is used.
  • Time to Decay Half-amplitude: Time from the start of the event to the half-amplitude crossing in the decaying stage. The half-amplitude crossing nearest the peak is used.

  • Rise Tau: Time constant for the rising section of the event (from start to peak). There are three ways this value may be derived:

    • If no smoothing is selected, raw data points in the "Calculate taus from ..." amplitude range are Chebyshev fitted with a single exponential equation and taus derived from this.
    • If Sum of exponentials smoothing is selected, the same procedure as for no smoothing is followed, except fitted data points are used instead of raw data points.
    • If Product of exponentials smoothing is selected, values are derived directly from the fit formulae.
  • Decay Tau: Time constant for the decay section of the event (from peak to end). Derivation as for rise tau.
  • Max Rise Slope: The maximum rate of amplitude increase, such as towards the peak, occurring between the event start and peak. If two sections of trace have the same increase rate the section nearest the peak is reported.
  • Time to Max Rise Slope: Time from the start of the event to the midpoint between the two points during which the maximum rise occurred.
  • Max Decay Slope: The maximum rate of amplitude decrease, such as away from the peak, occurring between the peak and event end. If two sections of trace have the same decay rate the section nearest the peak is reported.
  • Time to Max Decay Slope: Time from the start of the event to the midpoint between the two points during which the maximum decay occurred.
  • Rise Slope 10% to 90%: Rate of increase in the rising stage of the event. The trace is searched from the peak to the event start. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Rise Time 10% to 90%: The time between the trace's crossing 10% and 90% of the baseline-to-peak amplitude range in the rising stage of the event.
  • Decay Slope 90% to 10%: Rate of decay in the decay stage of the event. The trace is searched from the peak to the event end. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Decay Time 90% to 10%: The time between the trace's crossing 90% and 10% of the baseline-to-peak amplitude range in the decay stage of the event.

  • Area: The area bound by the data trace and the baseline, during the event. In the case of bipolar events the "negative" area is added to the "positive" area, so a total area of zero is possible.

    Area is calculated using simple summation of points within the event. For example, with an event from sample ten to sample sixteen, the sample-to-baseline amplitudes of each of the seven sample points in the range are summed, and multiplied by the sampling interval. Thus the area in the interval to the right of the final point is included.

  • Inst. Freq.: Event frequency at the rate of the current and the previous event, such as the reciprocal of the Interval.
  • Interevent Interval: The period between the peaks of the current and the previous event.
  • S.D. of Fit: Where a curve has been fitted to the event, this column gives the standard deviation of the fit.

If graphs have been configured for the search (Define Graphs), the columns following column BG report data for these. The columns are in three groups:

  • G1–4, Midpoint & Bin Count, Cat 1–9: These columns are used for histogram data. The graph number is given first (G1, etc.), then there are columns reporting the midpoint of each bin, and the number of points in each bin, for each level.
  • G1–4, ScPlot X & ScPlot Y, Cat 1–9: These columns are used for scatter plot data. The graph number is given first, then columns for each of the selected X and Y parameters, for each level.
  • g1–4, ScPlot X & ScPlot Y, Cat 1–9 (selected): These columns report the X and Y coordinates of points in a scatter plot that have been selected.

Search configurations can be saved with Event Detection > Save Search Protocol.

This topic has sections:

  • Category
  • Event Finding
  • Pretrigger and Post-Trigger Lengths
  • Event Rejection
  • Fitting
  • Search Region

See also How to Configure a Threshold Search, and Event Detection Overview.

Category

You can define up to 9 different search categories within the Search Region. Searches for all enabled categories are performed simultaneously.

To define a search, select a search category number (1– 9) with the spinner, then check the check box to enable a search for that category number. The search parameters for the category are configured with the remainder of the fields in the panel (but note that all categories use the same baseline value).

When search results are displayed in the Analysis window, they are color-coded according to their category.

  • Reset All: Click to disable all categories and revert all settings to their default values.
  • Positive-going / Negative-going: Select Positive-going if searching for events with upward-pointing peaks, Negative-going for events with downward-pointing peaks.

Event finding

Use this group of controls to set threshold levels and compensate for signal noise. Baseline and Trigger thresholds must be set, while the other threshold settings are optional (as are all remaining options in the Category group).

Threshold levels can be set numerically in the fields in this group, or by dragging the markers in the Analysis window.

  • Bring Markers: Brings the threshold markers into view in the Analysis window. Only the enabled threshold markers display, in order, according to whether a Positive-going or Negative-going event search is selected.

  • Baseline (Identifier B): Enter the Baseline level in this field, or drag the marker to set it. All events statistics and the 3 threshold settings, Re-arm, Trigger, and Reject are relative to the Baseline value.

    When the baseline marker is moved, the other 3 markers also move to retain their relative positions.

    N.B. all search categories use the same baseline.

  • To Re-arm (Identifier A): When Re‑arm is enabled, the trace, after it has crossed the Trigger threshold to start an event, must cross the Re‑arm threshold to end the event and re-arm event detection to find a new event.

    The Re‑arm value cannot exceed the Trigger value. Re-arm values are relative to the Baseline.

    If Re‑arm is not enabled, events end when the Trigger threshold is recrossed.

  • Trigger (Identifier T): The trace crossing the Trigger threshold is the primary determinant of an event. With no other fields set in the Category group, apart from Baseline, every Trigger crossing, and only these, constitutes the start and end, on recrossing of an event.

    Trigger values are relative to the Baseline value. They are thus always positive when Positive‑going peak detection are selected, and negative for Negative‑going detection.

  • Reject (Identifier R): The Rejection setting is an outer threshold limiting the amplitude range of searched-for events. It must be set beyond the Trigger threshold, relative to the baseline. If the trace crosses the Rejection threshold, the trigger-crossing before this is not considered to have started an event because the trace must return to a level below the re-arm (or trigger) threshold before a new event can be found.

    Rejection values are not absolute, but relative to the Baseline value.

  • Noise rejection (ms): Set a noise rejection period to mitigate the effects of signal noise. With noise rejection set, the trace must cross an event starting or ending threshold, such as the trigger or re-arm threshold, for longer than the noise rejection period in order that an event is started or ended at the crossing time (see illustration).

    In the illustration, at trigger-crossing A, the trace remains above the threshold for the 5 ms noise rejection setting, thus an event is started. At trigger-crossing B (equivalent to a Re-arm crossing if Re-arm is enabled) the trace does not remain under the threshold for 5 ms, so the event is not ended. This is the case for following threshold crossings (unlabeled), until crossing C. The trace remains below the threshold for 5 ms after C, so C is the point at which the event is ended.

    In this example, with no noise rejection setting, each of the peaks over the Trigger threshold would be found as an event.

Pretrigger and post-trigger lengths

Extend the length of events beyond the section that crosses the trigger, or trigger and re-arm, thresholds.

  • Pretrigger (ms): Enter a period immediately before a trigger crossing, to add to the found event.
  • Post-trigger (ms): Enter a period immediately following a trigger recrossing, or re-arm crossing if this has been set, to add to found events.

Event rejection

Options in this group provide a second level of filtering for the event search, based on event duration. After events are defined in terms of starting and finishing times (with the threshold and noise rejection settings made in the Event Finding group above), you can choose to reject events with durations less than and/or greater than limits set here.

  • Min allowed duration (ms): Select and enter a value in milliseconds so that only events equal to or longer than this are found in the search.

    The period set in this field refers to the portion of an event spent beyond the triggering and re-arming thresholds. It does not apply to the longer duration an event is given if pretrigger and/or post-trigger periods have been set.

  • Max allowed duration (ms): Select and enter a value in milliseconds so that only events equal to or shorter than this are found in the search.

    The period set in this field refers to the portion of an event spent beyond the triggering and re-arming thresholds. It does not apply to the longer duration an event is given if pretrigger and/or post-trigger periods have been set.

Fitting

With Fitting, curves are fitted to found events and event parameters are calculated from these. The standard deviation of the fit is also calculated. There are 2 fitting options:

  • Product of exponentials: Select this option to apply exponential product fit curves to found events.

    The formulae used for this fitting method directly yield rise and decay tau values for each event (without the need for a further curve to be fitted) so the "Calculate taus ..." control is disabled when this option is selected.

  • Sum of exponentials: Sum of exponentials curves are fitted to events, using the number of terms selected with the spinner. 2–6 terms can be entered.
Calculate taus from [ ] % of peak

Set the proportion of the rising and decaying stages of the trace, within an event, that is used to calculate rise and decay time-constants.

By considering only the midsections of rising and falling phases we can get a curve more amenable to calculation of tau values. The value entered with the spinner is a percentage of the range from the first value of the event to the peak value. This proportion of the trace is then removed from both the peak and baseline ends of the rise and decay phases, and the remaining section used for derivation of the time constants for each.

The "Calculate taus ... " field is disabled when Product of exponentials is selected as the fitting method, as the formulae for the fitting curves provide tau values directly without further fitting required.

"Not found" is reported for rise and decay time-constants when there are insufficient samples in the delimited range to find these values.

Search Region

Select

Select the signals and traces you want to search from the Select Traces dialog, opened with the Select button. The current selection is reported next to the button.

Note: For sweeps data, you can view one trace at a time in the Analysis window (press <Enter>), but search the entire file, viewing the traces in order as they are searched, by selecting "All traces (including hidden)".

Define the time range you want to search in the list box. You can search the Full trace, between cursors, or, for episodic stimulation files, a particular epoch.

Note: Events are found only if they both start and end within the specified region.


Single-Channel Search

Analysis Window: Event Detection > Single-Channel Search

Use the Single-channel Search dockable panel to configure searches for channel openings and closings in single-channel data files. Searches are threshold‑based. Set levels at amplitudes where steps in the trace indicate channels opening and closing. The search then divides the trace into sections at each level, taking the level nearest to the trace at any time. A continuous section of trace at one level is an "event", recorded in the Events sheet in the Results window. Each event has an "idealized" duration and amplitude (the mean amplitude of the samples in the duration, less end points affected by filtering), represented by a straight horizontal line placed over the corresponding section of trace. You can accept these duration and amplitude values (found in accord with your search configuration) or adjust them manually as the search progresses (by dragging the lines marking them in the Analysis window).

Unless you have Latency Mode enabled, the first and last "events" in each sweep are ignored, because their start and end times are unknown. First and last "events" are included when Latency Analysis is enabled, because the dwell time of the first event (typically, at level 0) is the latency.

Closed Single-channel Search Data Recorded in Results Window

Each event that is accepted (also suppressed events if Event Detection > Show Suppressed Events is on) is reported on the Events sheet in the Results window, one line per event. The following data are reported in columns A–K:

  • Trace: The sweep number for the event.
  • Search: The search number, depending on the number of restarts in the event detection session.
  • Level: The level whose range this event lies in.

  • State: Single-channel events can have one of five event states:

    • A: Accepted
    • AT: Accepted and tagged
    • S: Suppressed
    • B: Brief event
    • M: Manually adjusted event
  • Event Start Time: Time after the start of the sweep (episodic stimulation), or the file (other acquisition modes) that the event began, or if latency analysis is applied, time after the start of the search region.
  • Event End Time: Time after the start of the sweep (episodic stimulation), or the file (other acquisition modes) that the event finished, or if latency analysis is applied, time after the start of the search region .
  • Amplitude: The mean amplitude of the samples within the event (barring filter-affected end samples, see Brief Events in Single-channel Searches). If the event includes points outside the range of the event's level (ignored because of an Ignore short level changes setting, or because a candidate event was rejected), those points are not included in the calculation of the amplitude.
  • Amp S.D.: The standard deviation of the sample amplitudes.
  • Dwell Time: The duration of the event. If the file was recorded in variable or fixed length modes, this includes the time between sections of recorded data, on the assumption that sweeps in these modes end and start at the baseline level, and that all intervening (unrecorded) data will also have been at this level.
  • Inst. Freq.: The instantaneous frequency of the event—the inverse of the time between the start of the current event and the start of the last event of the same level (within a sweep).
  • Interevent Interval: The interval between the start time of the event and the start time of the last event at the same level.

If graphs have been configured for the search (Define Graphs), the columns following column K report data for these. The columns are in three groups:

  • G1–4, Midpoint & Bin Count, Lev 0–8: These columns are used for histogram data. The graph number is given first (G1, etc.), then there are columns reporting the midpoint of each bin, and the number of points in each bin, for each level.
  • G1–4, ScPlot X & ScPlot Y, Lev 0–8: These columns are used for scatter plot data. The graph number is given first, then columns for each of the selected X and Y parameters, for each level.
  • g1–4, ScPlot X & ScPlot Y, Lev 0–8 (selected): These columns report the X and Y coordinates of points in a scatter plot that have been selected.

The configuration panel includes options to compensate for signal drift and to ignore short level-changes. It also includes an option for latency analysis, allowing you to ignore events for a specified time at the start of the search region.

Single-channel Search can be run on only one data file at a time, though multiple searches can be carried out within a session. Open the file into an Analysis window then open the search panel. Complete the configuration panel then click OK to start the search.

Search configurations can be saved with Event Detection > Save Search Protocol.

This topic has sections:

  • Levels
  • Update levels automatically
  • Ignore short level changes
  • Latency Mode
  • Search Region

See also How to Configure a Single-channel Search and Event Detection Overview.

  • Reset All: Click to clear all settings in the panel.

Levels

Use this section to set amplitude levels. The levels are displayed as horizontal markers in the Analysis window, and their values reported in the dialog. They can be set in either location by dragging the markers or by entering specific values in the dialog.

Set levels close to the steps in the file that are likely to indicate channel openings and closings. Each data sample is attributed to the level nearest to it.

  • Level 0: Set the baseline level, near the amplitude of least current flow. Set by dragging the "0" marker in the Analysis window, or by entering a specific current value in the field.

  • Level [ ]: The field here reports the relative amplitudes of all levels enabled for the search, other than the baseline (level 0). Select a level with the spinner to see its current setting, relative to the baseline.

    To set a level select the level number with the spinner and enter a value in the field, or drag the corresponding marker in the Analysis window. Selecting a marker in the Analysis window displays the settings for that level in the dialog.

    Levels must be positioned in ascending or descending order from the baseline.

  • Make: Click this button to create a new level (up to number eight). A marker is added to the Analysis window and the new level is selected in the "Level [ ]" display.

    New levels are always created in numeric order and positioned beyond the highest level already created, such as away from the baseline. When level 2 is created, it defaults to a relative amplitude double that of level 1. Similarly, level 3 will be three times the level 1 amplitude, and so on, so that the levels are regularly spaced. If existent levels are irregularly spaced, new levels are added at a distance from the previous level that is the average of the existent level differences.

  • Remove: Click to remove a level. The highest-numbered level is always removed. You cannot select a lower level and remove it.
  • Bring: Click to bring all level markers into view in the Analysis window.

Update levels automatically

Select so that the levels you have set in the fields above are automatically adjusted to compensate for drift in the trace. You must select whether to keep the levels locked relative to one another (following baseline drift only) or have them update independently. You must also select a weighting to determine how quickly trace drift is responded to.

  • Update baseline, keep deltas: When selected, the baseline (level 0) setting shifts to follow drift in the baseline signal. Other levels keep their amplitudes relative to the baseline.
  • Update all levels independently: Each level setting updates independently.

  • Level contribution (%): Determines how much the amplitude of a new event influences the running average amplitude for the level of the event.

    For example, with an existing level of 10.0 pA, a new event with amplitude 10.5 pA, and 10 % level contribution setting, the new level is:

    (0.9 x 10.0 pA) + (0.1 x 10.5 pA) = 10.05 pA

    Note: Short events are weighted less than the value you set, so that if in this example the 10.5 pA level is maintained for only a short period, it makes less than 10% contribution. On the other hand, all events longer than the duration determined to be "short" for the file make equal contributions.

    An event's being classified as short or not depends on the sampling and filtering rates at which it was recorded. As an example, for a file recorded with a sampling interval of 400 ms (2500 Hz), and 500 Hz lowpass filter setting, any event with less than 40 samples (16 ms) qualifies as short. See the pCLAMP Data Acquisition and Analysis Software v11.2 User Guide, Chap. 10, for a full description of the algorithm used to define short events.

Ignore short level changes

Select to ignore rapid deviations of the trace out of the range of the current level. You must set the time allowed out of the range before a level change is registered and the current event ended.

  • Ignore duration: Set the period that the trace can be outside the range of the current level before a level change is registered and the current event ended.

  • Ignore from level: The Ignore short level changes option can be applied for all levels, or one only. Make your selection from this list box.

    For example, if you select level 1 here, deviations out of the level 1 range, both to the baseline and level 2, are ignored unless they are for longer than the Ignore duration. On the other hand, all deviations, however short, out of the other levels, are registered as events.

Latency Mode

Check this option to allow measurement of latencies (the time between a stimulus and the response to this) in episodic stimulation files. When this option is selected:

  • the event start and end times reported to the Events sheet are measured from the start of the search region, and not from the start of each sweep as is normally the case, and

  • incomplete first and last events in each sweep are recorded.

The dwell time for the first event in each sweep (usually at level 0) is taken to be the latency for that sweep in subsequent latency analysis (Analyze > Event Analysis > Latency).

How to measure latencies

  1. In the data file, position cursor 1 (or the first of any cursor pair) at the time of the stimulus.

    There are two ways to accurately place the cursor at the start of the stimulus:

    • Reveal the stimulus waveform as a separate signal in the Analysis window (Edit > Create Stimulus Waveform Signal), and align the cursor with the onset of the stimulus pulse. You can hide the stimulus waveform after this.
    • If you know that the stimulus begins in a particular epoch, open Cursor Properties by double-clicking in the cursor bar in the Analysis window, select the cursor you want and then use the Epoch > Move To option, selecting the appropriate epoch start in the list box.
  2. Set cursor 2 (or the second of the cursor pair) at the end of the region you want to search.
  3. Select the Latency Mode check box, to measure event start times from the search region start rather than sweep start, and to record the first and last events in each sweep.
  4. Set an Ignore initial duration to avoid transients being measured as the first evoked response.
  5. In the Search Region field, select Cursors 1..2 (or the cursor pair you used above).
  6. Run the search as normal.

Ignore initial duration: Enter a duration following the start of the search region during which events are not recognized.

The dwell time of the first event is still measured from the start of the search region, and not from the end of the ignored duration.

This setting is typically used to avoid capacitance transients following stimulation. By setting an Ignore initial duration setting that includes the time during which the transients occur, level changes due to cell activity are found and latencies to these measured, rather than to the transients.

Search Region

Select: Select the signals and traces you want to search from the Select Traces dialog, opened with the Select button. The current selection is reported beside the button.

For sweeps data, you can view one trace at a time in the Analysis window (press <Enter>), but search the entire file, viewing the traces in order as they are searched, by selecting All traces (including hidden).

Define the time range you want to search in the list box. You can search the Full trace, between cursors, or, for episodic stimulation files, a particular epoch.


Population Spike Search

Analysis Window: Event Detection > Population Spike Search

Population spikes are electrical signals that are generated by the synchronous firing of groups of closely spaced neurons that receive synaptic inputs simultaneously. The action potentials generated by this group of neurons produce a relatively large electrical potential (field potential) that can be easily detected by extracellular recording.

Distant to the focal site of the population spikes, a different signal is generated, which corresponds to a summation of the Excitatory Post‑Synaptic Potentials (EPSP) resulting from the simultaneous release of neurotransmitter at the synaptic sites. This signal can also be detected by extracellular recording, and is characterized by a smaller initial potential difference preceding the population spike. This signal is referred to as a “field” excitatory post-synaptic potential (fepsp), and is mostly obscured by the population spike.

Also, a stimulus artifact is typically detected in the signal. This artifact is due to the propagation of an electrical stimulus focally applied to a region some distance from the recording electrode.

The components of the population spike signal are shown in Figure 1. In this recording, there are two occurrences of population spike firing spaced closely together.

Figure 1: The Population Spike and Field EPSP

The event detection algorithm in Clampfit software is optimized to detect and characterize population spike event with single or multiple peaks.

The Population Spike Search functionality enables you to set up specific search criteria and to select specific measurements.

The Population Spike Search feature is an option in the Event Detection menu. See Event Detection. This option becomes available when a data file is imported.

The dockable tool panel contains the options for displaying the specified search region and a control for selecting one or more data traces for analysis. This tool panel can be docked at either side of the Analysis window by clicking on it and dragging it with your cursor. It can also be undocked and docked by double‑clicking on it.

Tool panel has two tabs. The settings include:

Event Finding Tab Settings

The Event Finding tab includes the options for configuring the detection parameters.

  • Event Polarity:
    • Positive-going—identifies a positive signal excursion with the “peak” located above the baseline (positive peak).
    • Negative-going—identifies a negative signal excursion with the “peak” located below the baseline (negative peak). This is the typical choice for population spike analysis.
  • Search vector length—sets the length in number of samples of positive-going and negative-going slope vectors that are used to analyze the contours and minima/maxima of the signal in conjunction with data point amplitudes and point-to-point slopes. This setting is at the center of the detection algorithm. Some experimentation with this setting might be necessary.

  • Stimulus rise time—as needed, manually sets the stimulus rise time to a slower speed when the stimulus artifact is too slow for the default 80 mV/ms value.

    • Auto—sets the value to default 80 mV/ms.
  • Bring Markers—displays the horizontal level markers.
  • Upper bound—sets horizontal marker U. Events over this level are ignored.
  • Baseline—sets horizontal marker B. The level of no activity.
  • Event trigger—optional horizontal level marker. When selected for use, this level sets horizontal level marker T, which allows the segregation of events based on amplitude.
  • Lower bound—sets horizontal marker L. Events below this level are ignored.
  • Width c1-c2—the temporal width of the search region. Display only.
  • Marker Value Display Mode:
    • Relative to baseline—has no affect on the detection routine. When selected, displays the absolute values as they appear on the vertical axis of the data window.
    • Absolute—has no affect on the detection routine. When selected, displays the values in the upper, lower and trigger level fields as the distance of excursion from the baseline.
  • Ignore region—sets cursors 3 and 4. These regions are identified as a dotted line, which can be seen when moving the cursors. The event search ignores points between cursors 3 and 4. You can specify any number of ignore regions. Use for fine-tuning the event detection.
  • Noise Rejection:
    • Minimum amplitude—events with amplitudes below this value are rejected as noise. This is different than the Minimum event amplitude option.
    • Minimum duration—events with durations shorter than this value are rejected as noise. This is different than the Minimum event duration option.
  • Minimum event amplitude—specifies the lower amplitude limit for the acceptance of an event.
  • Minimum event duration—specifies the lower duration limit for the acceptance of an event.
  • Sweep display:
    • All—displays all of the visible and hidden traces in the Analysis window.
    • Visible—display only the visible traces in the Analysis window.
  • Search Region:
    • Select—opens the Select Traces dialog. Specify which signal and traces should be applied to the analysis. See Select Traces.

Measurements Tab Settings

The Measurements tab includes those parameters that can be measured. These measurements are reported in the Results window. The data are arranged vertically by traces and horizontally by population spike events. The fEPSP rise times are available only in association with the first peak unless a multiple‑pulse regime is analyzed.

Note: Selecting a measurement option does not guarantee that it will be measured. For example, if Latency is selected but the stimulus artifact is not included in the search region then latency cannot be measured and the Results table cell will be empty.

At least one of the following option must be selected:

  • Population Spike:
    • Rise time—time to rising phase over the specified range.
    • Decay time—time to decay over the specified range.
    • Rise slope—rate of rise over the specified range.
    • Decay slope—rate of decay over the specified range.
  • Field EPSP:
    • Rise Time—time to rising phase over the specified range.
    • Rise Slope—rate of rise over the specified range.
  • Start time—time of the start of the population spike event relative to the start of the recording.
  • End time—time of the end of the population spike event relative to the start of the recording. Includes all detected events within the search region.
  • Latency—time from the largest stimulus artifact peak (usually positive) to the pop spike peak (Z-amplitude level).
  • Z-Amplitude—amplitude of the population spike event, defined as the distance from a point on the tangent line between the ridge values to the peak amplitude.
  • Peak to peak time—time between successive peaks in a burst of population spikes.
  • Area—area, in mV-ms, of the event calculated between the ridge tangent line and the event profile.
  • Half width—duration of the event at the 50% amplitude level.
  • Coastline—summation of point-to-point amplitudes over the event excursion, not including the ridge tangent line.
  • Sweep display:
    • All—displays all of the visible and hidden traces in the Analysis window.
    • Visible—display only the visible traces in the Analysis window.
  • Search Region:
    • Select—opens the Select Traces dialog. Specify which signal and traces should be applied to the analysis. See Select Traces.

Also see How to Configure a Population Spike Search.


Editing in Population Spike Search

If your detected population spike events need editing, it must be done during the active search process. The following procedures are for:

  • Adjusting a detected event
  • Excluding a region of an event
  • Quitting the editing processes

To adjust a detected event:

  1. At the point where you click OK to run the search and the search finishes, you must click in the toolbar either Accept, Reject, or Enable Editing for each of the detected events.
  2. To begin editing, click the Enable Editing button.
  3. Click on the trace close to the region you want to edit and the editing cursor appears.

  4. To move the editing cursor, you can do one of the following:

    Note: The ridge values of editing are limited. You cannot push farther than the peak value nor the left ridge value of the next event.

    • On the screen, click and drag the editing cursor line to a new position.
    • Using your keyboard, press the right or left arrow keys to move the editing cursor line to a new position one position at a time.

    • Using your keyboard, press <shift> +right arrow or<shift> + left arrow keys to move the editing cursor line to a new position by several positions at a time.

      Tip: To undo your editing, in the toolbar, click the Reset button.

  5. When you are finished moving the cursor line, in the toolbar, click the Accept edit and resume button.

    Tip: Alternatively, you can left‑click anywhere outside of the the search region to accept the edited event.

  6. Repeat steps 3 through 5 as needed.

  7. To finish your editing, in the toolbar, click Accept and the next detected event appears.

    Tip: To go scroll through the detected event, on your keyboard press the < and > keys as needed.

To exclude a region of an event:

  1. If there is a region in the detected event that should have been ignored, on the graph, click on the region and the editing cursor appears.

  2. Right-click on the editing cursor line and select Exclude event from the menu.

    Tip: To undo an Exclude event, from the menu, select Event Detection > Restore excluded event.

To quit editing:

In the toolbar, click the Quick event editing button.


Action Potential Search

Analysis Window: Event Detection > Action Potential Search

Action potentials are electrochemical manifestations of excitable cells. Important information can be gleaned from the characteristics of action potentials. To this end, Clampfit software provides the tools for measuring several important properties of cardiac, sinoatrial and fast neuronal action potentials.

The Action Potential Search functionality enables you to select measurements such as peak amplitude, action potential duration, peak to peak frequency and time, and threshold potential. This feature is an option in the Event Detection menu. See Event Detection. This option becomes available when a data file is imported.

A. Overshoot amplitude

B. Amplitude relative to threshold potential

C. Amplitude relative to baseline potential

D. Amplitude relative to antipeak potential (minimum AHP potential)

E. Threshold potential relative to antipeak potential

F. Threshold potential relative to baseline potential

G. Baseline potential relative to antipeak potential

The dockable tool panel contains the options for detection and measurement of the action potential waveforms. This tool panel can be docked at either side of the Analysis window by clicking on it and dragging it with your cursor. It can also be undocked and docked by double‑clicking on it.

Tool panel settings include:

  • Level Markers:
    • Bring Markers—brings the horizontal level markers into view.
    • Baseline—required horizontal level marker. The baseline serves as a reference point for several measurements, therefore its position is critical.
      • Trigger—required horizontal level marker. When this level is crossed in both directions, the event is accepted for processing.
      • Re-arm—optional horizontal level marker. When selected for use, this level signals the end of one event and a restarting of the search for the next event from that point. The information between the time of the re-arm level and the time of the next detected event is ignored. For example, this marker is useful if only the peak amplitude or frequency is of interest.
      • Reject—optional horizontal level marker. When selected for use, this level sets the upper limit for event acceptance. Events that cross this level are rejected. For example, this marker can be used to reject stimulus artifacts that contaminate the data.
  • Marker Value Display Mode:
    • Relative to baseline—has no affect on the detection routine. When selected, displays the absolute values as they appear on the vertical axis of the data window.
    • Absolute—has no affect on the detection routine. When selected, displays the values in the upper, lower and trigger level fields as the distance of excursion from the baseline.
  • Pre-trigger duration—when selected for use, specifies the extent of the search region before the point at which the event was triggered. Affects the measurement of action potential properties that occur before the action potential peak. When not selected for use, the search routine uses the baseline crossing and/or detection of a preceding peak to indicate the beginning of the search region.

  • Post-trigger duration—when selected for use, specifies the extent of the search region after the point at which the event was triggered. Affects the measurement of action potential properties that occur after the action potential peak. When not selected for use, the search routine uses the baseline crossing and/or detection of a subsequent peak to indicate the end of the search region.

    Note: When this option is off, the search continues until either the baseline is crossed or the next peak is detected.

  • Event Rejection:
    • Minimum amplitude—specifies the lower amplitude limit for the acceptance of an event. Peak amplitudes measurements at the trigger level that are below the specified value are rejected.
    • Minimum duration—specifies the lower duration limit for the acceptance of an event. Evaluated at the APD50 level because this is the parameter that is most likely to be detected and accurately measured. Since Action Potential Duration (APD) values are measured relative to the baseline, if the baseline is not crossed, as might be the case during trains, the values below APD50 might not be detected.
  • Noise Rejection —sets the minimum duration for acceptance of an event, as measured between the baseline crossings in milliseconds. Events shorter than the noise rejection level are excluded.

  • Measurements—a group of measurements that are reported in the Results window. At least one measurement option must be selected.

    Choose one of the following relative display options:

    • Threshold-relative—relative measurement selections display relative to their position between the peak and the threshold value.

      For example, the peak amplitude value displays between the peak and the action potential threshold on the graph.

    • Baseline-relative—relative measurement selections display relative to their position between the peak and the baseline value.

      For example, the peak amplitude value displays between the peak and baseline level on the graph.

    The following relative measurement options are available:

    • Peak amplitude—amplitude between the peak and the baseline level and the amplitude between the peak and the threshold potential.

    • AHP amplitude—amplitude between the AHP potential and the baseline level and the amplitude between the AHP and the threshold potential.
    • AHP potential—minimum value of the afterhyperpolarization.
    • APD @—Action Potential Duration at percentage of your custom specification.
    • Area to—computed relative to the specified from peak value.
    • Rise time—time to rising phase of the action potential over the specified range.
    • Decay time—time to decay of the action potential over the specified range.
    • Rise slope—rate of rise of the action potential over the specified range.
    • Decay slope—rate of decay of the action potential over the specified range.
    • APD 10—Action Potential Duration at 10%
    • APD 30—Action Potential Duration at 30%
    • APD 50—Action Potential Duration at 50%
    • APD 90—Action Potential Duration at 90%

    The following absolute measurement options are available:

    • Baseline potential—potential as set in Baseline.
    • Overshoot amplitude—the amplitude between zero membrane potential difference and the peak potential of the action potential.
    • Threshold potential—amplitude at which the action potential is initiated. An approximation of this position is found by finding the intersection of the rising phase of the action potential and the slope leading up to its initiation. Subsequently, a three-point tangent slope vector is used to find the position in the initial region where the slope is at or above 10 mV/ms.
    • Afterhyperpolarization (AHP) duration—duration of the afterhyperpolarization potential as measured between the downward and upward baseline potential crossings.
    • Peak to AHP amplitude—amplitude as measured from the peak amplitude to the most negative value of the afterhyperpolarization.
    • Peak to peak time—time between successive peaks in a burst of action potentials.
    • Peak to peak frequency—frequency of successive peaks in a burst of action potentials.
    • Cumulative mean frequency—frequency between the first event and each successive event.

      For example, if there are five events, the mean frequency of events 1-2, 1-2-3, 1-2-3-4, and 1-2-3-4-5 display. The last value, yields the mean frequency of events in the entire record.

    • Change in amplitude per peak—change in amplitude, relative to the baseline, of successive peaks in a burst.

    • Maximum rise slope—largest positive slope of the event between the baseline and the peak as measured between every two successive data points in the rising phase of the action potential.
    • Maximum decay slope—largest negative slope of the event between the peak and the baseline as measured between every two successive data points in the decay phase of the action potential.
  • Search Region—used to specify the range over which the detection should take place. Events outside the specified search region are ignored.
    • Select—opens the Select Traces dialog. Specify which signal and traces should be applied to the analysis. See Select Traces.

Also see How to Configure an Action Potential Search.


Open Search Protocol

Event Detection > Open Search Protocol

Start an event detection session with a saved set of search parameters using this command.

You must have an Analysis window open, and with the focus, to use this command. It opens a standard file dialog from which you choose the *.spf file with the search configuration you want to use. The appropriate event detection search panel for the file is opened with the saved configuration loaded.

Search protocol files are saved with Save Search Protocol.


Save Search Protocol

Event Detection > Save Search Protocol

Save event detection search configurations, as set up in the Template Search, Threshold Search and Single-channel Search panels.

After configuring your search in the panel, press Event Detection > Save Search Protocol to open a standard file dialog. The search configuration is saved in *.spf (search protocol file) format.

Once saved, search protocol files can be reloaded with Open Search Protocol.


Show Suppressed Events

Event Detection > Show Suppressed Events

This is a toggle command to show and hide suppressed events from an Event Detection search.

Default settings hide suppressed events from all views of Event Detection search data, viz. the Events tab of the Results window, in Graphs, and in the Event Viewer. By turning on "Show Suppressed Events" they are shown in all these locations.

When suppressed events are shown in the Results window they are marked with an "S" in the State column.

If you want to save suppressed events when you quit the event detection session, make sure that they are shown. If they are not shown, they are lost when you quit.


Deselect All

Event Detection > Deselect All

Event Detection Toolbar:

Deselect selected events during an event detection session, leaving no events selected.

This command restores all accepted events to view in the Event Viewer.


View Search Parameters

You are here: Menu Reference > Event Detection Menu > Search Parameters

Search Parameters

Event Detection > Search Parameters

Event Detection Toolbar:

When an Event Detection search has been started but the Search Category Definition dialog box closed, Search Parameters reopens the dialog.

See:

  • Template Search

  • Threshold Search

  • Single-channel Search


Define Graphs

Event Detection > Define Graphs

Event Detection Toolbar:

The Define Graphs dialog box allows you to configure up to four graphs—histograms or scatter plots—from Event Detection data.

Graphs created using this dialog are closely integrated with other event detection functions, and unless saved with their associated Results window are lost when the event detection session in which they were created is ended—see Graphs in Event Detection Overview, and Saving Event Detection Graphs, below.

The data presented in event detection graphs are also reported on the Events sheet in the Results window. See the topics for the respective event searches for summaries of these:

Template Search Data Recorded in Results Window

Threshold Search Data Recorded in Results Window

Single-channel Search Data Recorded in Results Window

Three graph types are available:

Conventional histogram

Click the "X" button to select the parameter you wish to plot. The current selection is reported to the right of the button.

  • Bin width: Select Auto for automatic setting of bin size. Alternatively, deselect Auto and set your own bin size.

Logarithmic histogram

Logarithmic histograms plot the parameter of interest on a base 10 log scale along the X axis. Only positive nonzero data values can be used.

Click the "X" button to select the parameter you want to plot. The current selection is reported to the right of the button.

  • Bins/decade: Enter the number of bins you want between each whole number in the X axis logarithmic scale.
  • SqRt N: Check to have the square root of the Y axis count values represented in the graph.

Scatter plot

You can plot any one of the standard event statistics against another with a scatter plot. Select the parameters for each of the X and Y axes from the "X" and "Y" button drop-down lists.

Shared Functions

  • Category: Where the current search has more than one search category, you have the option of plotting events from all categories (check "All"), or use the spinner to select events from just one category to plot.
  • X / Y: These buttons each list the standard event detection statistics measurements, from which you can select the X and Y axis data, respectively, for a scatter plot, or the X axis data for a histogram.

Saving Event Detection Graphs

Event detection graphs are derived from the Events sheet in the Results window, so if you wish to save them you must save the Results window. Be sure to do this before you quit the current event detection session as the graphs close when the search session finishes, and are lost if they have not already been saved.

To save the Results window select it then go to File > Save As.

CAUTION! After you have saved the Results window and quit event detection, the Graph windows close but the Results window remains open. If you open another Results window (either a new one, with File > New > Results, or a previously saved one, with File > Open Other > Results) you will be prompted with "Save changes to [name of results file].rlt?" The changes referred to in this prompt are the removal of the graphs, so to keep these you must click No. If you click Yes, your Results file is saved again, but this time without the graphs.


Event Viewer

Event Detection > Event Viewer

Event Detection Toolbar:

The Event Viewer displays events found in event detection searches. It can be kept open between event detection sessions to gather events from more than one file. When closed, however, it loses all events.

The Event Viewer is integrated with other event detection functions: see Interconnectivity of Event Detection Views in Event Detection Overview.

Data collected in the Event Viewer can be saved in a standard ABF data file.

Color changes to Event Viewer traces do not persist.

  • Continuous autoscale is ON / OFF: Reports the setting of the continuous autoscale option in Event Viewer Options.

Options available within the Event Viewer window include the following:

  • Close: This closes the Event Viewer without saving any data.
  • Save As: Save As opens a standard file dialog box in which you can save the traces visible in the Event Viewer as an ABF file. Categories and traces that are hidden are not saved.
  • Copy As: Copy As does the same as Save As, prompting you to save the currently visible traces as an ABF file, but also immediately opens the newly saved file in a standard Analysis window.

  • Display

    • Clear: Removes all traces from the Event Viewer, including those currently hidden or belonging to categories not on display.
    • Restore: Returns the display of traces after a mistaken use of the Clear button.

    • Auto Scale: Automatically scales and scrolls the window to most effectively display the data.

      The window is optionally automatically scaled as data are introduced to it. Use this button if you have shifted scaling or scrolling settings manually and need to return to the autoscaled display.

    • Options: Opens the Event Viewer Options dialog.

  • Reject Event: Rejects the currently selected event. This is the equivalent of using the Reject button when an event is first used for state classification.

    Events from single-channel searches cannot be rejected after they have been accepted or suppressed.

  • Category: Where the Event Viewer contains traces from more than one search category, you can choose between viewing events from all the categories, or events from individual categories.
  • File Number: When you keep the Event Viewer open to collect events from more than one file, opt to show the events from all the files, or individually one file at a time.


Event Viewer Options

This dialog is opened with the Options button in the Event Viewer. Use it to configure display options for the Event Viewer.

Open Event Viewer automatically when starting event detection

Check to have the Event Viewer open automatically when an event detection session starts.

  • Continuous autoscale: Select to have the Event Viewer continuously autoscale the display. The state of this setting is reported in the Viewer, above the data area.
  • Align events at zero: Select to have the events in the Viewer offset so that the first data point of each is at amplitude zero. If not checked, events keep their amplitudes from the data file.
  • Maximum number of events: Set a maximum number of events that the Event Viewer can store. If the threshold you set is reached, events continue to be accumulated as normal in the Results window and elsewhere, but they are not transferred to the Viewer.
  • Baseline segment length: For single-channel events only, select and use the spinner to enter a value to add some trace at the baseline level before and after each found event. This padding option improves the display of events in the Viewer.

  • Restrict long events: Restricts the events admitted to the Event Viewer by setting a maximum length for these. Events not accepted in the Viewer because of this setting are still accepted in general event detection.

    • Maximum event length: Enter the maximum length event to accept, in milliseconds.
    • Ignore events longer than the maximum length: Events longer than the maximum are simply excluded from the Event Viewer.
    • Truncate events longer than the maximum length: Events longer than the maximum are cut short at the maximum length, and still displayed in the Event Viewer.


Event Monitor

Event Detection > Event Monitor

Event Detection Toolbar:

The Event Monitor is an aid for helping you to decide whether to Accept an event or not. It reports key properties for the currently found event along with averages for already accepted events, as well as other data to aid in comparison of the current event with previously accepted ones.

The properties reported for each peak-time event (Template and Threshold searches) are:

  • Peak amplitude (relative to baseline)
  • Half-width
  • Template match error. This value appears for template searches only, quantifying the quality of match between the event and the template. A higher value indicates a better match.

For single-channel events:

  • Amplitude
  • Dwell time

Current Value: Values for the event currently found by Clampfit software and awaiting categorization, are reported.

Prev Avg: Averages for events already accepted in the current search are reported.

Average values are generated from all accepted events in the category or level of the current event.

While there should always be an amplitude reported, half-width values cannot always be found.

Prev N: The number of accepted events contributing to the averages in the previous column is given.

Current / Avg: The ratio of the current values to their respective averages is given.


Process Selected Events

You are here: Menu Reference > Event Detection Menu > Process Selected Events

Process Selection

Event Detection > Process Selection

Event Detection Menu:

During an event detection session, selected events can be hidden, tagged or untagged, or have their state changed (accepted, rejected, suppressed), using this dialog.

Events

Selected

Report the number of events you have selected. These can be accepted, suppressed or hidden events.

Suppressed events can be selected from the Analysis window, or from the Results window (only one at a time), Graph scatter plots, or Event Viewer if you have Show Suppressed Events toggled on.

Hidden events cannot be selected individually, but if you have hidden some events, selected a (nonhidden) event, and then inverted your selection, the hidden events are included in the selected events.

Total

Report the total number of events, accepted, suppressed or hidden, found within the current search session.

Invert Selection

Select all the events found within the current search session, accepted, suppressed or hidden, that are not currently selected, and deselects the currently selected events.

Process

Select how you want to process the selected events.

Hide

Hiding an event removes it from the data set as if it was rejected, however it can be restored to the set up until you quit the current event detection session.

Removes event indicator lines from the selected events in the Analysis window, and removes all record of them in the Results window, event detection graphs, the Event Viewer and Event Statistics.

Hidden events are restored, while an event detection session is current, with Restore All Hidden Events. If you quit event detection while an event is hidden, the event is lost and cannot be restored.

Change State
  • Accept: The event becomes a fully contributing member of the data set.
  • Reject: The event is removed entirely from the data set. Rejected events cannot be restored (unless you rerun the search and find them again).
  • Suppress: The event is retained in the data set, but not as a fully contributing member.

For more information on event states see Event State Classification.

Change Tag

Tagging an event accepts it, and also labels it for easy relocation at a later time. See Accept and Tag.


Event Statistics

You are here: Menu Reference > Event Detection Menu > Event Statistics

Event Statistics (Single-Channel Statistics)

Event Detection > Event Statistics

Event Statistics opens a display of the means and standard deviations of most of the statistical measurements recorded on the Events tab in the Results window, in an event detection search session.

Either of two dialogs opens depending on the search type:

  • Event Statistics: For peak-time events, such as events found in a template search or threshold search.
  • Single-channel Statistics: For single-channel events, found by a single-channel search.

Suppressed events are included in the statistics if these have been displayed with Show Suppressed Events, but not if they are not being shown. Hidden events are not included.

Specific subsets of the full event list can be selected using the spinners at the top of each dialog.

  • Trace: Where the search is performed on a multisweep signal you can display means and standard deviations for all traces combined. Select All or use the spinner to select individual traces.
  • Sector: Where the data include events from different searches, you can display means and standard deviations for all these combined. Select All or use the spinner to select individual searches.

  • Category or Level: Select the category (peak-time events) or level (single-channel) you want to display the statistics for with the spinner.

    Statistics cannot be combined across categories or levels.

Means and standard deviations are reported for each of the event properties listed in the drop-down lists below. The number of events included in the calculation is also reported.

Closed Peak-time Statistics

  • Peak amplitude: The amplitude of the point in the event that is furthest from the baseline (in the selected direction: positive or negative), relative to the baseline amplitude.
  • Time to peak: Time from the start of the event to the peak.
  • Antipeak amplitude: Amplitude of the point in the event furthest (in amplitude) from the peak. Amplitude is relative to the baseline amplitude.
  • Time to Antipeak: Time from the start of the event to the antipeak.
  • Half-width: The period between the trace's crossing the half-amplitude point in its rising and decaying stages. The cross-over point nearest the peak is used in each case. Times at which the half-amplitude threshold is crossed may be calculated as falling between data points.
  • Half-amplitude: Half the peak amplitude (which is amplitude relative to the baseline).
  • Time to rise half-amplitude: Time from the start of the event to the half-amplitude crossing in the rising stage. The half-amplitude crossing nearest the peak is used.
  • Time to decay half-amplitude: Time from the start of the event to the half-amplitude crossing in the decaying stage. The half-amplitude crossing nearest the peak is used.

  • Rise tau: Time constant for the rising section of the event (from start to peak). There are three ways this value may be derived:

    • If no smoothing is selected, raw data points in the "Calculate taus from ..." amplitude range are Chebyshev fitted with a single exponential equation and taus derived from this.
    • If Sum of exponentials smoothing is selected, the same procedure as for no smoothing is followed, except fitted data points are used instead of raw data points.
    • If Product of exponentials smoothing is selected, values are derived directly from the fit formulae.
  • Decay tau: Time constant for the decay section of the event (from peak to end). Derivation as for rise tau.
  • Maximum rise slope: The maximum rate of amplitude increase, such as towards the peak, occurring between the event start and peak. If two sections of trace have the same increase rate the section nearest the peak is reported.
  • Time to maximum rise slope: Time from the start of the event to the midpoint between the two points during which the maximum rise occurred.
  • Maximum decay slope: The maximum rate of amplitude decrease (i.e. away from the peak) occurring between the peak and event end. If two sections of trace have the same decay rate the section nearest the peak is reported.
  • Time to maximum decay slope: Time from the start of the event to the midpoint between the two points during which the maximum decay occurred.
  • Rise slope 10% to 90%: Rate of increase in the rising stage of the event. The trace is searched from the peak to the event start. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Rise time 10% to 90%: The time between the trace's crossing 10% and 90% of the baseline-to-peak amplitude range in the rising stage of the event.
  • Decay slope 90% to 10%: Rate of decay in the decay stage of the event. The trace is searched from the peak to the event end. The first points falling below 90% and 10% of the baseline-to-peak amplitude range are found, and a linear regression applied to these and all intervening points.
  • Decay time 90% to 10%: The time between the trace's crossing 90% and 10% of the baseline-to-peak amplitude range in the decay stage of the event.
  • Area: The area bound by the data trace and the baseline, during the event. In the case of bipolar events the "negative" area is added to the "positive" area, so a total area of zero is possible.
  • Instantaneous frequency: Event frequency at the rate of the current and the previous event, such as the reciprocal of the interevent interval.
  • Interevent interval: The period between the peaks of the current and the previous event.
  • Event frequency: Event frequency over the entire data set.

Closed Single-channel Statistics

  • Amplitude: The mean amplitude of the samples within the event, barring filter-affected end samples, see Brief. If the event includes points outside the range of the event level, ignored because of an Ignore short level changes setting, or because a candidate event was rejected, those points are not included in the calculation of the amplitude.
  • Dwell Time: The duration of the event.
  • Instantaneous frequency: The instantaneous frequency of the event, the inverse of the time between the start of the current event and the start of the last event of the same level.
  • P(open) for level: The probability of an individual channel being open at the designated level. See P(open).
  • NP(open) for all levels: The probability of any channel being open at any level. See P(open).

There are 2 options for copying the data from the Event Statistics window:

  • Clipboard: Click to copy the data to the generic Windows clipboard, from which they can be pasted into any word-processing application, such as Word or WordPad.
  • Lab Book: Click to transcribe the data into the System Lab Book.


Accept

Event Detection > Accept

Event Detection Toolbar:

Use Accept to include an event in your data during an event detection search.

All accepted events from threshold and template searches show "A" in the State column on the Events sheet in the Results window. Events from single-channel searches show "M" if the event duration or amplitude has been manually adjusted, and "B" if it is a brief event. Otherwise single-channel events show "A".

Note: Tagged events also have accepted status.

General Note

When a search is being run on a file, unless you select Nonstop detection, each event that meets the search criteria is displayed in sequence. You must either Accept, Reject, Suppress or Accept and Tag the event.


Reject

Event Detection > Reject

Event Detection Toolbar:

Shortcut: R

Use Reject to exclude a candidate event from your data set during an event detection search.

Rejected events are treated as if they had never been found by the search. This results in different behavior depending on the search type:

Template & threshold searches: Event-indicating lines for the candidate event are removed from the trace, and no record is kept of an event having been found.

Single-channel search: The candidate level-change is not registered as starting a new event, and so as not ending the previous event either. This means that the previous event extends to include all the period that the trace is at a level different to it, and for the following period back at the same level as that event again, as illustrated:

In figure 1 a candidate event has been found for the level 0 group of data points, A. Clampfit software waits for confirmation of the level change to the data group B. If Reject is selected at this point, B is ignored and the event that captures A extended for the duration of B and C, as in figure 2. The amplitude of this event is calculated from level 0 points only, i.e. A and C, but not B.

When Reject is used, all data points not in the range of the last found event are ignored, so this event is extended until the trace returns to its level and is about to leave it again, as illustrated in figures 3 and 4.

If Reject is selected at the point illustrated in figure 3, all points at B, C and D are ignored, and the event extended to the end of E. The event amplitude is calculated from event sets A and E only.

Note: When a search is being run on a file, unless you select Nonstop detection, each event that meets the search criteria is displayed in sequence. You must either Accept, Reject, Suppress or Accept and Tag the event.


Suppress

Event Detection > Suppress

Event Detection Toolbar:

Shortcut: S

Use Suppress to partially include an event in search results data during event detection. Suppress is intended for use on sections of data that are recognisably events, but which have aberrant features that you do not want to include in your statistics.

By default, suppressed events are not displayed in the Results window, graphs or the Event Viewer. In Event Statistics they are included in time-related statistics, such as event frequency, but not in statistics for features specific to each event, such as peak amplitude or rise tau. In the Analysis window they are shown with gray event-indicator lines.

If Event Detection > Show Suppressed Events is toggled on, suppressed events are treated like accepted events. They are shown in the Results window, graphs and Event Viewer, and are included in all event statistics. They are labeled "S" in the State column on the Events sheet in the Results window.

Saving Suppressed Events

To save suppressed events, ensure that you have Event Detection > Show Suppressed Events toggled on when you quit event detection. The Results window, with suppressed events data included, can then be saved. If suppressed events are not shown at the time you quit event detection, all data relating to them are lost.

Note: When a search is being run on a file, unless you select Nonstop detection, each event that meets the search criteria is displayed in sequence. You must either Accept, Reject, Suppress or Accept and Tag the event.


Tag

You are here: Menu Reference > Event Detection Menu > Accept and Tag

Accept and Tag

Event Detection > Accept and Tag

Event Detection Toolbar:

Shortcut: T

Use this command to Accept an event and additionally mark it for future reference, during an event detection search.

If you want to later perform perievent analysis on your events data, you must tag the "central" events.

Tagged events are labeled in the Analysis window with a large diamond, and with "AT" in the State column on the Events tab in the Results window.

Note: When a search is being run on a file, unless you select Nonstop detection, each event that meets the search criteria is displayed in sequence. You must either Accept, Reject, Suppress or Accept and Tag the event.


Undo

Event Detection > Undo

Event Detection Toolbar:

Shortcut: U

The Undo command works backwards along the file, undoing your event-accepting actions (where Accept, Suppress and Accept and Tag are taken to be event-accepting actions, as well as Nonstop and Accept Entire Category).

Undo moves back to the last event of any category that was accepted or suppressed, offering it for classification again. If you press Undo again, it moves back again to the last accepted or suppressed event before the current one.

If a potential event has been rejected, Undo does not return to it, but to the last accepted or suppressed event prior to it. It will be found again when the search resumes.

CAUTION! Undo clears all Accept Entire Category settings.


Find Event

Event Detection > Find Event

Event Detection Toolbar:

Use Find Event to find the next event if none is currently offered for classification.

If you use Nonstop, then Stop before the search is completed, the program often stops without a candidate event on offer. You need Find Event to proceed with the search in this case, to find the next potential event.


Nonstop Detection

You are here: Menu Reference > Event Detection Menu > Nonstop Detection

Nonstop

Event Detection > Nonstop

Event Detection Toolbar:

Use Nonstop to Accept all automatically found events for all search categories during event detection.

You can choose to accept the automatically found events for just one search category by selecting Accept entire category.

End Nonstop with Stop. Sometimes when you do this the program stops without a potential event offered for classification. In this case restart the search with Find Event.


Accept Entire Category

Event Detection > Accept Entire Category

Event Detection Toolbar:

Use Accept Entire Category to Accept all automatically found events for a particular search category, during event detection.

Accepts the currently displayed candidate event and all further events in the search region that meet the criteria for its search category. The search pauses for classification of an event only if the event meets the criteria for a different search category.

You can accept the automatically found events for all search categories by selecting Nonstop.

CAUTION! Your Accept Entire Category settings are cleared if you use the Undo command. You need to reset these as the search proceeds.


Stop

Event Detection > Stop

Event Detection Toolbar:

Shortcut: Esc

Use Stop to end an event detection search when it is proceeding automatically because either Accept entire category or Nonstop detection has been selected.

If the search stops without a candidate event awaiting classification find the next candidate event with Find Event.

After Stop has been clicked, the search can be resumed with any of the usual search controls, or Restart.


Go To Current Event

Event Detection > Go To Current Event

Event Detection Toolbar:

Return to the most recent automatically found event in an event detection search when you have scrolled to a different part of the searched file.


Clear All

Event Detection > Clear All

Event Detection Toolbar:

Use Clear All to remove all results from an event detection search that has accumulated up to the time this option is selected. All event indicators in the Analysis window are removed, and the Events tab in the Results window, and the Event Viewer are cleared.

If continued, the search proceeds from the position it reached at the time Clear All was selected.

If you want to start searching the file again from the start of your search region, click Restart.


Restart

Event Detection > Restart

Event Detection Toolbar:

After an event detection search has started or been completed, Restart begins a new search of the currently selected search region.

Restart can be used after adjusting search parameters, to return you to the start of your search region so you can search it again under the new configuration. It can also be used after you have changed the search region, to begin the search of the new region.

Searches

Clicking Restart prompts you about saving previous search results. If you choose to keep these, results from the new search are given a different search number. See Searches in the Event Detection Overview


Quit Event Detection

Event Detection > Quit Event Detection

Event Detection Toolbar:

Close the current event detection session.

When Quit is pressed, integration between event detection functions ceases and event detection graphs close. In the Results window, only events data currently displayed on the Events sheet are retained—hidden events and suppressed events, if these are not shown, (Event Detection > Show Suppressed Events) are lost.

See Closing a Search Session for a full account of the functionality lost when event detection is quit.


Batch Analysis Menu

Note: Batch Analysis functionality is only available with the Advanced Analysis software license and the required USB license key dongle. If you do not have the license, this menu option is grayed out. Contact Molecular Devices Technical Support for details https://support.moleculardevices.com/.

The following topics are menu options in the Batch Analysis menu:

  • Run Batch Analysis


Analyze Menu

You are here: Menu Reference > Batch Analysis Menu > Analyze Menu

Batch Analysis Window

Note: Batch Analysis functionality is only available with the Advanced Analysis software license and the required USB license key dongle

Clampfit Batch Analysis

Batch Analysis functionality requires some first time use configuration. See the Clampfit Batch Analysis Electrophysiology Data Management and Analysis Software User Guide.

The following is a quick start guide for using Batch Analysis and macros. There are several sample macros provided with the Clampfit software Advance Analysis license. There is also corresponding sample data that you can import.

When set up properly, you can do the following:

  • Importing Data Files
  • Running a Sample Macro
  • Creating a Macro
  • Modifying the Sample Macros

More usage information available in the Clampfit Batch Analysis Electrophysiology Data Management and Analysis Software User Guide.


Importing Data Files

The Clampfit Advanced Analysis software installer includes a few sample macros to use to familiarize yourself with the Batch Analysis functionality. To use these sample macros the first time, you must import the provided sample data files. When you import your own data files they must be .abf files from Clampex software.

The following procedure uses the imported sample data Peak Data to be used with the installed sample macro DemoPeak.These same procedures apply to any other imported sample data used with any of the other corresponding sample macros. Where you see Peak Data in the following procedure you can select an alternative data folder.

To import data files:

  1. In the Batch Analysis dialog, select File > Import Data > Entire Folder.

  2. Navigate to and select C:\Program Files\Molecular Devices\pCLAMP 11\Sample Macros\Peak Data.

  3. Click Open.

    Tip: Windows 10 users, if clicking Open fails, double-click on Peak Data.

  4. When the import confirmation dialog appears, click OK.


Running a Sample Macro

The following procedure uses the imported sample data Peak Data with the installed sample macro DemoPeak. See Importing Data Files. These same procedures apply to any other imported sample data used with any of the other corresponding sample macros. Where you see DemoPeak in the following procedure select an alternative macro.

To run a sample macro:

  1. In the top left quadrant of the Batch Analysis window under Data Selector, double‑click on the data folder you imported to load the Trials.

  2. In the bottom left, click the Analysis tab.

  3. In the Macros panel, in the Sample tree, right-click on DemoPeak and select Run Macro.

    When a macro runs successfully, the lower right panel displays the measurements table and associated graph.


Creating a Macro

Any number of commands from the Analysis menu can be tied together as a single analysis sequence and stored in a macro. These new macros get stored in the Macros pane of the Analysis tab.

To create a macro:

  1. In the Batch Analysis dialog, select Macros > Record.

  2. When the Record Macro dialog appears, type your new macro name in the Name field. Do not press <Enter>.

  3. Go to the Analysis menu and select options as needed and specify settings as needed. The steps appear in the Record Macro dialog as they are added.

  4. When you are finished adding steps, in the Record Macro dialog, click the Stop button. Your new macro saves and appears in the Macros pane of the Analysis tab under User.

    Tip: Macros in the User tree are editable.


Modifying the Sample Macros

Macros in the Sample tree are read-only. To view macro step settings, in the Macros pane of the Analysis tab, expand the macro name and double-click on the step name.

To edit macros, right-click on the sample macro name and select Make a User copy . It is copied to the User macro tree, where you can open the Analysis steps within the macro to reconfigure them. Click OK to save changes.

You can rename the macros and change their comments from the right-click menu as well.

You cannot add or remove steps to a macro when you edit it. To do this, record a new macro and use Run Step to copy the steps from the existing macro into the new one. Skip steps that are not wanted, or add new steps from the dialogs in the Analysis menu.

To delete a macro from the User tree, select the name and press Delete.


Configure Menu

A range of general configuration options are accessed from the Configure menu. The contents of this menu do not depend on the active window type.

  • Toolbars
  • Automatic Analysis
  • Results Time Format
  • Lab Book Options
  • Program Options
  • Graph Window Options
  • File Registration


Toolbars

Configure > Toolbars > Review or Alternate

Toolbar Popup Menus > Customize Review or Alternate Toolbar

Use the Customize Toolbar dialog to add or remove buttons in the selected main window toolbar.

Both toolbars are completely user-definable. Default settings give the Review toolbar a number of buttons while the Alternate toolbar has only one.

Available toolbar buttons

Buttons that are available for the toolbar but not currently displayed in it are listed in this field.

To add and available button to the toolbar:

  • Select the button option and click Add, or drag the button into the Current toolbar buttons field.
Current toolbar buttons

These are the buttons and separators, which create space between buttons so you can form visual groups, currently included in the selected toolbar.

To remove a button from the toolbar:

  • Select the button and click Remove, or drag the button into the Available toolbar buttons.
Move Up

Shift a selected button or separator in the Current toolbar buttons field one place up the list, moving it to the left in the toolbar.

Move Down

Shift a selected button or separator in the Current toolbar buttons field one place down the list, moving it to the right in the toolbar.

Reset

Click to reset the toolbar to the factory default configuration.


Automatic Analysis

Configure > Automatic Analysis

Use this dialog to enable automatic importation of newly recorded files from Clampex software, and has options for automatic processing of these files.

Apply Automatic Analysis

Select this option so that files recorded in Clampex software open immediately in an Analysis window in Clampfit software. In Clampex software, select Allow automatic analysis in other programs in Protocol Editor > Mode/Rate.

Files are automatically opened and saved in Clampfit software with the name given by Clampex software.

If one or more Analysis windows are open in Clampfit software at the time of a new acquisition, the new file is opened into the active, or last active Analysis window—a new window is not opened. If the file already open in the window has been modified since it was opened, you are prompted to save it before the new file replaces it. Alternatively, select Rename and save modified files to automate the saving of such files.

Rename and save modified files

When selected, if you make any modifications to a file in an Analysis window, the resultant data are automatically saved as a new file before the file is closed and replaced by a newly recorded file imported from Clampex software.

The modified file is saved with a "_modified_n" suffix on its original name, where n counts the number of modifications to the original file.

Prompt for Arithmetic

When selected, the Arithmetic dialog is opened together with the file.

Generate Quick Graph

When selected, a Quick Graph is automatically generated from new data files.

If Prompt for Arithmetic is also selected, the Arithmetic dialog opens with the file. When you have set the Expression in Arithmetic and applied it by clicking OK, the Quick Graph plot is derived from the arithmetically processed data, taking into account new traces that might have been created, or traces redefined in the Arithmetic configuration.

  • I-V: A plot is generated using the settings in the Quick I-V Graph dialog.
  • Trace vs. Trace: A plot is generated using the settings in the Quick Trace vs. Trace Graph dialog.
Subtract Control File

Check this option to automatically subtract a selected file from newly acquired files. Select and configure the file to be subtracted in Analyze > Subtract Control. The Help topic there has general information on file subtraction.

Notes:
  • When this option is selected, the file that opens in Clampfit software after an acquisition in Clampex software has already had subtraction applied. An unmodified file (without subtraction) is still automatically saved in the background, with the standard Clampex software-generated name.
  • The modified (subtracted) file that is displayed is given the same standard file name as the unmodified file saved in the background, and so must be saved with a different name before it is closed or replaced. If Rename and save modified files is selected, the modified file is automatically saved with a "_modified_n" suffix.


Results Time Format

Configure > Results Time Format

Format for the Trace Start column

The option selected here determines how time is recorded Results window, on the Cursor tab, in the Trace Start column.

Note: Changing the time format requires that the sheet be cleared of any data.

  • Time from start of file: Reports the elapsed time from the start of the recording.

  • Time of day: Reports the time in standard 24 hour "military" time: hh:mm:ss.

    • Origin: Shifts the origin of time, such as an offset.
  • Stopwatch time: Reports the time taken from the Clampex software stopwatch during recording.


Lab Book Options

Configure > Lab Book Options

Select the extent to which events are automatically recorded in the System Lab Book, and select a file for the System Lab Book. The default lab book is Clampfit software LabBook.rtf.

Events To Log

  • Never log any events: No Lab Book is opened and no comments can be added to the Lab Book.
  • Log vital events: A restricted number of events is automatically written to the Lab Book.
  • Log all events: All major events are written to the Lab Book.

System Lab Book File name

Select a Lab Book file to act as the System Lab Book. Records automatically generated by Clampfit software are written in the System Lab Book.

  • Browse: Click to select the system Lab Book from a standard Windows file dialog.

Create a backup Lab Book

Create a backup lab book when exiting the program. When this option is enabled Clampfit software stores the existing Lab Book with a .BAK extension before overwriting the file with the contents of the new Lab Book.

Include time-of-day stamp

When this option is enabled the time of day is recorded with each new entry in the Lab Book.


Program Options

Configure > Program Options

Set a number of startup options available to customize your Clampfit software configuration.

Startup Options

  • Check screen resolution is adequate: When enabled, upon starting the software, you are warned if your display configuration resolution is less than the required 1024 × 768 dpi.
  • Check free disk space is adequate: When enabled, upon starting the software, if there is less than 20 MB disk space free, you are warned about possible erratic performance.
  • Reopen data files: When selected, any Analysis windows that are open when you close the software reopen the next time you start the software.
  • Show update reminder every [ ] days: Sets the number of days between automatic startup prompts to remind you to check for updates on the Molecular Devices web site.


Graph Window Options

Configure > Graph Window Options

Restore saved graph window properties

The following two options available to set the degree to which new Graph windows resemble the one used to set Window Defaults with the Save selected Graph Window settings as default option in View > Window Defaults.

  • All properties: Opens new Graph windows with exactly the same features as the window used to set the defaults. This includes general appearance features such as the axis scaling and labels.
  • General styles only: Opens new Graph windows with the same general appearance as the window used to set the defaults, except the features such as scaling and axis labels can differ from the original.


File Registration

Configure > File Registration

Register various Axon file types with Clampfit software in Windows. This enables you to open files in Clampfit software from your file browser or an email attachment.

Tip: Some Axon Instruments file name extensions might be used by other programs, so you need to use some discretion when registering file types, or the files might launch a different program than expected.

Registering the Axon data files also allows you to do batch printing.

Note: This dialog does not reflect the current state of file registration. All it can do is to verify that you have clicked on the Register button and immediately register that specific file type. The default setting is for the ABF and ATF file formats register to Clampfit software. To unregister file types, open the Windows Explorer, go to View > Options and click on the File Types tab.

CAUTION! If Clampfit software is not already running when you double-click a registered file, you might get an error message when Clampfit software attempts to load. In this case, do not attempt to start Clampfit software through the shortcut, as it will not work. Instead, double-click the same file one or two times more, and Clampfit software will start up.

See File Types for more information about the file types used in Clampfit software.

  • Axon Binary File (*.abf): Binary data files created in AxoScope software or in Clampex software version 7.0 or later.

  • Axon Binary File (*.dat): Binary data files created by the older DOS versions of pCLAMP software and Axotape.

    Tip: DAT is a common file name extension used by Windows and other programs, so use caution before registering it to Clampfit software.

  • Axon Text File (*atf): Axon Text Files are text data files that contain some "header" information at the top of the file.
  • Axon Plain Text File (*.txt): Plain text TXT files are extremely common and are usually registered to Notepad.
  • Axon Search Protocol File (*.spf): Event detection search configuration files.
  • Axon Results File (*.rlt): Results files are spreadsheet files that open into Results windows.
  • Axon Statistics File (*.sta): Statistics files created in Clampex software. These open into the Results window, and for files created in version 9 or later, into a Statistics window as well.
  • pCLAMP 6 Events List (*.evl): Single-channel events list files generated by Fetchan software.
  • Axon Layout File (*.alf): Layout files created with Clampfit software page layout functionality. See Layout window.
  • Axon Data File Index File (*.dfi): Contains an organized list of data files.

  • Axon Lab Book File (*.rtf): Uses Microsoft Rich Text Format (RTF).

    Tip: You might want to have the RTF file type registered to WordPad instead of Clampfit software.


Tools Menu

Access a range of tool commands suited to the active window.

  • Comment to Lab Book
  • Select Region
  • Go To Tag
  • Tag Text Properties
  • Write Cursors
  • Append Cursors
  • Cursor Properties
  • Go To Cursor
  • Bring Cursors
  • Sort
  • Verify


Comment to Lab Book

Tools > Comment to Lab Book

Shortcut: Ctrl + L

Write a comment to the Lab Book at any time. You can also type comments into the Lab Book window directly.

In order to start a new paragraph within the comment field, press <Ctrl + Enter>.


Select Region

Graph Window: Tools > Select Region

Graph Window Data Area Popup Menu: Select Region

Graph Window Toolbar:

Places cursors into the Graph window to select a region for fitting. Drag the cursors with the mouse to move them.


Go To Tag

Analysis Window: Tools > Go to Tag

Analysis Window Tag Popup Menu > Go to Tag

Gives focus to a selected tag, and brings it into view if not already. Vertical tag markers changes color when selected.

This dialog lists the tags in the active Analysis window file. You can select any one tag to go to. The following are the available tags:

Tag List

  • Tag #: Each tag is recorded with a sequential tag number.
  • Sweep #: If the file was recorded in an episodic mode, the sweep that the tag occurred in is recorded.
  • Time (ms): The time the tag occurred relative to the start of the sweep or acquisition.
  • Type: A tag can be a time tag, comment tag or an external tag.
  • Comment: If the tag is a comment tag, the comment displays here.

Buttons

  • Quick Jumps: Opens the Quick Jumps Help topic, explaining how to jump from tag to tag in a file with keystroke shortcuts.
  • Play: Use when a voice tag is highlighted.
  • => Clipboard:Copies the tag information to the Windows clipboard.


Quick Jumps

How to move from tag to tag in a data file with keystroke shortcuts.

There is no direct way to go to consecutive tags in a data file without each time opening the Go to Tag dialog, however the same result is achieved by selecting a standard Analysis window cursor and sending it to the tag positions.

  1. Position a cursor at the start of the data file.

    If you have no spare cursors, create a new set from View > Window Properties > General tab, Cursor Options.

  2. Double-click on the cursor to open the Cursor Properties dialog for it.
  3. In the Move To section, select Tag number, enter "1" in the field, and then select Relative.
  4. Ensure the Keep cursor in view check box is selected.

  5. Click OK.

    The cursor moves to the first tag in the file.

  6. Press <F4> to repeat the command, such as. to move forward 1 tag relative to the current one. You can step through each tag in the file this way.
  7. To reverse and go back a tag, press <Shift + F4>.


Tag Text Properties

Analysis Window: Tools > Tag Text Properties

Analysis Window Tag Popup Menu > Tag Text Properties

Shortcut: Double-Click on Tag

Select the type of tags to display, the display characteristics of the displayed tag time values, and the properties to display for each tag.

Tags are time-referenced markers inserted into files during recording. They can mark a particular time, or they can have comments or voice recordings attached to them.

Tag Time Value

  • Tag #[ ] time is [ ] ms: The time of the active tag is reported in ms.

  • Number of decimal places to show: Use the drop-down list or enter a value for the number of decimal places to show for the tag time value.

    To have Clampfit software set the number of decimal places most appropriate to the sampling rate, select Default (n) .

Show Tags of the Following Types

Select the tag types that you wish to display.

Time, comment, and voice tags are inserted in files with commands from Clampex software. Externally triggered tags are inserted by a TTL pulse to the TAG port on the digitizer. File tags are inserted into files recorded in AxoScope only. They mark the beginning and end of Clampex software recordings.

Tag Properties

These properties apply to all tags in the data file.

  • Visible: Deselect this to hide the tag text box and vertical tag line.
  • Cascade tags: The tags can be cascaded on the Analysis window in order to provide more visibility of their contents.

  • Attached to top: Move tag text boxes into the cursor row at the top of the Analysis window.

    Alternatively, the tag text box can be moved up and down by dragging it with the mouse.

  • Transparent: The tag text box can be transparent so that data can be seen through the box. It can make the information in the tag text box more difficult to read.

  • Text Box: Control the visibility of the tag text box. If deselected, only the vertical tag line is visible, when Visible is selected. The following options in the text box can be further customized:

    • Tag Number: Select to display the sequential tag number.
    • Time: Select to display the time that the tag was triggered.
    • Comment: Select to display the text comment of a Comment Tag.
    • Units: Select to view the time units.


Cursors

This submenu has commands and opens dialogs relevant to cursors in the Analysis and Statistics windows.

  • Write Cursors
  • Append Cursors
  • Cursor Properties
  • Go To Cursor
  • Bring Cursors


Write Cursors

Analysis Window: Tools > Cursors > Write Cursors

Shortcut: Shift + F9

Analysis Window button:

Write a range of cursor and intercursor measurements to the Cursors sheet in the Results window. This command replaces all data currently on the Cursors sheet. Add the measurements to existing data with Append Cursors.

Measurements are taken for cursor pairs 1 & 2 and 3 & 4, for all visible traces in all visible signals within the data file. The measurements taken include the following:

  • Y 1–4: Y axis value of each trace at the cursor positions
  • Time 1–4 (s): time value for each cursor from the start of the sweep
  • Y min 1..2/3..4: minimum Y axis value between cursor pair
  • Y max 1..2/3..4: maximum Y axis value between cursor pair
  • Y delta 1..2/3..4: difference between the Y axis values at each cursor, for cursor pair
  • Ymin 1..2/3..4 (s): time of the minimum Y axis value between cursor pair
  • Y max 1..2/3..4 (s): time of the maximum Y axis value between cursor pair
  • X delta 1..2/3..4: time between cursors
  • Slope 1..2/3..4: slope between Y axis values at each cursor, for cursor pair
  • Mean 1..2/3..4: mean Y axis value between cursor pair
  • Std. Dev. 1..2/3..4: standard deviation for Y axis values in cursor pair range
  • List 0–3: if Clampex Edit Protocol > Stimulus tab > User List is enabled when the file is recorded, the value used for the current trace is reported. The parameter the User List was modifying is not reported.
  • Out #0–3 C1–4: for files recorded under a stimulus waveform, the value of the output signal, for each output channel, at the time of each cursor.
  • File Path: the file path for the file that the trace belongs to.

You can hide, show and reorder the measurements that appear on the Cursors sheet from the Results window Properties dialog Cursor Measurements tab.

If you wish to save previous cursor measurements, copy them to the clipboard then paste into any suitable application for further analysis or storage; or choose File > Save As to store the entire Results window in ATF format.


Append Cursors

Analysis Window: Tools > Cursors > Append Cursors

Shortcut: F9

Analysis Window button:

Write a range of cursor and intercursor measurements to the Cursors sheet in the Results window. This command adds the measurements it takes to any data currently on the Cursors sheet. Replace these with the new measurements with Write Cursors.

Measurements are taken for cursor pairs 1 & 2 and 3 & 4, for all visible traces in all visible signals in the data file. The measurements taken are:

  • Y 1–4: Y axis value of each trace at the cursor positions
  • Time 1–4 (s): time value for each cursor (from the start of the sweep)
  • Y min 1..2/3..4: minimum Y axis value between cursor pair
  • Y max 1..2/3..4: maximum Y axis value between cursor pair
  • Y delta 1..2/3..4: difference between the Y axis values at each cursor, for cursor pair
  • Y min 1..2/3..4 (s): time of the minimum Y axis value between cursor pair
  • Y max 1..2/3..4 (s): time of the maximum Y axis value between cursor pair
  • X delta 1..2/3..4: time between cursors
  • Slope 1..2/3..4: slope between Y axis values at each cursor, for cursor pair
  • Mean 1..2/3..4: mean Y axis value between cursor pair
  • Std. Dev. 1..2/3..4: standard deviation for Y axis values in cursor pair range
  • List 0–3: if Clampex Edit Protocol > Stimulus tab > User List was enabled when the file was recorded, the value used for the current trace is reported. The parameter the User List was modifying is not reported.
  • Out #0–3 C1–4: for files recorded under a stimulus waveform, the value of the output signal, for each output channel, at the time of each cursor.
  • File Path: the file path for the file the trace belongs to.

You can hide, show and reorder the measurements that appear on the Cursors sheet from the Results window Properties dialog, Cursor Measurements tab.


Cursor Properties

Analysis Window: Tools > Cursors > Cursor Properties

Analysis Window Cursor Popup Menu: Cursor Properties (or Double-Click on Cursor)

Analysis Window Cursor Bar Popup Menu: Cursor Properties (or Double-Click in Cursor Bar)

Adjust the properties of the active cursor or cursor pair. The active cursor number is reported in the title bar of the dialog. You can change the active cursor by clicking the Previous and Next buttons on the right side of the dialog.

Sections in this topic:

  • Vertical Cursor Time Value
  • Horizontal Cursor (Y Axis)
  • Cursor Properties

See also the Cursor Bar section of Analysis Window for a general description of cursor use.

Vertical Cursor Time Value

Shift cursors to specific locations and set the number of decimal places in the time reported in cursor text boxes.

Move To

Move the active cursor to a new location by specifying time, sample, tag, or epoch.

If the location you send the cursor to is not within the range currently displayed in the Analysis window, the cursor will not be visible unless Keep cursor in view is selected.

  • Time: Enter a time in the field and click OK to move the cursor to the specified absolute or relative position.

    The active cursor present time position is reported in the field.

    • Absolute: Time value is the absolute time in the file or sweep.
    • Relative: Time value is relative to the present cursor position. You can repeat this Move To operation after the dialog is closed with <F4>.

  • Sample number: Enter a sample number in the field and click OK to move the cursor to the specified absolute or relative position.

    The active cursor present sample position is reported in the field.

    • Absolute: Sample number is counted from the start of the file or sweep.
    • Relative: Sample number is relative to the present cursor position. You can repeat this Move To operation after the dialog is closed with <F4>.

  • Tag number: Move the cursor to a tag location. Enter a value or use the spinner to choose a tag number. This field is grayed out if there are no tags in the file.

    • Absolute: Move to the tag number you specify.
    • Relative: Move the number of tags you have specified from the last tag you moved to. You can repeat this Move To operation after the dialog is closed with <F4>.

    See also Go To Tag and Quick Jumps.

  • Epoch: Use the drop-down list to choose the epoch or other listed time point to move to. This field is grayed out if you did not acquire the data in Episodic Stimulation mode.

  • Keep cursor in view: If the location you specify to which to move the cursor is outside the visible range in the Analysis window:

    • Checked: The Analysis window scrolls so the new cursor position is visible.
    • Unchecked: The cursor moves to the new position, but the Analysis window does not change.
  • F4 and Shift+F4 repeat the last cursor movement: If you have set a Relative Move To operation for Time, Sample number, or Tag number, you can use <F4> successively to repeat the move after the dialog is closed. Similarly, <Shift + F4> reverses the Move To operation.
  • Number of decimal places to show: The number of decimal places in the cursor text box defaults to a value that depends on the acquisition sampling rate. You can change the number of decimal places to any value from 0 to 15.

Horizontal Cursor (Y axis)

Set the properties for the cursor horizontal cross-hairs.

  • Move to: When you open this dialog, the active cursor's present horizontal position is reported in the Move to field.

    If Cursor Properties > Lock to data is selected, the horizontal cursor tracks the level of the data point in the active sweep, and this field is grayed out.

    If Cursor Properties > Lock to data is deselected, you can enter an amplitude value in signal units at which the horizontal cursor remains.

  • Number of decimal places to show: The number of decimal places for the amplitude value reported in the cursor text box defaults to a value that depends on the signal scaling. You can change the number of decimal places to any value from 0 to 15.

  • Width: Set the width of all horizontal cursors.

    • Width of all horizontal cursors: Use the spinner or enter a value for the width of the horizontal cursors, in the following units:

      • In pixels: Specified as the number of pixels.
      • In percentage of window: Specified as a percentage of the window width.

Cursor Properties

The properties set in this section are set for pairs of cursors, such as, if cursor 1 or 2 is active, the properties are set for both.

Visible

Cursor Popup Menu: Hide Cursor / Show Cursor: Deselect this to hide the active cursor's lines and text box. If the cursor is invisible it can be viewed by clicking and holding on the triangular cursor handle in the cursor bar at the top of the Analysis window.

Lock to data

Cursor Popup Menu: Lock to Data

Cursor Bar Popup Menu: Lock All to Data: Select this to lock the horizontal cursor to the data points as you move through the file. If you deselect this the horizontal cursor line will be left at a chosen value for comparison with other data. The horizontal cursor can then be dragged up and down with the mouse, or you can use the Move to field in the Horizontal Cursor section of this dialog.

Lock to partner

Analysis Window button:

Cursor Popup Menu: Lock to partner: Select to have the active cursor and its partner maintain their relative positions, as either is moved.

Text box at top

Cursor Popup Menu: Bring Text Box to Top

Cursor Bar Popup Menu: Bring All Text Boxes to Top / Remove All Text Boxes from Top: Select to shift the cursor text box to the cursor bar across the top of the Analysis window.

You can also drag text boxes up and down or use <Ctrl + Up arrow> and <Ctrl + Down arrow>.

  • Transparent: Select to make the cursor text box transparent, so that data can be seen through it.
  • Outline: Select to give the cursor text box a border.
Text Box

Cursor Popup Menu: Show Text Box / Hide Text Box: Select to display the text box for the active cursor. The box shows the information you select with the check boxes below.

Deselecting hides the text box, except when you click on the cursor with the mouse.

  • Acquisition time: Displays the time of the cursor, relative to the start of acquisition or sweep. The reported time is in the units defined for the X axis of the Analysis window, set on the X Axis tab of the Analysis Window Properties dialog.

    If you have the Units check box below deselected, the time value is preceded by x.

    • Delta: Select for the second cursor in each cursor pair to report the time between it and its partner, indicated with a Δ in the text box.

  • Data value:Displays the amplitude of the data point where the cursor crosses.

    If you have the Units check box deselected, the amplitude value is preceded by y:.

    • Delta: Select for the second cursor in each cursor pair to report the amplitude difference between its data value and that of its partner.

  • Sample number: Displays the file or sweep sample number in the text box.

    If the data are compressed in the display then you need to use the <Ctrl + Left arrow> and <Ctrl + Right arrow> keys to move the cursor one data point at a time. The sample number is the only way of confirming which data point you are reading. If the value reported has a "+" appended to it, this means the cursor is not exactly on that sample point, but is at some time between that sample and the next. For example, if "437" is shown, the cursor is exactly on sample point 437 and the data value is exactly that of the sample. If "437+" is shown, then the cursor is between sample 437 and 438.

    • Delta:Select for the second cursor in each cursor pair to report the number of samples between it and its partner.

  • Units: Select to display the time and amplitude units.

    If this option is not selected, time values are displayed with x: preceding them, and data values with y: preceding them.


Go To Cursor

Analysis & Statistics Windows: Tools > Cursors > Go to Cursor

Analysis & Statistics Window Cursor Bar Popup Menus > Go to Cursor

Move the display to the location of any of the cursors. Highlight the cursor that you wish to go to and click OK.

You can select more than one cursor (by dragging the mouse or with <Shift + Down arrow> or <Ctrl + Click>), to view enough of the time range to include all the selected cursors.

The current position of all cursors is reported in the box.


Bring Cursors

Analysis & Statistics Window: Tools > Cursors > Bring Cursors

Shortcut: Shift + Mouse Click

Analysis Window Data Area Popup Menu: Bring Cursors

Analysis & Statistics Window Cursor Bar Popup Menus: Bring Cursors

Bring any or all cursors into the visible display region.

The current position of all cursors is reported in the dialog box. Highlight the cursors that you wish to bring into the visible region and click OK. Drag the mouse cursor over contiguous cursors to select them all, or use the <Ctrl> button and click on noncontiguous cursors to select them.

Bring cursor to specific position in Analysis window

Place the mouse cursor at the desired location in the data area and use the right-click menu to open the dialog. Select one cursor. It is brought to the location of the mouse cursor when the right button was clicked.

The <Shift + Mouse Click> command brings all enabled cursors into the visible region.

Create additional cursor pairs from View > Window Properties > General tab Cursor Options.


Sort-Data File Index

You are here: Menu Reference > Tools Menu > Sort—Data File Index

Sort

DFI Window: Tools > Sort

List Area Popup Menu > Sort

Sort the currently active Data File Index on any of the listed parameters.

You can also sort on any parameter, with ascending order, by clicking on the column header for the parameter. To sort in descending order you must use this dialog.

Sort on

Use the drop-down list to select the parameter on which to sort.

Sort Order

Choose ascending or descending sort order.


Verify

DFI Window: Tools > Verify

List Area Popup Menu > Verify

Run this command to check all entries in the active Data File Index to see if they are valid. If a file no longer exists, its listing is deleted from the Data File Index.


Layout Window Menus

The Layout window has its own menus independent of the main Clampfit software menus.

  • File menu
  • Edit menu
  • View menu


File Menu Layout Window

You are here: Menu Reference > Layout Window Menus > File Menu Layout Window

File Menu—Layout Window

The Layout window has its own menus independent of the main Clampfit software menus.

  • New
  • Open
  • Save
  • Save As
  • Page Setup
  • Print
  • Headers and Footers


New Layout

You are here: Menu Reference > Layout Window Menus > File Menu Layout Window > New Layout

New

Layout Window: File > New

Shortcut: Ctrl + N

Opens an empty canvas in the Layout window.

You can have only one canvas open at a time in the Layout window.


Page Setup Layout Window

You are here: Menu Reference > Layout Window Menus > File Menu Layout Window > Page Setup Layout Window

Page Setup

Layout Window: File > Page Setup

  • Paper: Select the paper size and source. The available selections for paper size and source are determined by the current printer.

    To change printers:

    • Click Printer.
  • Orientation: Select Portrait for a vertical page or Landscape for a horizontal page.

  • Margins: Specify the print margins when printing the active window. The units of measurement are always inches, independent of the measurements set in Edit > Measurements and Size dialog.


Edit Menu Layout Window

You are here: Menu Reference > Layout Window Menus > Edit Menu Layout Window

Edit Menu—Layout Window

The Layout window has its own menus independent of the main Clampfit software menus.

  • Undo/Redo
  • Cut
  • Copy
  • Paste
  • Paste As Image
  • Delete
  • Components
  • Properties
  • Default Properties
  • Measurements and Size


Paste As Image

Layout Window: Edit > Paste As Image

If you copy Results window data or a drawing to the Clipboard using the Copy command, Paste As Image pastes it to the canvas as an uneditable image.

You can move the image around on the canvas and resize it, but you cannot edit any of its drawing elements.


Components

Layout Window: Edit > Components

The Components dialog lists all components on the canvas. Use it to scroll through components, view their properties or to delete them.

  • Go To : Scrolls the canvas to bring the selected component into the displayed area.
  • Properties: Opens the Component Properties dialog.


Default Properties

Layout Window: Edit > Default Properties

Use this dialog box to define the default properties for all components in the Layout window.

  • Edit tab: Define what actions you can perform on a component. Forexample, you can forbid stretching a component out of proportion.
  • Line tab: Define how the lines appear in the component. You can set color, style, and width.
  • Fill tab: Define how a component is filled. The most commonly used fill is a solid fill, which is a foreground color with no hatching. You can also choose a hatched fill pattern with a background color.
  • Font tab: Define how the text appears in a component. You can choose any True Type font and then apply any typographical effects such as italic or underline. Only True Type fonts are available because True Type fonts are the only fonts that support rotation.


Measurements and Size

Layout Window: Edit > Measurements and Size

This dialog box allows the user to choose a unit of measurement and set the canvas width and height.

The unit of measurement determines how all measurements for the given canvas are presented.

The canvas width and height are presented as real-world measurements in the current unit of measure.

Changing the unit of measure automatically converts the canvas width and height values. The canvas width and height is the logical area that the user can scroll through on the canvas.


View Menu Layout Window

You are here: Menu Reference > Layout Window Menus > View Menu Layout Window

View Menu—Layout Window

The Layout window has its own menus independent of the main Clampfit software menus.

  • Page Bounds
  • Grid
  • Snap To Grid
  • Angle Snap
  • Grid Properties
  • Zoom Percent
  • Zoom Custom
  • Zoom To Fit


Page Bounds

Layout Window: View > Page Bounds

Select Page Bounds to display page boundaries on the canvas. These boundaries show you how the canvas will look when you print it.

You can change the position of page boundaries by changing the paper size set in the Layout Window Page Setup dialog.


Grid

Layout Window: View > Grid

The grid is a set of evenly spaced points on the canvas that you can use to align components.

The Grid command shows and hides the grid. Whether or not the grid is visible does not affect other grid functionality, such as Snap To Grid.


Snap To Grid

Layout Window: View > Snap To Grid

The grid is a set of evenly spaced points on the canvas that you can use to align components.

When Snap To Grid is enabled, the top left corner of a component is aligned to a grid point when the component is moved.

Snap To Grid works independently of whether or not the grid is visible.


Angle Snap

Layout Window: View > Angle Snap

Angle Snap limits the rotation of components to fifteen-degree increments.


Grid Properties

Layout Window: View > Grid Properties

The grid is a set of evenly spaced points on the canvas that you can use to align components. The grid is defined by horizontal and vertical spacing values.


Zoom Percent

Layout Window: View > Zoom Percent

Zooms the Layout to a user specified magnification.


Zoom Custom

Layout Window: View > Zoom Custom

Zooms the Layout to a user specified magnification.


Zoom to Fit

Layout Window: View > Zoom to Fit

Zooms the Layout so that the selected components on the canvas fill the display.


Window Menu

Control and navigate Clampfit software windows with the commands in this menu.

  • New Window
  • Cascade
  • Tile Horizontally
  • Tile Vertically
  • Arrange Icons
  • Previous Window
  • Next Window
  • Open Window List


New Window

Analysis, Graph, Results & Statistics Windows: Window > New Window

Open the file in the active window into a new window, giving you two views of the same file.

This can be used to view different areas of the same file, or at different scales, and so on.


Cascade

Window > Cascade

Arrange all non-minimized open windows to overlap so that each title bar is visible.


Tile Horizontally

Window > Tile Horizontally

Main Toolbar:

Arrange all nonminimized open windows so they tile horizontally, using all available space in the main window. Where there are more than three windows, they will tile horizontally and vertically.


Tile Vertically

Window > Tile Vertically

Main Toolbar:

Arrange all non-minimized open windows so they tile vertically, using all available space in the main window. Where there are more than three windows, they will tile horizontally and vertically.


Arrange Icons

Window > Arrange Icons

This command arranges minimized window icons along the lower edge of the main window.


Previous Window

Window > Previous Window

Shortcut: Ctrl + Shift + F6

This command shifts the focus to the previous open window on the Open Window List.


Next Window

Window > Next Window

Shortcut: Ctrl + F6

This command shifts the focus to the next open window on the Open Window List.


Open Window List

Window > [Bottom of Menu]

This section of the menu lists all open windows. Click on an entry to make that the active window.


About Clampfit software

Help > About Clampfit software

This dialog shows copyright information and the exact version number of the program.

You need to know the exact version number when calling Molecular Devices for technical support.


Shortcut Keys in Help

The following keyboard shortcuts can be used for navigation in Clampfit software Help.

Mouse functionality can in general be replaced by keystrokes, using the "MouseKey" setting in Windows. To enable MouseKeys, from the Start button on the taskbar navigate to Settings / Control Panel / Accessibility Options / Mouse tab, then check the Use MouseKeys box.

For information about accessibility features and services, visit the Microsoft Accessibility and Disabilities Web site.

For the Help window:

To | Press
Exit Help. | <Alt+F4>
Switch between Help and other open windows. | <Alt+Tab>
Switch between the Navigation pane and the Topic pane. | <F6>
Display the Options menu. | <Alt+O>
Move between tabs in the Navigation pane. | <Ctrl+Tab>
Hide or show the Navigation pane. | <Alt+O>, and then press <T>
Print a topic. | <Ctrl+P>, or <Alt+O> then <P>, or right-click in the topic
Move back to the previous topic. | <Alt+Left arrow>, or <Alt+O>, and then press <B>
Move forward to the next topic (provided you have viewed it just previously). | <Alt+Right arrow>, or <Alt+O>, and then press <F>
Turn on or off search highlighting. | <Alt+O>, and then press <O>
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | <F5>, or <Alt+O>, and then press <R>
Return to the home page. | <Alt+O>, and then press <H>
Stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | <Alt+O>, and then press <S>
Jump to the Web page in the Options menu. | <Alt+O>, and then press <1> or <2>
Scroll through a topic. | <Up arrow> and <Down arrow> or <Page up> and <Page down>
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | <Tab>

For the Contents tab:

To | Press
Display the Contents tab. | <Alt+C>
Open and close a book or folder. | <+> and <�>, or <Left arrow> and <Right arrow>
Select a topic. | <Down arrow> and <Up arrow>
Display the selected topic. | <Enter>

For the Index tab:

To | Press
Display the Index tab. | <Alt+N>
Type a keyword to search for. | <Alt+W>, and then type the word
Select a keyword in the list. | <Up arrow> and <Down arrow>
Display the associated topic. | <Alt+D>

For the Search tab:

To | Press
Display the Search tab. | <Alt+S>
Type a keyword to search for. | <Alt+W>, and then type the word
Start a search. | <Alt+L>
Select a topic in the results list. | <Alt+T>, and then <Up arrow> and <Down arrow>
Display the selected topic. | <Alt+D>

For the Favorites tab:

To | Press
Display the Favorites tab. | <Alt+I>
Add the currently displayed topic to the Favorites list. | <Alt+A>
Select a topic in the Favorites list. | <Alt+P>, and then <Up Arrow> and <Down Arrow>
Display the selected topic. | <Alt+D>
Remove the selected topic from the list. | <Alt+R>

There are also shortcut menu commands that can be accessed through the keyboard.

Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press <F6>.


Auto Scale—All Axes

Graph Window: View > Auto Scale > All Axes

Graph Window Data Area Popup Menu > Auto Scale All Axes

Graph Window Toolbar:

This command scales the plot in the Graph window so that the entire plot fills the X axis, except for one blank point before and after the plot, and the maximum Y axis range of the data fills 90% of the Y axis in the window. All samples in the plot are used to determine the Y axis scale.


Basic Rules for Searching

Basic Search Rules

Basic Help search rules are explained in this topic, along with means of broadening (using "wildcards") and refining (searching for a complete phrase) your search.

For more advanced searching, see Boolean Searches.

Sections in this topic:

  • Basic Search Rules
  • Searching for Phrases
  • Wildcard Expressions

Basic Search Rules

  • In a basic search all the words entered the search field are searched for (as if with an AND operator between them). Topics that contain the all the words are displayed, but each word could be anywhere in the topic.
  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You can search for any combination of letters (a–z) and numerals (0–9).
  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored in searches.

If inserted in a continuous string of characters, punctuation marks break up the entry into separate components: e.g. if you enter a file name with its extension, "filename.ext" the search will proceed for two items: "filename" and "ext".

You cannot search for quotation marks or parentheses, as these are used to define phrases (see below).

Searching for Phrases

Use double quotes or parentheses around phrases or particular strings of letters and numerals (where these are separated by spaces or punctuation marks) to search for a particular phrase or string.

Wildcard Expressions

Wildcard expressions allow you to search for words or numbers that contain a particular core component. It is a more general search technique than Match similar words, which only finds common grammatical variations of a word.

Wildcard searches use question marks and asterisks:

  • insert a question mark in a search expression to stand for any one character
  • insert an asterisk at the end of an alphanumeric sequence to stand for any combination of numbers or letters following the "stem" you have entered.

For example:

If " dig* " is entered as the search term, topics with the words "digital", "digitizer" and "Digidata" are found.

If "3?0" is entered, the search finds topics with "300", "310","320", etc.


Boolean Searches

When searching Help, you can set very specific search criteria using Boolean operators. Type these in yourself or select them from the dropdown menu opened with the right-pointing button beside the search entry field.

Sections in this topic:

  • Boolean Operators
  • Nested Expressions

Boolean Operators

Boolean operators enable you to precisely define your search by creating a relationship between search terms. The operators available are:

  • AND
  • OR
  • NOT
  • NEAR

The following table shows how you can use each of these operators.

Search for | Example | Results
Both terms in the same topic. | episodic AND epoch | Topics containing both the words "episodic" and "epoch" anywhere in the text or title.
Either term in a topic. | episodic OR epoch | Topics containing either the word "episodic" or the word "epoch" or both.
The first term without the second term. | episodic NOT epoch | Topics containing the word "episodic", but not the word "epoch".
Both terms in the same topic, close together. | episodic NEAR epoch | Topics containing the word "episodic" within eight words of the word "epoch".

The |, &, and ! characters do not work as Boolean operators (you must use OR, AND, and NOT).

Nested Expressions

Nested expressions allow you to create complex searches for information. For example:

sequence AND ((episodic OR epoch) NEAR acquisition)

finds topics containing the word "sequence" along with the words "episodic" and "acquisition" close together, or containing "sequence" along with the words "epoch" and "acquisition" close together.

The basic rules for searching Help topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example:

acquisition NOT episodic OR epoch

finds topics containing the word "acquisition" without the word "episodic", or topics containing the word "epoch". On the other hand:

acquisition NOT (episodic OR epoch)

finds topics containing the word "acquisition" without either of the words "episodic" or "epoch".

  • You cannot nest expressions more than five levels deep.


Help Contents and Index

Online Help

Help / Online Help

This command opens this Help file at the front page.

See Getting Help for a quick summary of other ways to access Help, also How to Use Clampfit software Help.


How To Use Help

How To Use Clampfit software Help

This section offers "help on Help", for the Clampex HTML Help file. For other sources of help available in Clampfit software see Getting Help.

Clampex Help includes topics for every command and dialog in the program. These can be accessed from the "Menu Reference" section in the table of contents. In addition, there is a range of general information topics also accessed from the table of contents.

As well as the Help topics provided with the program, the Clampex Help interface can be used to view web pages. You cannot enter URLs in the Help interface, but the MDC Home toolbutton opens the Molecular Devices home page, from where you can navigate the MDC web site.

Sections in this topic:

Opening Clampfit software Help

The Clampfit software Help Window

Navigating Within Help

Copying and Printing Help Topics

Changing Colors and Fonts

Related topics, offering further help on Help:

Searching Help

Shortcut Keys in Help

Opening Clampfit software Help

To open this Help file:

  • use the Help menu command, "Online Help"

  • press <F1>, or

  • press Help buttons in dialogs.

Help buttons always open Help at the topic for the dialog you are in. If you press <F1> while the cursor is over a menu command, Help opens at the topic for that command. In other cases Help opens at the first topic, Clampfit software Help.

The Clampfit software Help Window

The Clampex Help window has three panes—the Toolbar pane across the top of the window, the Navigation pane on the left, and the Topic pane on the right, where topic content, and web pages, are displayed.

Toolbar Pane

There are nine buttons in the toolbar pane. Starting from the left ...

Hide/Show: This button opens and closes the Navigation pane.

Locate: This button highlights the current topic in the Table of Contents.

Back: Displays the last topic you viewed in the Topic pane.

Forward: Displays the next topic in a previously displayed sequence of topics.

Stop: Interrupts downloading of a web page into the Topic pane.

Refresh: Reloads the web page currently showing in the Topic pane.

Print: Opens dialog box offering print options. You can also use the popup menu or <Ctrl+P>.

As well as printing the current topic in the Topic pane, you can print topics (and books) by selecting them from the Contents tab in the Navigation pane. You are given the option of printing only the current topic, or all the topics in the book.

Options: Opens a menu offering the same options as in the toolbar, as well as a link to the Internet Options dialog where you can change fonts and colors used in Help (changes apply also to your web browser). The bottom option turns the Search Highlights command on and off.

MDC Home: Opens the Molecular Devices home page in the Topic pane.

Support: Opens the pCLAMP support page on the MDC web site.

Navigation Pane

Four tabs in this pane offer alternative ways of locating topics you are interested in:

Contents Tab: This tab shows the table of contents—an expandable list of all topics in the Help file. Click on a topic to open it in the Topic pane. The popup menu for the tab allows you to fully expand or fully collapse the table of contents.

The Menu Reference book in the table of contents has links to topics for every command and dialog in Clampex, ordered according to main toolbar menu. All commands and dialogs (except for special-case warning dialogs) in Clampex, can be accessed from the main toolbar menus.

Index Tab: Like a book index, this is a list of key terms compiled by the Help editor. To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry. Double-click on an entry in the Index tab to open it in the Topic pane, or use the Display button.

To see if a word or phrase contained in a topic is in the index, select the word, and then press <F1>. If the term is indexed, the linked topic opens.

Search: To locate every occurrence of a word or phrase contained in Clampex Help, click the Search tab, type the word and then click List Topics. Double-click on the topic of your choice to open it in the Topic pane.

Toggle between having searched-for words highlighted or not with the Search Highlight command in the Options Toolbar menu. For detailed information on Help searches, see Searching Help.

Favorites: Use the Favorites tab to bookmark frequently used topics. First open the topic you want to bookmark then press the Add button on the Favorites tab (you can rename the topic if you wish before you add it).

Navigating Within Help

Find topics in Help using one of the four tabs in the Navigation Pane. Colored, underlined words within topics in the Topic pane are links to other Help topics, or sometimes to a web page. You can retrace your steps using the Back button, or move forward again after having used the Back button, with the Forward button.

To see if a word or phrase contained in a topic is in the index, select the word, and then press <F1>. If the term is indexed, the linked topic opens.

Copying and Printing Help Topics

Copy Help topics to the Windows Clipboard by selecting them, or portions of them, then right-click and select "Copy", or use <Ctrl+C>.

Topics, portions of topics, or all the topics within a book or folder (as displayed in the table of contents) can be printed. When the Contents tab is uppermost, calling a print command (pressing the Print toolbutton, selecting Print from the popup menu, or pressing <Ctrl+P> opens an option dialog, to print the selected topic only, or all the topics in its table of contents book. Following this you see the standard Windows Print dialog.

Changing Colors and Fonts

You can change the appearance of topics viewed in the Help Topic pane. These topics are displayed using global internet settings, so use the same configuration settings that apply to your web browser. To change font and colors, press the Internet Options command in the Toolbar Options menu. On the General tab, press the Font and/or Color buttons to make your configuration. You will need to press the Accessibility button as well in order that your selection overrides default settings for the topics.


Molecular Devices on the Web

Help / Molecular Devices on the Web

This command opens your default web browser and takes you to the Molecular Devices web site (http://www.moleculardevices.com).

For technical support or access to the knowledge base, go to http://www.moleculardevices.com/support.html.


Restore all Hidden Events

Event Detection > Restore all Hidden Events

This command restores to view all events from an Event Detection search that have been hidden from view.

You may want to use this command before quitting event detection, as hidden events are lost unless you restore them to view first.


Searching Help

Search all the files in Help (content and titles) for particular words or phrases, using the Navigation pane Search tab.

Sections in this topic:

Basic Operation

Refine a Search

Find Similar Words

Searching Titles Only

Boolean Searches

Search Highlight

Additional help on Help searching is in the topics:

Basic Search Rules

Boolean Searches

Basic Operation

  1. Click the Search tab in the left-hand Navigation pane of the Help window.

  2. Type the word or phrase you want to find (or select from recent searches using the drop-down menu opened at the right-hand end of this field).

See Basic Search Rules for details on how searches are run.

  3. Click List Topics

  4. Select the topic you want from those displayed.

  5. Click Display to open the topic in the right-hand Topic pane (or double-click on the selection).

Additional Features

The Search tab includes a number of other features allowing more sophisticated searches:

Refine a Search

If a search brings up too many topics to go through, you can refine the search by searching for a further term amongst those already displayed.

      1. Given you already have the results of a search displayed on the Search tab, type the new search term or phrase in the search field.

      2. Check the "Search previous results" checkbox at the bottom of the Search tab.

      3. Click List Topics

Find Similar Words

You can alter the breadth of your search by checking the "Match similar words" checkbox at the bottom of the tab. The search is then not only for the precise word or words you type into the search field, but also for minor grammatical variations on this.

This feature only locates variations of the word with common suffixes, for example, a search on "add" will find "added" and "adds", but not "additive". If you want a broader search that will find such terms, you can enter a wildcard expression into the search field.

Search Titles Only

You can restrict the search for a term or phrase to the Help topic titles only. Check "Search titles only" at the bottom of the tab.

Boolean Searches

The right-pointing button to the right of the Search field at the top of the tab offers a selection of Boolean operators you can incorporate into your search.

Search Highlight

When topics found from your search are displayed in the Topic pane, the searched-for terms are highlighted in the text. Toggle this feature on and off with the Toolbar Options menu, "Search Highlight" command.


Contacting Technical Support

Help > Contacting Technical Support

This command opens the online help to the Contacting Technical Support topic where you can find information about contacting Molecular Devices technical support through the world wide web, email, or telephone.


Zoom—Page

Layout Window: View > Zoom > Page

Resize the Layout page so that the entire page array is visible in the Layout window.


Glossary

To view a definition, click a term below:


Noise Rejection

Use Noise Rejection to reject excursions below a specified value.

Figure 2: Example Signal Without the Noise Rejection Filter


Event Detection

Event detection is a dynamically integrated mode of operation that binds the functionality of graphs, the Results window and other features specific to event detection, with the Analysis window where the file being searched is displayed. One data file at a time can be searched for particular trace features likely to mark a biological “event”, such as a synaptic potential or a single ion channel opening. The main types of event detection search that can be done, accessible from the Event Detection menu, include:

  • Template Search

    Templates are created by extracting and averaging segments of data that are manually identified as corresponding to an event. The template is then run through the data, identifying further events in the trace.

  • Threshold-based Search

    • Amplitude baseline and threshold levels are set, then the file searched for data that crosses the thresholds.

  • Single‑channel Search

    Single‑channel records are translated into idealized “events”, which are categorized as belonging to user-defined levels corresponding to different ion channel amplitudes in the patch.

    Note: Event Detection > Single-Channel Search replaces Events List and Latency operation modes in Fetchan, which is older single‑channel analysis software.

  • Population Spike Search

    An automated system for detecting and measuring population spikes of various configurations including single and multi-peak responses and paired field responses.

  • Action Potential Search

    Action Potential searches for measurements and enables you to adjust baselines and select measurements such as amplitude, action potential, action potential duration, peak to peak frequency and time, and threshold potential.


Event Viewer

The Event Viewer (Event Detection > Event Viewer) contains a small Analysis window that accepts the trace segments identified as events in your search. These are overlaid one on another as sweeps within the window, and can be saved as an ABF or ATF file. Alone amongst the integrated event detection components, the Event Viewer can be kept open between event detection sessions and accumulate events from searches on different files.